<?php

namespace App\Http\Controllers;

//use Illuminate\Http\Request;

use GuzzleHttp\Client;
use Dompdf\FrameDecorator\NullFrameDecorator;
use Input;
use Response;
use Request;
use Illuminate\Support\Facades\Auth;
use JWTAuth;
use Tymon\JWTAuth\Exceptions\JWTException;
use DB;
use Carbon\Carbon;
use Mail;
use PushNotification;
use Facebook;
use Facebook\Helpers\FacebookRedirectLoginHelper;
use Facebook\FacebookSDKException;
use Facebook\Authentication\OAuth2Client;
use Snowfire\Beautymail\Beautymail;


use Codebird\Codebird;


//use Illuminate\Http\Request;

use App\Http\Requests;


use Session;


use JWTAuthException;

use Illuminate\Support\Facades\Redis;
use DateTime;

use Notifiable;

use Berkayk\OneSignal\OneSignalFacade;



class DisponibiliteController extends Controller
{
    //permet de get toutes les disponibilités
    public function getDisponibilite(){
        $disponibilite = \DB::table('disponibilite')
            ->get();

        return response()->json(['message' => 'success', 'disponibilite' => $disponibilite]);
    }


    //permet de save une disponibilité
    public function postDisponibilite(){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $intitule = $data->intitule;
        $description = $data->description;

        if ($intitule == NULL){
            return response()->json(['message' => 'error', 'intitule_not_found' => true, 'intitule_already_exist' => false], 400);
        }

        //je me rassure que intitule est unique
        $check = \DB::table('disponibilite')
            ->where('intitule','=',$intitule)
            ->first();

        if(!empty($check)){
            return response()->json(['message' => 'error', 'intitule_not_found' => false, 'intitule_alrealdy_exist' => true], 400);
        }

        //save infos in table disponibilite
        \DB::table('disponibilite')
            ->insert([
                [
                    'intitule' => $intitule,
                    'description' => $description,
                    'created_at' => Carbon::now(),
                    'updated_at' => Carbon::now()
                ]
            ]);

        $disponibilite = \DB::table('disponibilite')
            ->where('intitule','=',$intitule)
            ->first();

        return response()->json(['message' => 'success', 'disponibilite' => $disponibilite]);

    }


    //permet d'éditer une disponibilité
    public function editDisponibilite($disponibilite_id){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $intitule = $data->intitule;
        $description = $data->description;

        if ($intitule == NULL){
            return response()->json(['message' => 'error', 'intitule_not_found' => true, 'intitule_already_exist' => false, 'statut_id_not_found' => false], 400);
        }

        //je vérifie si le disponibilite_id existe
        $check_disponibilite = \DB::table('disponibilite')
            ->where('id','=',$disponibilite_id)
            ->first();

        if(empty($check_disponibilite)){
            return response()->json(['message' => 'error', 'intitule_not_found' => false, 'intitule_already_exist' => false, 'statut_id_not_found' => true], 400);
        }

        //je vérifie si intitule est unique
        $check = \DB::table('disponibilite')
            ->where('intitule','=',$intitule)
            ->first();

        if(!empty($check)){
            if($check->id == $disponibilite_id){
                //alors j'update sans souci
                \DB::table('disponibilite')
                    ->where('id','=',$disponibilite_id)
                    ->update([
                        'intitule' => $intitule,
                        'description' => $description,
                        'updated_at' => Carbon::now()
                    ]);

                $disponibilite = \DB::table('disponibilite')
                    ->where('intitule','=',$intitule)
                    ->first();

                return response()->json(['message' => 'success', 'disponibilite' => $disponibilite]);
            }
            else{
                return response()->json(['message' => 'error', 'intitule_not_found' => false, 'intitule_already_exist' => true, 'statut_id_not_found' => false], 400);
            }
        }
        else{
            \DB::table('disponibilite')
                ->where('id','=',$disponibilite_id)
                ->update([
                    'intitule' => $intitule,
                    'description' => $description,
                    'updated_at' => Carbon::now()
                ]);

            $disponibilite = \DB::table('disponibilite')
                ->where('intitule','=',$intitule)
                ->first();

            return response()->json(['message' => 'success', 'disponibilite' => $disponibilite]);
        }
    }


    //permet de supprimer un statut
    public function deleteDisponibilite($disponibilite_id){
        \DB::table('disponibilite')
            ->where('id','=',$disponibilite_id)
            ->delete();

        return response()->json(['message' => 'success']);
    }



}
