<?php

namespace App\Http\Controllers;

use App\Repositories\UserRepository;

use Dompdf\FrameDecorator\NullFrameDecorator;
use DateTime;
use Input;

use Response;

use Request;

use App\Models\User;

use Auth;

//use Illuminate\Http\Request;

use JWTAuth;

use Tymon\JWTAuth\Exceptions\JWTException;

use DB;

use Carbon\Carbon;

use Mail;

use GuzzleHttp\Client;

use PushNotification;

use Facebook;
use Facebook\Helpers\FacebookRedirectLoginHelper;
use Facebook\FacebookSDKException;
use Facebook\Authentication\OAuth2Client;



use Codebird\Codebird;

use Spatie\UrlSigner\MD5UrlSigner;

use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;
//use App\Http\Controllers\Snowfire\Beautymail\Beautymail;
use Snowfire\Beautymail\Beautymail;


//use Illuminate\Http\Request;

use App\Http\Requests;

class NotificationController extends Controller{

//    //permet de renvoyer toutes les notifications d'un user avec token
//    public function getAllNotificationWithToken($token){
//        $user = \DB::table('users')
//            ->where('remember_token','=',$token)
//            ->first();
//
//        if(empty($user)){
//            return response()->json(['message' => 'error', 'user_not_found' => true], 400);
//        }
//
//        $notifications = \DB::table('Notifications')
//            ->join('tontines','tontines.id','=','Notifications.tontine_id')
//            ->join('seances','seances.id','=','Notifications.seance_id')
//            ->where('Notifications.user_id','=',$user->id)
//            ->select('Notifications.id','Notifications.titre','Notifications.description','Notifications.lu','Notifications.user_id','Notifications.numero_part',
//                    'Notifications.tontine_id','Notifications.seance_id','Notifications.numero_seance','Notifications.cycle_id','Notifications.numero_cycle',
//                    'Notifications.penalite_id','Notifications.created_at','tontines.name as name_tontine','tontines.slogan as slogan_tontine','tontines.cercle as cercle_tontine',
//                    'seances.date_debut as date_debut_seance','seances.heure_debut as heure_debut_seance','seances.date_fin as date_fin_seance','seances.heure_fin as heure_fin_seance')
//            ->orderBy('created_at','desc')
//            ->get();
//
//        $nombre_notifications_non_lues = \DB::table('Notifications')
//            ->where('user_id','=',$user->id)
//            ->where('lu','=',0)
//            ->count();
//
//        return response()->json(['notifications' => $notifications, 'nombre_notifications_non_lues' => $nombre_notifications_non_lues]);
//    }


    //permet de renvoyer toutes les notifications d'un user avec user_id
    public function getAllNotificationWithUserId($user_id){
        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true], 400);
        }


//        $notifications = \DB::table('notifications')
//            ->join('mises','mises.id','=','notifications.mise_id')
//            ->where('notifications.user_id','=',$user->id)
//            ->select('notifications.id as notification_id','notifications.titre','notifications.description','notifications.lu', 'notifications.type',
//                'notifications.created_at','mises.id as mise_id','mises.montant_mise','mises.cagnotte','mises.resultat_piece')
//            ->orderBy('created_at','desc')
//            ->get();

        $notifications = \DB::table('notifications')
            ->where('user_id','=',$user_id)
            ->where('supprimer','=',0)
            ->orderBy('updated_at','desc')
            ->get();

        //dd($notifications);

        $liste = array();
        if(!empty($notifications)){
            foreach( $notifications as $n){
                $mise = \DB::table('mises')
                    ->where('id','=',$n->mise_id)
                    ->get();

                $paypal = \DB::table('paypal')
                    ->where('id','=',$n->paypal_id)
                    ->get();

                $coin = \DB::table('coins')
                    ->where('id','=',$n->coin_id)
                    ->get();

                $notification_id = $n->id;
                $titre = $n->titre;
                $description = $n->description;
                $lu = $n->lu;
                $type = $n->type;
                $nbre_piece = $n->nbre_piece;

                $date = new DateTime($n->created_at);
                $dateValable = clone $date;
                $dateValable->modify('+2 hour');
                //$dateValable contient la date courante +1h heure de l'afrique du sud

                $new_date = $dateValable->format('Y-m-d H:i:s');


                $created_at = $new_date/*$n->created_at*/;


                $tmp ["notification_id"] = $notification_id;
                $tmp ["titre"] = $titre;
                $tmp ["description"] = $description;
                $tmp ["lu"] = $lu;
                $tmp ["type"] = $type;
                $tmp ["created_at"] = $n->created_at/*$created_at*/;
                $tmp ["mise"] = $mise;
                $tmp ["paypal"] = $paypal;
                $tmp ["coin"] = $coin;
                $tmp ["nbre_piece"] = $nbre_piece;

                array_push($liste,$tmp);

                $mise = NULL;
                $paypal = NULL;

            }
        }

        $nombre_notifications_non_lues = \DB::table('notifications')
            ->where('user_id','=',$user->id)
            ->where('lu','=',0)
            ->where('supprimer','=',0)
            ->count();


        return response()->json(['notifications' => $liste, 'nombre_notifications_non_lues' => $nombre_notifications_non_lues]);
    }



    //permet de renvoyer toutes les notifications d'un user avec user_id par page (20 par pages)
    public function getAllNotificationWithUserIdPage($user_id,$page_num){
        $donnees_par_page = 20;

        $liste = array();

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true, 'page_not_exist' => false], 400);
        }

        $entrees = \DB::table('notifications')
            ->where('user_id','=',$user_id)
            ->where('supprimer','=',0)
            ->orderBy('updated_at','desc')
            ->count();

        $nbre_pages = ceil($entrees/$donnees_par_page);     //total_page

        //je contrôle si le numéro de la page est compris dans l'intervalle 1 <= $page_num <= $nbre_pages
        if($page_num >= 1 AND $page_num <= $nbre_pages){
            for($i = 1; $i<=$nbre_pages; $i++){
                if($page_num == $i){ //alors on calcule à partir de l'id que ça doit renvoyer
                    if($page_num == 1){
                        $num_id = 0;
                    }
                    else{
                        $num_id = ($page_num - 1) * $donnees_par_page;
                    }

                    //je select les données à partir de l'offset $num_id
                    $notifications = \DB::table('notifications')
                        ->where('user_id','=',$user_id)
                        ->where('supprimer','=',0)
                        ->orderBy('updated_at','desc')
                        ->offset($num_id)    //numéro de la ligne en BD à partir duquel la selection va se faire
                        ->limit($donnees_par_page)
                        ->get();

                    if(!empty($notifications)){
                        foreach( $notifications as $n){
                            $mise = \DB::table('mises')
                                ->where('id','=',$n->mise_id)
                                ->get();

                            $paypal = \DB::table('paypal')
                                ->where('id','=',$n->paypal_id)
                                ->get();

                            $coin = \DB::table('coins')
                                ->where('id','=',$n->coin_id)
                                ->get();

                            $notification_id = $n->id;
                            $titre = $n->titre;
                            $description = $n->description;
                            $lu = $n->lu;
                            $type = $n->type;
                            $nbre_piece = $n->nbre_piece;

                            $date = new DateTime($n->created_at);
                            $dateValable = clone $date;
                            $dateValable->modify('+2 hour');
                            //$dateValable contient la date courante +1h heure de l'afrique du sud

                            $new_date = $dateValable->format('Y-m-d H:i:s');


                            $created_at = $new_date/*$n->created_at*/;


                            $tmp ["notification_id"] = $notification_id;
                            $tmp ["titre"] = $titre;
                            $tmp ["description"] = $description;
                            $tmp ["lu"] = $lu;
                            $tmp ["type"] = $type;
                            $tmp ["created_at"] = $n->created_at/*$created_at*/;
                            $tmp ["mise"] = $mise;
                            $tmp ["paypal"] = $paypal;
                            $tmp ["coin"] = $coin;
                            $tmp ["nbre_piece"] = $nbre_piece;

                            array_push($liste,$tmp);

                            $mise = NULL;
                            $paypal = NULL;

                        }
                    }

                    $nombre_notifications_non_lues = \DB::table('notifications')
                        ->where('user_id','=',$user->id)
                        ->where('lu','=',0)
                        ->where('supprimer','=',0)
                        ->count();

                }
            }

            return response()->json(['message' => 'success', 'current_page' => $page_num, 'nbre_notification_en_cours' => $entrees, 'nombre_notifications_non_lues' => $nombre_notifications_non_lues, 'total_page' => $nbre_pages, 'notifications' => $liste]);
        }
        else{
            return response()->json(['message' => 'error', 'user_not_found' => false,'page_not_exist' => true], 400);
        }


//        $notifications = \DB::table('notifications')
//            ->join('mises','mises.id','=','notifications.mise_id')
//            ->where('notifications.user_id','=',$user->id)
//            ->select('notifications.id as notification_id','notifications.titre','notifications.description','notifications.lu', 'notifications.type',
//                'notifications.created_at','mises.id as mise_id','mises.montant_mise','mises.cagnotte','mises.resultat_piece')
//            ->orderBy('created_at','desc')
//            ->get();


        //return response()->json(['notifications' => $liste, 'nombre_notifications_non_lues' => $nombre_notifications_non_lues]);
    }




    //permet de renvoyer le nombre de notifications non lues d'un user
    public function getNotificationNonLue($user_id){
        $nombre_notifications_non_lues = \DB::table('notifications')
            ->where('user_id','=',$user_id)
            ->where('lu','=',0)
            ->where('supprimer','=',0)
            ->count();

        return response()->json(['nombre_notifications_non_lues' => $nombre_notifications_non_lues]);
    }


    //permet de mettre à jour le champ lu à 1
    public function updatedFieldLu(){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $notification = $data->notification_id;

        \DB::table('notifications')
            ->where('id','=',$notification)
            ->update([
                'lu' => 1
            ]);

        return response()->json(['message' => 'success']);
    }


    //permet de supprimer une ou plusieurs notifications d'un user
    public function deleteNotification(){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $notifications = $data->notifications;

        if(sizeof($notifications) != 0){
            for( $i = 0; $i < sizeof($notifications); $i++){
                /*\DB::table('notifications')
                    ->where('id','=',$notifications[$i]->notification_id)
                    ->delete();*/

                //on mets juste le champ delete à 1
                \DB::table('notifications')
                    ->where('id','=',$notifications[$i]->notification_id)
                    ->update([
                        'supprimer' => 1
                    ]);

            }
        }

        return response()->json(['message' => 'success']);

    }




}