<?php

namespace App\Http\Controllers;

use App\Repositories\UserRepository;

use Dompdf\FrameDecorator\NullFrameDecorator;
use Faker\Provider\cs_CZ\DateTime;
use Input;

use Response;

use Request;

use App\Models\User;

use Auth;

//use Illuminate\Http\Request;

use JWTAuth;

use Tymon\JWTAuth\Exceptions\JWTException;

use DB;

use Carbon\Carbon;

use Mail;

use GuzzleHttp\Client;

use PushNotification;

use Facebook;
use Facebook\Helpers\FacebookRedirectLoginHelper;
use Facebook\FacebookSDKException;
use Facebook\Authentication\OAuth2Client;



use Codebird\Codebird;


//use Illuminate\Http\Request;

use App\Http\Requests;

class PartController extends Controller{

    //permet d'ajouter une ou plusieurs parts d'un membre
    public function addPartMember($token, UserRepository $users){

        $request = Request::instance();
        $data = json_decode($request->getContent());

        $nbre_part = $data->nbre_part;
        $tontine_id = $data->tontine_id;

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error','user_not_found' => true,'parameter_not_found' => false,'tontine_not_found' => false,
                'nbre_part_greater_than_part_max_member' => false], 400);
        }

        if($nbre_part == NULL || $tontine_id == NULL){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'tontine_not_found' => false,
                'nbre_part_greater_than_part_max_member' => false], 400);
        }

        $tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        if(empty($tontine)){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'tontine_not_found' => true,
                'nbre_part_greater_than_part_max_member' => false], 400);
        }

        //je contrôle si le nbre de part ne dépasse pas le nbre de part max d'un membre d'une tontine
        if($nbre_part > $tontine->nombre_part_max_membre){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'tontine_not_found' => false,
                'nbre_part_greater_than_part_max_member' => true], 400);
        }

        //je récupère le cycle_id et seance_id du cycle et de la séance courante de la tontine
        $cycle_id = $this->getCycleCourantId($tontine_id);
        $seance_id = $this->getSeanceCouranteId($tontine_id);

        //je récupère le numero_part du membre dans la table membrestontines
        $numero = \DB::table('membrestontines')
            ->where('tontine_id','=',$tontine_id)
            ->where('user_id','=',$user->id)
            ->orderBy('numero_part','desc')
            ->first();

        //je récupère les infos du membre dans la table parts
        $infos = \DB::table('parts')
            ->where('tontine_id','=',$tontine_id)
            ->where('user_id','=',$user->id)
            ->orderBy('numero_part','desc')
            ->first();

        if(!empty($numero) AND !empty($infos)){
            $numero_part = $numero->numero_part;

            for($i=0; $i< $nbre_part; $i++){
                //j'enregsitre les parts ds la table membrestontines
                \DB::table('membrestontines')
                    ->insert([
                        [
                            'user_id' => $user->id,
                            'tontine_id' => $tontine_id,
                            'administrator' => $numero->administrator,
                            'numero_part' => $numero_part + 1,
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]
                    ]);

                //puis j'enregistre ds la table parts
                \DB::table('parts')
                    ->insert([
                        [
                            'user_id' => $user->id,
                            'tontine_id' => $tontine_id,
                            'numero_part' => $numero_part + 1,
                            'cycle_id' => $cycle_id,
                            'seance_id' => $seance_id,
                            'ajout_part_membre_en_contribuant_seances_passees_et_restantes' => $infos->ajout_part_membre_en_contribuant_seances_passees_et_restantes,
                            'ajout_part_membre_en_contribuant_seulement_seances_restantes' => $infos->ajout_part_membre_en_contribuant_seulement_seances_restantes,
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]
                    ]);

                $numero_part = $numero_part + 1;

            }
        }

        return response()->json(['message' => 'success']);

    }



    //permet de renvoyer les séances passées à contribuer pour un membre pour une part donnée du membre (ceci si ajout_part_membre_en_contribuant_seances_passees_et_restantes = oui)
    public function getSeancePasseeToContribue($tontine_id,$numero_part,$token){

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true, 'numero_part_not_found' => false, 'tontine_not_found' => false], 400);
        }

        $confirm_tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        if(empty($confirm_tontine)){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'numero_part_not_found' => false, 'tontine_not_found' => true], 400);
        }


        $confirm_numero_part = \DB::table('parts')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            ->where('numero_part','=',$numero_part)
            ->first();

        if(empty($confirm_numero_part)){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'numero_part_not_found' => true, 'tontine_not_found' => false], 400);
        }


        //je repère la part du membre afin de savoir à quelle séance elle a été ajoutée
        $part_membre = \DB::table('parts')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            //->where('seance_id','=',$seance->id)
            ->where('numero_part','=',$numero_part)
            ->where('ajout_part_membre_en_contribuant_seances_passees_et_restantes','=','oui')
            ->first();


        $liste = array();

        if(!empty($part_membre)){
            //je recense toutes les séances passées de la tontine pour le cycle en cours
            $seances = \DB::table('seances')
                ->where('tontine_id','=',$tontine_id)
                ->where('cycle_id','=',$part_membre->cycle_id)
                ->where('archived','=',1)
                ->get();



            if(!empty($seances)){
                foreach ($seances as $seance){
                    //dd($seance->id < $part_membre->seance_id);
                    //je teste maintenant si la séance présente n'est pas une séance passée par rapport à celle ds la table parts
                    if($part_membre->seance_id != 0 AND $seance->id < $part_membre->seance_id){
                        //alors j'ajoute la séance comme séance à contribuer. Avant ça je dois contrôler les contributions faites par le membre à la séance pour le numero_part

                        $montant_restant_a_contribuer = $this->montantRestantAContribuerPourUnePartAvecUserId($seance->id,$numero_part,$user->id);

                        if($montant_restant_a_contribuer != 0 AND ($montant_restant_a_contribuer != -1 || $montant_restant_a_contribuer != -2
                                || $montant_restant_a_contribuer != -3)){
                            //alors le membre n'a pas tout contribué et on maintient toujours la séance

                            $seance_id = $seance->id;
                            $numero_seance = $seance->numero_seance;
                            $cycle_id = $seance->cycle_id;
                            $date_debut = $seance->date_debut;
                            $heure_debut = $seance->heure_debut;
                            $date_fin = $seance->date_fin;
                            $heure_fin = $seance->heure_fin;
                            $archived = $seance->archived;

                            $tmp ["seance_id"] = $seance_id;
                            $tmp ["numero_seance"] = $numero_seance;
                            $tmp ["cycle_id"] = $cycle_id;
                            $tmp ["date_debut"] = $date_debut;
                            $tmp ["heure_debut"] = $heure_debut;
                            $tmp ["date_fin"] = $date_fin;
                            $tmp ["heure_fin"] = $heure_fin;
                            $tmp ["archived"] = $archived;

                            array_push($liste,$tmp ) ;
                        }

                    }
                }
            }

        }


        //je repère la part du membre afin de savoir à quelle séance elle a été ajoutée
        $part_membre1 = \DB::table('parts')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            //->where('seance_id','=',$seance->id)
            ->where('numero_part','=',$numero_part)
            ->where('ajout_part_membre_en_contribuant_seances_passees_et_restantes','=','oui')
            ->first();

        $liste1 = array();

        if(!empty($part_membre1)){
            //je repère le cycle en court de la tontine
            $cycle_en_cours = \DB::table('cycles')
                ->where('tontine_id','=',$tontine_id)
                //->where('archived','=',0)
                ->get();

            if(!empty($cycle_en_cours)){

                foreach($cycle_en_cours as $cycle){

                    //je recense toutes les séances de la tontine donc archived = 1
                    $seances = \DB::table('seances')
                        ->where('tontine_id','=',$tontine_id)
                        ->where('cycle_id','=',$cycle->id/*$cycle_en_cours->id*/)
                        ->where('archived','=',1)
                        ->get();



                    if(!empty($seances)){
                        foreach ($seances as $seance){
                            //dd($seance->id < $part_membre->seance_id);
                            //je teste maintenant si la séance présente n'est pas une séance passée par rapport à celle ds la table parts
                            if($part_membre1->seance_id != 0 AND $seance->id >= $part_membre1->seance_id){
                                //alors j'ajoute la séance comme séance à contribuer. Avant ça je dois contrôler les contributions faites par le membre à la séance pour le numero_part

                                $montant_restant_a_contribuer = $this->montantRestantAContribuerPourUnePartAvecUserId($seance->id,$numero_part,$user->id);

                                if($montant_restant_a_contribuer != 0 /*AND ($montant_restant_a_contribuer != -1 || $montant_restant_a_contribuer != -2
                                || $montant_restant_a_contribuer != -3)*/){
                                    //alors le membre n'a pas tout contribué et on maintient toujours la séance

                                    $seance_id = $seance->id;
                                    $numero_seance = $seance->numero_seance;
                                    $cycle_id = $seance->cycle_id;
                                    $date_debut = $seance->date_debut;
                                    $heure_debut = $seance->heure_debut;
                                    $date_fin = $seance->date_fin;
                                    $heure_fin = $seance->heure_fin;
                                    $archived = $seance->archived;

                                    $tmp ["seance_id"] = $seance_id;
                                    $tmp ["numero_seance"] = $numero_seance;
                                    $tmp ["cycle_id"] = $cycle_id;
                                    $tmp ["date_debut"] = $date_debut;
                                    $tmp ["heure_debut"] = $heure_debut;
                                    $tmp ["date_fin"] = $date_fin;
                                    $tmp ["heure_fin"] = $heure_fin;
                                    $tmp ["archived"] = $archived;

                                    array_push($liste1,$tmp ) ;
                                }

                            }

                            if($part_membre1->seance_id == 0){  //alors on part check sa contribution
                                $montant_restant_a_contribuer = $this->montantRestantAContribuerPourUnePartAvecUserId($seance->id,$numero_part,$user->id);

                                if($montant_restant_a_contribuer != 0 /*AND ($montant_restant_a_contribuer != -1 || $montant_restant_a_contribuer != -2
                                    || $montant_restant_a_contribuer != -3)*/){
                                    //alors le membre n'a pas tout contribué et on maintient toujours la séance

                                    $seance_id = $seance->id;
                                    $numero_seance = $seance->numero_seance;
                                    $cycle_id = $seance->cycle_id;
                                    $date_debut = $seance->date_debut;
                                    $heure_debut = $seance->heure_debut;
                                    $date_fin = $seance->date_fin;
                                    $heure_fin = $seance->heure_fin;
                                    $archived = $seance->archived;

                                    $tmp ["seance_id"] = $seance_id;
                                    $tmp ["numero_seance"] = $numero_seance;
                                    $tmp ["cycle_id"] = $cycle_id;
                                    $tmp ["date_debut"] = $date_debut;
                                    $tmp ["heure_debut"] = $heure_debut;
                                    $tmp ["date_fin"] = $date_fin;
                                    $tmp ["heure_fin"] = $heure_fin;
                                    $tmp ["archived"] = $archived;

                                    array_push($liste1,$tmp ) ;
                                }
                            }
                        }
                    }


                }




            }
        }



        return response()->json(['liste_seance' => $liste, 'liste_seance_impaye' => $liste1]);
    }


    //permet de renvoyer les séances passées à contribuer pour un membre pour une part donnée du membre avec user_id (ceci si ajout_part_membre_en_contribuant_seances_passees_et_restantes = oui)
    public function getSeancePasseeToContribueWithUserId($tontine_id,$numero_part,$user_id){

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true, 'numero_part_not_found' => false, 'tontine_not_found' => false], 400);
        }

        $confirm_tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        if(empty($confirm_tontine)){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'numero_part_not_found' => false, 'tontine_not_found' => true], 400);
        }


        $confirm_numero_part = \DB::table('parts')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            ->where('numero_part','=',$numero_part)
            ->first();

        if(empty($confirm_numero_part)){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'numero_part_not_found' => true, 'tontine_not_found' => false], 400);
        }


        //je repère la part du membre afin de savoir à quelle séance elle a été ajoutée
        $part_membre = \DB::table('parts')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            //->where('seance_id','=',$seance->id)
            ->where('numero_part','=',$numero_part)
            ->where('ajout_part_membre_en_contribuant_seances_passees_et_restantes','=','oui')
            ->first();


        $liste = array();

        if(!empty($part_membre)){
            //je recense toutes les séances passées de la tontine pour le cycle en cours
            $seances = \DB::table('seances')
                ->where('tontine_id','=',$tontine_id)
                ->where('cycle_id','=',$part_membre->cycle_id)
                ->where('archived','=',1)
                ->get();



            if(!empty($seances)){
                foreach ($seances as $seance){
                    //dd($seance->id < $part_membre->seance_id);
                    //je teste maintenant si la séance présente n'est pas une séance passée par rapport à celle ds la table parts
                    if($part_membre->seance_id != 0 AND $seance->id < $part_membre->seance_id){
                        //alors j'ajoute la séance comme séance à contribuer. Avant ça je dois contrôler les contributions faites par le membre à la séance pour le numero_part

                        $montant_restant_a_contribuer = $this->montantRestantAContribuerPourUnePartAvecUserId($seance->id,$numero_part,$user->id);

                        //dd($montant_restant_a_contribuer);

                        if($montant_restant_a_contribuer != 0 /*|| ($montant_restant_a_contribuer != -1 || $montant_restant_a_contribuer != -2
                                || $montant_restant_a_contribuer != -3)*/){
                            //alors le membre n'a pas tout contribué et on maintient toujours la séance

                            $seance_id = $seance->id;
                            $numero_seance = $seance->numero_seance;
                            $cycle_id = $seance->cycle_id;
                            $date_debut = $seance->date_debut;
                            $heure_debut = $seance->heure_debut;
                            $date_fin = $seance->date_fin;
                            $heure_fin = $seance->heure_fin;
                            $archived = $seance->archived;

                            $tmp ["seance_id"] = $seance_id;
                            $tmp ["numero_seance"] = $numero_seance;
                            $tmp ["cycle_id"] = $cycle_id;
                            $tmp ["date_debut"] = $date_debut;
                            $tmp ["heure_debut"] = $heure_debut;
                            $tmp ["date_fin"] = $date_fin;
                            $tmp ["heure_fin"] = $heure_fin;
                            $tmp ["archived"] = $archived;

                            array_push($liste,$tmp ) ;
                        }

                    }
                }
            }

        }


        //je repère la part du membre afin de savoir à quelle séance elle a été ajoutée
        $part_membre1 = \DB::table('parts')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            //->where('seance_id','=',$seance->id)
            ->where('numero_part','=',$numero_part)
            ->where('ajout_part_membre_en_contribuant_seances_passees_et_restantes','=','oui')
            ->first();

        $liste1 = array();

        if(!empty($part_membre1)){
            //je repère le cycle en cours de la tontine
            $cycle_en_cours = \DB::table('cycles')
                ->where('tontine_id','=',$tontine_id)
                //->where('archived','=',0)
                ->get();

            if(!empty($cycle_en_cours)){
                foreach($cycle_en_cours as $cycle){

                    //je recense toutes les séances de la tontine donc archived = 1
                    $seances = \DB::table('seances')
                        ->where('tontine_id','=',$tontine_id)
                        ->where('cycle_id','=',$cycle->id/*$cycle_en_cours->id*/)
                        ->where('archived','=',1)
                        ->get();



                    if(!empty($seances)){
                        foreach ($seances as $seance){
                            //dd($seance->id < $part_membre->seance_id);
                            //je teste maintenant si la séance présente n'est pas une séance passée par rapport à celle ds la table parts
                            if($part_membre1->seance_id != 0 AND $seance->id >= $part_membre1->seance_id){
                                //alors j'ajoute la séance comme séance à contribuer. Avant ça je dois contrôler les contributions faites par le membre à la séance pour le numero_part

                                $montant_restant_a_contribuer = $this->montantRestantAContribuerPourUnePartAvecUserId($seance->id,$numero_part,$user->id);

                                if($montant_restant_a_contribuer != 0 /*|| ($montant_restant_a_contribuer != -1 || $montant_restant_a_contribuer != -2
                                    || $montant_restant_a_contribuer != -3)*/){
                                    //alors le membre n'a pas tout contribué et on maintient toujours la séance

                                    $seance_id = $seance->id;
                                    $numero_seance = $seance->numero_seance;
                                    $cycle_id = $seance->cycle_id;
                                    $date_debut = $seance->date_debut;
                                    $heure_debut = $seance->heure_debut;
                                    $date_fin = $seance->date_fin;
                                    $heure_fin = $seance->heure_fin;
                                    $archived = $seance->archived;

                                    $tmp ["seance_id"] = $seance_id;
                                    $tmp ["numero_seance"] = $numero_seance;
                                    $tmp ["cycle_id"] = $cycle_id;
                                    $tmp ["date_debut"] = $date_debut;
                                    $tmp ["heure_debut"] = $heure_debut;
                                    $tmp ["date_fin"] = $date_fin;
                                    $tmp ["heure_fin"] = $heure_fin;
                                    $tmp ["archived"] = $archived;

                                    array_push($liste1,$tmp ) ;
                                }

                            }

                            if($part_membre1->seance_id == 0){  //alors on part check sa contribution
                                $montant_restant_a_contribuer = $this->montantRestantAContribuerPourUnePartAvecUserId($seance->id,$numero_part,$user->id);

                                if($montant_restant_a_contribuer != 0 AND ($montant_restant_a_contribuer != -1 || $montant_restant_a_contribuer != -2
                                        || $montant_restant_a_contribuer != -3)){
                                    //alors le membre n'a pas tout contribué et on maintient toujours la séance

                                    $seance_id = $seance->id;
                                    $numero_seance = $seance->numero_seance;
                                    $cycle_id = $seance->cycle_id;
                                    $date_debut = $seance->date_debut;
                                    $heure_debut = $seance->heure_debut;
                                    $date_fin = $seance->date_fin;
                                    $heure_fin = $seance->heure_fin;
                                    $archived = $seance->archived;

                                    $tmp ["seance_id"] = $seance_id;
                                    $tmp ["numero_seance"] = $numero_seance;
                                    $tmp ["cycle_id"] = $cycle_id;
                                    $tmp ["date_debut"] = $date_debut;
                                    $tmp ["heure_debut"] = $heure_debut;
                                    $tmp ["date_fin"] = $date_fin;
                                    $tmp ["heure_fin"] = $heure_fin;
                                    $tmp ["archived"] = $archived;

                                    array_push($liste1,$tmp ) ;
                                }
                            }
                        }
                    }



                }



            }
        }


        return response()->json(['liste_seance' => $liste, 'liste_seance_impaye' => $liste1]);
    }


    //permet de renvoyer les parts d'un membre avec son nombre
    public function getAllPartMember($tontine_id,$token){
        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true, 'tontine_not_found' => false], 400);
        }

        $confirm_tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        if(empty($confirm_tontine)){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'tontine_not_found' => true], 400);
        }

        //je recense toutes les parts du membre
        $nbre_parts = \DB::table('parts')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            ->count();

        $parts = \DB::table('parts')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            ->select('user_id','tontine_id','numero_part')
            ->get();

        return response()->json(['nbre_parts' => $nbre_parts, 'parts' => $parts]);

    }


    //permet de renvoyer les parts d'un membre avec son nombre avec user_id
    public function getAllPartMemberWithUserId($tontine_id,$user_id){
        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true, 'tontine_not_found' => false], 400);
        }

        $confirm_tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        if(empty($confirm_tontine)){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'tontine_not_found' => true], 400);
        }

        //je recense toutes les parts du membre
        $nbre_parts = \DB::table('parts')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            ->count();

        $parts = \DB::table('parts')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            ->select('user_id','tontine_id','numero_part')
            ->get();

        return response()->json(['nbre_parts' => $nbre_parts, 'parts' => $parts]);

    }


    /************************ Fonctions réutilisables Christopher ****************************************************/


    //permet de renvoyer la séance courante d'une tontinte
    public function getSeanceCouranteId($tontine_id){

        $seance = \DB::table('seances')
            ->where('tontine_id','=',$tontine_id)
            ->where('archived','=',0)
            ->first();

        if(!empty($seance)){
            return $seance->id;
        }
        else{
            return 0;
        }
    }

    //permet de renvoyer le cycle courant d'une tontinte
    public function getCycleCourantId($tontine_id){

        $cycle = \DB::table('cycles')
            ->where('tontine_id','=',$tontine_id)
            ->where('archived','=',0)
            ->first();

        if(!empty($cycle)){
            return $cycle->id;
        }
        else{
            return 0;
        }
    }


    //permet de renvoyer le montant restant à contribuer pour une part d'un membre dans une séance donnée de la tontine avec le user_id
    public function montantRestantAContribuerPourUnePartAvecUserId($seance_id,$numero_part,$user_id){

        $typecontribution_id = 2;       //pour cotisation

        $montant_restant_a_contribuer = -1;

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        //je récupère la device de la tontine
        $tontine = \DB::table('seances')
            ->where('id','=',$seance_id)
            //->where('archived','=',0)
            ->first();

        if(!empty($tontine)){
            $tontine_id = $tontine->tontine_id;

            //je cherche la monnaie de la tontine
            $monnaie = \DB::table('tontines')
                ->where('id','=',$tontine_id)
                ->first();

            if(!empty($monnaie)){
                $device_tontine = $monnaie->monnaie;

                $device = \DB::table('devices')
                    ->where('name','=',$device_tontine)
                    ->first();
                $device_id = $device->id;

                //$montant_restant_a_contribuer = $monnaie->coutshare;
            }
            else{
                return -1; //pour dire device_tontine_not_found = true
            }

            if(!empty($user)){
                $user_id = $user->id;

                //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
                $calculs = \DB::table('contributions')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('device_id','=',$device_id)
                    ->where('typecontribution_id','=',$typecontribution_id)
                    ->where('numero_part','=',$numero_part)
                    ->get();

                if(!empty($calculs)){
                    $somme = 0;
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }

                    //dd($somme);
                    $montant_restant_a_contribuer = $monnaie->coutshare - $somme;

                }


                return $montant_restant_a_contribuer;

            }
            else{
                return -2; //pour dire user_not_found = true
            }

        }
        else{
            return -3; //pour dire tontine_not_found = true
        }

    }






    /*********************** End fonctions réutilisables Christopher **************************************************/

}