<?php namespace App\Http\Controllers;

use Illuminate\Contracts\Auth\Guard;
use Input;
use Request;
use Response;

//use Request;
use App\Http\Requests\TicketRequest;
use App\Http\Requests\EvenementRequest;

use App\Http\Controllers\Controller;

use App\Repositories\UserRepository;
use App\Repositories\BlogRepository;

use App\Repositories\CountryRepository;
use App\Repositories\CityRepository;

use App\Repositories\SouscategoryRepository;
use App\Repositories\CategoryRepository;

use App\Repositories\TransactionRepository;

use App\Models\User;

use App\Models\Participant;

use DB;

use Carbon\Carbon;

use Mail;

use GuzzleHttp\Client;

use File;

use Auth;


class PaypalController extends Controller {


function paypal(){
      $user = Auth::user();
  $requete = $this->construit_url_paypal(); // Construit les options de base
// La fonction urlencode permet d'encoder au format URL les espaces, slash, deux points, etc.)
$requete = $requete."&METHOD=SetExpressCheckout".
      "&CANCELURL=".urlencode("http://mooevents.sdkgames.com/paypal_ticket_save/cancel").
      "&RETURNURL=".urlencode("http://mooevents.sdkgames.com/paypal_ticket_save/success").
      "&AMT=". $_SESSION['montant_paypal'].
      "&CURRENCYCODE=USD".
      "&DESC=".urlencode("MOOEVENTS:Your Events Center").
      "&LOCALECODE=FR".
      "&HDRIMG=".urlencode("http://mooevents.sdkgames.com/img/home/mooEventsIconplus.png");

$ch = curl_init($requete);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

$resultat_paypal = curl_exec($ch);

if (!$resultat_paypal){
  echo '<div class = "alert alert-danger alert-dismissable" style="position: absolute;top: 150px;
                    right: 10px;z-index: 1000;width: 300px;height: 150px;">
                   <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">&times; </button>
                      <h4>Error</h4><hr>
                    <b>'.curl_error($ch).'.</b>
                </div>';
  }
else
{
  $liste_param_paypal = $this->recup_param_paypal($resultat_paypal); // Lance notre fonction qui dispatche le résultat obtenu en un array
  // Si la requête a été traitée avec succès
  if ($liste_param_paypal['ACK'] == 'Success')
  {
    // Redirige le visiteur sur le site de PayPal
    header("Location: https://www.paypal.com/webscr&cmd=_express-checkout&token=".$liste_param_paypal['TOKEN']);
                exit();
  }
  else // En cas d'échec, affiche la première erreur trouvée.
  {   echo '<div class = "alert alert-danger alert-dismissable" style="position: absolute;top: 150px;
                    right: 10px;z-index: 1000;width: 300px;height: 150px;">
                   <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">&times; </button>
                      <h4>Error</h4><hr>
                    <b>Erreur de communication avec le serveur PayPal.</b>
                </div>';
  }   
}
curl_close($ch);

    }

 private function construit_url_paypal()
  {
  $api_paypal = 'https://api-3t.paypal.com/nvp?';//'https://api-3t.sandbox.paypal.com/nvp?'; // Site de l'API PayPal. On ajoute déjà le ? afin de concaténer directement les paramètres.
  $version = 204.0; // Version de l'API
  
  $user ='paypal2_api1.sdkgames.com'; //'giresseayefou_api1.yahoo.fr'; // Utilisateur API
  $pass = 'CW2NBCGDNW2EL458';//'4M69H5M6TH6WRVVC'; // Mot de passe API
  $signature ='AvchBEmj-hzFzqc4B1Bxz5jAq85DA0q0t60T8HtNB1R2d24Zxai44PnW'; //'AFcWxV21C7fd0v3bYYYRCpSSRl31AfCSMqW2F6RuM0SQvluAVvQh86FE'; // Signature de l'API

  $api_paypal = $api_paypal.'VERSION='.$version.'&USER='.$user.'&PWD='.$pass.'&SIGNATURE='.$signature; // Ajoute tous les paramètres

  return  $api_paypal; // Renvoie la chaîne contenant tous nos paramètres.
  }
  private function recup_param_paypal($resultat_paypal)
  {
  $liste_parametres = explode("&",$resultat_paypal); // Crée un tableau de paramètres
  foreach($liste_parametres as $param_paypal) // Pour chaque paramètre
  {
    list($nom, $valeur) = explode("=", $param_paypal); // Sépare le nom et la valeur
    $liste_param_paypal[$nom]=urldecode($valeur); // Crée l'array final
  }
  return $liste_param_paypal; // Retourne l'array
  }


  public function savePaypal($taille)
  {
     
    if($taille=="success")
    {
                      
        $requete =$this->construit_url_paypal(); // Construit les options de base

      // On ajoute le reste des options
      // La fonction urlencode permet d'encoder au format URL les espaces, slash, deux points, etc.)
      $requete = $requete."&METHOD=DoExpressCheckoutPayment".
            "&TOKEN=".htmlentities($_GET['token'], ENT_QUOTES). // Ajoute le jeton qui nous a été renvoyé
            "&AMT=".$_SESSION['montant'].
            "&CURRENCYCODE=EUR".
            "&PayerID=".htmlentities($_GET['PayerID'], ENT_QUOTES). // Ajoute l'identifiant du paiement qui nous a également été renvoyé
            "&PAYMENTACTION=sale";
      $ch = curl_init($requete);
      curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
      $resultat_paypal = curl_exec($ch);

      if (!$resultat_paypal) 
        {
           echo '<div class = "alert alert-danger alert-dismissable" style="position: absolute;top: 150px;
            right: 10px;z-index: 1000;width: 300px;height: 150px;">
           <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">&times; </button>
              <h4>Error</h4><hr>
            <b>'.curl_error($ch).'.</b>
        </div>';
        }
      // S'il s'est exécuté correctement, on effectue les traitements...
      else
      {
        $liste_param_paypal = $this->recup_param_paypal($resultat_paypal); // Lance notre fonction qui dispatche le résultat obtenu en un array
        
        // Si la requête a été traitée avec succès
        if ($liste_param_paypal['ACK'] == 'Success')
        {
          $montant=$_SESSION['montant_paypal'];
          $_SESSION['montant_paypal']="";

          echo '<div class = "alert alert-success alert-dismissable" style="position: absolute;top: 150px;
            right: 10px;z-index: 1000;width: 300px;height: 150px;">
           <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">&times; </button>
              <h4>Success</h4><hr>
            <b>Votre paiement a été bien éffectué.</b>
        </div>';
        }
        else // En cas d'échec, affiche la première erreur trouvée.
        {
          echo '<div class = "alert alert-danger alert-dismissable" style="position: absolute;top: 150px;
            right: 10px;z-index: 1000;width: 300px;height: 150px;">
           <button type = "button" class = "close" data-dismiss = "alert" aria-hidden = "true">&times; </button>
              <h4>Error</h4><hr>
            <b>Erreur de communication avec le serveur PayPal.</b>
        </div>';
      }
      }
      // On ferme notre session cURL.
      curl_close($ch);

        
      $tab = array();
      $tickets = array();

      foreach ($_SESSION['total_tickets'] as $data) 
      {
        $ticket = array();

        $model = DB::table('model_tickets')->where('id',$data->id )->first();

        $ticket["model_id"] = $data->id ;
        $ticket["evenement_id"] = $_SESSION['event_id'] ;

        $ticket["prix"] =  $model->prix ;
        $ticket["quantite"] = $data->nb_tickets ;
        $ticket["monnaie"] =  $model->monnaie ;

        $ticket["email"] = Auth::user()->email;

        array_push($tickets, $ticket);
      }

      $tab["tickets"] = $tickets;
      $tab["montant"] = $_SESSION['montant'] ;

      try {
             $retour = $this->transaction->paypal($tab); //on recupere la transaction initiee
          } catch (\Exception $e) 
          {  
               //return response::json(["reponse"=>$e->getMessage()]);
          }
           
          if(is_null($retour))
            return response::json(["reponse"=>"failure"]);
          else
          {
               if(isset( $retour["user_id"]))
               {
                  $user = User::whereId($retour["user_id"])->first();
                 
                  Mail::raw( $retour["message"], function ($message) use ($user)
                    {
                          $message->from('nguemnevalentine@sdkgames.com', 'MooEvents');

                          $message->to('nguemnev@gmail.com', $name = null);

                          $message->bcc($user->email, $user->username)->subject('MooEvents ticket reservation');

                      }); 

                  //return response::json(["reponse"=> "success"]);

               }//else{
                   //return response::json($retour);
           //  }
             
            
          } 
           $_SESSION['total_tickets'] ='';
          $_SESSION['event_id'] ='';
          $_SESSION['montant'] ='';
      }
   }


}