<?php namespace App\Models;

use Illuminate\Auth\Authenticatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Auth\Passwords\CanResetPassword;
use Illuminate\Contracts\Auth\Authenticatable as AuthenticatableContract;
use Illuminate\Contracts\Auth\CanResetPassword as CanResetPasswordContract;

class ModePaiement extends Model implements AuthenticatableContract, CanResetPasswordContract {

    use Authenticatable, CanResetPassword;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'modepaiements';

    protected $fillable = [
        'original_id',
        'user_id',
        'type_paiement_id',
        'numero_compte',
        'nom_compte',
        'isActive',
        'statut_update'
    ];

    public function users(){
        return $this->belongsTo('App\Models\User');
    }

    public function typepaiements(){
        return $this->belongsTo('App\Models\TypePaiement');
    }


}