
@extends('public.template1')

@section('head')

  {!! HTML::style('ckeditor/plugins/codesnippet/lib/highlight/styles/default.css') !!}

@stop

@section('main')

  <!-- Entête de page -->
  @include('back.partials.entete', ['title' => trans('back/blog.dashboard'), 'icone' => 'pencil', 'fil' => link_to('blog', 'Evenements') . ' / ' . trans('back/blog.creation')])


  <div class="col-sm-12">
    @yield('form')

    <div class="form-group checkbox pull-right">
      <label>
        {!! Form::checkbox('active') !!}
        {{ trans('back/blog.published') }}
      </label>
    </div>

        {!! Form::open(['route' => 'blog.store', 'method' => 'post', 'class' => 'form-horizontal panel','files'=>true]) !!}

    {!! Form::control('text', 0, 'nom', $errors, trans('back/blog.nom')) !!}

    <div class="form-group {!! $errors->has('slug') ? 'has-error' : '' !!}">
      {!! Form::label('slug', trans('back/blog.permalink'), ['class' => 'control-label']) !!}
      {!! url('/') . '/blog/' . Form::text('slug', null, ['id' => 'permalien']) !!}
      <small class="text-danger">{!! $errors->first('slug') !!}</small>
    </div>

  </div>
   <div class="form-group  {{ $errors->has('email') ? 'has-error' : '' }}">
      {!! Form::label('email', trans('back/blog.e_mail'), array('class' => 'control-label')) !!}
      <div class="controls">
          {!! Form::text('email', null, array('class' => 'form-control')) !!}
          <span class="help-block">{{ $errors->first('email', ':message') }}</span>
      </div>
    </div>

    {!! Form::control('textarea', 0, 'summary', $errors, trans('back/blog.summary')) !!}


    {!! Form::selection('type', array('free' => trans('back/blog.NotPaid'),
                                      'paid'=> trans('back/blog.Paid')), 'type', 'Type:' )!!}

    {!! Form::selection('visibilite', array('public' => trans('back/blog.public'),
                                      'private'=> trans('back/blog.private')), 'type', trans('back/blog.visibilite') )!!}

    

    {!! Form::control('date', 0, 'date_debut', $errors, trans('back/blog.date_debut')) !!}
    {!! Form::control('time', 0, 'heure_debut', $errors, trans('back/blog.heure_debut')) !!}

    {!! Form::control('date', 0, 'date_fin', $errors, trans('back/blog.date_fin')) !!}
    {!! Form::control('time', 0, 'heure_fin', $errors, trans('back/blog.heure_fin')) !!}

    {!! Form::selection('country_id',$countries, '$NONE', trans('back/blog.country')) !!}

    {!! Form::selection('city_id',$cities, '$NONE', trans('back/blog.city')) !!}

    {!! Form::control('text', 0, 'lieu', $errors, trans('back/blog.lieu')) !!}
    {!! Form::control('text', 0, 'longitude', $errors, trans('back/blog.longitude')) !!}
    {!! Form::control('text', 0, 'lattitude', $errors, trans('back/blog.lattitude')) !!}


    {!! Form::selection('category_id', $categories, '$category_id', 'Categorie :', ['id' => 'categorie']) !!}
    {!! Form::selection('souscategory_id', $souscategories, '$souscategory_id', 'Souscategorie :', ['id' => 'souscategorie']) !!}



    {!! Form::bootselectbutton('promoteurs', 1, 'Promoteur :', $promoteurs) !!}<br> 

     
      <div class="row">
          <button id="add" type="button" class="btn btn-primary pull-right">{!! trans('back/blog.addPartner')!!} </button>
     </div>
     
        {!! Form::control('text', 0, 'tags', $errors, trans('back/blog.tags'), isset($tags)? implode(',', $tags) : '') !!}

        {!! Form::submit(trans('front/form.send')) !!}

        {!! Form::close() !!} 

  </div>

@stop

@section('scripts')

 <!--  {!! HTML::script('ckeditor/ckeditor.js') !!}
     jquery library -->
   
    <script src="//code.jquery.com/jquery-1.11.2.min.js"></script>
  
  <script>

      // set up jQuery with the CSRF token, or else post routes will fail
    $.ajaxSetup({ headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') } });

  var config = {
    codeSnippet_theme: 'Monokai',
    language: '{{ config('app.locale') }}',
    height: 100,
    toolbarGroups: [
      { name: 'clipboard',   groups: [ 'clipboard', 'undo' ] },
      { name: 'editing',     groups: [ 'find', 'selection', 'spellchecker' ] },
      { name: 'links' },
      { name: 'insert' },
      { name: 'forms' },
      { name: 'tools' },
      { name: 'document',    groups: [ 'mode', 'document', 'doctools' ] },
      { name: 'others' },
      { name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
      { name: 'paragraph',   groups: [ 'list', 'indent', 'blocks', 'align', 'bidi' ] },
      { name: 'styles' },
      { name: 'colors' }
    ]
  };


  CKEDITOR.replace( 'summary', config);

  $("#nom").keyup(function(){
      var str = sansAccent($(this).val());
      str = str.replace(/[^a-zA-Z0-9\s]/g,"");
      str = str.toLowerCase();
      str = str.replace(/\s/g,'-');
      $("#permalien").val(str);        
    });


   // Add an author line
      $("#add").click(function() {

        // Check for last id
        var max = id = 0;
        $('.line').each(function(){ id = parseInt(($(this).attr('id')).slice(-1)); if(id > max) max = id; });
        // First line
        var clone = $('#linepromoteurs' + max).clone(true);
        // Change id
        clone.attr('id', 'linepromoteurs' + ++max);
        // Change label for
        clone.find('label').attr('for', 'promoteur' + max);
        // Change select id
        clone.find('select').attr('id', 'promoteur' + max);
        // Add line
        $('#linepromoteurs' + id).after(clone);     
      });

      // Delete an author line
      $("#del").click(function() {
        // Delete if at least 2
        if($('.line').length > 1) $(this).parents('.row .line').remove(); 
      });



      function onPostChange(event)
      {
          var id = $('select[name="category_id"]').val();

           if(id != '') {
            $('select[name="souscategory_id"]').empty();

       // $id='1';
        // we're passing data with the post route, as this is more normal
        $.post('change', id, onSuccess,'json');
        }
      }


       function onPostChange2(event)
      {
          var id = $('select[name="country_id"]').val();

           if(id != '') {
            $('select[name="city_id"]').empty();

       // $id='1';
        // we're passing data with the post route, as this is more normal
        $.post('change2', id, onSuccess2,'json');
        }
      }



      function onSuccess(data, status, xhr)
      {
        // with our success handler, we're just logging the data...
       console.log(data, status, xhr);
        // but you can do something with it if you like - the JSON is deserialised into an object
      // console.log(String(data.value).toUpperCase())


       //Input::set('select[name="souscategory_id"]')=data;
    

        $.each(data, function(index, value) {
  
                         $('select[name="souscategory_id"]').append('<option value="'+ index +'">'+ value.name +'</option>');
                    });
      
       // $('#noms').append('<input type="text" value="' + data[0].name + '">');
      }

       function onSuccess2(data, status, xhr)
      {
        // with our success handler, we're just logging the data...
       console.log(data, status, xhr);
        // but you can do something with it if you like - the JSON is deserialised into an object
      // console.log(String(data.value).toUpperCase())


       //Input::set('select[name="souscategory_id"]')=data;
    

        $.each(data, function(index, value) {
  
                         $('select[name="city_id"]').append('<option value="'+ index +'">'+ value.name +'</option>');
                    });
      
       // $('#noms').append('<input type="text" value="' + data[0].name + '">');
      }
      $(document).on('change', 'select[name="category_id"]', onPostChange); 
      $(document).on('change', 'select[name="country_id"]', onPostChange2); 

  </script>

@stop
