@extends('meeting.template')


@section('head')

  {!! HTML::style('ckeditor/plugins/codesnippet/lib/highlight/styles/default.css') !!}



@section('main')

  <div class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">
    <div class="row">
      <ol class="breadcrumb">
        <li><a href="#"><svg class="glyph stroked home"><use xlink:href="#stroked-home"></use></svg></a></li>
        <li class="active">Accueil</li>
      </ol>
    </div><!--/.row-->


    <!-- Entête de page -->
  @include('back.partials.entete', ['title' => trans('Dashboard Departement'), 'icone' => 'pencil', 'fil' => link_to('blog', 'Departement') . ' / ' . trans('Creation')])

    <div class="row">
      <div class="col-lg-12">
        <div class="panel panel-default">
          <div class="panel-heading">Formulaire Departement</div>
          <div class="panel-body">
            <div class="col-md-6">

              <div class="col-sm-12">
    @yield('form')

    {!! Form::open(['route' => 'souscategories.store', 'method' => 'post', 'class' => 'form-horizontal panel']) !!}
    {!! Form::control('text', 0, 'name', $errors, trans('Nom')) !!}
    {!! Form::selection('category_id',$categories,'$Categories', 'Category :') !!}
    {!! Form::submit(trans('Envoyer')) !!}

    {!! Form::close() !!}
  </div>

            </div>
          </div>


      @section('scripts')

  {!! HTML::script('ckeditor/ckeditor.js') !!}
  
  <script>

  var config = {
    codeSnippet_theme: 'Monokai',
    language: '{{ config('app.locale') }}',
    height: 100,
    toolbarGroups: [
      { name: 'clipboard',   groups: [ 'clipboard', 'undo' ] },
      { name: 'editing',     groups: [ 'find', 'selection', 'spellchecker' ] },
      { name: 'links' },
      { name: 'insert' },
      { name: 'forms' },
      { name: 'tools' },
      { name: 'document',    groups: [ 'mode', 'document', 'doctools' ] },
      { name: 'others' },
      //'/',
      { name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
      { name: 'paragraph',   groups: [ 'list', 'indent', 'blocks', 'align', 'bidi' ] },
      { name: 'styles' },
      { name: 'colors' }
    ]
  };

  CKEDITOR.replace( 'summary', config);

  config['height'] = 400;   

  CKEDITOR.replace( 'content', config);

  $("#title").keyup(function(){
      var str = sansAccent($(this).val());
      str = str.replace(/[^a-zA-Z0-9\s]/g,"");
      str = str.toLowerCase();
      str = str.replace(/\s/g,'-');
      $("#permalien").val(str);        
    });

  </script>

        </div>
      </div>
    </div>
  </div><!-- /.col-->
  </div><!-- /.row -->

  </div>
  </div><!--/.main-->