@extends('meeting.template')

@section('main')
    <link href="{{asset('css/meeting/bootstrap-table.css')}}" rel="stylesheet">
    <div class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">
        <div class="row">
            <ol class="breadcrumb">
                <li><a href="{{url('/')}}"><svg class="glyph stroked home"><use xlink:href="#stroked-home"></use></svg></a></li>
                <!--<li class="active">Icons</li>-->
            </ol>
        </div><!--/.row-->
        <div class="row">
            <div class="col-lg-12">
                <h1 class="page-header">Utilisateurs enregistrés</h1>
            </div>
        </div><!--/.row-->
        @if(session()->has('ok'))
            @include('partials/error', ['type' => 'success', 'message' => session('ok')])
        @endif
        <div class="row">

            <table data-toggle="table"  data-show-toggle="true" data-show-columns="true" data-search="true" data-select-item-name="toolbar1" data-pagination="true" data-sort-name="name" data-sort-order="desc">
                <thead>
                <tr>
                    <th data-field="username" data-sortable="true">Username</th>
                    <th data-field="email"  data-sortable="true">Email</th>
                    <th data-field="statut"  data-sortable="true">Statut</th>
                    <th data-field="date" data-sortable="true">Date enregistrement</th>
                    <th data-field="price" data-sortable="true">Action</th>
                </tr>
                </thead>
                <tbody>

                @foreach($users as $i)
                    <tr>
                        <td> {{$i->username}}</td>
                        <td> {{$i->email}}</td>
                        <td> {{$i->title}}</td>
                        <td> {{$i->created_at}}</td>
                        <td> 
                            <a class="btn btn-primary" href="{!!url('/user/update/'.$i->user_id) !!}"><i class="fa fa-plus-square"></i>Editer statut</a>
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>


@endsection

@section('footerscripts')
    <script src="{{asset('/js/jquery-1.11.1.min.js')}}"></script>
    <script src="{{asset('/js/bootstrap-table.js')}}"></script>

    <script type="text/javascript">
        function action(data){
            var id = $(data).attr('data-content');
            var action = $(data).attr('data-action');
            var element = $(data);
            $.ajax({
                url:'/user/update',
                type:'POST',
                data:{'id':id,'action':action},
                success:function(data1){
                    //console.log(data1);
                    if(data1["status"] == true){
                        $(element).fadeOut(function(){
                            $(element).parents('tr').remove();
                        })
                    }
                },
                error:function(){
                }
            });
        }
    </script>
@stop