@extends('front.template')

@section('main')
<div id="contact-page" class="container">
    	<div class="bg">
	    	<div class="row">    		
	    		<div class="col-sm-12">    			   			
					<h2 class="title text-center">Ticket system</h2>    			    				    				
					<div id="gmap" class="contact-map">

					1 General
(1) All ticket prices for events that occur in the Republic of South Africa are stated in South African Rand (ZAR). If you are making use of our service from outside South Africa you are solely liable for any currency conversion costs, exchange rate fluctuations and international bank fees that may be charged by your bank or financial services provider in addition to the advertised price of the ticket.
(2) We act as an agent for the providers, promoters and organizers of events (“Event Organisers”). We sell tickets to you and collect payment from you on behalf of such Event Organisers. Each ticket that you purchase from us is subject to these terms of use as well as the Event Organiser’s terms and rules applicable to the particular event (“the Ticket Terms”). Such Ticket Terms may be referred to or set out on the relevant ticket or may otherwise be made available to you on our computer systems. Each ticket that you purchase from us is intended to be a revocable license to attend the particular event to which the ticket pertains only and will not enable you to attend any other event.
(3) These terms of use apply only to the processes described herein. Your rights under the ticket issued to you are enforceable against the Event Organiser only and are regulated by the Ticket Terms. It is your responsibility to familiarize yourself with the relevant Ticket Terms before submitting a booking request.
2 Booking Process
(1) To book tickets with us, you will be required to complete the prescribed booking form. You must be over the age of 18 and able to conclude binding contracts to submit a booking to us or, if you under the age of 18, you must have obtained the consent of your parents or legal guardian to submit a booking to us. If you do not comply with the aforesaid you may not submit any booking for tickets via our computer systems. We may require you to provide us with suitable documents proving your age and/or the consent of your parents or legal guardian prior to accepting any booking from you.
(2) You may submit booking requests for tickets to us by completing our automated booking process and submitting your payment information to us in the prescribed manner. Our booking process will provide you with an opportunity to review the entire transaction, to correct any mistakes and to withdraw from the transaction before finally submitting your booking request. Please make sure that the booking details are correct before submitting the booking request, since it is unlikely that any mistake you make can be rectified later. We may limit your booking to a specified number of persons to discourage unfair booking practices.
(3) Once submitted, your booking request will constitute an offer on the terms and conditions contained in these terms of use and the Ticket Terms that is open for acceptance by us to conclude a binding agreement with you. It is your responsibility to review such Ticket Terms before making a booking. Following receipt of your booking request, we will send you a confirmation notice confirming acceptance or rejection of your booking request containing the relevant booking number.
(4) A legally binding contract will be formed between us upon the earlier of (i) our sending of such a confirmation notice confirming our acceptance of your booking, or (ii) our delivery of the tickets ordered in accordance with these terms. We reserve the right not to accept or process your booking request and we will notify you if this is the case. In particular, we may refuse to sell you tickets to events for which you do not meet the specified qualification criteria, including if you do not comply with the minimum age for the particular event stipulated by law or if the number of persons in your booking exceeds any applicable limit specified for the relevant event.
(5) Please note that while we will try to send to you a confirmation notice for every valid booking request we receive from you, we cannot guarantee that such confirmation notice will be received by you, nor that, if they are received by you, that they will be legible and uncorrupted. Your failure to receive such confirmation notice will not affect the validity of the agreement concluded between us in respect of a booking.
(6) If you do not receive a confirmation notice after submitting your payment information, or if you experience an error message or service interruption after submitting your payment information, you should confirm with us whether or not your order has been received and processed. Only you may be aware of any problems that may have occurred during the booking process. WE WILL NOT BE LIABLE FOR ANY LOSSES YOU MAY INCUR IF YOU ASSUME THAT A BOOKING WAS NOT PROCESSED BECAUSE YOU FAILED TO RECEIVE OUR CONFIRMATION NOTICE.
(7) The information you have submitted with your booking request will be processed as you have provided it. If you realise that an error has been made or that you need to make a change to such information, you should contact us immediately.
(8) These terms of use shall override any contrary terms or conditions incorporated by you in your order and any such conflicting terms or conditions will not form part of any agreement concluded between us in respect of the booking of tickets.
(9) We will retain records of ticket purchases made by you and you will be able to access outstanding booking requests with us at https://www.sdkgames.com/TransactionHistory. Such records may be archived at any time as from six months after your purchase and will then become inaccessible to you. For information on archived records you can call our Customer Care Centre.
(10) If any problems arise in respect of delivery or the handling of your ticket purchases please contact our Customer Care Centre on +27 83 393 03 59
3 Description and Pricing
(1) The details of the events (including the details of the relevant Event Organiser, venues and seating arrangements) for which tickets are offered will be as described on our web site at mooevents.sdkgames.com. Such descriptions are provided to us by the relevant Event Organisers. WE DO NOT ENDORSE ANY OF THE EVENTS AND WE DO NOT DETERMINE OR CONTROL DELIVERY, TICKET PRICES OR AVAILABILITY IN RESPECT OF THE EVENTS AND CAN THEREFORE NOT ACCEPT RESPONSIBILITY FOR ANY INACCURACY, UNAVAILABILITY OR CHANGES IN PRICING THAT MAY OCCUR. WE ARE ALSO NOT RESPONSIBLE FOR SECURING ANY VENUE, GRANTING YOU ADMISSION TO ANY VENUE OR FOR THE SECURITY OR SEATING ARRANGEMENTS FOR ANY VENUE, OR FOR THE SCHEDULING, TIMELY DELIVERY, SUITABILITY OR QUALITY OF PERFORMANCES, VENUES OR THE SEATING ARRANGEMENTS. PLEASE CONTACT THE RELEVANT EVENT ORGANISER IF YOU ARE DISSATISFIED WITH ANY OF THE AFORESAID.
(2) The supply of tickets offered to you depends upon the availability thereof. We may without prior notice change the price, change or discontinue the availability or change the description of venues, seating arrangements or events for which tickets are made available. Special promotions may be subject to certain additional terms and conditions.
(3) Unless otherwise stated, all ticket prices displayed are in South African Rand. All prices indicated as applying to tickets will be exclusive of delivery fees which will be separately charged to you in respect of all deliveries in accordance with the specified rates. In the event of a cancellation, exchange or replacement of tickets at your request a stipulated handling fee and/or a cancelation fee may also apply.
(4) All prices indicated as applying to tickets will be inclusive of VAT but exclusive of any other taxes and duties, which, unless otherwise indicated, will be charged separately if applicable.
4 Payment
(1) You will be required to provide the necessary payment account details (such as credit card details) when submitting your booking request . By submitting a booking request to us, you authorise us to debit your designated account with the relevant amounts due for the tickets ordered. Such authorization will allow us to obtain payment at any time after our confirmation of your booking. We will not be obliged to issue any tickets to you prior to receiving full payment of the full agreed amount payable in respect of such tickets. Should we be unable to duly effect such payment for any reason your booking may be cancelled and your tickets may be resold to another customer without further notice. You warrant that you are duly authorised to make payments from the account designated by you. You also authorise us to pay all amounts to be refunded to you into such account.
5 Ticket Collections and Delivery
The following options are available based on your selection at the time of check out; 
You can:
• Collect from the venue 
• Download an electronic ticket or reference number
• Print your  ticket at home

(1) In case of collection, we recommend that you collect your tickets at least 48 hours before the event. You will be required to present your credit card, reasonably acceptable photo identification (ID book or passport) and any booking number that we may have issued to you. We will not be obliged to provide the tickets to anyone failing to provide us with such details. 
 
(2) You may also be provided with electronic tickets containing unique identification numbers, barcodes and/or access codes. You are responsible for keeping such identification numbers, barcodes and/or access codes secure since such identification numbers, barcodes and/or access codes will enable the first user thereof to access to the relevant event and only a single use thereof will be permitted.
 
6 Ticket Resales
Reselling of tickets purchased from us is strictly prohibited. Any resale of tickets purchased from us (or attempt) will entitle us to cancel such tickets and to resell them to our other customers. No ticket purchased from us may be used for advertising, promotion or competition purposes unless formal written authorization has been obtained from us, provided that even if such consent is obtained, you may not use our trademarks save as expressly authorised by us.
7 Lost, Stolen and Destroyed Tickets
Only the first person using a ticket or, in the case of an electronic ticket, using the unique identification numbers, barcodes and/or access codes provided with such electronic ticket, will be permitted access to an event. Risk for loss and damage to the tickets shall pass to you upon your receipt thereof. Tickets that have been lost, stolen or destroyed will not be refunded or replaced for any reason.
8 Cancellations, Refunds and Exchanges
(1) You may cancel any booking submitted to us for tickets that have not yet been issued to you at any time prior to the date of the event to which such booking pertains, by sending a cancellation notice to info@sdkgames.com. When you cancel your booking or return your tickets you must provide us with the relevant booking number. Following receipt of your booking cancellation or returned tickets, we will refund you the face value paid for the relevant tickets (or, if a discounted ticket, then instead the discounted ticket price paid), provided that reasonable cancellation charges as determined by the Event Organiser may be charged and deducted from such refund. Unless otherwise stipulated by the Event Organiser and depending on the prevailing circumstances the following cancellation charges may apply:
• If the cancellation occurs more than 30 days prior to the event a 15% cancellation fee will apply;
• If the cancellation occurs less than 30 but more than 7 days prior to the event a 50% cancellation fee will apply;
• If the cancellation occurs less than 7 days prior to the event a 100% cancellation fee will apply;
• Notwithstanding the aforesaid, if you can provide us with suitable documentary proof that a person in whose name a ticket was booked will not be able to attend the event because of his/her death and/or hospitalisation, no cancellation fee will apply in respect of the cancellation of such person’s ticket.
(2) Event Organisers may refuse admission to events, alter the program or seating arrangements for events, or even postpone or cancel events in certain circumstances. In such case, the Event Organiser may offer a refund or exchange of tickets for which you may be required to follow certain procedures specified by the Event Organiser. No refund will apply if you are refused admission to the event because you are younger than the minimum age for attendance specified by law or you otherwise fail to qualify for attendance. Should an event be cancelled or postponed, we will provide a notice on our web site at mooevents.sdkgames.com /eventscancelation or contact you to inform you of the relevant refund or exchange procedures for that event. In order to receive any refund or an exchange that is offered, you will have to comply with the Event Organiser’s instructions and deadlines.
(3) If a refund is issued hereunder, it will be issued using the same method of payment that was used to purchase the tickets. If a credit card was used to make the refunded purchase, then only that actual credit card will receive the credit for the refund.
9 Security
(1) We will try to ensure that sensitive payment information (such as your credit card details) provided to us are suitably protected. For such purposes we will implement reasonable security measures which may include cryptographic techniques to protect such information. HOWEVER, WE DO NOT GUARANTEE THE ABSOLUTE SECURITY OF ANY INFORMATION YOU TRANSMIT TO US OR THAT IS TRANSMITTED TO YOU OR ANY OTHER PERSON.
(2) Attendance at an event may be hazardous to the health or safety of the attendees or their property. YOU ATTEND EVENTS AT YOUR OWN RISK. WE ARE NOT RESPONSIBLE FOR THE ARRANGEMENTS OF ANY EVENT OR FOR YOUR SECURITY OR THE SECURITY OF YOUR PROPERTY IN ATTENDING SUCH EVENT. Please contact the relevant Event Organiser if you have suffered any loss or damage in attending an event.
10. Use of Your Personal Information
10.1. We and our commercial partners may use your personal data for the purposes of executing transactions concluded with you, for billing purposes or in order to serve relevant advertising to you. We and our affiliates may send you information, special offers and advertising by email, through SMS, within our regular newsletters, through once-off promotional offers or by telephone.
10.2. We may also make available your personal information to our affiliates (who may be located outside South Africa) in order to enable them to offer goods and services to you that they think will interest you. By using our services and by submitting your personal details, you consent to this transfer and to receive direct marketing material from us and/or our affiliates.
10.3. We may receive information about you from reliable third parties and add it to our database. We shall ensure that such third parties operate a similar policy to us in relation to your privacy. When we receive such information, we shall use it to improve the personalisation of our service.
10.4. If you do not want to receive the information as set out in clause 10.2 above then please send an e-mail to us at unsubscribe@sdkgames.com. 
11. Warranties and Liability
(1) ALTHOUGH WE TRY TO ENSURE THAT THE PARTICULARS OF THE EVENTS THAT APPEAR ON OUR COMPUTER SYSTEMS ARE DISPLAYED AND DESCRIBED COMPLETELY AND ACCURATELY, WE DO NOT WARRANT SAME AND DISCLAIM TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW ANY LIABILITY ARISING FROM ANY OMISSIONS AND INACCURACIES PERTAINING TO SUCH DISPLAY AND DESCRIPTION SAVE TO THE EXTENT THAT SUCH LIABILITY IS CAUSED BY OUR GROSS NEGLIGENCE OR FRAUD.
(2) WE WILL NOT BE LIABLE FOR ANY INDIRECT, SPECIAL OR CONSEQUENTIAL LOSSES OF ANY KIND WHATSOEVER ARISING IN CONNECTION WITH ANY BOOKING (WHETHER IN CONTRACT, STATUTE OR DELICT, INCLUDING FOR NEGLIGENCE), SAVE TO THE EXTENT THAT SUCH LIABILITY CANNOT BE EXCLUDED BY LAW.
(3) IN NO EVENT WILL OUR AGGREGATE LIABILITY FOR ALL CLAIMS ARISING IN CONNECTION WITH ANY BOOKING EXCEED THE TICKET PRICE ACTUALLY RECEIVED FROM YOU IN RESPECT OF SUCH BOOKING, IRRESPECTIVE OF THE CAUSE OF ACTION (WHETHER IN CONTRACT, STATUTE OR DELICT, INCLUDING FOR NEGLIGENCE), SAVE TO THE EXTENT THAT SUCH LIABILITY CANNOT BE EXCLUDED BY LAW.

					</div>
				</div>			 		
			</div>    	
    	
    	</div>	
    </div><!--/#contact-page-->
@stop