<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use DB;
use Carbon\Carbon;
use DateTime;
use App\Repositories\UserRepository;

use Illuminate\Support\Facades\Redis;

class CronJob extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'CronJob:cronjob';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Create Seance Automatically';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle(UserRepository $user_gestion)
    {
        //Pour créer une séance de chaque tontine de façon automatique
        //$schedule->call(function () {

        /****************************************     Partie pour mettre le type date yyyy-mm-dd HH:MM:SS à yyyy-mm-dd 00:00:00     *******************************************/

        $seance_tontines = \DB::table('seances')
            ->where('archived','=',0)
            ->get();

        if(!empty($seance_tontines)){
            foreach($seance_tontines as $t){
                //dd($t->id);
                $date_fin_seance_formatee = new DateTime($t->date_fin);
                //dd($t->id,$date_fin_seance_formatee->format('H'));

                $date_fin_seance_formatee->format('20y-m-d');
                $date_fin_seance_formatee->setTime(0,0,0);

                $date_debut_seance_derniere_formatee = new DateTime($t->date_debut);
                $date_debut_seance_derniere_formatee->format('20y-m-d');
                $date_debut_seance_derniere_formatee->setTime(0,0,0);
                //dd($date_debut_seance_derniere_formatee,$date_fin_seance_formatee);

//                $timestamp2 = strtotime('2018-02-28');
//                $timestamp1 = strtotime('2018-03-01');
//                dd($timestamp1,$timestamp2,$timestamp1 - $timestamp2);

                \DB::table('seances')
                    ->where('id','=',$t->id)
                    ->update([
                        'date_debut' => $date_debut_seance_derniere_formatee,
                        'date_fin' =>  $date_fin_seance_formatee
                    ]);
            }


        }

        /****************************************     End Partie pour mettre le type date yyyy-mm-dd HH:MM:SS à yyyy-mm-dd 00:00:00     *******************************************/


        //$nodeJsPath = '/home/devsdkgames/mootontine';



        //$ret = exec('cd /home/devsdkgames/mootontine; node app.js 2>&1', $out, $err);



        //dd($ret,$out,$err);



        /****************************************     Partie pour créer un cycle automatiquement (CycleCron:cyclecron)     ************************************************************/

        $tontines1 = \DB::table('tontines')
            //->where('statut_cycle_cronjob','=',0)
            ->where('statutgeneral','=','tout_rempli')
            ->orderBy('created_at','desc')
            //->limit(25)    //ici on limite les ressources à 100 tontines
            ->get();

        $compteur_tontine = \DB::table('tontines')
            ->where('statutgeneral','=','tout_rempli')
            //->orderBy('created_at','desc')
            ->count();

        $tontines = $tontines1;

        if(!empty($tontines)){

            foreach ($tontines as $tontine) {

                //ici j'update le champ statut_cycle_cronjob à 1 pour dire que le cronjob CycleCronJob a déjà été exécuté pour cette tontine
                \DB::table('tontines')
                    ->where('id', '=', $tontine->id)
                    ->update([
                        'statut_cycle_cronjob' => 1
                    ]);

                if ($tontine->statutgeneral == "tout_rempli" /*AND ($tontine->drawingtype_id == 1 /* Alphabetically */ /*||*/
                    /*$tontine->drawingtype_id == 2 /* Random */ /*|| $tontine->drawingtype_id = 3 /*Bid*//*)*/) {

                    //je regarde si la tontine a déjà un cycle
                    $recherche = \DB::table('cycles')
                        ->where('tontine_id', '=', $tontine->id)
                        ->where('archived', '=', 0)
                        ->first();

                    //membres de la tontine
                    $all_members = \DB::table('membrestontines')
                        ->where('tontine_id','=',$tontine->id)
                        ->select('user_id')
                        ->distinct()
                        ->get();

                    if(empty($recherche)){  //alors pas de cycle créé et on créé le cycle
                        \DB::table('cycles')
                            ->insert([
                                [
                                    'tontine_id' => $tontine->id,
                                    'numerocycle' => 1,
                                    'archived' => 0,
                                    'created_at' => Carbon::now(),
                                    'updated_at' => Carbon::now()
                                ]
                            ]);

                        $cycle = \DB::table('cycles')
                            ->where('tontine_id','=',$tontine->id)
                            ->where('numerocycle','=',1)
                            ->where('archived','=',0)
                            ->first();

                        //puis je notifie les users qu'un cycle débute
                        if(!empty($all_members)){
                            $titre = "Début Cycle";
                            $description = "Un nouveau cycle commence";
                            $tontine_id = $tontine->id;
                            $seance_id = 0;
                            $numero_seance = 0;
                            $cycle_id = $cycle->id;
                            $numero_cycle = $cycle->numerocycle;
                            $penalite_id = 0;
                            $numero_part = 1;

                            foreach ($all_members as $m){
                                $user_id = $m->user_id;
                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                            }
                        }
                    }

                    if(!empty($recherche)){
                        //on teste si tous les membres ont déjà bouffé dans le cycle courant de la tontine
                        //dd($recherche);



                        $resultat = false;

                        /*
                        //je compte tous les membres qui ont bouffé dans la table bouffes
                        $nombre_membres_bouffes = \DB::table('bouffes')
                            ->where('tontine_id', '=', $tontine->id)
                            ->where('cycle_id','=',$recherche->id)
                            ->count();

                        //je compte tous les membres de la tontine
                        $membre_tontines = \DB::table('membrestontines')
                            ->where('tontine_id', '=', $tontine->id)
                            ->count();

                        if($nombre_membres_bouffes == 0){ 		//pour dire aucun membre n'a bouffé
                            $resultat = false;
                        }

                        if($membre_tontines == $nombre_membres_bouffes){
                            $resultat = true;	//pour dire que tous les membres ont bouffés
                        }
                        */




                        //$resultat = $user_gestion->statutCycle($tontine->id,$recherche->id);

                        $resultat = $this->statutCycle($tontine->id,$recherche->id,$tontine->numberlot);

                        if($resultat == true){  //alors tous les membres ont déjà bouffé
                            //dans ce cas on archive le cycle et on créé un autre
                            \DB::table('cycles')
                                ->where('id', '=', $recherche->id)
                                ->update([
                                    'archived' => 1,
                                    'updated_at' => Carbon::now()
                                ]);

                            //puis je notifie les users que le cycle en cours est terminé
                            if(!empty($all_members)){
                                $titre = "Fin Cycle";
                                $description = "Le cycle en cours est terminé";
                                $tontine_id = $recherche->tontine_id;
                                $seance_id = 0;
                                $numero_seance = 0;
                                $cycle_id = $recherche->id;
                                $numero_cycle = $recherche->numerocycle;
                                $penalite_id = 0;
                                $numero_part = 1;

                                foreach ($all_members as $m){
                                    $user_id = $m->user_id;
                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                                }
                            }

                            $numerocycle = $recherche->numerocycle + 1;

                            \DB::table('cycles')
                                ->insert([
                                    [
                                        'tontine_id' => $tontine->id,
                                        'numerocycle' => $numerocycle,
                                        'archived' => 0,
                                        'created_at' => Carbon::now(),
                                        'updated_at' => Carbon::now()
                                    ]
                                ]);

                            //puis je notifie les users qu'un nouveau cycle commence
                            $cycle = \DB::table('cycles')
                                ->where('tontine_id','=',$tontine->id)
                                ->where('numerocycle','=',$numerocycle)
                                ->where('archived','=',0)
                                ->first();

                            if(!empty($all_members)){
                                $titre = "Début Cycle";
                                $description = "Un nouveau cycle commence";
                                $tontine_id = $tontine->id;
                                $seance_id = 0;
                                $numero_seance = 0;
                                $cycle_id = $cycle->id;
                                $numero_cycle = $cycle->numerocycle;
                                $penalite_id = 0;
                                $numero_part = 1;

                                foreach ($all_members as $m){
                                    $user_id = $m->user_id;
                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                                }
                            }


                        }
                    }
                }
            }
        }

        $compteur_cycle_cronjob = \DB::table('tontines')
            ->where('statut_cycle_cronjob','=',1)
            ->where('statutgeneral','=','tout_rempli')
            ->count();

        //je teste si le compteur_tontine = compteur_cycle_cronjob
        if($compteur_tontine == $compteur_cycle_cronjob){
            //dans ce cas je remets tout les champs statut_cycle_cronjob de ces tontines à 0
            $cycle_tontines = \DB::table('tontines')
                ->where('statut_cycle_cronjob','=',1)
                ->where('statutgeneral','=','tout_rempli')
                ->get();

            if(!empty($cycle_tontines)){
                foreach($cycle_tontines as $t){
                    \DB::table('tontines')
                        ->where('id','=',$t->id)
                        ->update([
                            'statut_cycle_cronjob' => 0
                        ]);
                }

            }
        }

        //})->everyMinute();

        $this->info('Create Cycle Successfully!');

        /****************************************   END  Partie pour créer un cycle automatiquement (CycleCron:cyclecron)   ************************************************************/






        /****************************************     Partie pour créer une séance automatiquement        ************************************************************/

        //je dois d'abord avoir la liste des différentes tontines du système
        $tontines = \DB::table('tontines')
            //->where('statut_seance_cronjob','=',0)
            ->where('statutgeneral','=','tout_rempli')
            ->orderBy('created_at','desc')
            //->limit(25)    //ici on limite les ressources à 100 tontines
            ->get();

        $compteur_tontine = \DB::table('tontines')
            ->where('statutgeneral','=','tout_rempli')
            ->count();


        if(!empty($tontines)){

            foreach ($tontines as $tontine) {

                //ici j'update le champ statut_seance_cronjob à 1 pour dire que le cronjob SeanceCronJob a déjà été exécuté pour cette tontine
                \DB::table('tontines')
                    ->where('id', '=', $tontine->id)
                    ->update([
                        'statut_seance_cronjob' => 1
                    ]);

                //$seance_en_cours = NULL;
                $seance_derniere = NULL;
                $membre_alphabetiques = NULL;
                $calculs = NULL;

                if ($tontine->statutgeneral == "tout_rempli") {

                    //je dois vérifier s'il y a une séance en cours non terminée
                    $seance_en_cours = \DB::table('seances')
                        ->where('tontine_id', '=', $tontine->id)
                        //->whereDate('date_debut','<=',Carbon::now())
                        //->whereDate('date_fin','>=',Carbon::now())
                        ->where('archived', '=', 0)
                        ->first();

                    //membres de la tontine
                    $all_members = \DB::table('membrestontines')
                        ->where('tontine_id','=',$tontine->id)
                        ->select('user_id')
                        ->distinct()
                        ->get();

                    if (!empty($seance_en_cours)) {   //ça veut dire qu'il y a une séance en cours
                        $date_debut_test = \Carbon\Carbon::parse($seance_en_cours->date_debut);
                        $date_fin_test = \Carbon\Carbon::parse($seance_en_cours->date_fin);
                        $date_courante = Carbon::now();    //1 pour dire qu'on ajoute 1h.  Astuces: Carbon:now($timezone) va prendre en paramètre le timezone de la tontine en fonction de son pays

                        //$date_courante = Carbon::now('Europe/London');   //pour charger le temps courant de notre fuseau horaire

                        //cas où année_date_début < année_date_courante et année_date_fin < année_date_courante
                        if ($date_debut_test->year < $date_courante->year AND $date_fin_test->year < $date_courante->year) { //alors séance passée
                            \DB::table('seances')
                                ->where('id', '=', $seance_en_cours->id)
                                //->where('date_debut','<=', Carbon::now())
                                //->where('date_fin','>',Carbon::now())
                                ->update([
                                    //'date_debut' => $date_debut_test,
                                    'archived' => 1,
                                    'updated_at' => Carbon::now()
                                ]);

                            $seance = \DB::table('seances')
                                ->where('id','=',$seance_en_cours->id)
                                ->first();

                            $numCycle = \DB::table('cycles')
                                ->where('id','=',$seance->cycle_id)
                                ->where('archived','=',0)
                                ->first();

                            //puis je notifie les users qu'une séance en cours est terminée
                            if(!empty($all_members)){
                                $titre = "Fin Séance";
                                $description = "Une séance en cours est terminée";
                                $tontine_id = $tontine->id;
                                $seance_id = $seance->id;
                                $numero_seance = $seance->numero_seance;
                                $cycle_id = $numCycle->id;
                                $numero_cycle = $numCycle->numerocycle;
                                $penalite_id = 0;
                                $numero_part = 1;

                                foreach ($all_members as $m){
                                    $user_id = $m->user_id;
                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                                }
                            }

                        }

                        //cas où mois_date_début <= mois_date_courante et mois_date_fin < mois_date_courante ici les années doivent être égales (annee_date_debut = annee_date_fin = annee_date_courante
                        if ($date_debut_test->month <= $date_courante->month AND $date_courante->month > $date_fin_test->month AND
                            $date_debut_test->year == $date_courante->year AND $date_fin_test->year == $date_courante->year) { //alors séance passée
                            \DB::table('seances')
                                ->where('id', '=', $seance_en_cours->id)
                                //->where('date_debut','<=', Carbon::now())
                                //->where('date_fin','>',Carbon::now())
                                ->update([
                                    //'date_debut' => $date_debut_test,
                                    'archived' => 1,
                                    'updated_at' => Carbon::now()
                                ]);

                            $seance = \DB::table('seances')
                                ->where('id','=',$seance_en_cours->id)
                                ->first();

                            $numCycle = \DB::table('cycles')
                                ->where('id','=',$seance->cycle_id)
                                ->where('archived','=',0)
                                ->first();

                            //puis je notifie les users qu'une séance en cours est terminée
                            if(!empty($all_members) AND !empty($seance) AND !empty($numCycle)){
                                $titre = "Fin Séance";
                                $description = "Une séance en cours est terminée";
                                $tontine_id = $tontine->id;
                                $seance_id = $seance->id;
                                $numero_seance = $seance->numero_seance;
                                $cycle_id = $numCycle->id;
                                $numero_cycle = $numCycle->numerocycle;
                                $penalite_id = 0;
                                $numero_part = 1;

                                foreach ($all_members as $m){
                                    $user_id = $m->user_id;
                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                                }
                            }

                        }

                        //cas où mois_date_debut = mois_date_fin = mois_date_courante et annee_date_debut = annee_date_fin = annee_date_courante ici le contrôle se fait sur les jours
                        if ($date_debut_test->day <= $date_courante->day AND $date_courante->day > $date_fin_test->day AND
                            $date_debut_test->month == $date_courante->month AND $date_fin_test->year == $date_courante->year) { //alors séance passée
                            \DB::table('seances')
                                ->where('id', '=', $seance_en_cours->id)
                                //->where('date_debut','<=', Carbon::now())
                                //->where('date_fin','>',Carbon::now())
                                ->update([
                                    //'date_debut' => $date_debut_test,
                                    'archived' => 1,
                                    'updated_at' => Carbon::now()
                                ]);

                            $seance = \DB::table('seances')
                                ->where('id','=',$seance_en_cours->id)
                                ->first();

                            $numCycle = \DB::table('cycles')
                                ->where('id','=',$seance->cycle_id)
                                ->where('archived','=',0)
                                ->first();

                            //puis je notifie les users qu'une séance en cours est terminée
                            if(!empty($all_members) AND !empty($seance) AND !empty($numCycle)){
                                $titre = "Fin Séance";
                                $description = "Une séance en cours est terminée";
                                $tontine_id = $tontine->id;
                                $seance_id = $seance->id;
                                $numero_seance = $seance->numero_seance;
                                $cycle_id = $numCycle->id;
                                $numero_cycle = $numCycle->numerocycle;
                                $penalite_id = 0;
                                $numero_part = 1;

                                foreach ($all_members as $m){
                                    $user_id = $m->user_id;
                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                                }
                            }

                        }

                        //cas où jour_date_debut = jour_date_fin = jour_date_courant et mois_date_debut = mois_date_fin = mois_date_courante  et annee_date_debut = annee_date_fin = annee_date_courante ici le contrôle se fait sur heure_debut et heure_fin
                        if ($date_debut_test->day == $date_courante->day AND $date_fin_test->day == $date_courante->day AND
                            $date_debut_test->month == $date_courante->month AND $date_fin_test->month == $date_courante->month AND
                            $date_debut_test->year == $date_courante->year AND $date_fin_test->year == $date_courante->year) {

                            $heure_debut = $seance_en_cours->heure_debut;
                            $heure_fin = $seance_en_cours->heure_fin;
                            $conversion_heure_courante_en_secondes = $this->ConvertCurrentTimeInSecond();


                            /*$time_debut =  \Carbon\Carbon::parse($heure_fin);
                            $time_debut_heure = $time_debut->hour;
                            $time_debut_minute = $time_debut->minute;
                            $time_debut_seconde = $time_debut->second;

                            $conversion_heure_fin_en_secondes = $time_debut_seconde + ($time_debut_minute * 60) + ($time_debut_heure * 3600);*/




                            //$conversion_heure_fin_en_secondes = $user_gestion->ConvertTimeInSecond($heure_fin);

                            $conversion_heure_fin_en_secondes = $this->ConvertTimeInSecond($heure_fin)/*+3600*//*1h en plus du serveur*//*- 1080*//*18 minutes en moins pour les arrêts du cronjob*/;

                            if ($conversion_heure_fin_en_secondes <= $conversion_heure_courante_en_secondes) { //alors séance terminée
                                \DB::table('seances')
                                    ->where('id', '=', $seance_en_cours->id)
                                    //->where('date_debut','<=', Carbon::now())
                                    //->where('date_fin','>',Carbon::now())
                                    ->update([
                                        //'date_debut' => $date_debut_test,
                                        'archived' => 1,
                                        'updated_at' => Carbon::now()
                                    ]);

                                $seance = \DB::table('seances')
                                    ->where('id','=',$seance_en_cours->id)
                                    ->first();

                                $numCycle = \DB::table('cycles')
                                    ->where('id','=',$seance->cycle_id)
                                    ->where('archived','=',0)
                                    ->first();

                                //puis je notifie les users qu'une séance en cours est terminée
                                if(!empty($all_members) AND !empty($seance) AND !empty($numCycle)){
                                    $titre = "Fin Séance";
                                    $description = "Une séance en cours est terminée";
                                    $tontine_id = $tontine->id;
                                    $seance_id = $seance->id;
                                    $numero_seance = $seance->numero_seance;
                                    $cycle_id = $numCycle->id;
                                    $numero_cycle = $numCycle->numerocycle;
                                    $penalite_id = 0;
                                    $numero_part = 1;

                                    foreach ($all_members as $m){
                                        $user_id = $m->user_id;
                                        $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                                    }
                                }

                            }

                        }

                    }

                    if (empty($seance_en_cours)) {          //ça veut dire qu'il n'y a aucune séance en cours
                        //je prends la périodicité de la tontine
                        $periodicite = $tontine->periodicite;
                        $date_debut_tontine = $tontine->date_debut;

                        //je prends la dernière séance terminée
                        $derniere_seance = \DB::table('seances')
                            ->where('tontine_id', '=', $tontine->id)
                            ->where('archived', '=', 1)
                            ->orderBy('created_at', 'desc')
                            ->first();

                        if (empty($derniere_seance)) {    //ça veut dire que la tontine n'a encore aucune séance

                            $heure_debut = $tontine->time_debut;
                            $date_fin_seance = \Carbon\Carbon::parse($tontine->date_debut);
                            $heure_fin = \Carbon\Carbon::parse($heure_debut);

                            if ($tontine->type_date_fin == "secondes") {
                                $heure_fin->addSeconds($tontine->date_fin);
                                $date_fin_seance->addSeconds($tontine->date_fin);
                            }
                            if ($tontine->type_date_fin == "minutes") {
                                $heure_fin->addMinutes($tontine->date_fin);
                                $date_fin_seance->addMinutes($tontine->date_fin);
                            }
                            if ($tontine->type_date_fin == "heures") {
                                $heure_fin->addHours($tontine->date_fin);
                                $date_fin_seance->addHours($tontine->date_fin);
                            }
                            if ($tontine->type_date_fin == "jours") {
                                $conversion_date_fin_en_secondes = $tontine->date_fin * 86400;
                                $heure_fin->addSeconds($conversion_date_fin_en_secondes);
                                $date_fin_seance->addSeconds($conversion_date_fin_en_secondes);
                            }
                            if ($tontine->type_date_fin == "mois") {
                                $conversion_date_fin_en_secondes = $tontine->date_fin * 2592000;
                                $heure_fin->addSeconds($conversion_date_fin_en_secondes);
                                $date_fin_seance->addSeconds($conversion_date_fin_en_secondes);
                            }

                            $date_fin_seance_formatee = new DateTime($date_fin_seance);
                            $date_fin_seance_formatee->format('20y-m-d');

                            $date_fin_seance_formatee->setTime(0,0,0);

                            $date_debut_tontine_formatee = new DateTime($date_debut_tontine);
                            $date_debut_tontine_formatee->format('20y-m-d');

                            $date_debut_tontine_formatee->setTime(0,0,0);


                            $heure_fin_formate = $heure_fin->hour . ':' . $heure_fin->minute . ':' . $heure_fin->second;

                            //je prends le cycle_id en cours de la tontine
                            $cycle = \DB::table('cycles')
                                ->where('tontine_id','=',$tontine->id)
                                ->where('archived','=',0)
                                ->first();

                            if(!empty($cycle)){
                                $cycle_id = $cycle->id;
                                //je créé la séance de la tontine
                                \DB::table('seances')
                                    ->insert([
                                        [
                                            'tontine_id' => $tontine->id,
                                            'numero_seance' => 1,
                                            'cycle_id' => $cycle_id,
                                            'date_debut' => $date_debut_tontine_formatee,
                                            'heure_debut' => $heure_debut,
                                            'date_fin' => $date_fin_seance_formatee,
                                            'heure_fin' => $heure_fin_formate,
                                            'created_at' => Carbon::now(),
                                            'updated_at' => Carbon::now()
                                        ]
                                    ]);

                                $seance = \DB::table('seances')
                                    ->where('tontine_id','=',$tontine->id)
                                    ->where('numero_seance','=',1)
                                    ->where('cycle_id','=',$cycle_id)
                                    ->where('date_debut','=',$date_debut_tontine_formatee)
                                    ->where('heure_debut','=',$heure_debut)
                                    ->where('date_fin','=',$date_fin_seance_formatee)
                                    ->where('heure_fin','=',$heure_fin_formate)
                                    ->where('archived','=',0)
                                    ->first();

                                $numCycle = \DB::table('cycles')
                                    ->where('id','=',$cycle_id)
                                    ->where('archived','=',0)
                                    ->first();

                                //puis je notifie les users qu'une séance débute
                                if(!empty($all_members) AND !empty($seance) AND !empty($numCycle)){
                                    $titre = "Début Séance";
                                    $description = "Une nouvelle séance commence";
                                    $tontine_id = $tontine->id;
                                    $seance_id = $seance->id;
                                    $numero_seance = $seance->numero_seance;
                                    $cycle_id = $cycle_id;
                                    $numero_cycle = $numCycle->numerocycle;
                                    $penalite_id = 0;
                                    $numero_part = 1;

                                    foreach ($all_members as $m){
                                        $user_id = $m->user_id;
                                        $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                                    }
                                }


                            }


                        }

                        if (!empty($derniere_seance)) {
                            //$newformat = DateTime::createFromFormat('Y-m-d', $derniere_seance->date_fin)/*date('Y-m-d',$derniere_seance->date_fin)*/;
                            //$date_fin_seance_derniere = $newformat/*Carbon::now()*//*Carbon::parse('Y-m-d', $derniere_seance->date_fin)*//*date('Y-m-d', strtotime($derniere_seance->date_fin))*/;

                            // convert to carbon
                            $date_fin_seance_derniere = \Carbon\Carbon::parse($derniere_seance->date_fin);

                            $heure_debut = $tontine->time_debut;
                            $date_fin_seance = \Carbon\Carbon::parse($derniere_seance->date_fin);
                            $heure_fin = \Carbon\Carbon::parse($heure_debut);

                            if ($tontine->type_date_fin == "secondes") {
                                $heure_fin->addSeconds($tontine->date_fin);
                                $date_fin_seance->addSeconds($tontine->date_fin);
                            }
                            if ($tontine->type_date_fin == "minutes") {
                                $heure_fin->addMinutes($tontine->date_fin);
                                $date_fin_seance->addMinutes($tontine->date_fin);
                            }
                            if ($tontine->type_date_fin == "heures") {
                                $heure_fin->addHours($tontine->date_fin);
                                $date_fin_seance->addHours($tontine->date_fin);
                            }
                            if ($tontine->type_date_fin == "jours") {
                                $conversion_date_fin_en_secondes = $tontine->date_fin * 86400;
                                $heure_fin->addSeconds($conversion_date_fin_en_secondes);
                                $date_fin_seance->addSeconds($conversion_date_fin_en_secondes);
                            }
                            if ($tontine->type_date_fin == "mois") {
                                $conversion_date_fin_en_secondes = $tontine->date_fin * 2592000;
                                $heure_fin->addSeconds($conversion_date_fin_en_secondes);
                                $date_fin_seance->addSeconds($conversion_date_fin_en_secondes);
                            }

                            $heure_fin_formate = $heure_fin->hour . ':' . $heure_fin->minute . ':' . $heure_fin->second;
                            $numero_seance = $derniere_seance->numero_seance + 1;


                            //je prends le cycle_id en cours de la tontine
                            $cycle = \DB::table('cycles')
                                ->where('tontine_id','=',$tontine->id)
                                ->where('archived','=',0)
                                ->first();

                            if(!empty($cycle)){
                                //$boolean = $user_gestion->statutCycle($tontine->id,$cycle->id);

                                $boolean = $this->statutCycle($tontine->id,$cycle->id,$tontine->numberlot);

                                if($boolean == true){   //ça veut dire que tout le monde à bouffer et dans ce cas le cycle va être archivé en bas et la séance va recommencer à être numérotée à partir de 1
                                    $numero_seance = 1;
                                }
                            }

                            if ($periodicite == "day") {
                                //$date_fin_seance_derniere->addDays(1);
                                //DateTime::createFromFormat('Y-m-d', $derniere_seance->date_fin)->addDays(1);
                                $date_fin_seance_derniere->addDays(1);
                                $date_fin_seance->addDays(1);

                                //je prends le cycle_id en cours de la tontine
                                $cycle = \DB::table('cycles')
                                    ->where('tontine_id','=',$tontine->id)
                                    ->where('archived','=',0)
                                    ->first();

                                $date_fin_seance_formatee = new DateTime($date_fin_seance);
                                $date_fin_seance_formatee->format('20y-m-d');

                                $date_fin_seance_formatee->setTime(0,0,0);

                                $date_fin_seance_derniere_formatee = new DateTime($date_fin_seance_derniere);
                                $date_fin_seance_derniere_formatee->format('20y-m-d');

                                $date_fin_seance_derniere_formatee->setTime(0,0,0);

                                if(!empty($cycle)){
                                    \DB::table('seances')
                                        ->insert([
                                            [
                                                'tontine_id' => $tontine->id,
                                                'numero_seance' => $numero_seance,
                                                'cycle_id' => $cycle->id,
                                                'date_debut' => $date_fin_seance_derniere_formatee,
                                                'heure_debut' => $heure_debut,
                                                'date_fin' => $date_fin_seance_formatee,
                                                'heure_fin' => $heure_fin_formate,
                                                'created_at' => Carbon::now(),
                                                'updated_at' => Carbon::now()
                                            ]
                                        ]);
                                }

                                $seance = \DB::table('seances')
                                    ->where('tontine_id','=',$tontine->id)
                                    ->where('numero_seance','=',$numero_seance)
                                    ->where('cycle_id','=',$cycle->id)
                                    ->where('date_debut','=',$date_fin_seance_derniere_formatee)
                                    ->where('heure_debut','=',$heure_debut)
                                    ->where('date_fin','=',$date_fin_seance_formatee)
                                    ->where('heure_fin','=',$heure_fin_formate)
                                    ->where('archived','=',0)
                                    ->first();

                                $numCycle = \DB::table('cycles')
                                    ->where('id','=',$cycle->id)
                                    ->where('archived','=',0)
                                    ->first();

                                //puis je notifie les users qu'une séance débute
                                if(!empty($all_members) AND !empty($seance) AND !empty($numCycle)){
                                    $titre = "Début Séance";
                                    $description = "Une nouvelle séance commence";
                                    $tontine_id = $tontine->id;
                                    $seance_id = $seance->id;
                                    $numero_seance = $seance->numero_seance;
                                    $cycle_id = $numCycle->id;
                                    $numero_cycle = $numCycle->numerocycle;
                                    $penalite_id = 0;
                                    $numero_part = 1;

                                    foreach ($all_members as $m){
                                        $user_id = $m->user_id;
                                        $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                                    }
                                }


                            }

                            if ($periodicite == "week") {
                                $date_fin_seance_derniere->addWeeks(1);
                                $date_fin_seance->addWeeks(1);

                                //je prends le cycle_id en cours de la tontine
                                $cycle = \DB::table('cycles')
                                    ->where('tontine_id','=',$tontine->id)
                                    ->where('archived','=',0)
                                    ->first();

                                $date_fin_seance_formatee = new DateTime($date_fin_seance);
                                $date_fin_seance_formatee->format('20y-m-d');

                                $date_fin_seance_formatee->setTime(0,0,0);

                                $date_fin_seance_derniere_formatee = new DateTime($date_fin_seance_derniere);
                                $date_fin_seance_derniere_formatee->format('20y-m-d');

                                $date_fin_seance_derniere_formatee->setTime(0,0,0);

                                if(!empty($cycle)){
                                    \DB::table('seances')
                                        ->insert([
                                            [
                                                'tontine_id' => $tontine->id,
                                                'numero_seance' => $numero_seance,
                                                'cycle_id' => $cycle->id,
                                                'date_debut' => $date_fin_seance_derniere_formatee,
                                                'heure_debut' => $heure_debut,
                                                'date_fin' => $date_fin_seance_formatee,
                                                'heure_fin' => $heure_fin_formate,
                                                'created_at' => Carbon::now(),
                                                'updated_at' => Carbon::now()
                                            ]
                                        ]);

                                    $seance = \DB::table('seances')
                                        ->where('tontine_id','=',$tontine->id)
                                        ->where('numero_seance','=',$numero_seance)
                                        ->where('cycle_id','=',$cycle->id)
                                        ->where('date_debut','=',$date_fin_seance_derniere_formatee)
                                        ->where('heure_debut','=',$heure_debut)
                                        ->where('date_fin','=',$date_fin_seance_formatee)
                                        ->where('heure_fin','=',$heure_fin_formate)
                                        ->where('archived','=',0)
                                        ->first();

                                    $numCycle = \DB::table('cycles')
                                        ->where('id','=',$cycle->id)
                                        ->where('archived','=',0)
                                        ->first();

                                    //puis je notifie les users qu'une séance débute
                                    if(!empty($all_members) AND !empty($seance) AND !empty($numCycle)){
                                        $titre = "Début Séance";
                                        $description = "Une nouvelle séance commence";
                                        $tontine_id = $tontine->id;
                                        $seance_id = $seance->id;
                                        $numero_seance = $seance->numero_seance;
                                        $cycle_id = $numCycle->id;
                                        $numero_cycle = $numCycle->numerocycle;
                                        $penalite_id = 0;
                                        $numero_part = 1;

                                        foreach ($all_members as $m){
                                            $user_id = $m->user_id;
                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                                        }
                                    }


                                }

                            }

                            if ($periodicite == "month") {
                                $date_fin_seance_derniere->addMonths(1);
                                $date_fin_seance->addMonths(1);

                                //je prends le cycle_id en cours de la tontine
                                $cycle = \DB::table('cycles')
                                    ->where('tontine_id','=',$tontine->id)
                                    ->where('archived','=',0)
                                    ->first();

                                $date_fin_seance_formatee = new DateTime($date_fin_seance);
                                $date_fin_seance_formatee->format('20y-m-d');

                                $date_fin_seance_formatee->setTime(0,0,0);

                                $date_fin_seance_derniere_formatee = new DateTime($date_fin_seance_derniere);
                                $date_fin_seance_derniere_formatee->format('20y-m-d');

                                $date_fin_seance_derniere_formatee->setTime(0,0,0);

                                if(!empty($cycle)){
                                    \DB::table('seances')
                                        ->insert([
                                            [
                                                'tontine_id' => $tontine->id,
                                                'numero_seance' => $numero_seance,
                                                'cycle_id' => $cycle->id,
                                                'date_debut' => $date_fin_seance_derniere_formatee,
                                                'heure_debut' => $heure_debut,
                                                'date_fin' => $date_fin_seance_formatee,
                                                'heure_fin' => $heure_fin_formate,
                                                'created_at' => Carbon::now(),
                                                'updated_at' => Carbon::now()
                                            ]
                                        ]);

                                    $seance = \DB::table('seances')
                                        ->where('tontine_id','=',$tontine->id)
                                        ->where('numero_seance','=',$numero_seance)
                                        ->where('cycle_id','=',$cycle->id)
                                        ->where('date_debut','=',$date_fin_seance_derniere_formatee)
                                        ->where('heure_debut','=',$heure_debut)
                                        ->where('date_fin','=',$date_fin_seance_formatee)
                                        ->where('heure_fin','=',$heure_fin_formate)
                                        ->where('archived','=',0)
                                        ->first();

                                    $numCycle = \DB::table('cycles')
                                        ->where('id','=',$cycle->id)
                                        ->where('archived','=',0)
                                        ->first();

                                    //puis je notifie les users qu'une séance débute
                                    if(!empty($all_members) AND !empty($seance) AND !empty($numCycle)){
                                        $titre = "Début Séance";
                                        $description = "Une nouvelle séance commence";
                                        $tontine_id = $tontine->id;
                                        $seance_id = $seance->id;
                                        $numero_seance = $seance->numero_seance;
                                        $cycle_id = $numCycle->id;
                                        $numero_cycle = $numCycle->numerocycle;
                                        $penalite_id = 0;
                                        $numero_part = 1;

                                        foreach ($all_members as $m){
                                            $user_id = $m->user_id;
                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
                                        }
                                    }

                                }

                            }
                        }

                    }

                }
            }
        }

        //partie pour remettre à jour date_debut

        $resultats= \DB::table('seances')
            //->where('id', '=', $seance_en_cours->id)
            //->where('date_debut','<=', Carbon::now())
            //->where('date_fin','>',Carbon::now())
            ->where('archived','=',1)
            ->get();

        if(!empty($resultats)){
            foreach( $resultats as $result){
                \DB::table('seances')
                    ->where('id', '=', $result->id)
                    //->where('date_debut','<=', Carbon::now())
                    //->where('date_fin','>',Carbon::now())
                    ->where('archived','=',1)
                    ->update([
                        'date_debut' => $result->date_fin,
                        //'archived' => 1,
                        //'updated_at' => Carbon::now()
                    ]);
            }
        }

        $compteur_seance_cronjob = \DB::table('tontines')
            ->where('statut_seance_cronjob','=',1)
            ->where('statutgeneral','=','tout_rempli')
            ->count();

        //je teste si le compteur_tontine = compteur_seance_cronjob
        if($compteur_tontine == $compteur_seance_cronjob){
            //dans ce cas je remets tout les champs statut_seance_cronjob de ces tontines à 0
            $seance_tontines = \DB::table('tontines')
                ->where('statut_seance_cronjob','=',1)
                ->where('statutgeneral','=','tout_rempli')
                ->get();

            if(!empty($seance_tontines)){
                foreach($seance_tontines as $t){
                    \DB::table('tontines')
                        ->where('id','=',$t->id)
                        ->update([
                            'statut_seance_cronjob' => 0
                        ]);
                }

            }
        }




        //})->everyMinute();

        $this->info('Create Seance Successfully!');

        /****************************************     END Partie pour créer une séance automatiquement    ************************************************************/





        /****************************************     Partie pour remplir automatiquement la table des pénalités     ************************************************************/

        $tontines3 = \DB::table('tontines')
            //->where('statut_penalite_cronjob','=',0)
            ->where('statutgeneral','=','tout_rempli')
            ->orderBy('created_at','desc')
            //->limit(25)    //ici on limite les ressources à 100 tontines
            ->get();

        $compteur_tontine = \DB::table('tontines')
            ->where('statutgeneral','=','tout_rempli')
            ->count();

        $tontines = $tontines3;

        if(!empty($tontines)) {

            foreach ($tontines as $tontine) {
                //$seance_en_cours = NULL;

                //ici j'update le champ statut_penalite_cronjob à 1 pour dire que le cronjob PenaliteCronJob a déjà été exécuté pour cette tontine
                \DB::table('tontines')
                    ->where('id', '=', $tontine->id)
                    ->update([
                        'statut_penalite_cronjob' => 1
                    ]);

                if ($tontine->statutgeneral == "tout_rempli" AND $tontine->drawingtype_id != 3/*pour BID*/) {

                    //je recense toutes les séances de la tontine non archivées
                    $seances = \DB::table('seances')
                        ->where('tontine_id','=',$tontine->id)
                        ->where('archived','=',0)
                        ->get();

                    //je recense la dernière séance de la tontine déjà archivée
                    $derniere_seance_archivee = \DB::table('seances')
                        ->where('tontine_id','=',$tontine->id)
                        ->where('archived','=',1)
                        ->orderBy('created_at','desc')
                        ->first();

                    //je renvois les membres de la tontine
                    $membres = \DB::table('membrestontines')
                        ->join('users','users.id','=','membrestontines.user_id')
                        ->join('roles','roles.id','=','users.role_id')
                        ->join('badges','badges.id','=','users.badge_id')
                        ->join('typebadges','typebadges.id','=','badges.type_badge_id')
                        ->where('membrestontines.tontine_id','=',$tontine->id)
                        ->select('users.id as user_id','users.username','users.lastname','users.firstname','users.phone','users.email','users.sexe',
                            'users.pays','users.ville','users.address','users.picture','users.profession','users.experience','users.point',
                            'users.role_id','roles.title','users.badge_id','typebadges.name','membrestontines.numero_part')
                        ->get();


                    //membres de la tontine
                    $all_members = \DB::table('membrestontines')
                        ->where('tontine_id','=',$tontine->id)
                        ->select('user_id')
                        ->distinct()
                        ->get();

                    //$liste = array();
                    //$i = 0;

                    if(!empty($seances)) {
                        foreach ($seances as $seance) {      //pour une seance, je calcule les contributions du membre

                            //Partie pour remplir la table Notifications sur 5min avant l'heure de retard pour la contribution
//                            if(!empty($all_members)){
//                                $dureesurleretard = $tontine->dureesurleretard;
//                                $typedureesurleretard = $tontine->typedureesurleretard;
//                                $heure_fin_seance = $seance->heure_fin;
//                                $date_fin_seance = \Carbon\Carbon::parse($seance->date_fin);
//                                $date_courante = Carbon::now();
//
//                                $heure_debut _seance = $seance->heure_debut;
//
//                                $date_debut_seance = $seance->date_debut;
//
//                                //conversion heure_fin_seance en secondes
//                                $conversion_heure_fin_seance_en_secondes = $this->ConvertTimeInSecond($heure_fin_seance)/*+3600*//*1h en plus du serveur*/-0/*10 minutes en mois pour les arrêts du cronjob*/;
//
//                                //conversion heure_debut_seance en secondes
//                                $conversion_heure_debut_seance_en_secondes = $this->ConvertTimeInSecond($heure_debut_seance)/*+3600*//*1h en plus du serveur*/-0/*10 minutes en mois pour les arrêts du cronjob*/;
//
//                                //conversion heure_courante en secondes
//                                $conversion_heure_courante_en_secondes = $this->ConvertCurrentTimeInSecond();
//
//                                //différence entre heure_courante et heure_fin_seance
//                                //$difference = $conversion_heure_courante_en_secondes - $conversion_heure_fin_seance_en_secondes;
//
//                                //différence entre heure_debut_seance et heure_courante
//                                $difference = $conversion_heure_debut_seance_en_secondes - $conversion_heure_courante_en_secondes;
//
//                                //test
//                                //$date = "2018-02-13";
//                                $date_fin_seance = new DateTime($date_fin_seance);
//                                $date_courante = new DateTime(Carbon::now());
//
//                                $date_debut = new DateTime($date_debut_seance);
//
//                                //$answer = $date_fin_seance->diff($date_courante);
//
//                                //ceci permet de savoir si date_debut_seance est bel et bien le jour de la date courante
//                                $temps_en_plus_seance = $date_debut->diff($date_courante);
//
//                                $mois = $temps_en_plus_seance->m; //mois
//                                $jour = $temps_en_plus_seance->d; //jour
//                                $heure = $temps_en_plus_seance->h;    //heure
//                                //$minute = $temps_en_plus_seance->i;      //minutes
//
//
//                                //dd($date_fin_seance > $date_courante);
//
//                                //end test
//
//
//                                //ici je prends la différence de jours entre la date de fin de la séance et la date courante
//                                //$answer = $date_fin_seance->diffInDays($date_courante);
//                                // $converti_en_secondes = $answer * 86400;
//
//                                //je vais convertir la dureesurleretard en secondes et comparer
//                                if($typedureesurleretard == "minutes"){
//                                    $dureesurleretard = $dureesurleretard * 60;
//                                }
//
//                                if($typedureesurleretard == "heures"){
//                                    $dureesurleretard = $dureesurleretard * 3600;
//                                }
//
//                                if($typedureesurleretard == "jours"){
//                                    $dureesurleretard = $dureesurleretard * 86400;
//                                }
//
//                                if($typedureesurleretard == "mois"){
//                                    $dureesurleretard = $dureesurleretard * 2592000;
//                                }
//
//                                $result = $date_fin_seance > $date_courante;
//
//                                //dd($result);
//
//                                //maintenant on fait la comparaison
//                                if($result != true) {
//
//                                    if ($mois == 0 AND $jour == 0 AND $heure == 0) { //dans ce cas date_debut_seance = date_courante et on est bel et bien le jour de la séance
//
//                                        //if($answer->y == 0/*yeah*/ AND $answer->m/*month*/ == 0 AND $answer->d/*day*/ == 0 AND $answer->h/*hour*/ == 0 /*AND $answer->i == 0*/){
//                                        //maintenant on fait le test sur heure_debut_seance
//                                        if ($difference < 0) {
//                                            //je prends le temps en plus pour comparer à la duree sur le retard
//                                            $temps_en_plus = $conversion_heure_courante_en_secondes - $conversion_heure_debut_seance_en_secondes;
//
//
//                                            //conversion temps_en_plus en secondes
//                                            $conversion_temps_en_plus_en_secondes = $temps_en_plus/*$this->ConvertTimeInSecond($temps_en_plus)*/;
//
//                                            //dd($conversion_temps_en_plus_en_secondes);
//
//                                            //je teste si ce temps dépasse la dureesurleretard
//                                            if ($conversion_temps_en_plus_en_secondes >= $dureesurleretard) {
//                                                //dans ce cas on applique la pénalité sur le retard
//                                            }
//                                        }
//                                    }
//                                }
//
//
//
//
//                            }




                            if(!empty($membres)){
                                foreach ($membres as $membre){
                                    $user_id = $membre->user_id;
                                    $numero_part = $membre->numero_part;

                                    //pour un membre je ressors ses contributions

                                    $contributions = \DB::table('contributions')
                                        //->join('users','users.id','=','contributions.user_id')
                                        //->join('roles','roles.id','=','users.role_id')
                                        //->join('badges','badges.id','=','users.badge_id')
                                        //->join('typebadges','typebadges.id','=','badges.type_badge_id')
                                        ->where('user_id','=',$user_id)
                                        ->where('seance_id','=',$seance->id)
                                        //->where('device_id','=',$device_id)
                                        ->where('typecontribution_id','=',2)        //2 c'est pour le typecontribution = cotisation
                                        ->where('numero_part','=',$numero_part)
                                        /*->select('users.id as user_id','users.username','users.lastname','users.firstname','users.phone','users.email',
                                            'users.sexe','users.pays','users.ville','users.address','users.picture','users.profession',
                                            'users.role_id','roles.title as role_name','users.badge_id','typebadges.name as badge_name','typebadges.level as level_badge',
                                            'contributions.montant')*/
                                        ->get();

                                    $somme = 0;
                                    if(!empty($contributions)) {
                                        foreach ($contributions as $contribution) {
                                            $somme += $contribution->montant;
                                        }
                                    }

                                    $montant_restant_a_contribuer = $tontine->coutshare - $somme;

                                    //$montant_restant_a_contribuer = 0;

                                    if($montant_restant_a_contribuer != 0 AND $montant_restant_a_contribuer > 0){     //alors le membre n'avait pas tout contribué
                                        //je compare la date fin et l'heure fin de la séance avec la dureesurleretard afin de voir quel type de pénalité appliqué
                                        $dureesurleretard = $tontine->dureesurleretard;
                                        $typedureesurleretard = $tontine->typedureesurleretard;
                                        $heure_fin_seance = $seance->heure_fin;
                                        $date_fin_seance = \Carbon\Carbon::parse($seance->date_fin);
                                        $date_courante = Carbon::now();

                                        $heure_debut_seance = $seance->heure_debut;

                                        $date_debut_seance = $seance->date_debut;

                                        //conversion heure_fin_seance en secondes
                                        $conversion_heure_fin_seance_en_secondes = $this->ConvertTimeInSecond($heure_fin_seance)/*+3600*//*1h en plus du serveur*/-0/*10 minutes en mois pour les arrêts du cronjob*/;

                                        //conversion heure_debut_seance en secondes
                                        $conversion_heure_debut_seance_en_secondes = $this->ConvertTimeInSecond($heure_debut_seance)/*+3600*//*1h en plus du serveur*/-0/*10 minutes en mois pour les arrêts du cronjob*/;

                                        //conversion heure_courante en secondes
                                        $conversion_heure_courante_en_secondes = $this->ConvertCurrentTimeInSecond();

                                        //différence entre heure_courante et heure_fin_seance
                                        //$difference = $conversion_heure_courante_en_secondes - $conversion_heure_fin_seance_en_secondes;

                                        //différence entre heure_debut_seance et heure_courante
                                        $difference = $conversion_heure_debut_seance_en_secondes - $conversion_heure_courante_en_secondes;

                                        //test
                                        //$date = "2018-02-13";
                                        $date_fin_seance = new DateTime($date_fin_seance);
                                        $date_courante = new DateTime(Carbon::now());

                                        $date_debut = new DateTime($date_debut_seance);

                                        //$answer = $date_fin_seance->diff($date_courante);

                                        //ceci permet de savoir si date_debut_seance est bel et bien le jour de la date courante
                                        $temps_en_plus_seance = $date_debut->diff($date_courante);

                                        $mois = $temps_en_plus_seance->m; //mois
                                        $jour = $temps_en_plus_seance->d; //jour
                                        $heure = $temps_en_plus_seance->h;    //heure
                                        //$minute = $temps_en_plus_seance->i;      //minutes


                                        //dd($date_fin_seance > $date_courante);

                                        //end test


                                        //ici je prends la différence de jours entre la date de fin de la séance et la date courante
                                        //$answer = $date_fin_seance->diffInDays($date_courante);
                                        // $converti_en_secondes = $answer * 86400;

                                        //je vais convertir la dureesurleretard en secondes et comparer
                                        if($typedureesurleretard == "minutes"){
                                            $dureesurleretard = $dureesurleretard * 60;
                                        }

                                        if($typedureesurleretard == "heures"){
                                            $dureesurleretard = $dureesurleretard * 3600;
                                        }

                                        if($typedureesurleretard == "jours"){
                                            $dureesurleretard = $dureesurleretard * 86400;
                                        }

                                        if($typedureesurleretard == "mois"){
                                            $dureesurleretard = $dureesurleretard * 2592000;
                                        }

                                        //maintenant on se rassure si le membre a bouffé ou pas à cette séance
                                        $reponse = \DB::table('bouffes')
                                            ->where('tontine_id','=',$tontine->id)
                                            ->where('seance_id','=',$seance->id)
                                            ->where('user_id','=',$user_id)
                                            ->where('numero_part','=',$numero_part)
                                            ->first();

                                        $result = $date_fin_seance > $date_courante;

                                        //dd($result);

                                        //maintenant on fait la comparaison
                                        if($result != true) {

                                            if($mois == 0 AND $jour == 0 AND $heure == 0){ //dans ce cas date_debut_seance = date_courante et on est bel et bien le jour de la séance

                                                //if($answer->y == 0/*yeah*/ AND $answer->m/*month*/ == 0 AND $answer->d/*day*/ == 0 AND $answer->h/*hour*/ == 0 /*AND $answer->i == 0*/){
                                                //maintenant on fait le test sur heure_debut_seance
                                                if ($difference < 0) {
                                                    //je prends le temps en plus pour comparer à la duree sur le retard
                                                    $temps_en_plus = $conversion_heure_courante_en_secondes - $conversion_heure_debut_seance_en_secondes;


                                                    //conversion temps_en_plus en secondes
                                                    $conversion_temps_en_plus_en_secondes = $temps_en_plus/*$this->ConvertTimeInSecond($temps_en_plus)*/;

                                                    //dd($conversion_temps_en_plus_en_secondes);

                                                    //je teste si ce temps dépasse la dureesurleretard
                                                    if ($conversion_temps_en_plus_en_secondes >= $dureesurleretard) {
                                                        //dans ce cas on applique la pénalité sur le retard


                                                        if (empty($reponse)) {    //alors le membre n'a pas bouffé et on l'applique la penaliteretardsurlacontributionnayantpasbouffe
                                                            if ($tontine->typepenaliteretardsurlacontributionnayantpasbouffe == "valeur") {
                                                                $penalite_a_payer = $tontine->penaliteretardsurlacontributionnayantpasbouffe;
                                                                $montant_total_avec_penalite = $montant_restant_a_contribuer + $penalite_a_payer;

                                                                /*$tmp ["seance"] = $seance;
                                                                $tmp ["user"] = $membre;
                                                                $tmp ["montant_restant_a_contribuer"] = $montant_restant_a_contribuer;
                                                                $tmp ["penalite_a_payer"] = $penalite_a_payer;
                                                                $tmp ["montant_total_avec_penalite"] = $montant_total_avec_penalite;

                                                                //$listes[$i] = $tmp;

                                                                array_push($liste, $tmp);*/

                                                                //je teste d'abord si la pénalité n'existe pas pour le membre à cette séance
                                                                $test = \DB::table('penalites')
                                                                    ->where('user_id', '=', $user_id)
                                                                    ->where('tontine_id', '=', $tontine->id)
                                                                    ->where('seance_id', '=', $seance->id)
                                                                    ->where('numero_part', '=', $numero_part)
                                                                    ->first();

                                                                if (empty($test)) {   //alors la pénalité du membre n'a pas encore été enregistrée
                                                                    //insertion dans la table penalites
                                                                    \DB::table('penalites')
                                                                        ->insert([
                                                                            [
                                                                                'user_id' => $user_id,
                                                                                'tontine_id' => $tontine->id,
                                                                                'seance_id' => $seance->id,
                                                                                'penalite_a_payer' => $penalite_a_payer,
                                                                                'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                                                'type_penalite' => 'retard',
                                                                                'statut_penalite' => 'pas_tout_paye',
                                                                                'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
                                                                                'numero_part' => $numero_part,
                                                                                'created_at' => Carbon::now(),
                                                                                'updated_at' => Carbon::now()
                                                                            ]
                                                                        ]);

                                                                    $penalites = \DB::table('penalites')
                                                                        ->where('user_id','=',$user_id)
                                                                        ->where('tontine_id','=',$tontine->id)
                                                                        ->where('seance_id','=',$seance->id)
                                                                        ->where('penalite_a_payer','=',$penalite_a_payer)
                                                                        ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                                        ->where('type_penalite','=','retard')
                                                                        ->where('statut_penalite','=','pas_tout_paye')
                                                                        ->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                                        ->where('numero_part','=',$numero_part)
                                                                        ->first();

                                                                    $numCycle = \DB::table('cycles')
                                                                        ->where('id','=',$seance->cycle_id)
                                                                        ->first();

                                                                    //puis je notifie le user sur la pénalité
                                                                    $titre = "Pénalité Retard";
                                                                    $description = "Une pénalité sur le retard a été appliquée";
                                                                    $user_id = $membre->user_id;
                                                                    $tontine_id = $tontine->id;
                                                                    $seance_id = $seance->id;
                                                                    $numero_seance = $seance->numero_seance;
                                                                    $cycle_id = $seance->cycle_id;
                                                                    $numero_cycle = $numCycle->numerocycle;
                                                                    $penalite_id = $penalites->id;
                                                                    $numero_part = $numero_part;


                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);

                                                                }


                                                                /*return response()->json(['message' => 'success', 'seance' => $seance, 'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                                                         'penalite_a_payer' => $penalite_a_payer, 'montant_total_avec_penalite' => $montant_total_avec_penalite]);*/
                                                            }

                                                            if ($tontine->typepenaliteretardsurlacontributionnayantpasbouffe == "pourcentage") {
                                                                $penalite_a_payer = ($tontine->penaliteretardsurlacontributionnayantpasbouffe * $tontine->coutshare) / 100;
                                                                $montant_total_avec_penalite = $montant_restant_a_contribuer + $penalite_a_payer;

                                                                /*$tmp ["seance"] = $seance;
                                                                $tmp ["user"] = $membre;
                                                                $tmp ["montant_restant_a_contribuer"] = $montant_restant_a_contribuer;
                                                                $tmp ["penalite_a_payer"] = $penalite_a_payer;
                                                                $tmp ["montant_total_avec_penalite"] = $montant_total_avec_penalite;

                                                                //$listes[$i] = $tmp;

                                                                array_push($liste, $tmp);*/

                                                                //je teste d'abord si la pénalité n'existe pas pour le membre à cette séance
                                                                $test = \DB::table('penalites')
                                                                    ->where('user_id', '=', $user_id)
                                                                    ->where('tontine_id', '=', $tontine->id)
                                                                    ->where('seance_id', '=', $seance->id)
                                                                    ->where('numero_part', '=', $numero_part)
                                                                    ->first();

                                                                if (empty($test)) {   //alors la pénalité du membre n'a pas encore été enregistrée
                                                                    //insertion dans la table penalites
                                                                    \DB::table('penalites')
                                                                        ->insert([
                                                                            [
                                                                                'user_id' => $user_id,
                                                                                'tontine_id' => $tontine->id,
                                                                                'seance_id' => $seance->id,
                                                                                'penalite_a_payer' => $penalite_a_payer,
                                                                                'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                                                'type_penalite' => 'retard',
                                                                                'statut_penalite' => 'pas_tout_paye',
                                                                                'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
                                                                                'numero_part' => $numero_part,
                                                                                'created_at' => Carbon::now(),
                                                                                'updated_at' => Carbon::now()
                                                                            ]
                                                                        ]);

                                                                    $penalites = \DB::table('penalites')
                                                                        ->where('user_id','=',$user_id)
                                                                        ->where('tontine_id','=',$tontine->id)
                                                                        ->where('seance_id','=',$seance->id)
                                                                        ->where('penalite_a_payer','=',$penalite_a_payer)
                                                                        ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                                        ->where('type_penalite','=','retard')
                                                                        ->where('statut_penalite','=','pas_tout_paye')
                                                                        ->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                                        ->where('numero_part','=',$numero_part)
                                                                        ->first();

                                                                    $numCycle = \DB::table('cycles')
                                                                        ->where('id','=',$seance->cycle_id)
                                                                        ->first();

                                                                    //puis je notifie le user sur la pénalité
                                                                    $titre = "Pénalité Retard";
                                                                    $description = "Une pénalité sur le retard a été appliquée";

                                                                    $tontine_id = $tontine->id;
                                                                    $seance_id = $seance->id;
                                                                    $numero_seance = $seance->numero_seance;
                                                                    $cycle_id = $seance->cycle_id;
                                                                    $numero_cycle = $numCycle->numerocycle;
                                                                    $penalite_id = $penalites->id;
                                                                    $numero_part = $numero_part;


                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);

                                                                }

                                                                /*return response()->json(['message' => 'success', 'seance' => $seance, 'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                                    'penalite_a_payer' => $penalite_a_payer, 'montant_total_avec_penalite' => $montant_total_avec_penalite]);*/
                                                            }

                                                        } else {   //on applique la penaliteretardsurlacontributionayantbouffe
                                                            if ($tontine->typepenaliteretardsurlacontributionayantbouffe == "valeur") {
                                                                $penalite_a_payer = $tontine->penaliteretardsurlacontributionayantbouffe;
                                                                $montant_total_avec_penalite = $montant_restant_a_contribuer + $penalite_a_payer;

                                                                /*$tmp ["seance"] = $seance;
                                                                $tmp ["user"] = $membre;
                                                                $tmp ["montant_restant_a_contribuer"] = $montant_restant_a_contribuer;
                                                                $tmp ["penalite_a_payer"] = $penalite_a_payer;
                                                                $tmp ["montant_total_avec_penalite"] = $montant_total_avec_penalite;

                                                                //$listes[$i] = $tmp;

                                                                array_push($liste, $tmp);*/

                                                                //je teste d'abord si la pénalité n'existe pas pour le membre à cette séance
                                                                $test = \DB::table('penalites')
                                                                    ->where('user_id', '=', $user_id)
                                                                    ->where('tontine_id', '=', $tontine->id)
                                                                    ->where('seance_id', '=', $seance->id)
                                                                    ->where('numero_part', '=', $numero_part)
                                                                    ->first();

                                                                if (empty($test)) {   //alors la pénalité du membre n'a pas encore été enregistrée
                                                                    //insertion dans la table penalites
                                                                    \DB::table('penalites')
                                                                        ->insert([
                                                                            [
                                                                                'user_id' => $user_id,
                                                                                'tontine_id' => $tontine->id,
                                                                                'seance_id' => $seance->id,
                                                                                'penalite_a_payer' => $penalite_a_payer,
                                                                                'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                                                'type_penalite' => 'retard',
                                                                                'statut_penalite' => 'pas_tout_paye',
                                                                                'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
                                                                                'numero_part' => $numero_part,
                                                                                'created_at' => Carbon::now(),
                                                                                'updated_at' => Carbon::now()
                                                                            ]
                                                                        ]);

                                                                    $penalites = \DB::table('penalites')
                                                                        ->where('user_id','=',$user_id)
                                                                        ->where('tontine_id','=',$tontine->id)
                                                                        ->where('seance_id','=',$seance->id)
                                                                        ->where('penalite_a_payer','=',$penalite_a_payer)
                                                                        ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                                        ->where('type_penalite','=','retard')
                                                                        ->where('statut_penalite','=','pas_tout_paye')
                                                                        ->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                                        ->where('numero_part','=',$numero_part)
                                                                        ->first();

                                                                    $numCycle = \DB::table('cycles')
                                                                        ->where('id','=',$seance->cycle_id)
                                                                        ->first();

                                                                    //puis je notifie le user sur la pénalité
                                                                    $titre = "Pénalité Retard";
                                                                    $description = "Une pénalité sur le retard a été appliquée";
                                                                    $tontine_id = $tontine->id;
                                                                    $seance_id = $seance->id;
                                                                    $numero_seance = $seance->numero_seance;
                                                                    $cycle_id = $seance->cycle_id;
                                                                    $numero_cycle = $numCycle->numerocycle;
                                                                    $penalite_id = $penalites->id;
                                                                    $numero_part = $numero_part;


                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);

                                                                }

                                                                /*return response()->json(['message' => 'success', 'seance' => $seance, 'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                                    'penalite_a_payer' => $penalite_a_payer, 'montant_total_avec_penalite' => $montant_total_avec_penalite]);*/
                                                            }

                                                            if ($tontine->typepenaliteretardsurlacontributionayantbouffe == "pourcentage") {
                                                                $penalite_a_payer = ($tontine->penaliteretardsurlacontributionayantbouffe * $tontine->coutshare) / 100;
                                                                $montant_total_avec_penalite = $montant_restant_a_contribuer + $penalite_a_payer;

                                                                /*$tmp ["seance"] = $seance;
                                                                $tmp ["user"] = $membre;
                                                                $tmp ["montant_restant_a_contribuer"] = $montant_restant_a_contribuer;
                                                                $tmp ["penalite_a_payer"] = $penalite_a_payer;
                                                                $tmp ["montant_total_avec_penalite"] = $montant_total_avec_penalite;

                                                                //$listes[$i] = $tmp;

                                                                array_push($liste, $tmp);*/

                                                                //je teste d'abord si la pénalité n'existe pas pour le membre à cette séance
                                                                $test = \DB::table('penalites')
                                                                    ->where('user_id', '=', $user_id)
                                                                    ->where('tontine_id', '=', $tontine->id)
                                                                    ->where('seance_id', '=', $seance->id)
                                                                    ->where('numero_part', '=', $numero_part)
                                                                    ->first();

                                                                if (empty($test)) {   //alors la pénalité du membre n'a pas encore été enregistrée
                                                                    //insertion dans la table penalites
                                                                    \DB::table('penalites')
                                                                        ->insert([
                                                                            [
                                                                                'user_id' => $user_id,
                                                                                'tontine_id' => $tontine->id,
                                                                                'seance_id' => $seance->id,
                                                                                'penalite_a_payer' => $penalite_a_payer,
                                                                                'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                                                'type_penalite' => 'retard',
                                                                                'statut_penalite' => 'pas_tout_paye',
                                                                                'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
                                                                                'numero_part' => $numero_part,
                                                                                'created_at' => Carbon::now(),
                                                                                'updated_at' => Carbon::now()
                                                                            ]
                                                                        ]);

                                                                    $penalites = \DB::table('penalites')
                                                                        ->where('user_id','=',$user_id)
                                                                        ->where('tontine_id','=',$tontine->id)
                                                                        ->where('seance_id','=',$seance->id)
                                                                        ->where('penalite_a_payer','=',$penalite_a_payer)
                                                                        ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                                        ->where('type_penalite','=','retard')
                                                                        ->where('statut_penalite','=','pas_tout_paye')
                                                                        ->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                                        ->where('numero_part','=',$numero_part)
                                                                        ->first();

                                                                    $numCycle = \DB::table('cycles')
                                                                        ->where('id','=',$seance->cycle_id)
                                                                        ->first();

                                                                    //puis je notifie le user sur la pénalité
                                                                    $titre = "Pénalité Retard";
                                                                    $description = "Une pénalité sur le retard a été appliquée";
                                                                    $tontine_id = $tontine->id;
                                                                    $seance_id = $seance->id;
                                                                    $numero_seance = $seance->numero_seance;
                                                                    $cycle_id = $seance->cycle_id;
                                                                    $numero_cycle = $numCycle->numerocycle;
                                                                    $penalite_id = $penalites->id;
                                                                    $numero_part = $numero_part;


                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);

                                                                }

                                                                /*return response()->json(['message' => 'success', 'seance' => $seance, 'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                                    'penalite_a_payer' => $penalite_a_payer, 'montant_total_avec_penalite' => $montant_total_avec_penalite]);*/
                                                            }
                                                        }


                                                    }


                                                }
                                            }


                                            //}

                                        }




                                    }

                                    // }



                                    //je dois repérer les séances du membre qui me permettra de supprimer les pénalités de ses parts en fonction des paramètres
                                    // ajout_part_membre_en_contribuant_seances_passees_et_restantes et ajout_part_membre_en_contribuant_seulement_seances_restantes

                                    $part_membre = \DB::table('parts')
                                        ->where('user_id','=',$user_id)
                                        ->where('tontine_id','=',$tontine->id)
                                        //->where('seance_id','=',$seance->id)
                                        ->where('numero_part','=',$numero_part)
                                        ->first();

                                    if(!empty($part_membre)){
                                        //je teste maintenant si la séance présente n'est pas une séance passée par rapport à celle ds la table parts
                                        if($part_membre->seance_id != 0 AND $seance->id < $part_membre->seance_id){ //alors je supprime la pénalité
                                            \DB::table('penalites')
                                                ->where('user_id','=',$user_id)
                                                ->where('tontine_id','=',$tontine->id)
                                                ->where('seance_id','=',$seance->id)
                                                ->where('numero_part','=',$numero_part)
                                                ->delete();
                                        }
                                    }






                                }
                            }

                            /*$tmp ["seance"] = $seance;
                            $listes[$i] = $tmp;
                            array_push($liste, $listes[$i]);
                            $i++;
                            */
                        }
                    }





                    /*******  Start partie ajoutée pour gérer le type_penalite = absence  ******/

                    //je recense la dernière séance de la tontine qu'on vient d'archiver
                    $seance = \DB::table('seances')
                        ->where('tontine_id','=',$tontine->id)
                        ->where('archived','=',1)
                        ->orderBy('created_at','desc')
                        ->first();

                    //je renvois les membres de la tontine
                    $membres = \DB::table('membrestontines')
                        ->join('users','users.id','=','membrestontines.user_id')
                        ->join('roles','roles.id','=','users.role_id')
                        ->join('badges','badges.id','=','users.badge_id')
                        ->join('typebadges','typebadges.id','=','badges.type_badge_id')
                        ->where('membrestontines.tontine_id','=',$tontine->id)
                        ->select('users.id as user_id','users.username','users.lastname','users.firstname','users.phone','users.email','users.sexe',
                            'users.pays','users.ville','users.address','users.picture','users.profession','users.experience','users.point',
                            'users.role_id','roles.title','users.badge_id','typebadges.name','membrestontines.numero_part')
                        ->get();


                    if(!empty($seance)) {

                        //foreach ($seances as $seance) {
                        if (!empty($membres)) {
                            foreach ($membres as $membre) {

                                $user_id = $membre->user_id;
                                $numero_part = $membre->numero_part;

                                //pour un membre je ressors ses contributions

                                $contributions = \DB::table('contributions')
                                    //->join('users','users.id','=','contributions.user_id')
                                    //->join('roles','roles.id','=','users.role_id')
                                    //->join('badges','badges.id','=','users.badge_id')
                                    //->join('typebadges','typebadges.id','=','badges.type_badge_id')
                                    ->where('user_id', '=', $user_id)
                                    ->where('seance_id', '=', $seance->id)
                                    //->where('device_id','=',$device_id)
                                    ->where('typecontribution_id', '=', 2)//2 c'est pour le typecontribution = cotisation
                                    ->where('numero_part', '=', $numero_part)
                                    /*->select('users.id as user_id','users.username','users.lastname','users.firstname','users.phone','users.email',
                                        'users.sexe','users.pays','users.ville','users.address','users.picture','users.profession',
                                        'users.role_id','roles.title as role_name','users.badge_id','typebadges.name as badge_name','typebadges.level as level_badge',
                                        'contributions.montant')*/
                                    ->get();

                                $somme = 0;
                                if (!empty($contributions)) {
                                    foreach ($contributions as $contribution) {
                                        $somme += $contribution->montant;
                                    }
                                }

                                $montant_restant_a_contribuer = $tontine->coutshare - $somme;

                                if ($montant_restant_a_contribuer != 0 AND $montant_restant_a_contribuer > 0) {     //alors le membre n'avait pas tout contribué
                                    //on doit l'appliquer les pénalités sur l'absence sur le cas ayant bouffé ou n'ayant pas bouffé

                                    //maintenant on se rassure si le membre a bouffé ou pas à cette séance
                                    $reponse = \DB::table('bouffes')
                                        ->where('tontine_id', '=', $tontine->id)
                                        ->where('seance_id', '=', $seance->id)
                                        ->where('user_id', '=', $user_id)
                                        ->where('numero_part', '=', $numero_part)
                                        ->first();

                                    if (empty($reponse)) {    //alors le membre n'a pas bouffé et on l'applique la penaliteabsencesurlacontributionnayantpasbouffe
                                        if ($tontine->typepenaliteabsencesurlacontributionnayantpasbouffe == "valeur") {
                                            $penalite_a_payer = $tontine->penaliteabsencesurlacontributionnayantpasbouffe;
                                            $montant_total_avec_penalite = $montant_restant_a_contribuer + $penalite_a_payer;

                                            /*$tmp ["seance"] = $seance;
                                            $tmp ["user"] = $membre;
                                            $tmp ["montant_restant_a_contribuer"] = $montant_restant_a_contribuer;
                                            $tmp ["penalite_a_payer"] = $penalite_a_payer;
                                            $tmp ["montant_total_avec_penalite"] = $montant_total_avec_penalite;

                                            //$listes[$i] = $tmp;

                                            array_push($liste, $tmp);*/

                                            //je teste d'abord si la pénalité n'existe pas pour le membre à cette séance
                                            $test = \DB::table('penalites')
                                                ->where('user_id', '=', $user_id)
                                                ->where('tontine_id', '=', $tontine->id)
                                                ->where('seance_id', '=', $seance->id)
                                                ->where('numero_part', '=', $numero_part)
                                                ->first();

                                            $test2 = \DB::table('penalites')
                                                ->where('user_id', '=', $user_id)
                                                ->where('tontine_id', '=', $tontine->id)
                                                ->where('seance_id', '=', $seance->id)
                                                ->where('numero_part', '=', $numero_part)
                                                ->where('type_penalite','=','retard')
                                                ->where('statut_penalite','=','pas_tout_paye')
                                                ->first();

                                            if (empty($test)) {   //alors la pénalité du membre n'a pas encore été enregistrée
                                                //insertion dans la table penalites
                                                \DB::table('penalites')
                                                    ->insert([
                                                        [
                                                            'user_id' => $user_id,
                                                            'tontine_id' => $tontine->id,
                                                            'seance_id' => $seance->id,
                                                            'penalite_a_payer' => $penalite_a_payer,
                                                            'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                            'type_penalite' => 'absence',
                                                            'statut_penalite' => 'pas_tout_paye',
                                                            'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
                                                            'numero_part' => $numero_part,
                                                            'created_at' => Carbon::now(),
                                                            'updated_at' => Carbon::now()
                                                        ]
                                                    ]);

                                                $penalites = \DB::table('penalites')
                                                    ->where('user_id','=',$user_id)
                                                    ->where('tontine_id','=',$tontine->id)
                                                    ->where('seance_id','=',$seance->id)
                                                    ->where('penalite_a_payer','=',$penalite_a_payer)
                                                    ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                    ->where('type_penalite','=','absence')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    ->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                    ->where('numero_part','=',$numero_part)
                                                    ->first();

                                                $numCycle = \DB::table('cycles')
                                                    ->where('id','=',$seance->cycle_id)
                                                    ->first();

                                                //puis je notifie le user sur la pénalité
                                                $titre = "Pénalité Absence";
                                                $description = "Une pénalité sur l'absence a été appliquée";
                                                $tontine_id = $tontine->id;
                                                $seance_id = $seance->id;
                                                $numero_seance = $seance->numero_seance;
                                                $cycle_id = $seance->cycle_id;
                                                $numero_cycle = $numCycle->numerocycle;
                                                $penalite_id = $penalites->id;
                                                $numero_part = $numero_part;


                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);

                                            }
                                            else if(!empty($test) AND !empty($test2)){  //ici on se rassure que la pénalité du membre est bien présente et qu'elle n'est pas tout payée
                                                //je fais un update en type_penalite = absence
                                                \DB::table('penalites')
                                                    ->where('user_id', '=', $user_id)
                                                    ->where('tontine_id', '=', $tontine->id)
                                                    ->where('seance_id', '=', $seance->id)
                                                    ->where('numero_part', '=', $numero_part)
                                                    ->where('type_penalite','=','retard')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    ->update([
                                                        'penalite_a_payer' => $penalite_a_payer,
                                                        'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                        'type_penalite' => 'absence',
                                                        'updated_at' => Carbon::now()
                                                    ]);

                                                $penalites = \DB::table('penalites')
                                                    ->where('user_id','=',$user_id)
                                                    ->where('tontine_id','=',$tontine->id)
                                                    ->where('seance_id','=',$seance->id)
                                                    ->where('penalite_a_payer','=',$penalite_a_payer)
                                                    ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                    ->where('type_penalite','=','absence')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    //->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                    ->where('numero_part','=',$numero_part)
                                                    ->first();

                                                $numCycle = \DB::table('cycles')
                                                    ->where('id','=',$seance->cycle_id)
                                                    ->first();

                                                //puis je notifie le user sur la pénalité
                                                $titre = "Pénalité Absence";
                                                $description = "Une pénalité sur le retard devenue une pénalité sur l'absence a été appliquée";
                                                $tontine_id = $tontine->id;
                                                $seance_id = $seance->id;
                                                $numero_seance = $seance->numero_seance;
                                                $cycle_id = $seance->cycle_id;
                                                $numero_cycle = $numCycle->numerocycle;
                                                $penalite_id = $penalites->id;
                                                $numero_part = $numero_part;


                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);


                                            }

                                            /*return response()->json(['message' => 'success', 'seance' => $seance, 'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                                     'penalite_a_payer' => $penalite_a_payer, 'montant_total_avec_penalite' => $montant_total_avec_penalite]);*/
                                        }

                                        if ($tontine->typepenaliteabsencesurlacontributionnayantpasbouffe == "pourcentage") {
                                            $penalite_a_payer = ($tontine->penaliteabsencesurlacontributionnayantpasbouffe * $tontine->coutshare) / 100;
                                            $montant_total_avec_penalite = $montant_restant_a_contribuer + $penalite_a_payer;

                                            /*$tmp ["seance"] = $seance;
                                            $tmp ["user"] = $membre;
                                            $tmp ["montant_restant_a_contribuer"] = $montant_restant_a_contribuer;
                                            $tmp ["penalite_a_payer"] = $penalite_a_payer;
                                            $tmp ["montant_total_avec_penalite"] = $montant_total_avec_penalite;

                                            //$listes[$i] = $tmp;

                                            array_push($liste, $tmp);*/

                                            //je teste d'abord si la pénalité n'existe pas pour le membre à cette séance
                                            $test = \DB::table('penalites')
                                                ->where('user_id', '=', $user_id)
                                                ->where('tontine_id', '=', $tontine->id)
                                                ->where('seance_id', '=', $seance->id)
                                                ->where('numero_part', '=', $numero_part)
                                                ->first();

                                            $test2 = \DB::table('penalites')
                                                ->where('user_id', '=', $user_id)
                                                ->where('tontine_id', '=', $tontine->id)
                                                ->where('seance_id', '=', $seance->id)
                                                ->where('numero_part', '=', $numero_part)
                                                ->where('type_penalite','=','retard')
                                                ->where('statut_penalite','=','pas_tout_paye')
                                                ->first();

                                            if (empty($test)) {   //alors la pénalité du membre n'a pas encore été enregistrée
                                                //insertion dans la table penalites
                                                \DB::table('penalites')
                                                    ->insert([
                                                        [
                                                            'user_id' => $user_id,
                                                            'tontine_id' => $tontine->id,
                                                            'seance_id' => $seance->id,
                                                            'penalite_a_payer' => $penalite_a_payer,
                                                            'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                            'type_penalite' => 'absence',
                                                            'statut_penalite' => 'pas_tout_paye',
                                                            'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
                                                            'numero_part' => $numero_part,
                                                            'created_at' => Carbon::now(),
                                                            'updated_at' => Carbon::now()
                                                        ]
                                                    ]);

                                                $penalites = \DB::table('penalites')
                                                    ->where('user_id','=',$user_id)
                                                    ->where('tontine_id','=',$tontine->id)
                                                    ->where('seance_id','=',$seance->id)
                                                    ->where('penalite_a_payer','=',$penalite_a_payer)
                                                    ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                    ->where('type_penalite','=','absence')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    ->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                    ->where('numero_part','=',$numero_part)
                                                    ->first();

                                                $numCycle = \DB::table('cycles')
                                                    ->where('id','=',$seance->cycle_id)
                                                    ->first();

                                                //puis je notifie le user sur la pénalité
                                                $titre = "Pénalité Absence";
                                                $description = "Une pénalité sur l'absence a été appliquée";
                                                $tontine_id = $tontine->id;
                                                $seance_id = $seance->id;
                                                $numero_seance = $seance->numero_seance;
                                                $cycle_id = $seance->cycle_id;
                                                $numero_cycle = $numCycle->numerocycle;
                                                $penalite_id = $penalites->id;
                                                $numero_part = $numero_part;


                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);

                                            }
                                            else if(!empty($test) AND !empty($test2)){  //ici on se rassure que la pénalité du membre est bien présente et qu'elle n'est pas tout payée
                                                //je fais un update en type_penalite = absence
                                                \DB::table('penalites')
                                                    ->where('user_id', '=', $user_id)
                                                    ->where('tontine_id', '=', $tontine->id)
                                                    ->where('seance_id', '=', $seance->id)
                                                    ->where('numero_part', '=', $numero_part)
                                                    ->where('type_penalite','=','retard')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    ->update([
                                                        'penalite_a_payer' => $penalite_a_payer,
                                                        'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                        'type_penalite' => 'absence',
                                                        'updated_at' => Carbon::now()
                                                    ]);

                                                $penalites = \DB::table('penalites')
                                                    ->where('user_id','=',$user_id)
                                                    ->where('tontine_id','=',$tontine->id)
                                                    ->where('seance_id','=',$seance->id)
                                                    ->where('penalite_a_payer','=',$penalite_a_payer)
                                                    ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                    ->where('type_penalite','=','absence')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    //->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                    ->where('numero_part','=',$numero_part)
                                                    ->first();

                                                $numCycle = \DB::table('cycles')
                                                    ->where('id','=',$seance->cycle_id)
                                                    ->first();

                                                //puis je notifie le user sur la pénalité
                                                $titre = "Pénalité Absence";
                                                $description = "Une pénalité sur le retard devenue une pénalité sur l'absence a été appliquée";
                                                $tontine_id = $tontine->id;
                                                $seance_id = $seance->id;
                                                $numero_seance = $seance->numero_seance;
                                                $cycle_id = $seance->cycle_id;
                                                $numero_cycle = $numCycle->numerocycle;
                                                $penalite_id = $penalites->id;
                                                $numero_part = $numero_part;


                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);


                                            }

                                            /*return response()->json(['message' => 'success', 'seance' => $seance, 'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                'penalite_a_payer' => $penalite_a_payer, 'montant_total_avec_penalite' => $montant_total_avec_penalite]);*/
                                        }

                                    } else {   //on applique la penaliteabsencesurlacontributionayantbouffe
                                        if ($tontine->typepenaliteabsencesurlacontributionayantbouffe == "valeur") {
                                            $penalite_a_payer = $tontine->penaliteabsencesurlacontributionayantbouffe;
                                            $montant_total_avec_penalite = $montant_restant_a_contribuer + $penalite_a_payer;

                                            /*$tmp ["seance"] = $seance;
                                            $tmp ["user"] = $membre;
                                            $tmp ["montant_restant_a_contribuer"] = $montant_restant_a_contribuer;
                                            $tmp ["penalite_a_payer"] = $penalite_a_payer;
                                            $tmp ["montant_total_avec_penalite"] = $montant_total_avec_penalite;

                                            //$listes[$i] = $tmp;

                                            array_push($liste, $tmp);*/

                                            //je teste d'abord si la pénalité n'existe pas pour le membre à cette séance
                                            $test = \DB::table('penalites')
                                                ->where('user_id', '=', $user_id)
                                                ->where('tontine_id', '=', $tontine->id)
                                                ->where('seance_id', '=', $seance->id)
                                                ->where('numero_part', '=', $numero_part)
                                                ->first();

                                            $test2 = \DB::table('penalites')
                                                ->where('user_id', '=', $user_id)
                                                ->where('tontine_id', '=', $tontine->id)
                                                ->where('seance_id', '=', $seance->id)
                                                ->where('numero_part', '=', $numero_part)
                                                ->where('type_penalite','=','retard')
                                                ->where('statut_penalite','=','pas_tout_paye')
                                                ->first();

                                            if (empty($test)) {   //alors la pénalité du membre n'a pas encore été enregistrée
                                                //insertion dans la table penalites
                                                \DB::table('penalites')
                                                    ->insert([
                                                        [
                                                            'user_id' => $user_id,
                                                            'tontine_id' => $tontine->id,
                                                            'seance_id' => $seance->id,
                                                            'penalite_a_payer' => $penalite_a_payer,
                                                            'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                            'type_penalite' => 'absence',
                                                            'statut_penalite' => 'pas_tout_paye',
                                                            'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
                                                            'numero_part' => $numero_part,
                                                            'created_at' => Carbon::now(),
                                                            'updated_at' => Carbon::now()
                                                        ]
                                                    ]);

                                                $penalites = \DB::table('penalites')
                                                    ->where('user_id','=',$user_id)
                                                    ->where('tontine_id','=',$tontine->id)
                                                    ->where('seance_id','=',$seance->id)
                                                    ->where('penalite_a_payer','=',$penalite_a_payer)
                                                    ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                    ->where('type_penalite','=','absence')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    ->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                    ->where('numero_part','=',$numero_part)
                                                    ->first();

                                                $numCycle = \DB::table('cycles')
                                                    ->where('id','=',$seance->cycle_id)
                                                    ->first();

                                                //puis je notifie le user sur la pénalité
                                                $titre = "Pénalité Absence";
                                                $description = "Une pénalité sur l'absence a été appliquée";
                                                $tontine_id = $tontine->id;
                                                $seance_id = $seance->id;
                                                $numero_seance = $seance->numero_seance;
                                                $cycle_id = $seance->cycle_id;
                                                $numero_cycle = $numCycle->numerocycle;
                                                $penalite_id = $penalites->id;
                                                $numero_part = $numero_part;


                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);

                                            }
                                            else if(!empty($test) AND !empty($test2)){  //ici on se rassure que la pénalité du membre est bien présente et qu'elle n'est pas tout payée
                                                //je fais un update en type_penalite = absence
                                                \DB::table('penalites')
                                                    ->where('user_id', '=', $user_id)
                                                    ->where('tontine_id', '=', $tontine->id)
                                                    ->where('seance_id', '=', $seance->id)
                                                    ->where('numero_part', '=', $numero_part)
                                                    ->where('type_penalite','=','retard')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    ->update([
                                                        'penalite_a_payer' => $penalite_a_payer,
                                                        'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                        'type_penalite' => 'absence',
                                                        'updated_at' => Carbon::now()
                                                    ]);

                                                $penalites = \DB::table('penalites')
                                                    ->where('user_id','=',$user_id)
                                                    ->where('tontine_id','=',$tontine->id)
                                                    ->where('seance_id','=',$seance->id)
                                                    ->where('penalite_a_payer','=',$penalite_a_payer)
                                                    ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                    ->where('type_penalite','=','absence')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    //->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                    ->where('numero_part','=',$numero_part)
                                                    ->first();

                                                $numCycle = \DB::table('cycles')
                                                    ->where('id','=',$seance->cycle_id)
                                                    ->first();

                                                //puis je notifie le user sur la pénalité
                                                $titre = "Pénalité Absence";
                                                $description = "Une pénalité sur le retard devenue une pénalité sur l'absence a été appliquée";
                                                $tontine_id = $tontine->id;
                                                $seance_id = $seance->id;
                                                $numero_seance = $seance->numero_seance;
                                                $cycle_id = $seance->cycle_id;
                                                $numero_cycle = $numCycle->numerocycle;
                                                $penalite_id = $penalites->id;
                                                $numero_part = $numero_part;


                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);


                                            }

                                            /*return response()->json(['message' => 'success', 'seance' => $seance, 'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                'penalite_a_payer' => $penalite_a_payer, 'montant_total_avec_penalite' => $montant_total_avec_penalite]);*/
                                        }

                                        if ($tontine->typepenaliteabsencesurlacontributionayantbouffe == "pourcentage") {
                                            $penalite_a_payer = ($tontine->penaliteabsencesurlacontributionayantbouffe * $tontine->coutshare) / 100;
                                            $montant_total_avec_penalite = $montant_restant_a_contribuer + $penalite_a_payer;

                                            /*$tmp ["seance"] = $seance;
                                            $tmp ["user"] = $membre;
                                            $tmp ["montant_restant_a_contribuer"] = $montant_restant_a_contribuer;
                                            $tmp ["penalite_a_payer"] = $penalite_a_payer;
                                            $tmp ["montant_total_avec_penalite"] = $montant_total_avec_penalite;

                                            //$listes[$i] = $tmp;

                                            array_push($liste, $tmp);*/

                                            //je teste d'abord si la pénalité n'existe pas pour le membre à cette séance
                                            $test = \DB::table('penalites')
                                                ->where('user_id', '=', $user_id)
                                                ->where('tontine_id', '=', $tontine->id)
                                                ->where('seance_id', '=', $seance->id)
                                                ->where('numero_part', '=', $numero_part)
                                                ->first();

                                            $test2 = \DB::table('penalites')
                                                ->where('user_id', '=', $user_id)
                                                ->where('tontine_id', '=', $tontine->id)
                                                ->where('seance_id', '=', $seance->id)
                                                ->where('numero_part', '=', $numero_part)
                                                ->where('type_penalite','=','retard')
                                                ->where('statut_penalite','=','pas_tout_paye')
                                                ->first();

                                            if (empty($test)) {   //alors la pénalité du membre n'a pas encore été enregistrée
                                                //insertion dans la table penalites
                                                \DB::table('penalites')
                                                    ->insert([
                                                        [
                                                            'user_id' => $user_id,
                                                            'tontine_id' => $tontine->id,
                                                            'seance_id' => $seance->id,
                                                            'penalite_a_payer' => $penalite_a_payer,
                                                            'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                            'type_penalite' => 'absence',
                                                            'statut_penalite' => 'pas_tout_paye',
                                                            'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
                                                            'numero_part' => $numero_part,
                                                            'created_at' => Carbon::now(),
                                                            'updated_at' => Carbon::now()
                                                        ]
                                                    ]);

                                                $penalites = \DB::table('penalites')
                                                    ->where('user_id','=',$user_id)
                                                    ->where('tontine_id','=',$tontine->id)
                                                    ->where('seance_id','=',$seance->id)
                                                    ->where('penalite_a_payer','=',$penalite_a_payer)
                                                    ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                    ->where('type_penalite','=','absence')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    ->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                    ->where('numero_part','=',$numero_part)
                                                    ->first();

                                                $numCycle = \DB::table('cycles')
                                                    ->where('id','=',$seance->cycle_id)
                                                    ->first();

                                                //puis je notifie le user sur la pénalité
                                                $titre = "Pénalité Absence";
                                                $description = "Une pénalité sur l'absence a été appliquée";
                                                $tontine_id = $tontine->id;
                                                $seance_id = $seance->id;
                                                $numero_seance = $seance->numero_seance;
                                                $cycle_id = $seance->cycle_id;
                                                $numero_cycle = $numCycle->numerocycle;
                                                $penalite_id = $penalites->id;
                                                $numero_part = $numero_part;


                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);

                                            }
                                            else if(!empty($test) AND !empty($test2)){  //ici on se rassure que la pénalité du membre est bien présente et qu'elle n'est pas tout payée
                                                //je fais un update en type_penalite = absence
                                                \DB::table('penalites')
                                                    ->where('user_id', '=', $user_id)
                                                    ->where('tontine_id', '=', $tontine->id)
                                                    ->where('seance_id', '=', $seance->id)
                                                    ->where('numero_part', '=', $numero_part)
                                                    ->where('type_penalite','=','retard')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    ->update([
                                                        'penalite_a_payer' => $penalite_a_payer,
                                                        'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                        'type_penalite' => 'absence',
                                                        'updated_at' => Carbon::now()
                                                    ]);

                                                $penalites = \DB::table('penalites')
                                                    ->where('user_id','=',$user_id)
                                                    ->where('tontine_id','=',$tontine->id)
                                                    ->where('seance_id','=',$seance->id)
                                                    ->where('penalite_a_payer','=',$penalite_a_payer)
                                                    ->where('montant_restant_a_contribuer','=',$montant_restant_a_contribuer)
                                                    ->where('type_penalite','=','absence')
                                                    ->where('statut_penalite','=','pas_tout_paye')
                                                    //->where('statut_montant_restant_a_contribuer','=','pas_tout_gere')
                                                    ->where('numero_part','=',$numero_part)
                                                    ->first();

                                                $numCycle = \DB::table('cycles')
                                                    ->where('id','=',$seance->cycle_id)
                                                    ->first();

                                                //puis je notifie le user sur la pénalité
                                                $titre = "Pénalité Absence";
                                                $description = "Une pénalité sur le retard devenue une pénalité sur l'absence a été appliquée";
                                                $tontine_id = $tontine->id;
                                                $seance_id = $seance->id;
                                                $numero_seance = $seance->numero_seance;
                                                $cycle_id = $seance->cycle_id;
                                                $numero_cycle = $numCycle->numerocycle;
                                                $penalite_id = $penalites->id;
                                                $numero_part = $numero_part;


                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);


                                            }

                                            /*return response()->json(['message' => 'success', 'seance' => $seance, 'montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                                'penalite_a_payer' => $penalite_a_payer, 'montant_total_avec_penalite' => $montant_total_avec_penalite]);*/
                                        }


                                    }


                                }



                                //je dois repérer les séances du membre qui me permettra de supprimer les pénalités de ses parts en fonction des paramètres
                                // ajout_part_membre_en_contribuant_seances_passees_et_restantes et ajout_part_membre_en_contribuant_seulement_seances_restantes

                                $part_membre = \DB::table('parts')
                                    ->where('user_id','=',$user_id)
                                    ->where('tontine_id','=',$tontine->id)
                                    //->where('seance_id','=',$seance->id)
                                    ->where('numero_part','=',$numero_part)
                                    ->first();

                                if(!empty($part_membre)){
                                    //je teste maintenant si la séance présente n'est pas une séance passée par rapport à celle ds la table parts
                                    if($part_membre->seance_id != 0 AND $seance->id < $part_membre->seance_id){ //alors je supprime la pénalité
                                        \DB::table('penalites')
                                            ->where('user_id','=',$user_id)
                                            ->where('tontine_id','=',$tontine->id)
                                            ->where('seance_id','=',$seance->id)
                                            ->where('numero_part','=',$numero_part)
                                            ->delete();
                                    }
                                }



                            }


                        }


                        //}
                    }


                    /*******  End partie ajoutée pour gérer le type_penalite = absence  ******/




                    $this->info('Save Penalite Successfully!');

                }
            }
        }


        $compteur_penalite_cronjob = \DB::table('tontines')
            ->where('statut_penalite_cronjob','=',1)
            ->where('statutgeneral','=','tout_rempli')
            ->count();

        //je teste si le compteur_tontine = compteur_penalite_cronjob
        if($compteur_tontine == $compteur_penalite_cronjob){
            //dans ce cas je remets tout les champs statut_penalite_cronjob de ces tontines à 0
            $penalite_tontines = \DB::table('tontines')
                ->where('statut_penalite_cronjob','=',1)
                ->where('statutgeneral','=','tout_rempli')
                ->get();

            if(!empty($penalite_tontines)){
                foreach($penalite_tontines as $t){
                    \DB::table('tontines')
                        ->where('id','=',$t->id)
                        ->update([
                            'statut_penalite_cronjob' => 0
                        ]);
                }

            }
        }


        /****************************************    END Partie pour remplir automatiquement la table des pénalités   ************************************************************/






//        /****************************************     Partie pour bouffer automatiquement (BouffeCron:bouffecron)     ************************************************************/
//
//        $tontines2 = \DB::table('tontines')
//            ->where('statut_bouffe_cronjob','=',0)
//            ->where('statutgeneral','=','tout_rempli')
//            ->orderBy('created_at','desc')
//            ->limit(25)    //ici on limite les ressources à 10 tontines
//            ->get();
//
//        //dd($tontines2);
//
//        $compteur_tontine = \DB::table('tontines')
//            ->where('statutgeneral','=','tout_rempli')
//            ->count();
//
//        $tontines = $tontines2;
//
//        $somme_penalite = 0;
//
//        $redis = Redis::Connection();   //connexion au serveur Redis
//
//        if(sizeof($tontines) != 0/*!empty($tontines)*/){
//
//            for($i = 0; $i < sizeof($tontines);$i++)/*foreach ($tontines as $tontine)*/ {
//
//                //ici j'update le champ statut_bouffe_cronjob à 1 pour dire que le cronjob BouffeCronJob a déjà été exécuté pour cette tontine
//                \DB::table('tontines')
//                    ->where('id', '=', $tontines[$i]->id)
//                    ->update([
//                        'statut_bouffe_cronjob' => 1
//                    ]);
//
//                //$seance_en_cours = NULL;
//                //$seance_derniere = NULL;
//                //$membre_alphabetiques = NULL;
//                //$calculs = NULL;
//                if (/*$tontine*/$tontines[$i]->statutgeneral == "tout_rempli") {
//
//                    //je dois vérifier s'il y a une séance en cours non terminée
//                    /*$seance_en_cours = \DB::table('seances')
//                        ->where('tontine_id', '=', $tontines[$i]->id)
//                        //->whereDate('date_debut','<=',Carbon::now())
//                        //->whereDate('date_fin','>=',Carbon::now())
//                        ->where('archived', '=', 0)
//                        ->first();*/
//
//                    //if (empty($seance_en_cours)) {
//                    $seance_derniere = \DB::table('seances')
//                        ->where('tontine_id', '=', $tontines[$i]->id)
//                        //->whereDate('date_debut','<=',Carbon::now())
//                        //->whereDate('date_fin','>=',Carbon::now())
//                        ->where('archived', '=', 1)
//                        ->orderBy('updated_at','desc')
//                        ->first();
//
//
//                    if(!empty($seance_derniere)){
//
//
//
//                        //je prends le type de tontine
//                        $type_tontine = \DB::table('drawingtypes')
//                            ->where('id', '=', $tontines[$i]->drawingtype_id)
//                            ->first();
//
//
//                        if(!empty($type_tontine)){
//                            if($type_tontine->name == "Alphabetically"){
//
//                                $compteur = $tontines[$i]->numberlot;       //compteur qui contient le nombre de lots
//
//                                //recherche du cycle de la tontine
//                                $cycle = \DB::table('cycles')
//                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                    ->where('archived','=',0)   //pour dire que le cycle n'est pas encore fini
//                                    ->first();
//                                //dd($cycle);
//
//                                if(!empty($cycle)){
//                                    //je ressors la liste des membres de la tontine par ordre alphabétique
//                                    $membre_alphabetiques = \DB::table('membrestontines')
//                                        ->join('users','users.id','=','membrestontines.user_id')
//                                        ->where('membrestontines.tontine_id', '=', $tontines[$i]->id)
//                                        ->orderBy('users.lastname','asc')
//                                        ->orderBy('membrestontines.numero_part','asc')
//                                        ->select('users.id as user_id','membrestontines.numero_part','membrestontines.tontine_id')
//                                        ->get();
//
//                                    for($j = 0; $j < $compteur; $j++){
//                                        if(!empty($membre_alphabetiques)){
//                                            foreach ($membre_alphabetiques as $membre){
//                                                //je teste s'il y a déjà numberlot membres ayant bouffé la séance courante pour le cycle valide
//                                                $resultat = \DB::table('bouffes')
//                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                    //->where('cycle_id','=',$cycle->id)
//                                                    ->count();
//
//                                                $numero_lot_brute = \DB::table('bouffes')
//                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                    ->orderBy('id','desc')
//                                                    ->first();
//
//                                                if(empty($numero_lot_brute)){
//                                                    $numero_lot = 1;
//                                                }
//                                                else{
//                                                    $numero_lot = $numero_lot_brute->numero_lot + 1;
//                                                }
//
//
//                                                if($resultat < $tontines[$i]->numberlot){  //alors tous les lots n'ont pas encore été bouffés cette séance
//                                                    if($resultat != $tontines[$i]->numberlot){
//
//                                                        //on contrôle si le membre a déjà eu à bouffer tous ses lots pour la tontine dans le cycle valide
//                                                        $answer = \DB::table('bouffes')
//                                                            ->where('user_id','=',$membre->user_id)
//                                                            ->where('tontine_id','=', $tontines[$i]->id)
//                                                            ->where('cycle_id','=',$cycle->id)
//                                                            ->where('numero_part','=',$membre->numero_part)
//                                                            ->count();
//
//
//                                                        //on va contrôler si le membre a déjà eu à bouffer l'une de ses parts afin d'envoyer la part du membre à la fin
//                                                        $part = \DB::table('bouffes')
//                                                            ->where('user_id','=',$membre->user_id)
//                                                            ->where('tontine_id','=', $tontines[$i]->id)
//                                                            ->where('cycle_id','=',$cycle->id)
//                                                            ->orderBy('created_at','desc')
//                                                            ->first();
//
//                                                        if($answer < $tontines[$i]->numberlot/*numero_part pas encore bouffé tous ses lots*/ AND empty($part)/*membre n'a pas encore eu à bouffer*/){
//                                                            if($answer != $tontines[$i]->numberlot){
//
//                                                                //je calcule la somme du bénéficiaire
//                                                                //je calcule maintenant les contributions déjà faites
//                                                                $calculs = \DB::table('contributions')
//                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                    //->where('user_id','=',$membre->user_id)
//                                                                    ->get();
//
//
//                                                                //je me rassure que la séance finie déjà
//                                                                //$date_debut_test = \Carbon\Carbon::parse($seance_derniere->date_debut);
//                                                                //$date_fin_test = \Carbon\Carbon::parse($seance_derniere->date_fin);
//                                                                //$date_courante = Carbon::now();
//
//                                                                //$nowInLondonTz = Carbon::now('Europe/London');    //pour charger le temps courant de notre fuseau horaire
//
//                                                                //cas où jour_date_debut = jour_date_fin = jour_date_courant et mois_date_debut = mois_date_fin = mois_date_courante  et annee_date_debut = annee_date_fin = annee_date_courante ici le contrôle se fait sur heure_debut et heure_fin
//                                                                /*if ($date_debut_test->day == $date_courante->day AND $date_fin_test->day == $date_courante->day AND
//                                                                    $date_debut_test->month == $date_courante->month AND $date_fin_test->month == $date_courante->month AND
//                                                                    $date_debut_test->year == $date_courante->year AND $date_fin_test->year == $date_courante->year
//                                                                ) {*/
//
//                                                                //$heure_debut = $seance_en_cours->heure_debut;
//                                                                /*$heure_fin = $seance_en_cours->heure_fin;
//                                                                $conversion_heure_courante_en_secondes = $user_gestion->ConvertCurrentTimeInSecond();
//                                                                $conversion_heure_fin_en_secondes = $user_gestion->ConvertTimeInSecond($heure_fin);
//
//                                                                */
//                                                                //if ($conversion_heure_fin_en_secondes <= $conversion_heure_courante_en_secondes) { //alors séance terminée
//
//                                                                $somme_cotisation = 0;
//                                                                if(!empty($calculs)){
//                                                                    foreach ($calculs as $calcul){
//                                                                        if($calcul->typecontribution_id == 2){  //2 pour le typecontribution = cotisation
//                                                                            $somme_cotisation += $calcul->montant;
//                                                                        }
//                                                                    }
//                                                                }
//
//                                                                //je calcule le nbre de membres de la tontine
//                                                                $nombre_membre = \DB::table('membrestontines')
//                                                                    ->join('users','users.id','=','membrestontines.user_id')
//                                                                    ->where('membrestontines.tontine_id','=',$tontines[$i]->id)
//                                                                    ->count();
//
//                                                                //calcul de la somme d'argent totale de contribution de la tontine
//                                                                $somme_totale = ($nombre_membre * $tontines[$i]->coutshare) / $tontines[$i]->numberlot;
//
//                                                                $somme_cotisation = $somme_cotisation / $tontines[$i]->numberlot;
//
//                                                                $argent_restant_a_bouffer = $somme_totale - $somme_cotisation;
//
//                                                                //$valeur = $somme_cotisation - $somme_penalite;
//
//                                                                //je recense toutes les pénalités que le membre est sensé payer pour la tontine
//                                                                $penalites = \DB::table('penalites')
//                                                                    ->where('user_id','=',$membre->user_id)
//                                                                    ->where('numero_part','=',$membre->numero_part)
//                                                                    ->where('tontine_id','=',$tontines[$i]->id)
//                                                                    ->where('statut_penalite','=','pas_tout_paye')
//                                                                    ->limit(5)
//                                                                    ->get();
//
//                                                                if(sizeof($penalites) != 0){
//
//                                                                    //je dois calculer le montant total des pénalités et comparer avec la somme_cotisation
//
//
//
//
//                                                                    //je dois mettre à jour la pénalité possible
//                                                                    /*foreach ($penalites as $penalite){
//                                                                       //je calcule la somme totale des pénalités
//                                                                        $somme_penalite += $penalite->penalite_a_payer;
//                                                                    }
//
//                                                                    $valeur = $somme_cotisation - $somme_penalite;
//
//
//                                                                    if($valeur >=0){    //alors on mets à jour le champ statut_penalite à tout_paye pour toutes les pénalités du membre
//                                                                        foreach ($penalites as $penalite){
//                                                                            //j'update aussi le solde_en_caisse de la tontine
//                                                                            \DB::table('tontines')
//                                                                                ->where('id', '=', $tontines[$i]->id)
//                                                                                ->update([
//                                                                                    'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer,
//                                                                                    'updated_at' => Carbon::now()
//                                                                                ]);
//
//                                                                            \DB::table('penalites')
//                                                                                ->where('user_id', '=', $penalite->user_id)
//                                                                                ->update([
//                                                                                    'statut' => 'tout_paye',
//                                                                                    'updated_at' => Carbon::now()
//                                                                                ]);
//
//
//                                                                        }
//
//                                                                    }*/
//                                                                    //else{   //ça veut dire que la somme_cotisation est petite et dans ce cas on doit chercher la pénalité que ça peut gérer
//                                                                    foreach ($penalites as $penalite){
//                                                                        $valeur = $somme_cotisation - $penalite->penalite_a_payer;
//                                                                        $nouveau_montant_restant_a_contribuer = $valeur - $penalite->montant_restant_a_contribuer;
//
//                                                                        if($valeur >= 0){
//                                                                            if($nouveau_montant_restant_a_contribuer >= 0){ //alors on coupe aussi le montant_restant_a_contribuer dans la somme à bouffer
//
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                /*\DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer + $penalite->montant_restant_a_contribuer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);*/
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id','=', $penalite->seance_id)
//                                                                                    ->where('numero_part','=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        //'penalite_a_payer' => 0,
//                                                                                        'statut_penalite' => 'tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name','=',$tontines[$i]->monnaie)
//                                                                                    ->first();
//
//                                                                                if(!empty($device)){
//                                                                                    //insertion pour penalite
//                                                                                    \DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 1, //pour penalite
//                                                                                                'montant' => $penalite->penalite_a_payer,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'numero_part' => $penalite->numero_part,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    //if($montant_restant_a_contribuer != 0){
//                                                                                    //insertion pour cotisation
//                                                                                    \DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 2, //pour cotisation
//                                                                                                'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'numero_part' => $penalite->numero_part,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//                                                                                    //}
//
//
//                                                                                    //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                    $table =  \DB::table('penalites')
//                                                                                        ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                        ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                        ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                        ->first();
//
//                                                                                    if(!empty($table)){
//                                                                                        //insertion dans la table trace_penalites_et_contributions
////                                                                                        \DB::table('trace_penalites_et_contributions')
////                                                                                            ->insert([
////                                                                                                [
////                                                                                                    'user_id' => $table->user_id,
////                                                                                                    'tontine_id' => $table->tontine_id,
////                                                                                                    'seance_id' => $table->seance_id,
////                                                                                                    'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                    'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                    'type_penalite' => $table->type_penalite,
////                                                                                                    'statut_penalite' => $table->statut_penalite,
////                                                                                                    'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                    'numero_part' => $table->numero_part,
////                                                                                                    'numero_lot' => $numero_lot,
////                                                                                                    'argent_penalite_payer' => $penalite->penalite_a_payer,
////                                                                                                    'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                    'created_at' => Carbon::now(),
////                                                                                                    'updated_at' => Carbon::now()
////                                                                                                ]
////                                                                                            ]);
//
//                                                                                        $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                            $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,$penalite->penalite_a_payer,
//                                                                                            $penalite->montant_restant_a_contribuer);
//
//                                                                                        $penalites = \DB::table('penalites')
//                                                                                            ->where('user_id','=',$membre->user_id)
//                                                                                            ->where('seance_id','=',$seance_derniere->id)
//                                                                                            ->where('numero_part','=',$membre->numero_part)
//                                                                                            ->first();
//
//                                                                                        $seances = \DB::table('seances')
//                                                                                            ->where('id','=',$seance_derniere->id)
//                                                                                            ->first();
//
//                                                                                        $numCycle = \DB::table('cycles')
//                                                                                            ->where('id','=',$seances->cycle_id)
//                                                                                            ->first();
//
//                                                                                        //puis je notifie le user
//                                                                                        $titre = "Paiement Automatique";
//                                                                                        $description = "La contribution non achévée a été réglée et la pénalité non achevée a été réglée";
//                                                                                        $user_id = $membre->user_id;
//                                                                                        $tontine_id = $seances->tontine_id;
//                                                                                        $seance_id = $seances->id;
//                                                                                        $numero_seance = $seances->numero_seance;
//                                                                                        $cycle_id = $seances->cycle_id;
//                                                                                        $numero_cycle = $numCycle->numerocycle;
//                                                                                        $numero_part = $membre->numero_part;
//
//                                                                                        if(!empty($penalites)) {
//                                                                                            $penalite_id = $penalites->id;
//                                                                                        }
//                                                                                        else{
//                                                                                            $penalite_id = 0;
//                                                                                        }
//
//
//                                                                                        $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                    }
//
//
//                                                                                }
//
//                                                                                //$argent_restant_a_bouffer -= $penalite->penalite_a_payer;
//
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id','=',$membre->user_id)
//                                                                                    ->where('tontine_id','=', $tontines[$i]->id)
//                                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                                    ->where('cycle_id','=',$cycle->id)
//                                                                                    ->where('numero_part','=', $membre->numero_part)
//                                                                                    ->where('numero_lot','=',$numero_lot)
//                                                                                    ->first();
//
//                                                                                if(empty($confirm)){
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines[$i]->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $membre->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                    //on charge le portemonnaie du membre
//
//                                                                                }
//                                                                                else{
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id','=',$tontines[$i]->id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('cycle_id','=',$cycle->id)
//                                                                                        ->where('numero_part','=', $membre->numero_part)
//                                                                                        ->where('numero_lot','=',$numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//
//
//                                                                                $solde = \DB::table('tontines')
//                                                                                    ->where('id','=',$tontines[$i]->id)
//                                                                                    ->first();
//
//                                                                                //if(!empty($solde)){
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $solde->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $solde->solde_en_caisse + $penalite->penalite_a_payer + $penalite->montant_restant_a_contribuer ,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//                                                                                // }
//
//                                                                                //dd($solde);
//
//
//                                                                                $somme_cotisation = $nouveau_montant_restant_a_contribuer;
//
//                                                                            }
//                                                                            else{   //dans ce cas on retire une partie du montant_restant_a_contribuer
//                                                                                $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $valeur;
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                /*\DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer + $valeur,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);*/
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id','=', $penalite->seance_id)
//                                                                                    ->where('numero_part','=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        //'penalite_a_payer' => 0,
//                                                                                        'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                        'statut_penalite' => 'tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name','=',$tontines[$i]->monnaie)
//                                                                                    ->first();
//
//                                                                                if(!empty($device)){
//                                                                                    //insertion pour penalite
//                                                                                    \DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 1, //pour penalite
//                                                                                                'montant' => $penalite->penalite_a_payer,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'numero_part' => $penalite->numero_part,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    //insertion pour cotisation
//                                                                                    \DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 2, //pour cotisation
//                                                                                                'montant' => $valeur,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'numero_part' => $penalite->numero_part,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//
//                                                                                    //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                    $table =  \DB::table('penalites')
//                                                                                        ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                        ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                        ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                        ->first();
//
//                                                                                    if(!empty($table)){
//                                                                                        //insertion dans la table trace_penalites_et_contributions
////                                                                                        \DB::table('trace_penalites_et_contributions')
////                                                                                            ->insert([
////                                                                                                [
////                                                                                                    'user_id' => $table->user_id,
////                                                                                                    'tontine_id' => $table->tontine_id,
////                                                                                                    'seance_id' => $table->seance_id,
////                                                                                                    'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                    'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                    'type_penalite' => $table->type_penalite,
////                                                                                                    'statut_penalite' => $table->statut_penalite,
////                                                                                                    'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                    'numero_part' => $table->numero_part,
////                                                                                                    'numero_lot' => $numero_lot,
////                                                                                                    'argent_penalite_payer' => $penalite->penalite_a_payer,
////                                                                                                    'argent_contribution_payer' => $valeur,
////                                                                                                    'created_at' => Carbon::now(),
////                                                                                                    'updated_at' => Carbon::now()
////                                                                                                ]
////                                                                                            ]);
//
//                                                                                        $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                            $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,$penalite->penalite_a_payer,
//                                                                                            $penalite->montant_restant_a_contribuer);
//
//                                                                                        $penalites = \DB::table('penalites')
//                                                                                            ->where('user_id','=',$membre->user_id)
//                                                                                            ->where('seance_id','=',$seance_derniere->id)
//                                                                                            ->where('numero_part','=',$membre->numero_part)
//                                                                                            ->first();
//
//                                                                                        $seances = \DB::table('seances')
//                                                                                            ->where('id','=',$seance_derniere->id)
//                                                                                            ->first();
//
//                                                                                        $numCycle = \DB::table('cycles')
//                                                                                            ->where('id','=',$seances->cycle_id)
//                                                                                            ->first();
//
//                                                                                        //puis je notifie le user
//                                                                                        $titre = "Paiement Automatique";
//                                                                                        $description = "La contribution non achevée a été avancée et la pénalité non achevée a été réglée";
//                                                                                        $user_id = $membre->user_id;
//                                                                                        $tontine_id = $seances->tontine_id;
//                                                                                        $seance_id = $seances->id;
//                                                                                        $numero_seance = $seances->numero_seance;
//                                                                                        $cycle_id = $seances->cycle_id;
//                                                                                        $numero_cycle = $numCycle->numerocycle;
//                                                                                        $numero_part = $membre->numero_part;
//
//                                                                                        if(!empty($penalites)) {
//                                                                                            $penalite_id = $penalites->id;
//                                                                                        }
//                                                                                        else{
//                                                                                            $penalite_id = 0;
//                                                                                        }
//
//
//                                                                                        $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                    }
//
//                                                                                }
//
//                                                                                //$argent_restant_a_bouffer -= $penalite->penalite_a_payer;
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id','=',$membre->user_id)
//                                                                                    ->where('tontine_id','=', $tontines[$i]->id)
//                                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                                    ->where('cycle_id','=',$cycle->id)
//                                                                                    ->where('numero_part','=', $membre->numero_part)
//                                                                                    ->where('numero_lot','=',$numero_lot)
//                                                                                    ->first();
//
//                                                                                if(empty($confirm)){
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines[$i]->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => 0,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $membre->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                }
//                                                                                else{
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id','=',$tontines[$i]->id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('cycle_id','=',$cycle->id)
//                                                                                        ->where('numero_part','=', $membre->numero_part)
//                                                                                        ->where('numero_lot','=',$numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => 0,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//                                                                                $solde = \DB::table('tontines')
//                                                                                    ->where('id','=',$tontines[$i]->id)
//                                                                                    ->first();
//
//                                                                                //if(!empty($solde)){
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $solde->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $solde->solde_en_caisse + $penalite->penalite_a_payer + $valeur,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//                                                                                // }
//
//
//                                                                                $somme_cotisation = 0;
//
//                                                                            }
//
//                                                                        }
//                                                                        else{
//                                                                            $valeur = 0;
//                                                                            $nouveau_montant_restant_a_contribuer = $somme_cotisation - $penalite->montant_restant_a_contribuer;
//
//                                                                            if($nouveau_montant_restant_a_contribuer >= 0){
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                /*\DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);*/
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id','=', $penalite->seance_id)
//                                                                                    ->where('numero_part','=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        'statut_penalite' => 'pas_tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name','=',$tontines[$i]->monnaie)
//                                                                                    ->first();
//
//                                                                                if(!empty($device)){
//                                                                                    //insertion pour penalite
//                                                                                    /*\DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 1, //pour penalite
//                                                                                                'montant' => $penalite->penalite_a_payer,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);*/
//
//                                                                                    if($penalite->montant_restant_a_contribuer != 0){
//                                                                                        //insertion pour cotisation
//                                                                                        \DB::table('contributions')
//                                                                                            ->insert([
//                                                                                                [
//                                                                                                    'user_id' => $membre->user_id,
//                                                                                                    'seance_id' => $seance_derniere->id,
//                                                                                                    'device_id' => $device->id,
//                                                                                                    'typecontribution_id' => 2, //pour cotisation
//                                                                                                    'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                    'sens_contribution' => 'sortant',
//                                                                                                    'numero_part' => $membre->numero_part,
//                                                                                                    'created_at' => Carbon::now(),
//                                                                                                    'updated_at' => Carbon::now()
//                                                                                                ]
//                                                                                            ]);
//
//                                                                                        //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                        $table =  \DB::table('penalites')
//                                                                                            ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                            ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                            ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                            ->first();
//
//                                                                                        if(!empty($table)){
//                                                                                            //insertion dans la table trace_penalites_et_contributions
////                                                                                            \DB::table('trace_penalites_et_contributions')
////                                                                                                ->insert([
////                                                                                                    [
////                                                                                                        'user_id' => $table->user_id,
////                                                                                                        'tontine_id' => $table->tontine_id,
////                                                                                                        'seance_id' => $table->seance_id,
////                                                                                                        'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                        'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                        'type_penalite' => $table->type_penalite,
////                                                                                                        'statut_penalite' => $table->statut_penalite,
////                                                                                                        'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                        'numero_part' => $table->numero_part,
////                                                                                                        'numero_lot' => $numero_lot,
////                                                                                                        'argent_penalite_payer' => 0,
////                                                                                                        'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                        'created_at' => Carbon::now(),
////                                                                                                        'updated_at' => Carbon::now()
////                                                                                                    ]
////                                                                                                ]);
//
//                                                                                            $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                $penalite->montant_restant_a_contribuer);
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id','=',$membre->user_id)
//                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                                                ->first();
//
//                                                                                            $seances = \DB::table('seances')
//                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                ->first();
//
//                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                ->first();
//
//                                                                                            //puis je notifie le user
//                                                                                            $titre = "Paiement Automatique";
//                                                                                            $description = "La contribution non achevée a été réglée";
//                                                                                            $user_id = $membre->user_id;
//                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                            $seance_id = $seances->id;
//                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                            $numero_part = $membre->numero_part;
//
//                                                                                            if(!empty($penalites)) {
//                                                                                                $penalite_id = $penalites->id;
//                                                                                            }
//                                                                                            else{
//                                                                                                $penalite_id = 0;
//                                                                                            }
//
//
//                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                        }
//
//                                                                                    }
//
//
//                                                                                }
//
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id','=',$membre->user_id)
//                                                                                    ->where('tontine_id','=', $tontines[$i]->id)
//                                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                                    ->where('cycle_id','=',$cycle->id)
//                                                                                    ->where('numero_part','=', $membre->numero_part)
//                                                                                    ->where('numero_lot','=',$numero_lot)
//                                                                                    ->first();
//
//                                                                                if(empty($confirm)){
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines[$i]->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $membre->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                }
//                                                                                else{
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id','=',$tontines[$i]->id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('cycle_id','=',$cycle->id)
//                                                                                        ->where('numero_part','=', $membre->numero_part)
//                                                                                        ->where('numero_lot','=',$numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//                                                                                $solde = \DB::table('tontines')
//                                                                                    ->where('id','=',$tontines[$i]->id)
//                                                                                    ->first();
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $solde->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $solde->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//                                                                                // }
//
//
//                                                                                $somme_cotisation = 0;
//
//
//                                                                            }
//                                                                            else{
//                                                                                $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $somme_cotisation;
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                /*\DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $somme_cotisation,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);*/
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id','=', $penalite->seance_id)
//                                                                                    ->where('numero_part','=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                        'statut_penalite' => 'pas_tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name','=',$tontines[$i]->monnaie)
//                                                                                    ->first();
//
//                                                                                if(!empty($device)){
//                                                                                    //insertion pour penalite
//                                                                                    /*\DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 1, //pour penalite
//                                                                                                'montant' => $penalite->penalite_a_payer,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);*/
//
//                                                                                    if($somme_cotisation != 0){
//                                                                                        //insertion pour cotisation
//                                                                                        \DB::table('contributions')
//                                                                                            ->insert([
//                                                                                                [
//                                                                                                    'user_id' => $membre->user_id,
//                                                                                                    'seance_id' => $seance_derniere->id,
//                                                                                                    'device_id' => $device->id,
//                                                                                                    'typecontribution_id' => 2, //pour cotisation
//                                                                                                    'montant' => $somme_cotisation,
//                                                                                                    'sens_contribution' => 'sortant',
//                                                                                                    'numero_part' => $membre->numero_part,
//                                                                                                    'created_at' => Carbon::now(),
//                                                                                                    'updated_at' => Carbon::now()
//                                                                                                ]
//                                                                                            ]);
//
//                                                                                        //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                        $table =  \DB::table('penalites')
//                                                                                            ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                            ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                            ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                            ->first();
//
//                                                                                        if(!empty($table)){
//                                                                                            //insertion dans la table trace_penalites_et_contributions
////                                                                                            \DB::table('trace_penalites_et_contributions')
////                                                                                                ->insert([
////                                                                                                    [
////                                                                                                        'user_id' => $table->user_id,
////                                                                                                        'tontine_id' => $table->tontine_id,
////                                                                                                        'seance_id' => $table->seance_id,
////                                                                                                        'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                        'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                        'type_penalite' => $table->type_penalite,
////                                                                                                        'statut_penalite' => $table->statut_penalite,
////                                                                                                        'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                        'numero_part' => $table->numero_part,
////                                                                                                        'numero_lot' => $numero_lot,
////                                                                                                        'argent_penalite_payer' => 0,
////                                                                                                        'argent_contribution_payer' => $somme_cotisation,
////                                                                                                        'created_at' => Carbon::now(),
////                                                                                                        'updated_at' => Carbon::now()
////                                                                                                    ]
////                                                                                                ]);
//
//                                                                                            $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                $somme_cotisation);
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id','=',$membre->user_id)
//                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                                                ->first();
//
//                                                                                            $seances = \DB::table('seances')
//                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                ->first();
//
//                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                ->first();
//
//                                                                                            //puis je notifie le user
//                                                                                            $titre = "Paiement Automatique";
//                                                                                            $description = "La contribution non achevée a été avancée";
//                                                                                            $user_id = $membre->user_id;
//                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                            $seance_id = $seances->id;
//                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                            $numero_part = $membre->numero_part;
//
//                                                                                            if(!empty($penalites)) {
//                                                                                                $penalite_id = $penalites->id;
//                                                                                            }
//                                                                                            else{
//                                                                                                $penalite_id = 0;
//                                                                                            }
//
//
//                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                        }
//
//                                                                                    }
//
//                                                                                }
//
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id','=',$membre->user_id)
//                                                                                    ->where('tontine_id','=', $tontines[$i]->id)
//                                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                                    ->where('cycle_id','=',$cycle->id)
//                                                                                    ->where('numero_part','=', $membre->numero_part)
//                                                                                    ->where('numero_lot','=',$numero_lot)
//                                                                                    ->first();
//
//                                                                                if(empty($confirm)){
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines[$i]->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => $valeur,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer - $nouveau_montant_restant_a_contribuer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $membre->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                }
//                                                                                else{
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id','=',$tontines[$i]->id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('cycle_id','=',$cycle->id)
//                                                                                        ->where('numero_part','=', $membre->numero_part)
//                                                                                        ->where('numero_lot','=',$numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => $valeur,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer - $nouveau_montant_restant_a_contribuer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//                                                                                $solde = \DB::table('tontines')
//                                                                                    ->where('id','=',$tontines[$i]->id)
//                                                                                    ->first();
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $solde->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $solde->solde_en_caisse + $somme_cotisation,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//                                                                                // }
//
//
//                                                                                $somme_cotisation = $valeur;
//
//
//
//                                                                            }
//
//
//
//                                                                        }
//                                                                    }
//                                                                    //}
//                                                                }
//
//                                                                if(sizeof($penalites) == 0){  //alors on insère le membre comme bénéficiaire
//                                                                    \DB::table('bouffes')
//                                                                        ->insert([
//                                                                            [
//                                                                                'user_id' => $membre->user_id,
//                                                                                'tontine_id' => $tontines[$i]->id,
//                                                                                'seance_id' => $seance_derniere->id,
//                                                                                'cycle_id' => $cycle->id,
//                                                                                'somme' => $somme_cotisation,
//                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                'numero_part' => $membre->numero_part,
//                                                                                'numero_lot' => $numero_lot,
//                                                                                'created_at' => Carbon::now(),
//                                                                                'updated_at' => Carbon::now()
//                                                                            ]
//                                                                        ]);
//
//                                                                    $penalites = \DB::table('penalites')
//                                                                        ->where('user_id','=',$membre->user_id)
//                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                        ->first();
//
//                                                                    $seances = \DB::table('seances')
//                                                                        ->where('id','=',$seance_derniere->id)
//                                                                        ->first();
//
//                                                                    $numCycle = \DB::table('cycles')
//                                                                        ->where('id','=',$seances->cycle_id)
//                                                                        ->first();
//
//                                                                    //puis je notifie le user
//                                                                    $titre = "JACKPOT";
//                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                    $user_id = $membre->user_id;
//                                                                    $tontine_id = $seances->tontine_id;
//                                                                    $seance_id = $seances->id;
//                                                                    $numero_seance = $seances->numero_seance;
//                                                                    $cycle_id = $seances->cycle_id;
//                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                    $numero_part = $membre->numero_part;
//
//                                                                    if(!empty($penalites)) {
//                                                                        $penalite_id = $penalites->id;
//                                                                    }
//                                                                    else{
//                                                                        $penalite_id = 0;
//                                                                    }
//
//
//                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                    $solde = \DB::table('tontines')
//                                                                        ->where('id','=',$tontines[$i]->id)
//                                                                        ->first();
//
//                                                                    //puis on mets à jour solde caisse tontines
//                                                                    \DB::table('tontines')
//                                                                        ->where('id', '=', $solde->id)
//                                                                        ->update([
//                                                                            'solde_en_caisse' => $solde->solde_en_caisse - $somme_cotisation,
//                                                                            'updated_at' => Carbon::now()
//                                                                        ]);
//                                                                }
//
//
//                                                                //par la suite je dois recenser toutes les pénalités où statut_montant_restant_a_contribuer = 'pas_tout_gere'
//                                                                //pour tout ceux voulant bouffer on doit couper le montant_restant_a_contribuer
//
//                                                                $tontines5 = \DB::table('tontines')
//                                                                    ->where('id','=',$tontines[$i]->id)
//                                                                    ->first();
//
//                                                                if(!empty($tontines5)){
//                                                                    $tontine_id = $tontines5->id;
//
//
//                                                                    $penalites = \DB::table('penalites')
//                                                                        ->where('user_id','=',$membre->user_id)
//                                                                        ->where('numero_part','=', $membre->numero_part)
//                                                                        ->where('tontine_id','=',$tontine_id)
//                                                                        ->where('statut_montant_restant_a_contribuer','=','pas_tout_paye')
//                                                                        ->limit(5)
//                                                                        ->get();
//
//                                                                    if(sizeof($penalites) != 0){
//
//                                                                        //je dois mettre à jour la pénalité possible
//                                                                        /*foreach ($penalites as $penalite){
//                                                                           //je calcule la somme totale des pénalités
//                                                                            $somme_penalite += $penalite->penalite_a_payer;
//                                                                        }
//
//                                                                        $valeur = $somme_cotisation - $somme_penalite;
//
//
//                                                                        if($valeur >=0){    //alors on mets à jour le champ statut_penalite à tout_paye pour toutes les pénalités du membre
//                                                                            foreach ($penalites as $penalite){
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->update([
//                                                                                        'statut' => 'tout_paye',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//
//                                                                            }
//
//                                                                        }*/
//                                                                        //else{
//                                                                        foreach ($penalites as $penalite){
//                                                                            //$valeur = $somme_cotisation - $penalite->penalite_a_payer;
//                                                                            $nouveau_montant_restant_a_contribuer = $somme_cotisation - $penalite->montant_restant_a_contribuer;
//
//                                                                            //if($valeur >= 0){
//                                                                            if($nouveau_montant_restant_a_contribuer >= 0){ //alors on coupe aussi le montant_restant_a_contribuer dans la somme à bouffer
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $tontine_id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines5->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id','=', $penalite->seance_id)
//                                                                                    ->where('numero_part','=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        //'statut_penalite' => 'tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name','=',$tontines5->monnaie)
//                                                                                    ->first();
//
//                                                                                if(!empty($device)){
//
//                                                                                    if($penalite->montant_restant_a_contribuer != 0){
//                                                                                        //insertion pour cotisation
//                                                                                        \DB::table('contributions')
//                                                                                            ->insert([
//                                                                                                [
//                                                                                                    'user_id' => $membre->user_id,
//                                                                                                    'seance_id' => $seance_derniere->id,
//                                                                                                    'device_id' => $device->id,
//                                                                                                    'typecontribution_id' => 2, //pour cotisation
//                                                                                                    'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                    'sens_contribution' => 'sortant',
//                                                                                                    'numero_part' => $membre->numero_part,
//                                                                                                    'created_at' => Carbon::now(),
//                                                                                                    'updated_at' => Carbon::now()
//                                                                                                ]
//                                                                                            ]);
//
//                                                                                        //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                        $table =  \DB::table('penalites')
//                                                                                            ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                            ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                            ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                            ->first();
//
//                                                                                        if(!empty($table)){
//                                                                                            //insertion dans la table trace_penalites_et_contributions
////                                                                                            \DB::table('trace_penalites_et_contributions')
////                                                                                                ->insert([
////                                                                                                    [
////                                                                                                        'user_id' => $table->user_id,
////                                                                                                        'tontine_id' => $table->tontine_id,
////                                                                                                        'seance_id' => $table->seance_id,
////                                                                                                        'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                        'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                        'type_penalite' => $table->type_penalite,
////                                                                                                        'statut_penalite' => $table->statut_penalite,
////                                                                                                        'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                        'numero_part' => $table->numero_part,
////                                                                                                        'numero_lot' => $numero_lot,
////                                                                                                        'argent_penalite_payer' => 0,
////                                                                                                        'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                        'created_at' => Carbon::now(),
////                                                                                                        'updated_at' => Carbon::now()
////                                                                                                    ]
////                                                                                                ]);
//
//                                                                                            $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                $penalite->montant_restant_a_contribuer);
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id','=',$membre->user_id)
//                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                                                ->first();
//
//                                                                                            $seances = \DB::table('seances')
//                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                ->first();
//
//                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                ->first();
//
//                                                                                            //puis je notifie le user
//                                                                                            $titre = "Paiement Automatique";
//                                                                                            $description = "La contribution non achevée a été réglée";
//                                                                                            $user_id = $membre->user_id;
//                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                            $seance_id = $seances->id;
//                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                            $numero_part = $membre->numero_part;
//
//                                                                                            if(!empty($penalites)) {
//                                                                                                $penalite_id = $penalites->id;
//                                                                                            }
//                                                                                            else{
//                                                                                                $penalite_id = 0;
//                                                                                            }
//
//
//                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                        }
//
//                                                                                    }
//
//
//                                                                                }
//
//
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id','=',$membre->user_id)
//                                                                                    ->where('tontine_id','=', $tontines5->id)
//                                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                                    ->where('cycle_id','=',$cycle->id)
//                                                                                    ->where('numero_part','=', $membre->numero_part)
//                                                                                    ->where('numero_lot','=',$numero_lot)
//                                                                                    ->first();
//
//                                                                                if(empty($confirm)){
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines5->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $membre->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                }
//                                                                                else{
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id','=',$tontines5->id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('cycle_id','=',$cycle->id)
//                                                                                        ->where('numero_part','=', $membre->numero_part)
//                                                                                        ->where('numero_lot','=',$numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//                                                                            }
//                                                                            else{   //dans ce cas on retire une partie du montant_restant_a_contribuer
//                                                                                $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $valeur;
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines5->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines5->solde_en_caisse + $valeur,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id','=', $penalite->seance_id)
//                                                                                    ->where('numero_part','=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                        //'statut_penalite' => 'tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name','=',$tontines5->monnaie)
//                                                                                    ->first();
//
//                                                                                if(!empty($device)){
//
//                                                                                    if($valeur != 0){
//                                                                                        //insertion pour cotisation
//                                                                                        \DB::table('contributions')
//                                                                                            ->insert([
//                                                                                                [
//                                                                                                    'user_id' => $membre->user_id,
//                                                                                                    'seance_id' => $seance_derniere->id,
//                                                                                                    'device_id' => $device->id,
//                                                                                                    'typecontribution_id' => 2, //pour cotisation
//                                                                                                    'montant' => $valeur,
//                                                                                                    'sens_contribution' => 'sortant',
//                                                                                                    'numero_part' => $membre->numero_part,
//                                                                                                    'created_at' => Carbon::now(),
//                                                                                                    'updated_at' => Carbon::now()
//                                                                                                ]
//                                                                                            ]);
//
//                                                                                        //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                        $table =  \DB::table('penalites')
//                                                                                            ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                            ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                            ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                            ->first();
//
//                                                                                        if(!empty($table)){
//                                                                                            //insertion dans la table trace_penalites_et_contributions
////                                                                                            \DB::table('trace_penalites_et_contributions')
////                                                                                                ->insert([
////                                                                                                    [
////                                                                                                        'user_id' => $table->user_id,
////                                                                                                        'tontine_id' => $table->tontine_id,
////                                                                                                        'seance_id' => $table->seance_id,
////                                                                                                        'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                        'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                        'type_penalite' => $table->type_penalite,
////                                                                                                        'statut_penalite' => $table->statut_penalite,
////                                                                                                        'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                        'numero_part' => $table->numero_part,
////                                                                                                        'numero_lot' => $numero_lot,
////                                                                                                        'argent_penalite_payer' => 0,
////                                                                                                        'argent_contribution_payer' => $valeur,
////                                                                                                        'created_at' => Carbon::now(),
////                                                                                                        'updated_at' => Carbon::now()
////                                                                                                    ]
////                                                                                                ]);
//
//                                                                                            $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                $valeur);
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id','=',$membre->user_id)
//                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                                                ->first();
//
//                                                                                            $seances = \DB::table('seances')
//                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                ->first();
//
//                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                ->first();
//
//                                                                                            //puis je notifie le user
//                                                                                            $titre = "Paiement Automatique";
//                                                                                            $description = "La contribution non achevée a été avancée";
//                                                                                            $user_id = $membre->user_id;
//                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                            $seance_id = $seances->id;
//                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                            $numero_part = $membre->numero_part;
//
//                                                                                            if(!empty($penalites)) {
//                                                                                                $penalite_id = $penalites->id;
//                                                                                            }
//                                                                                            else{
//                                                                                                $penalite_id = 0;
//                                                                                            }
//
//
//                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                        }
//
//                                                                                    }
//
//
//                                                                                }
//
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id','=',$membre->user_id)
//                                                                                    ->where('tontine_id','=', $tontines5->id)
//                                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                                    ->where('cycle_id','=',$cycle->id)
//                                                                                    ->where('numero_part','=', $membre->numero_part)
//                                                                                    ->where('numero_lot','=',$numero_lot)
//                                                                                    ->first();
//
//                                                                                if(empty($confirm)){
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines5->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => 0,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $membre->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                }
//                                                                                else{
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id','=',$tontines5->id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('cycle_id','=',$cycle->id)
//                                                                                        ->where('numero_part','=', $membre->numero_part)
//                                                                                        ->where('numero_lot','=',$numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => 0,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//                                                                            }
//
//                                                                            //}
//                                                                            //else{
//
//
//
//
//
//                                                                            //}
//                                                                        }
//                                                                        //}
//
//                                                                    }
//
//
//
//                                                                }
//
//
//
//
//
//                                                                //j'insère le membre comme bénéficiaire
//                                                                /*\DB::table('bouffes')
//                                                                    ->insert([
//                                                                        [
//                                                                            'user_id' => $membre->user_id,
//                                                                            'tontine_id' => $tontines[$i]->id,
//                                                                            'seance_id' => $seance_derniere->id,
//                                                                            'cycle_id' => $cycle->id,
//                                                                            'somme' => $valeur,
//                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                            'created_at' => Carbon::now(),
//                                                                            'updated_at' => Carbon::now()
//                                                                        ]
//                                                                    ]);*/
//
//
//
//
//                                                                //puis je mets à jour le solde_en_caisse de la tontine. Je refais ceci afin d'avoir la ligne mise à jour de la table tontines
//                                                                /*$tontines4 = \DB::table('tontines')
//                                                                    ->where('id','=',$tontines[$i]->id)
//                                                                    ->first();
//
//                                                                //$tontines = $tontines4;
//
//                                                                if(!empty($tontines4)){
//                                                                    \DB::table('tontines')
//                                                                        ->where('id', '=', $tontines4->id)
//                                                                        ->update([
//                                                                            'solde_en_caisse' => $tontines4->solde_en_caisse - $somme_cotisation,
//                                                                            'updated_at' => Carbon::now()
//                                                                        ]);
//                                                                }*/
//
//
//
//                                                                // }
//
//                                                                // }else{
//                                                                //$this->info('Séance pas encore terminée!');
//                                                                //}
//
//                                                            }
//
//
//
//                                                        }
//
//
//                                                        if($answer < $tontines[$i]->numberlot/*numero_part pas encore bouffé tous ses lots*/ AND !empty($part)/*membre a déjà eu à bouffer*/){
//                                                            //dans ce cas on doit save la part du membre ds la table part_a_bouffer
//
//                                                            //on va d'abord se rassurer que le numero_part la n'existe pas déjà ds la table part_a_bouffer
//                                                            $recherche = \DB::table('part_a_bouffer')
//                                                                ->where('user_id','=',$membre->user_id)
//                                                                ->where('tontine_id','=', $tontines[$i]->id)
//                                                                ->where('cycle_id','=',$cycle->id)
//                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                ->first();
//
//
//                                                            if(empty($recherche)){
//                                                                //insertion dans la table part_a_bouffer
//                                                                \DB::table('part_a_bouffer')
//                                                                    ->insert([
//                                                                        [
//                                                                            'user_id' => $membre->user_id,
//                                                                            'tontine_id' => $tontines[$i]->id,
//                                                                            'seance_id' => $seance_derniere->id,
//                                                                            'cycle_id' => $cycle->id,
//                                                                            'somme' => 0,
//                                                                            'argent_restant_a_bouffer' => 0,
//                                                                            'numero_part' => $membre->numero_part,
//                                                                            'created_at' => Carbon::now(),
//                                                                            'updated_at' => Carbon::now()
//                                                                        ]
//                                                                    ]);
//                                                            }
//
//
//                                                            //je calcule le nbre de membres de la tontine sans doublon
//                                                            $nombre_membre_sans_doublon_user_id = \DB::table('membrestontines')
//                                                                //->join('users','users.id','=','membrestontines.user_id')
//                                                                ->where('membrestontines.tontine_id','=',$tontines[$i]->id)
//                                                                ->select('membrestontines.user_id')
//                                                                ->distinct()
//                                                                ->get();
//
//                                                            $nbre_membre_sans_doublon=0;
//
//                                                            if(!empty($nombre_membre_sans_doublon_user_id)){
//                                                                foreach ($nombre_membre_sans_doublon_user_id as $nombre){
//                                                                    $nbre_membre_sans_doublon++;   //contient le nombre de membre sans doublon
//                                                                }
//                                                            }
//
//
//                                                            //je calcule maintenant le nbre de membres de la tontine sans doublon ayant bouffé
//                                                            $nombre_membre_sans_doublon_ayant_bouffe_user_id = \DB::table('bouffes')
//                                                                //->join('users','users.id','=','membrestontines.user_id')
//                                                                ->where('tontine_id','=',$tontines[$i]->id)
//                                                                ->where('cycle_id','=',$cycle->id)
//                                                                //->select('membrestontines.user_id')
//                                                                ->distinct()
//                                                                ->get();
//
//                                                            $nbre_membre_sans_doublon_ayant_bouffe=0;
//
//                                                            if(!empty($nombre_membre_sans_doublon_ayant_bouffe_user_id)){
//                                                                foreach ($nombre_membre_sans_doublon_ayant_bouffe_user_id as $nombre){
//                                                                    $nbre_membre_sans_doublon_ayant_bouffe++;   //contient le nombre de membre sans doublon ayant bouffé
//                                                                }
//                                                            }
//
//                                                            //dd($nbre_membre_sans_doublon,$nbre_membre_sans_doublon_ayant_bouffe);
//
//                                                            if($nbre_membre_sans_doublon == $nbre_membre_sans_doublon_ayant_bouffe){ //alors chaque membre a déjà au moins bouffé un lot de sa part
//
//                                                                //on récupère les parts à bouffer
//                                                                $part_a_bouffer = \DB::table('part_a_bouffer')
//                                                                    ->where('tontine_id','=',$tontines[$i]->id)
//                                                                    ->where('cycle_id','=',$cycle->id)
//                                                                    ->get();
//
//                                                                //$part_a_bouffer = "yes";
//
//                                                                //dd($nbre_membre_sans_doublon,$nbre_membre_sans_doublon_ayant_bouffe,$part_a_bouffer);
//
//                                                                if(!empty($part_a_bouffer)){
//                                                                    foreach ($part_a_bouffer as $p){
//                                                                        //on se rassure que personne n'a encore bouffé la séance courante
//
//                                                                        //je teste s'il y a déjà un membre ayant bouffé la séance courante pour le cycle valide
//                                                                        $resultat = \DB::table('bouffes')
//                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                            ->where('seance_id','=',$seance_derniere->id)
//                                                                            //->where('cycle_id','=',$cycle->id)
//                                                                            //->first();
//                                                                            ->count();
//
//
//                                                                        if($resultat < $tontines[$i]->numberlot) {  //alors aucun membre n'a encore bouffé cette séance
//                                                                            if($resultat != $tontines[$i]->numberlot){
//
//                                                                                //on contrôle si le membre a déjà eu à bouffer pour la tontine dans le cycle valide
//                                                                                $answer = \DB::table('bouffes')
//                                                                                    ->where('user_id', '=', $p->user_id)
//                                                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                    ->where('cycle_id', '=', $cycle->id)
//                                                                                    ->where('numero_part', '=', $p->numero_part)
//                                                                                    //->first();
//                                                                                    ->count();
//
//
//                                                                                if ($answer < $tontines[$i]->numberlot/*numero_part pas encore bouffé*/) {
//                                                                                    if($answer != $tontines[$i]->numberlot){
//
//                                                                                        //je calcule la somme du bénéficiaire
//                                                                                        //je calcule maintenant les contributions déjà faites
//                                                                                        $calculs = \DB::table('contributions')
//                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                            ->get();
//
//
//                                                                                        //je me rassure que la séance finie déjà
//                                                                                        //$date_debut_test = \Carbon\Carbon::parse($seance_derniere->date_debut);
//                                                                                        //$date_fin_test = \Carbon\Carbon::parse($seance_derniere->date_fin);
//                                                                                        //$date_courante = Carbon::now();
//
//                                                                                        //$nowInLondonTz = Carbon::now('Europe/London');    //pour charger le temps courant de notre fuseau horaire
//
//                                                                                        //cas où jour_date_debut = jour_date_fin = jour_date_courant et mois_date_debut = mois_date_fin = mois_date_courante  et annee_date_debut = annee_date_fin = annee_date_courante ici le contrôle se fait sur heure_debut et heure_fin
//                                                                                        /*if ($date_debut_test->day == $date_courante->day AND $date_fin_test->day == $date_courante->day AND
//                                                                                            $date_debut_test->month == $date_courante->month AND $date_fin_test->month == $date_courante->month AND
//                                                                                            $date_debut_test->year == $date_courante->year AND $date_fin_test->year == $date_courante->year
//                                                                                        ) {*/
//
//                                                                                        //$heure_debut = $seance_en_cours->heure_debut;
//                                                                                        /*$heure_fin = $seance_en_cours->heure_fin;
//                                                                                        $conversion_heure_courante_en_secondes = $user_gestion->ConvertCurrentTimeInSecond();
//                                                                                        $conversion_heure_fin_en_secondes = $user_gestion->ConvertTimeInSecond($heure_fin);
//
//                                                                                        */
//                                                                                        //if ($conversion_heure_fin_en_secondes <= $conversion_heure_courante_en_secondes) { //alors séance terminée
//
//                                                                                        $somme_cotisation = 0;
//                                                                                        if (!empty($calculs)) {
//                                                                                            foreach ($calculs as $calcul) {
//                                                                                                if ($calcul->typecontribution_id == 2) {  //2 pour le typecontribution = cotisation
//                                                                                                    $somme_cotisation += $calcul->montant;
//                                                                                                }
//                                                                                            }
//                                                                                        }
//
//                                                                                        //je calcule le nbre de membres de la tontine
//                                                                                        $nombre_membre = \DB::table('membrestontines')
//                                                                                            ->join('users', 'users.id', '=', 'membrestontines.user_id')
//                                                                                            ->where('membrestontines.tontine_id', '=', $tontines[$i]->id)
//                                                                                            ->count();
//
//                                                                                        //calcul de la somme d'argent totale de contribution de la tontine
//                                                                                        $somme_totale = ($nombre_membre * $tontines[$i]->coutshare) / $tontines[$i]->numberlot;
//
//                                                                                        $somme_cotisation = $somme_cotisation / $tontines[$i]->numberlot;
//
//                                                                                        $argent_restant_a_bouffer = $somme_totale - $somme_cotisation;
//
//                                                                                        //$valeur = $somme_cotisation - $somme_penalite;
//
//                                                                                        //je recense toutes les pénalités que le membre est sensé payer
//                                                                                        $penalites = \DB::table('penalites')
//                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                                                                            ->where('statut_penalite', '=', 'pas_tout_paye')
//                                                                                            ->limit(5)
//                                                                                            ->get();
//
//                                                                                        if (sizeof($penalites) != 0) {
//                                                                                            //je dois mettre à jour la pénalité possible
//                                                                                            /*foreach ($penalites as $penalite){
//                                                                                               //je calcule la somme totale des pénalités
//                                                                                                $somme_penalite += $penalite->penalite_a_payer;
//                                                                                            }
//
//                                                                                            $valeur = $somme_cotisation - $somme_penalite;
//
//
//                                                                                            if($valeur >=0){    //alors on mets à jour le champ statut_penalite à tout_paye pour toutes les pénalités du membre
//                                                                                                foreach ($penalites as $penalite){
//                                                                                                    //j'update aussi le solde_en_caisse de la tontine
//                                                                                                    \DB::table('tontines')
//                                                                                                        ->where('id', '=', $tontines[$i]->id)
//                                                                                                        ->update([
//                                                                                                            'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer,
//                                                                                                            'updated_at' => Carbon::now()
//                                                                                                        ]);
//
//                                                                                                    \DB::table('penalites')
//                                                                                                        ->where('user_id', '=', $penalite->user_id)
//                                                                                                        ->update([
//                                                                                                            'statut' => 'tout_paye',
//                                                                                                            'updated_at' => Carbon::now()
//                                                                                                        ]);
//
//
//                                                                                                }
//
//                                                                                            }*/
//                                                                                            //else{   //ça veut dire que la somme_cotisation est petite et dans ce cas on doit chercher la pénalité que ça peut gérer
//                                                                                            foreach ($penalites as $penalite) {
//                                                                                                $valeur = $somme_cotisation - $penalite->penalite_a_payer;
//                                                                                                $nouveau_montant_restant_a_contribuer = $valeur - $penalite->montant_restant_a_contribuer;
//
//                                                                                                if ($valeur >= 0) {
//                                                                                                    if ($nouveau_montant_restant_a_contribuer >= 0) { //alors on coupe aussi le montant_restant_a_contribuer dans la somme à bouffer
//
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        /*\DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer + $penalite->montant_restant_a_contribuer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);*/
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                'statut_penalite' => 'tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//                                                                                                            //insertion pour penalite
//                                                                                                            \DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 1, //pour penalite
//                                                                                                                        'montant' => $penalite->penalite_a_payer,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'numero_part' => $penalite->numero_part,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            //if($montant_restant_a_contribuer != 0){
//                                                                                                            //insertion pour cotisation
//                                                                                                            \DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 2, //pour cotisation
//                                                                                                                        'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'numero_part' => $penalite->numero_part,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//                                                                                                            //}
//
//                                                                                                            //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                            $table =  \DB::table('penalites')
//                                                                                                                ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            if(!empty($table)){
//                                                                                                                //insertion dans la table trace_penalites_et_contributions
////                                                                                                                \DB::table('trace_penalites_et_contributions')
////                                                                                                                    ->insert([
////                                                                                                                        [
////                                                                                                                            'user_id' => $table->user_id,
////                                                                                                                            'tontine_id' => $table->tontine_id,
////                                                                                                                            'seance_id' => $table->seance_id,
////                                                                                                                            'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                            'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                            'type_penalite' => $table->type_penalite,
////                                                                                                                            'statut_penalite' => $table->statut_penalite,
////                                                                                                                            'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                            'numero_part' => $table->numero_part,
////                                                                                                                            'numero_lot' => $numero_lot,
////                                                                                                                            'argent_penalite_payer' => $penalite->penalite_a_payer,
////                                                                                                                            'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                                            'created_at' => Carbon::now(),
////                                                                                                                            'updated_at' => Carbon::now()
////                                                                                                                        ]
////                                                                                                                    ]);
//
//                                                                                                                $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                    $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,$penalite->penalite_a_payer,
//                                                                                                                    $penalite->montant_restant_a_contribuer);
//
//                                                                                                                $penalites = \DB::table('penalites')
//                                                                                                                    ->where('user_id','=',$p->user_id)
//                                                                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                    ->where('numero_part','=',$p->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                $seances = \DB::table('seances')
//                                                                                                                    ->where('id','=',$seance_derniere->id)
//                                                                                                                    ->first();
//
//                                                                                                                $numCycle = \DB::table('cycles')
//                                                                                                                    ->where('id','=',$seances->cycle_id)
//                                                                                                                    ->first();
//
//                                                                                                                //puis je notifie le user
//                                                                                                                $titre = "Paiement Automatique";
//                                                                                                                $description = "La contribution non achevée a été réglée et la pénalité non achevée a été réglée";
//                                                                                                                $user_id = $p->user_id;
//                                                                                                                $tontine_id = $seances->tontine_id;
//                                                                                                                $seance_id = $seances->id;
//                                                                                                                $numero_seance = $seances->numero_seance;
//                                                                                                                $cycle_id = $seances->cycle_id;
//                                                                                                                $numero_cycle = $numCycle->numerocycle;
//                                                                                                                $numero_part = $p->numero_part;
//
//                                                                                                                if(!empty($penalites)) {
//                                                                                                                    $penalite_id = $penalites->id;
//                                                                                                                }
//                                                                                                                else{
//                                                                                                                    $penalite_id = 0;
//                                                                                                                }
//
//
//                                                                                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                            }
//
//
//                                                                                                        }
//
//                                                                                                        //$argent_restant_a_bouffer -= $penalite->penalite_a_payer;
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines[$i]->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//
//                                                                                                        $solde = \DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->first();
//
//                                                                                                        //if(!empty($solde)){
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $solde->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $solde->solde_en_caisse + $penalite->penalite_a_payer + $penalite->montant_restant_a_contribuer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//                                                                                                        // }
//
//
//                                                                                                        $somme_cotisation = $nouveau_montant_restant_a_contribuer;
//
//                                                                                                    } else {   //dans ce cas on retire une partie du montant_restant_a_contribuer
//                                                                                                        $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $valeur;
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        /*\DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer + $valeur,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);*/
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                'statut_penalite' => 'tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//                                                                                                            //insertion pour penalite
//                                                                                                            \DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 1, //pour penalite
//                                                                                                                        'montant' => $penalite->penalite_a_payer,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'numero_part' => $penalite->numero_part,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            //insertion pour cotisation
//                                                                                                            \DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 2, //pour cotisation
//                                                                                                                        'montant' => $valeur,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'numero_part' => $penalite->numero_part,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                            $table =  \DB::table('penalites')
//                                                                                                                ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            if(!empty($table)){
//                                                                                                                //insertion dans la table trace_penalites_et_contributions
////                                                                                                                \DB::table('trace_penalites_et_contributions')
////                                                                                                                    ->insert([
////                                                                                                                        [
////                                                                                                                            'user_id' => $table->user_id,
////                                                                                                                            'tontine_id' => $table->tontine_id,
////                                                                                                                            'seance_id' => $table->seance_id,
////                                                                                                                            'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                            'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                            'type_penalite' => $table->type_penalite,
////                                                                                                                            'statut_penalite' => $table->statut_penalite,
////                                                                                                                            'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                            'numero_part' => $table->numero_part,
////                                                                                                                            'numero_lot' => $numero_lot,
////                                                                                                                            'argent_penalite_payer' => $penalite->penalite_a_payer,
////                                                                                                                            'argent_contribution_payer' => $valeur,
////                                                                                                                            'created_at' => Carbon::now(),
////                                                                                                                            'updated_at' => Carbon::now()
////                                                                                                                        ]
////                                                                                                                    ]);
//
//                                                                                                                $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                    $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,$penalite->penalite_a_payer,
//                                                                                                                    $valeur);
//
//                                                                                                                $penalites = \DB::table('penalites')
//                                                                                                                    ->where('user_id','=',$membre->user_id)
//                                                                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                    ->where('numero_part','=',$membre->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                $seances = \DB::table('seances')
//                                                                                                                    ->where('id','=',$seance_derniere->id)
//                                                                                                                    ->first();
//
//                                                                                                                $numCycle = \DB::table('cycles')
//                                                                                                                    ->where('id','=',$seances->cycle_id)
//                                                                                                                    ->first();
//
//                                                                                                                //puis je notifie le user
//                                                                                                                $titre = "Paiement Automatique";
//                                                                                                                $description = "La contribution non achevée a été avancée et la pénalité non achevée a été réglée";
//                                                                                                                $user_id = $p->user_id;
//                                                                                                                $tontine_id = $seances->tontine_id;
//                                                                                                                $seance_id = $seances->id;
//                                                                                                                $numero_seance = $seances->numero_seance;
//                                                                                                                $cycle_id = $seances->cycle_id;
//                                                                                                                $numero_cycle = $numCycle->numerocycle;
//                                                                                                                $numero_part = $membre->numero_part;
//
//                                                                                                                if(!empty($penalites)) {
//                                                                                                                    $penalite_id = $penalites->id;
//                                                                                                                }
//                                                                                                                else{
//                                                                                                                    $penalite_id = 0;
//                                                                                                                }
//
//
//                                                                                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                            }
//
//                                                                                                        }
//
//                                                                                                        //$argent_restant_a_bouffer -= $penalite->penalite_a_payer;
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines[$i]->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => 0,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => 0,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//                                                                                                        $solde = \DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->first();
//
//                                                                                                        //if(!empty($solde)){
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $solde->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $solde->solde_en_caisse + $penalite->penalite_a_payer + $valeur,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//                                                                                                        // }
//
//
//                                                                                                        $somme_cotisation = 0;
//
//                                                                                                    }
//
//                                                                                                } else {
//                                                                                                    $valeur = 0;
//                                                                                                    $nouveau_montant_restant_a_contribuer = $somme_cotisation - $penalite->montant_restant_a_contribuer;
//
//                                                                                                    if ($nouveau_montant_restant_a_contribuer >= 0) {
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        /*\DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);*/
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                'statut_penalite' => 'pas_tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//                                                                                                            //insertion pour penalite
//                                                                                                            /*\DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $membre->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 1, //pour penalite
//                                                                                                                        'montant' => $penalite->penalite_a_payer,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);*/
//
//                                                                                                            if ($penalite->montant_restant_a_contribuer != 0) {
//                                                                                                                //insertion pour cotisation
//                                                                                                                \DB::table('contributions')
//                                                                                                                    ->insert([
//                                                                                                                        [
//                                                                                                                            'user_id' => $p->user_id,
//                                                                                                                            'seance_id' => $seance_derniere->id,
//                                                                                                                            'device_id' => $device->id,
//                                                                                                                            'typecontribution_id' => 2, //pour cotisation
//                                                                                                                            'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                                            'sens_contribution' => 'sortant',
//                                                                                                                            'numero_part' => $p->numero_part,
//                                                                                                                            'created_at' => Carbon::now(),
//                                                                                                                            'updated_at' => Carbon::now()
//                                                                                                                        ]
//                                                                                                                    ]);
//
//                                                                                                                //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                                $table =  \DB::table('penalites')
//                                                                                                                    ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                    ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                    ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                if(!empty($table)){
//                                                                                                                    //insertion dans la table trace_penalites_et_contributions
////                                                                                                                    \DB::table('trace_penalites_et_contributions')
////                                                                                                                        ->insert([
////                                                                                                                            [
////                                                                                                                                'user_id' => $table->user_id,
////                                                                                                                                'tontine_id' => $table->tontine_id,
////                                                                                                                                'seance_id' => $table->seance_id,
////                                                                                                                                'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                                'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                                'type_penalite' => $table->type_penalite,
////                                                                                                                                'statut_penalite' => $table->statut_penalite,
////                                                                                                                                'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                                'numero_part' => $table->numero_part,
////                                                                                                                                'numero_lot' => $numero_lot,
////                                                                                                                                'argent_penalite_payer' => 0,
////                                                                                                                                'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                                                'created_at' => Carbon::now(),
////                                                                                                                                'updated_at' => Carbon::now()
////                                                                                                                            ]
////                                                                                                                        ]);
//
//                                                                                                                    $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                        $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                                        $penalite->montatnt_restant_a_contribuer);
//
//                                                                                                                    $penalites = \DB::table('penalites')
//                                                                                                                        ->where('user_id','=',$p->user_id)
//                                                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                        ->where('numero_part','=',$p->numero_part)
//                                                                                                                        ->first();
//
//                                                                                                                    $seances = \DB::table('seances')
//                                                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                                                        ->first();
//
//                                                                                                                    $numCycle = \DB::table('cycles')
//                                                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                                                        ->first();
//
//                                                                                                                    //puis je notifie le user
//                                                                                                                    $titre = "Paiement Automatique";
//                                                                                                                    $description = "La contribution non achevée a été réglée";
//                                                                                                                    $user_id = $p->user_id;
//                                                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                                                    $seance_id = $seances->id;
//                                                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                                                    $numero_part = $p->numero_part;
//
//                                                                                                                    if(!empty($penalites)) {
//                                                                                                                        $penalite_id = $penalites->id;
//                                                                                                                    }
//                                                                                                                    else{
//                                                                                                                        $penalite_id = 0;
//                                                                                                                    }
//
//
//                                                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                                }
//
//                                                                                                            }
//
//
//                                                                                                        }
//
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines[$i]->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//                                                                                                        $solde = \DB::table('tontines')
//                                                                                                            ->where('id','=',$tontines[$i]->id)
//                                                                                                            ->first();
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $solde->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $solde->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//                                                                                                        // }
//
//
//                                                                                                        $somme_cotisation = 0;
//
//
//                                                                                                    } else {
//                                                                                                        $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $somme_cotisation;
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        /*\DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $somme_cotisation,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);*/
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                'statut_penalite' => 'pas_tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//                                                                                                            //insertion pour penalite
//                                                                                                            /*\DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $membre->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 1, //pour penalite
//                                                                                                                        'montant' => $penalite->penalite_a_payer,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);*/
//
//                                                                                                            if ($somme_cotisation != 0) {
//                                                                                                                //insertion pour cotisation
//                                                                                                                \DB::table('contributions')
//                                                                                                                    ->insert([
//                                                                                                                        [
//                                                                                                                            'user_id' => $p->user_id,
//                                                                                                                            'seance_id' => $seance_derniere->id,
//                                                                                                                            'device_id' => $device->id,
//                                                                                                                            'typecontribution_id' => 2, //pour cotisation
//                                                                                                                            'montant' => $somme_cotisation,
//                                                                                                                            'sens_contribution' => 'sortant',
//                                                                                                                            'numero_part' => $p->numero_part,
//                                                                                                                            'created_at' => Carbon::now(),
//                                                                                                                            'updated_at' => Carbon::now()
//                                                                                                                        ]
//                                                                                                                    ]);
//
//                                                                                                                //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                                $table =  \DB::table('penalites')
//                                                                                                                    ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                    ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                    ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                if(!empty($table)){
//                                                                                                                    //insertion dans la table trace_penalites_et_contributions
////                                                                                                                    \DB::table('trace_penalites_et_contributions')
////                                                                                                                        ->insert([
////                                                                                                                            [
////                                                                                                                                'user_id' => $table->user_id,
////                                                                                                                                'tontine_id' => $table->tontine_id,
////                                                                                                                                'seance_id' => $table->seance_id,
////                                                                                                                                'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                                'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                                'type_penalite' => $table->type_penalite,
////                                                                                                                                'statut_penalite' => $table->statut_penalite,
////                                                                                                                                'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                                'numero_part' => $table->numero_part,
////                                                                                                                                'numero_lot' => $numero_lot,
////                                                                                                                                'argent_penalite_payer' => 0,
////                                                                                                                                'argent_contribution_payer' => $somme_cotisation,
////                                                                                                                                'created_at' => Carbon::now(),
////                                                                                                                                'updated_at' => Carbon::now()
////                                                                                                                            ]
////                                                                                                                        ]);
//
//                                                                                                                    $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                        $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                                        $somme_cotisation);
//
//                                                                                                                    $penalites = \DB::table('penalites')
//                                                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                                                        ->first();
//
//                                                                                                                    $seances = \DB::table('seances')
//                                                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                                                        ->first();
//
//                                                                                                                    $numCycle = \DB::table('cycles')
//                                                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                                                        ->first();
//
//                                                                                                                    //puis je notifie le user
//                                                                                                                    $titre = "Paiement Automatique";
//                                                                                                                    $description = "La contribution non achevée a été avancée";
//                                                                                                                    $user_id = $p->user_id;
//                                                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                                                    $seance_id = $seances->id;
//                                                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                                                    if(!empty($penalites)) {
//                                                                                                                        $penalite_id = $penalites->id;
//                                                                                                                    }
//                                                                                                                    else{
//                                                                                                                        $penalite_id = 0;
//                                                                                                                    }
//
//
//                                                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                                }
//
//                                                                                                            }
//
//                                                                                                        }
//
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines[$i]->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => $valeur,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer - $nouveau_montant_restant_a_contribuer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => $valeur,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer - $nouveau_montant_restant_a_contribuer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//                                                                                                        $solde = \DB::table('tontines')
//                                                                                                            ->where('id','=',$tontines[$i]->id)
//                                                                                                            ->first();
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $solde->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $solde->solde_en_caisse + $somme_cotisation,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//                                                                                                        // }
//
//
//                                                                                                        $somme_cotisation = $valeur;
//
//
//                                                                                                    }
//
//
//                                                                                                }
//                                                                                            }
//                                                                                            //}
//                                                                                        }
//
//
//                                                                                        if(sizeof($penalites) == 0){  //alors on insère le membre comme bénéficiaire
////                                                                                            $numero_lot_old = \DB::table('bouffes')
////                                                                                                //->where('user_id', '=', $p->user_id)
////                                                                                                ->where('tontine_id', '=', $tontines[$i]->id)
////                                                                                                ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                ->where('cycle_id', '=', $cycle->id)
////                                                                                                ->orderBy('created_at','desc')
////                                                                                                ->first();
////                                                                                            if(!empty($numero_lot_old)){
////                                                                                                $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                            }
//
//                                                                                            \DB::table('bouffes')
//                                                                                                ->insert([
//                                                                                                    [
//                                                                                                        'user_id' => $p->user_id,
//                                                                                                        'tontine_id' => $tontines[$i]->id,
//                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                        'somme' => $somme_cotisation,
//                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                        'created_at' => Carbon::now(),
//                                                                                                        'updated_at' => Carbon::now()
//                                                                                                    ]
//                                                                                                ]);
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                ->first();
//
//                                                                                            $seances = \DB::table('seances')
//                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                ->first();
//
//                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                ->first();
//
//                                                                                            //puis je notifie le user
//                                                                                            $titre = "JACKPOT";
//                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                            $user_id = $p->user_id;
//                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                            $seance_id = $seances->id;
//                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                            $numero_part = $p->numero_part;
//
//                                                                                            if(!empty($penalites)) {
//                                                                                                $penalite_id = $penalites->id;
//                                                                                            }
//                                                                                            else{
//                                                                                                $penalite_id = 0;
//                                                                                            }
//
//
//                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                            $solde = \DB::table('tontines')
//                                                                                                ->where('id','=',$tontines[$i]->id)
//                                                                                                ->first();
//
//                                                                                            //puis on mets à jour solde caisse tontines
//                                                                                            \DB::table('tontines')
//                                                                                                ->where('id', '=', $solde->id)
//                                                                                                ->update([
//                                                                                                    'solde_en_caisse' => $solde->solde_en_caisse - $somme_cotisation,
//                                                                                                    'updated_at' => Carbon::now()
//                                                                                                ]);
//
//                                                                                        }
//
//
//                                                                                        //par la suite je dois recenser toutes les pénalités où statut_montant_restant_a_contribuer = 'pas_tout_gere'
//                                                                                        //pour tout ceux voulant bouffer on doit couper le montant_restant_a_contribuer
//
//                                                                                        $tontines5 = \DB::table('tontines')
//                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                            ->first();
//
//                                                                                        if (!empty($tontines5)) {
//                                                                                            $tontine_id = $tontines5->id;
//
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                ->where('tontine_id','=',$tontine_id)
//                                                                                                ->where('statut_montant_restant_a_contribuer', '=', 'pas_tout_paye')
//                                                                                                ->limit(5)
//                                                                                                ->get();
//
//                                                                                            if (sizeof($penalites) != 0) {
//
//                                                                                                //je dois mettre à jour la pénalité possible
//                                                                                                /*foreach ($penalites as $penalite){
//                                                                                                   //je calcule la somme totale des pénalités
//                                                                                                    $somme_penalite += $penalite->penalite_a_payer;
//                                                                                                }
//
//                                                                                                $valeur = $somme_cotisation - $somme_penalite;
//
//
//                                                                                                if($valeur >=0){    //alors on mets à jour le champ statut_penalite à tout_paye pour toutes les pénalités du membre
//                                                                                                    foreach ($penalites as $penalite){
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->update([
//                                                                                                                'statut' => 'tout_paye',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//
//                                                                                                    }
//
//                                                                                                }*/
//                                                                                                //else{
//                                                                                                foreach ($penalites as $penalite) {
//                                                                                                    //$valeur = $somme_cotisation - $penalite->penalite_a_payer;
//                                                                                                    $nouveau_montant_restant_a_contribuer = $somme_cotisation - $penalite->montant_restant_a_contribuer;
//
//                                                                                                    //if($valeur >= 0){
//                                                                                                    if ($nouveau_montant_restant_a_contribuer >= 0) { //alors on coupe aussi le montant_restant_a_contribuer dans la somme à bouffer
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontine_id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines5->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                //'statut_penalite' => 'tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines5->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//
//                                                                                                            if ($penalite->montant_restant_a_contribuer != 0) {
//                                                                                                                //insertion pour cotisation
//                                                                                                                \DB::table('contributions')
//                                                                                                                    ->insert([
//                                                                                                                        [
//                                                                                                                            'user_id' => $p->user_id,
//                                                                                                                            'seance_id' => $seance_derniere->id,
//                                                                                                                            'device_id' => $device->id,
//                                                                                                                            'typecontribution_id' => 2, //pour cotisation
//                                                                                                                            'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                                            'sens_contribution' => 'sortant',
//                                                                                                                            'numero_part' => $p->numero_part,
//                                                                                                                            'created_at' => Carbon::now(),
//                                                                                                                            'updated_at' => Carbon::now()
//                                                                                                                        ]
//                                                                                                                    ]);
//
//                                                                                                                //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                                $table =  \DB::table('penalites')
//                                                                                                                    ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                    ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                    ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                if(!empty($table)){
//                                                                                                                    //insertion dans la table trace_penalites_et_contributions
////                                                                                                                    \DB::table('trace_penalites_et_contributions')
////                                                                                                                        ->insert([
////                                                                                                                            [
////                                                                                                                                'user_id' => $table->user_id,
////                                                                                                                                'tontine_id' => $table->tontine_id,
////                                                                                                                                'seance_id' => $table->seance_id,
////                                                                                                                                'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                                'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                                'type_penalite' => $table->type_penalite,
////                                                                                                                                'statut_penalite' => $table->statut_penalite,
////                                                                                                                                'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                                'numero_part' => $table->numero_part,
////                                                                                                                                'numero_lot' => $numero_lot,
////                                                                                                                                'argent_penalite_payer' => 0,
////                                                                                                                                'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                                                'created_at' => Carbon::now(),
////                                                                                                                                'updated_at' => Carbon::now()
////                                                                                                                            ]
////                                                                                                                        ]);
//
//                                                                                                                    $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                        $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                                        $penalite->montant_restant_a_contribuer);
//
//                                                                                                                    $penalites = \DB::table('penalites')
//                                                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                                                        ->first();
//
//                                                                                                                    $seances = \DB::table('seances')
//                                                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                                                        ->first();
//
//                                                                                                                    $numCycle = \DB::table('cycles')
//                                                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                                                        ->first();
//
//                                                                                                                    //puis je notifie le user
//                                                                                                                    $titre = "Paiement Automatique";
//                                                                                                                    $description = "La contribution non achevée a été réglée";
//                                                                                                                    $user_id = $p->user_id;
//                                                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                                                    $seance_id = $seances->id;
//                                                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                                                    if(!empty($penalites)) {
//                                                                                                                        $penalite_id = $penalites->id;
//                                                                                                                    }
//                                                                                                                    else{
//                                                                                                                        $penalite_id = 0;
//                                                                                                                    }
//
//
//                                                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                                }
//
//                                                                                                            }
//
//
//                                                                                                        }
//
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=',  $tontines5->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines5->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines5->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines5->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//                                                                                                    } else {   //dans ce cas on retire une partie du montant_restant_a_contribuer
//                                                                                                        $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $valeur;
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines5->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines5->solde_en_caisse + $valeur,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                //'statut_penalite' => 'tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines5->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//
//                                                                                                            if ($valeur != 0) {
//                                                                                                                //insertion pour cotisation
//                                                                                                                \DB::table('contributions')
//                                                                                                                    ->insert([
//                                                                                                                        [
//                                                                                                                            'user_id' => $p->user_id,
//                                                                                                                            'seance_id' => $seance_derniere->id,
//                                                                                                                            'device_id' => $device->id,
//                                                                                                                            'typecontribution_id' => 2, //pour cotisation
//                                                                                                                            'montant' => $valeur,
//                                                                                                                            'sens_contribution' => 'sortant',
//                                                                                                                            'numero_part' => $p->numero_part,
//                                                                                                                            'created_at' => Carbon::now(),
//                                                                                                                            'updated_at' => Carbon::now()
//                                                                                                                        ]
//                                                                                                                    ]);
//
//                                                                                                                //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                                $table =  \DB::table('penalites')
//                                                                                                                    ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                    ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                    ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                if(!empty($table)){
//                                                                                                                    //insertion dans la table trace_penalites_et_contributions
////                                                                                                                    \DB::table('trace_penalites_et_contributions')
////                                                                                                                        ->insert([
////                                                                                                                            [
////                                                                                                                                'user_id' => $table->user_id,
////                                                                                                                                'tontine_id' => $table->tontine_id,
////                                                                                                                                'seance_id' => $table->seance_id,
////                                                                                                                                'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                                'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                                'type_penalite' => $table->type_penalite,
////                                                                                                                                'statut_penalite' => $table->statut_penalite,
////                                                                                                                                'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                                'numero_part' => $table->numero_part,
////                                                                                                                                'numero_lot' => $numero_lot,
////                                                                                                                                'argent_penalite_payer' => 0,
////                                                                                                                                'argent_contribution_payer' => $valeur,
////                                                                                                                                'created_at' => Carbon::now(),
////                                                                                                                                'updated_at' => Carbon::now()
////                                                                                                                            ]
////                                                                                                                        ]);
//
//                                                                                                                    $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                        $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                                        $valeur);
//
//                                                                                                                    $penalites = \DB::table('penalites')
//                                                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                                                        ->first();
//
//                                                                                                                    $seances = \DB::table('seances')
//                                                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                                                        ->first();
//
//                                                                                                                    $numCycle = \DB::table('cycles')
//                                                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                                                        ->first();
//
//                                                                                                                    //puis je notifie le user
//                                                                                                                    $titre = "Paiement Automatique";
//                                                                                                                    $description = "La contribution non achevée a été avancée";
//                                                                                                                    $user_id = $p->user_id;
//                                                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                                                    $seance_id = $seances->id;
//                                                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                                                    if(!empty($penalites)) {
//                                                                                                                        $penalite_id = $penalites->id;
//                                                                                                                    }
//                                                                                                                    else{
//                                                                                                                        $penalite_id = 0;
//                                                                                                                    }
//
//
//                                                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                                }
//
//                                                                                                            }
//
//
//                                                                                                        }
//
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=',  $tontines5->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines5->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines5->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => 0,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines5->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => 0,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//                                                                                                    }
//
//                                                                                                    //}
//                                                                                                    //else{
//
//
//                                                                                                    //}
//                                                                                                }
//                                                                                                //}
//
//                                                                                            }
//
//
//                                                                                        }
//
//                                                                                    }
//
//
//
//                                                                                }
//
//                                                                            }
//
//
//                                                                        }
//
//                                                                        //maintenant je supprime la part du membre dans la table part_a_bouffer
//                                                                        \DB::table('part_a_bouffer')
//                                                                            ->where('id','=',$p->id)
//                                                                            //->where('user_id','=',$p->user_id)
//                                                                            //->where('tontine_id','=',$tontines[$i]->id)
//                                                                            //->where('cycle_id','=',$cycle->id)
//                                                                            //->where('numero_part','=',$p->numero_part)
//                                                                            ->delete();
//
//                                                                        //maintenant je dois supprimer toutes les autres parts à bouffer du membre ds la table part_a_bouffer puis les réinsérer à la fin
//                                                                        $parts_membre = \DB::table('part_a_bouffer')
//                                                                            ->where('user_id','=',$p->user_id)
//                                                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                                                            ->where('cycle_id','=',$cycle->id)
//                                                                            ->get();
//
//                                                                        if(!empty($parts_membre)){
//                                                                            foreach ($parts_membre as $part){
//                                                                                //suppression
//                                                                                \DB::table('part_a_bouffer')
//                                                                                    ->where('user_id','=',$part->user_id)
//                                                                                    ->where('tontine_id','=',$tontines[$i]->id)
//                                                                                    ->where('cycle_id','=',$cycle->id)
//                                                                                    ->where('numero_part','=',$part->numero_part)
//                                                                                    ->delete();
//                                                                            }
//                                                                        }
//
//                                                                        //dd($parts_membre);
//
//                                                                        if(!empty($parts_membre)){
//                                                                            foreach ($parts_membre as $part_membre){
//                                                                                \DB::table('part_a_bouffer')
//                                                                                    ->insert([
//                                                                                        [
//                                                                                            'user_id' => $part_membre->user_id,
//                                                                                            'tontine_id' => $part_membre->tontine_id,
//                                                                                            'seance_id' => $part_membre->seance_id,
//                                                                                            'cycle_id' => $part_membre->cycle_id,
//                                                                                            'somme' => $part_membre->somme,
//                                                                                            'argent_restant_a_bouffer' => $part_membre->argent_restant_a_bouffer,
//                                                                                            'numero_part' => $part_membre->numero_part,
//                                                                                            'created_at' => Carbon::now(),
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]
//                                                                                    ]);
//                                                                            }
//                                                                        }
////                                                                        $test = \DB::table('part_a_bouffer')
////                                                                            ->get();
////                                                                        dd($test);
//
//
//                                                                    }
//                                                                }
//
//
//                                                            }
//                                                            else if($nbre_membre_sans_doublon < $nbre_membre_sans_doublon_ayant_bouffe){ //pour dire que tous les membres ont bouffé au moins une part
//
//                                                                //on récupère les parts à bouffer
//                                                                $part_a_bouffer = \DB::table('part_a_bouffer')
//                                                                    ->where('tontine_id','=',$tontines[$i]->id)
//                                                                    ->where('cycle_id','=',$cycle->id)
//                                                                    ->get();
//
//                                                                //$part_a_bouffer = "yes";
//
//
//
//                                                                //dd($part_a_bouffer);
//
//                                                                if(!empty($part_a_bouffer)){
//                                                                    foreach ($part_a_bouffer as $p){
//                                                                        //on se rassure que personne n'a encore bouffé la séance courante
//
//                                                                        //je teste s'il y a déjà un membre ayant bouffé la séance courante pour le cycle valide
//                                                                        $resultat = \DB::table('bouffes')
//                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                            ->where('seance_id','=',$seance_derniere->id)
//                                                                            //->where('cycle_id','=',$cycle->id)
//                                                                            //->first();
//                                                                            ->count();
//
//
//                                                                        if($resultat < $tontines[$i]->numberlot) {  //alors aucun membre n'a encore bouffé cette séance
//                                                                            if($resultat != $tontines[$i]->numberlot){
//
//                                                                                //on contrôle si le membre a déjà eu à bouffer pour la tontine dans le cycle valide
//                                                                                $answer = \DB::table('bouffes')
//                                                                                    ->where('user_id', '=', $p->user_id)
//                                                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                    ->where('cycle_id', '=', $cycle->id)
//                                                                                    ->where('numero_part', '=', $p->numero_part)
//                                                                                    //->first();
//                                                                                    ->count();
//
//
//                                                                                if ($answer < $tontines[$i]->numberlot/*numero_part pas encore bouffé*/) {
//                                                                                    if($answer != $tontines[$i]->numberlot){
//
//                                                                                        //je calcule la somme du bénéficiaire
//                                                                                        //je calcule maintenant les contributions déjà faites
//                                                                                        $calculs = \DB::table('contributions')
//                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                            ->get();
//
//
//                                                                                        //je me rassure que la séance finie déjà
//                                                                                        //$date_debut_test = \Carbon\Carbon::parse($seance_derniere->date_debut);
//                                                                                        //$date_fin_test = \Carbon\Carbon::parse($seance_derniere->date_fin);
//                                                                                        //$date_courante = Carbon::now();
//
//                                                                                        //$nowInLondonTz = Carbon::now('Europe/London');    //pour charger le temps courant de notre fuseau horaire
//
//                                                                                        //cas où jour_date_debut = jour_date_fin = jour_date_courant et mois_date_debut = mois_date_fin = mois_date_courante  et annee_date_debut = annee_date_fin = annee_date_courante ici le contrôle se fait sur heure_debut et heure_fin
//                                                                                        /*if ($date_debut_test->day == $date_courante->day AND $date_fin_test->day == $date_courante->day AND
//                                                                                            $date_debut_test->month == $date_courante->month AND $date_fin_test->month == $date_courante->month AND
//                                                                                            $date_debut_test->year == $date_courante->year AND $date_fin_test->year == $date_courante->year
//                                                                                        ) {*/
//
//                                                                                        //$heure_debut = $seance_en_cours->heure_debut;
//                                                                                        /*$heure_fin = $seance_en_cours->heure_fin;
//                                                                                        $conversion_heure_courante_en_secondes = $user_gestion->ConvertCurrentTimeInSecond();
//                                                                                        $conversion_heure_fin_en_secondes = $user_gestion->ConvertTimeInSecond($heure_fin);
//
//                                                                                        */
//                                                                                        //if ($conversion_heure_fin_en_secondes <= $conversion_heure_courante_en_secondes) { //alors séance terminée
//
//                                                                                        $somme_cotisation = 0;
//                                                                                        if (!empty($calculs)) {
//                                                                                            foreach ($calculs as $calcul) {
//                                                                                                if ($calcul->typecontribution_id == 2) {  //2 pour le typecontribution = cotisation
//                                                                                                    $somme_cotisation += $calcul->montant;
//                                                                                                }
//                                                                                            }
//                                                                                        }
//
//                                                                                        //je calcule le nbre de membres de la tontine
//                                                                                        $nombre_membre = \DB::table('membrestontines')
//                                                                                            ->join('users', 'users.id', '=', 'membrestontines.user_id')
//                                                                                            ->where('membrestontines.tontine_id', '=', $tontines[$i]->id)
//                                                                                            ->count();
//
//                                                                                        //calcul de la somme d'argent totale de contribution de la tontine
//                                                                                        $somme_totale = ($nombre_membre * $tontines[$i]->coutshare) / $tontines[$i]->numberlot;
//
//                                                                                        $somme_cotisation = $somme_cotisation / $tontines[$i]->numberlot;
//
//                                                                                        $argent_restant_a_bouffer = $somme_totale - $somme_cotisation;
//
//                                                                                        //$valeur = $somme_cotisation - $somme_penalite;
//
//                                                                                        //je recense toutes les pénalités que le membre est sensé payer
//                                                                                        $penalites = \DB::table('penalites')
//                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                                                                            ->where('statut_penalite', '=', 'pas_tout_paye')
//                                                                                            ->limit(5)
//                                                                                            ->get();
//
//                                                                                        if (sizeof($penalites) != 0) {
//                                                                                            //je dois mettre à jour la pénalité possible
//                                                                                            /*foreach ($penalites as $penalite){
//                                                                                               //je calcule la somme totale des pénalités
//                                                                                                $somme_penalite += $penalite->penalite_a_payer;
//                                                                                            }
//
//                                                                                            $valeur = $somme_cotisation - $somme_penalite;
//
//
//                                                                                            if($valeur >=0){    //alors on mets à jour le champ statut_penalite à tout_paye pour toutes les pénalités du membre
//                                                                                                foreach ($penalites as $penalite){
//                                                                                                    //j'update aussi le solde_en_caisse de la tontine
//                                                                                                    \DB::table('tontines')
//                                                                                                        ->where('id', '=', $tontines[$i]->id)
//                                                                                                        ->update([
//                                                                                                            'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer,
//                                                                                                            'updated_at' => Carbon::now()
//                                                                                                        ]);
//
//                                                                                                    \DB::table('penalites')
//                                                                                                        ->where('user_id', '=', $penalite->user_id)
//                                                                                                        ->update([
//                                                                                                            'statut' => 'tout_paye',
//                                                                                                            'updated_at' => Carbon::now()
//                                                                                                        ]);
//
//
//                                                                                                }
//
//                                                                                            }*/
//                                                                                            //else{   //ça veut dire que la somme_cotisation est petite et dans ce cas on doit chercher la pénalité que ça peut gérer
//                                                                                            foreach ($penalites as $penalite) {
//                                                                                                $valeur = $somme_cotisation - $penalite->penalite_a_payer;
//                                                                                                $nouveau_montant_restant_a_contribuer = $valeur - $penalite->montant_restant_a_contribuer;
//
//                                                                                                if ($valeur >= 0) {
//                                                                                                    if ($nouveau_montant_restant_a_contribuer >= 0) { //alors on coupe aussi le montant_restant_a_contribuer dans la somme à bouffer
//
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        /*\DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer + $penalite->montant_restant_a_contribuer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);*/
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                'statut_penalite' => 'tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//                                                                                                            //insertion pour penalite
//                                                                                                            \DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 1, //pour penalite
//                                                                                                                        'montant' => $penalite->penalite_a_payer,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'numero_part' => $penalite->numero_part,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            //if($montant_restant_a_contribuer != 0){
//                                                                                                            //insertion pour cotisation
//                                                                                                            \DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 2, //pour cotisation
//                                                                                                                        'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'numero_part' => $penalite->numero_part,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//                                                                                                            //}
//
//                                                                                                            //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                            $table =  \DB::table('penalites')
//                                                                                                                ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            if(!empty($table)){
//                                                                                                                //insertion dans la table trace_penalites_et_contributions
////                                                                                                                \DB::table('trace_penalites_et_contributions')
////                                                                                                                    ->insert([
////                                                                                                                        [
////                                                                                                                            'user_id' => $table->user_id,
////                                                                                                                            'tontine_id' => $table->tontine_id,
////                                                                                                                            'seance_id' => $table->seance_id,
////                                                                                                                            'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                            'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                            'type_penalite' => $table->type_penalite,
////                                                                                                                            'statut_penalite' => $table->statut_penalite,
////                                                                                                                            'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                            'numero_part' => $table->numero_part,
////                                                                                                                            'numero_lot' => $numero_lot,
////                                                                                                                            'argent_penalite_payer' => $penalite->penalite_a_payer,
////                                                                                                                            'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                                            'created_at' => Carbon::now(),
////                                                                                                                            'updated_at' => Carbon::now()
////                                                                                                                        ]
////                                                                                                                    ]);
//
//                                                                                                                $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                    $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,$penalite->penalite_a_payer,
//                                                                                                                    $penalite->montant_restant_a_contribuer);
//
//
//                                                                                                                $penalites = \DB::table('penalites')
//                                                                                                                    ->where('user_id','=',$membre->user_id)
//                                                                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                    ->where('numero_part','=',$membre->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                $seances = \DB::table('seances')
//                                                                                                                    ->where('id','=',$seance_derniere->id)
//                                                                                                                    ->first();
//
//                                                                                                                $numCycle = \DB::table('cycles')
//                                                                                                                    ->where('id','=',$seances->cycle_id)
//                                                                                                                    ->first();
//
//                                                                                                                //puis je notifie le user
//                                                                                                                $titre = "Paiement Automatique";
//                                                                                                                $description = "La contribution non achevée a été réglée et la pénalité non achevée a été réglée";
//                                                                                                                $user_id = $p->user_id;
//                                                                                                                $tontine_id = $seances->tontine_id;
//                                                                                                                $seance_id = $seances->id;
//                                                                                                                $numero_seance = $seances->numero_seance;
//                                                                                                                $cycle_id = $seances->cycle_id;
//                                                                                                                $numero_cycle = $numCycle->numerocycle;
//                                                                                                                $numero_part = $membre->numero_part;
//
//                                                                                                                if(!empty($penalites)) {
//                                                                                                                    $penalite_id = $penalites->id;
//                                                                                                                }
//                                                                                                                else{
//                                                                                                                    $penalite_id = 0;
//                                                                                                                }
//
//
//                                                                                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                            }
//
//
//                                                                                                        }
//
//                                                                                                        //$argent_restant_a_bouffer -= $penalite->penalite_a_payer;
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines[$i]->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//
//                                                                                                        $solde = \DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->first();
//
//                                                                                                        //if(!empty($solde)){
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $solde->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $solde->solde_en_caisse + $penalite->penalite_a_payer + $penalite->montant_restant_a_contribuer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//                                                                                                        // }
//
//
//                                                                                                        $somme_cotisation = $nouveau_montant_restant_a_contribuer;
//
//                                                                                                    } else {   //dans ce cas on retire une partie du montant_restant_a_contribuer
//                                                                                                        $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $valeur;
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        /*\DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer + $valeur,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);*/
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                'statut_penalite' => 'tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//                                                                                                            //insertion pour penalite
//                                                                                                            \DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 1, //pour penalite
//                                                                                                                        'montant' => $penalite->penalite_a_payer,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'numero_part' => $penalite->numero_part,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            //insertion pour cotisation
//                                                                                                            \DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 2, //pour cotisation
//                                                                                                                        'montant' => $valeur,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'numero_part' => $penalite->numero_part,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                            $table =  \DB::table('penalites')
//                                                                                                                ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            if(!empty($table)){
//                                                                                                                //insertion dans la table trace_penalites_et_contributions
////                                                                                                                \DB::table('trace_penalites_et_contributions')
////                                                                                                                    ->insert([
////                                                                                                                        [
////                                                                                                                            'user_id' => $table->user_id,
////                                                                                                                            'tontine_id' => $table->tontine_id,
////                                                                                                                            'seance_id' => $table->seance_id,
////                                                                                                                            'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                            'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                            'type_penalite' => $table->type_penalite,
////                                                                                                                            'statut_penalite' => $table->statut_penalite,
////                                                                                                                            'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                            'numero_part' => $table->numero_part,
////                                                                                                                            'numero_lot' => $numero_lot,
////                                                                                                                            'argent_penalite_payer' => $penalite->penalite_a_payer,
////                                                                                                                            'argent_contribution_payer' => $valeur,
////                                                                                                                            'created_at' => Carbon::now(),
////                                                                                                                            'updated_at' => Carbon::now()
////                                                                                                                        ]
////                                                                                                                    ]);
//
//                                                                                                                $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                    $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,$penalite->penalite_a_payer,
//                                                                                                                    $valeur);
//
//                                                                                                                $penalites = \DB::table('penalites')
//                                                                                                                    ->where('user_id','=',$membre->user_id)
//                                                                                                                    ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                    ->where('numero_part','=',$membre->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                $seances = \DB::table('seances')
//                                                                                                                    ->where('id','=',$seance_derniere->id)
//                                                                                                                    ->first();
//
//                                                                                                                $numCycle = \DB::table('cycles')
//                                                                                                                    ->where('id','=',$seances->cycle_id)
//                                                                                                                    ->first();
//
//                                                                                                                //puis je notifie le user
//                                                                                                                $titre = "Paiement Automatique";
//                                                                                                                $description = "La contribution non achevée a été avancée";
//                                                                                                                $user_id = $p->user_id;
//                                                                                                                $tontine_id = $seances->tontine_id;
//                                                                                                                $seance_id = $seances->id;
//                                                                                                                $numero_seance = $seances->numero_seance;
//                                                                                                                $cycle_id = $seances->cycle_id;
//                                                                                                                $numero_cycle = $numCycle->numerocycle;
//                                                                                                                $numero_part = $membre->numero_part;
//
//                                                                                                                if(!empty($penalites)) {
//                                                                                                                    $penalite_id = $penalites->id;
//                                                                                                                }
//                                                                                                                else{
//                                                                                                                    $penalite_id = 0;
//                                                                                                                }
//
//
//                                                                                                                $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                            }
//
//                                                                                                        }
//
//                                                                                                        //$argent_restant_a_bouffer -= $penalite->penalite_a_payer;
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines[$i]->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => 0,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => 0,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//                                                                                                        $solde = \DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->first();
//
//                                                                                                        //if(!empty($solde)){
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $solde->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $solde->solde_en_caisse + $penalite->penalite_a_payer + $valeur,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//                                                                                                        // }
//
//
//                                                                                                        $somme_cotisation = 0;
//
//                                                                                                    }
//
//                                                                                                } else {
//                                                                                                    $valeur = 0;
//                                                                                                    $nouveau_montant_restant_a_contribuer = $somme_cotisation - $penalite->montant_restant_a_contribuer;
//
//                                                                                                    if ($nouveau_montant_restant_a_contribuer >= 0) {
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        /*\DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);*/
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                'statut_penalite' => 'pas_tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//                                                                                                            //insertion pour penalite
//                                                                                                            /*\DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $membre->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 1, //pour penalite
//                                                                                                                        'montant' => $penalite->penalite_a_payer,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);*/
//
//                                                                                                            if ($penalite->montant_restant_a_contribuer != 0) {
//                                                                                                                //insertion pour cotisation
//                                                                                                                \DB::table('contributions')
//                                                                                                                    ->insert([
//                                                                                                                        [
//                                                                                                                            'user_id' => $p->user_id,
//                                                                                                                            'seance_id' => $seance_derniere->id,
//                                                                                                                            'device_id' => $device->id,
//                                                                                                                            'typecontribution_id' => 2, //pour cotisation
//                                                                                                                            'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                                            'sens_contribution' => 'sortant',
//                                                                                                                            'numero_part' => $p->numero_part,
//                                                                                                                            'created_at' => Carbon::now(),
//                                                                                                                            'updated_at' => Carbon::now()
//                                                                                                                        ]
//                                                                                                                    ]);
//
//                                                                                                                //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                                $table =  \DB::table('penalites')
//                                                                                                                    ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                    ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                    ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                if(!empty($table)){
//                                                                                                                    //insertion dans la table trace_penalites_et_contributions
////                                                                                                                    \DB::table('trace_penalites_et_contributions')
////                                                                                                                        ->insert([
////                                                                                                                            [
////                                                                                                                                'user_id' => $table->user_id,
////                                                                                                                                'tontine_id' => $table->tontine_id,
////                                                                                                                                'seance_id' => $table->seance_id,
////                                                                                                                                'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                                'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                                'type_penalite' => $table->type_penalite,
////                                                                                                                                'statut_penalite' => $table->statut_penalite,
////                                                                                                                                'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                                'numero_part' => $table->numero_part,
////                                                                                                                                'numero_lot' => $numero_lot,
////                                                                                                                                'argent_penalite_payer' => 0,
////                                                                                                                                'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                                                'created_at' => Carbon::now(),
////                                                                                                                                'updated_at' => Carbon::now()
////                                                                                                                            ]
////                                                                                                                        ]);
//
//                                                                                                                    $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                        $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                                        $penalite->montant_restant_a_contribuer);
//
//                                                                                                                    $penalites = \DB::table('penalites')
//                                                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                                                        ->first();
//
//                                                                                                                    $seances = \DB::table('seances')
//                                                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                                                        ->first();
//
//                                                                                                                    $numCycle = \DB::table('cycles')
//                                                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                                                        ->first();
//
//                                                                                                                    //puis je notifie le user
//                                                                                                                    $titre = "Paiement Automatique";
//                                                                                                                    $description = "La contribution non achevée a été réglée";
//                                                                                                                    $user_id = $p->user_id;
//                                                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                                                    $seance_id = $seances->id;
//                                                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                                                    $numero_part = $p->numero_part;
//
//                                                                                                                    if(!empty($penalites)) {
//                                                                                                                        $penalite_id = $penalites->id;
//                                                                                                                    }
//                                                                                                                    else{
//                                                                                                                        $penalite_id = 0;
//                                                                                                                    }
//
//
//                                                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                                }
//
//                                                                                                            }
//
//
//                                                                                                        }
//
////                                                                                                        $numero_lot_old =  \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines[$i]->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//                                                                                                        $solde = \DB::table('tontines')
//                                                                                                            ->where('id','=',$tontines[$i]->id)
//                                                                                                            ->first();
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $solde->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $solde->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//                                                                                                        // }
//
//
//                                                                                                        $somme_cotisation = 0;
//
//
//                                                                                                    } else {
//                                                                                                        $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $somme_cotisation;
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        /*\DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $somme_cotisation,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);*/
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                'statut_penalite' => 'pas_tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//                                                                                                            //insertion pour penalite
//                                                                                                            /*\DB::table('contributions')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $membre->user_id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'device_id' => $device->id,
//                                                                                                                        'typecontribution_id' => 1, //pour penalite
//                                                                                                                        'montant' => $penalite->penalite_a_payer,
//                                                                                                                        'sens_contribution' => 'sortant',
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);*/
//
//                                                                                                            if ($somme_cotisation != 0) {
//                                                                                                                //insertion pour cotisation
//                                                                                                                \DB::table('contributions')
//                                                                                                                    ->insert([
//                                                                                                                        [
//                                                                                                                            'user_id' => $p->user_id,
//                                                                                                                            'seance_id' => $seance_derniere->id,
//                                                                                                                            'device_id' => $device->id,
//                                                                                                                            'typecontribution_id' => 2, //pour cotisation
//                                                                                                                            'montant' => $somme_cotisation,
//                                                                                                                            'sens_contribution' => 'sortant',
//                                                                                                                            'numero_part' => $p->numero_part,
//                                                                                                                            'created_at' => Carbon::now(),
//                                                                                                                            'updated_at' => Carbon::now()
//                                                                                                                        ]
//                                                                                                                    ]);
//
//                                                                                                                //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                                $table =  \DB::table('penalites')
//                                                                                                                    ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                    ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                    ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                if(!empty($table)){
//                                                                                                                    //insertion dans la table trace_penalites_et_contributions
////                                                                                                                    \DB::table('trace_penalites_et_contributions')
////                                                                                                                        ->insert([
////                                                                                                                            [
////                                                                                                                                'user_id' => $table->user_id,
////                                                                                                                                'tontine_id' => $table->tontine_id,
////                                                                                                                                'seance_id' => $table->seance_id,
////                                                                                                                                'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                                'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                                'type_penalite' => $table->type_penalite,
////                                                                                                                                'statut_penalite' => $table->statut_penalite,
////                                                                                                                                'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                                'numero_part' => $table->numero_part,
////                                                                                                                                'numero_lot' => $numero_lot,
////                                                                                                                                'argent_penalite_payer' => 0,
////                                                                                                                                'argent_contribution_payer' => $somme_cotisation,
////                                                                                                                                'created_at' => Carbon::now(),
////                                                                                                                                'updated_at' => Carbon::now()
////                                                                                                                            ]
////                                                                                                                        ]);
//
//                                                                                                                    $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                        $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                                        $somme_cotisation);
//
//                                                                                                                    $penalites = \DB::table('penalites')
//                                                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                                                        ->first();
//
//                                                                                                                    $seances = \DB::table('seances')
//                                                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                                                        ->first();
//
//                                                                                                                    $numCycle = \DB::table('cycles')
//                                                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                                                        ->first();
//
//                                                                                                                    //puis je notifie le user
//                                                                                                                    $titre = "Paiement Automatique";
//                                                                                                                    $description = "La contribution non achevée a été avancée";
//                                                                                                                    $user_id = $p->user_id;
//                                                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                                                    $seance_id = $seances->id;
//                                                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                                                    $numero_part = $p->numero_part;
//
//                                                                                                                    if(!empty($penalites)) {
//                                                                                                                        $penalite_id = $penalites->id;
//                                                                                                                    }
//                                                                                                                    else{
//                                                                                                                        $penalite_id = 0;
//                                                                                                                    }
//
//
//                                                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                                }
//
//                                                                                                            }
//
//                                                                                                        }
//
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines[$i]->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => $valeur,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer - $nouveau_montant_restant_a_contribuer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => $valeur,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer - $nouveau_montant_restant_a_contribuer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//                                                                                                        $solde = \DB::table('tontines')
//                                                                                                            ->where('id','=',$tontines[$i]->id)
//                                                                                                            ->first();
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $solde->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $solde->solde_en_caisse + $somme_cotisation,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//                                                                                                        // }
//
//
//                                                                                                        $somme_cotisation = $valeur;
//
//
//                                                                                                    }
//
//
//                                                                                                }
//                                                                                            }
//                                                                                            //}
//                                                                                        }
//
//
//                                                                                        if(sizeof($penalites) == 0){  //alors on insère le membre comme bénéficiaire
////                                                                                            $numero_lot_old =  \DB::table('bouffes')
////                                                                                                //->where('user_id', '=', $p->user_id)
////                                                                                                ->where('tontine_id', '=', $tontines[$i]->id)
////                                                                                                ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                ->where('cycle_id', '=', $cycle->id)
////                                                                                                ->orderBy('created_at','desc')
////                                                                                                ->first();
////                                                                                            if(!empty($numero_lot_old)){
////                                                                                                $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                            }
//
//                                                                                            \DB::table('bouffes')
//                                                                                                ->insert([
//                                                                                                    [
//                                                                                                        'user_id' => $p->user_id,
//                                                                                                        'tontine_id' => $tontines[$i]->id,
//                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                        'somme' => $somme_cotisation,
//                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                        'created_at' => Carbon::now(),
//                                                                                                        'updated_at' => Carbon::now()
//                                                                                                    ]
//                                                                                                ]);
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                ->first();
//
//                                                                                            $seances = \DB::table('seances')
//                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                ->first();
//
//                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                ->first();
//
//                                                                                            //puis je notifie le user
//                                                                                            $titre = "JACKPOT";
//                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                            $user_id = $p->user_id;
//                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                            $seance_id = $seances->id;
//                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                            $numero_part = $p->numero_part;
//
//                                                                                            if(!empty($penalites)) {
//                                                                                                $penalite_id = $penalites->id;
//                                                                                            }
//                                                                                            else{
//                                                                                                $penalite_id = 0;
//                                                                                            }
//
//
//                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                            $solde = \DB::table('tontines')
//                                                                                                ->where('id','=',$tontines[$i]->id)
//                                                                                                ->first();
//
//                                                                                            //puis on mets à jour solde caisse tontines
//                                                                                            \DB::table('tontines')
//                                                                                                ->where('id', '=', $solde->id)
//                                                                                                ->update([
//                                                                                                    'solde_en_caisse' => $solde->solde_en_caisse - $somme_cotisation,
//                                                                                                    'updated_at' => Carbon::now()
//                                                                                                ]);
//                                                                                        }
//
//
//                                                                                        //par la suite je dois recenser toutes les pénalités où statut_montant_restant_a_contribuer = 'pas_tout_gere'
//                                                                                        //pour tout ceux voulant bouffer on doit couper le montant_restant_a_contribuer
//
//                                                                                        $tontines5 = \DB::table('tontines')
//                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                            ->first();
//
//                                                                                        if (!empty($tontines5)) {
//                                                                                            $tontine_id = $tontines5->id;
//
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                ->where('tontine_id','=',$tontine_id)
//                                                                                                ->where('statut_montant_restant_a_contribuer', '=', 'pas_tout_paye')
//                                                                                                ->limit(5)
//                                                                                                ->get();
//
//                                                                                            if (sizeof($penalites) != 0) {
//
//                                                                                                //je dois mettre à jour la pénalité possible
//                                                                                                /*foreach ($penalites as $penalite){
//                                                                                                   //je calcule la somme totale des pénalités
//                                                                                                    $somme_penalite += $penalite->penalite_a_payer;
//                                                                                                }
//
//                                                                                                $valeur = $somme_cotisation - $somme_penalite;
//
//
//                                                                                                if($valeur >=0){    //alors on mets à jour le champ statut_penalite à tout_paye pour toutes les pénalités du membre
//                                                                                                    foreach ($penalites as $penalite){
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines[$i]->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->update([
//                                                                                                                'statut' => 'tout_paye',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//
//                                                                                                    }
//
//                                                                                                }*/
//                                                                                                //else{
//                                                                                                foreach ($penalites as $penalite) {
//                                                                                                    //$valeur = $somme_cotisation - $penalite->penalite_a_payer;
//                                                                                                    $nouveau_montant_restant_a_contribuer = $somme_cotisation - $penalite->montant_restant_a_contribuer;
//
//                                                                                                    //if($valeur >= 0){
//                                                                                                    if ($nouveau_montant_restant_a_contribuer >= 0) { //alors on coupe aussi le montant_restant_a_contribuer dans la somme à bouffer
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontine_id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines5->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                //'statut_penalite' => 'tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines5->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//
//                                                                                                            if ($penalite->montant_restant_a_contribuer != 0) {
//                                                                                                                //insertion pour cotisation
//                                                                                                                \DB::table('contributions')
//                                                                                                                    ->insert([
//                                                                                                                        [
//                                                                                                                            'user_id' => $p->user_id,
//                                                                                                                            'seance_id' => $seance_derniere->id,
//                                                                                                                            'device_id' => $device->id,
//                                                                                                                            'typecontribution_id' => 2, //pour cotisation
//                                                                                                                            'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                                            'sens_contribution' => 'sortant',
//                                                                                                                            'numero_part' => $p->numero_part,
//                                                                                                                            'created_at' => Carbon::now(),
//                                                                                                                            'updated_at' => Carbon::now()
//                                                                                                                        ]
//                                                                                                                    ]);
//
//                                                                                                                //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                                $table =  \DB::table('penalites')
//                                                                                                                    ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                    ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                    ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                if(!empty($table)){
//                                                                                                                    //insertion dans la table trace_penalites_et_contributions
////                                                                                                                    \DB::table('trace_penalites_et_contributions')
////                                                                                                                        ->insert([
////                                                                                                                            [
////                                                                                                                                'user_id' => $table->user_id,
////                                                                                                                                'tontine_id' => $table->tontine_id,
////                                                                                                                                'seance_id' => $table->seance_id,
////                                                                                                                                'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                                'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                                'type_penalite' => $table->type_penalite,
////                                                                                                                                'statut_penalite' => $table->statut_penalite,
////                                                                                                                                'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                                'numero_part' => $table->numero_part,
////                                                                                                                                'numero_lot' => $numero_lot,
////                                                                                                                                'argent_penalite_payer' => 0,
////                                                                                                                                'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                                                'created_at' => Carbon::now(),
////                                                                                                                                'updated_at' => Carbon::now()
////                                                                                                                            ]
////                                                                                                                        ]);
//
//                                                                                                                    $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                        $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                                        $penalite->montant_restant_a_contribuer);
//
//                                                                                                                    $penalites = \DB::table('penalites')
//                                                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                                                        ->first();
//
//                                                                                                                    $seances = \DB::table('seances')
//                                                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                                                        ->first();
//
//                                                                                                                    $numCycle = \DB::table('cycles')
//                                                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                                                        ->first();
//
//                                                                                                                    //puis je notifie le user
//                                                                                                                    $titre = "Paiement Automatique";
//                                                                                                                    $description = "La contribution non achevée a été réglée";
//                                                                                                                    $user_id = $p->user_id;
//                                                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                                                    $seance_id = $seances->id;
//                                                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                                                    $numero_part = $p->numero_part;
//
//                                                                                                                    if(!empty($penalites)) {
//                                                                                                                        $penalite_id = $penalites->id;
//                                                                                                                    }
//                                                                                                                    else{
//                                                                                                                        $penalite_id = 0;
//                                                                                                                    }
//
//
//                                                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                                }
//
//                                                                                                            }
//
//
//                                                                                                        }
//
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=', $tontines5->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines5->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines5->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//
//                                                                                                            $penalites = \DB::table('penalites')
//                                                                                                                ->where('user_id','=',$p->user_id)
//                                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                ->where('numero_part','=',$p->numero_part)
//                                                                                                                ->first();
//
//                                                                                                            $seances = \DB::table('seances')
//                                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                                ->first();
//
//                                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                                ->first();
//
//                                                                                                            //puis je notifie le user
//                                                                                                            $titre = "JACKPOT";
//                                                                                                            $description = "Un membre est l'heureux bénéficiaire";
//                                                                                                            $user_id = $p->user_id;
//                                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                                            $seance_id = $seances->id;
//                                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                                            $numero_part = $p->numero_part;
//
//                                                                                                            if(!empty($penalites)) {
//                                                                                                                $penalite_id = $penalites->id;
//                                                                                                            }
//                                                                                                            else{
//                                                                                                                $penalite_id = 0;
//                                                                                                            }
//
//
//                                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines5->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//                                                                                                    } else {   //dans ce cas on retire une partie du montant_restant_a_contribuer
//                                                                                                        $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $valeur;
//
//                                                                                                        //j'update aussi le solde_en_caisse de la tontine
//                                                                                                        \DB::table('tontines')
//                                                                                                            ->where('id', '=', $tontines5->id)
//                                                                                                            ->update([
//                                                                                                                'solde_en_caisse' => $tontines5->solde_en_caisse + $valeur,
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//                                                                                                        //j'update la table penalites
//                                                                                                        \DB::table('penalites')
//                                                                                                            ->where('user_id', '=', $penalite->user_id)
//                                                                                                            ->where('seance_id', '=', $penalite->seance_id)
//                                                                                                            ->where('numero_part', '=', $penalite->numero_part)
//                                                                                                            ->update([
//                                                                                                                'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                                                //'statut_penalite' => 'tout_paye',
//                                                                                                                'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                                                'updated_at' => Carbon::now()
//                                                                                                            ]);
//
//
//                                                                                                        //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                                        $device = \DB::table('devices')
//                                                                                                            ->where('name', '=', $tontines5->monnaie)
//                                                                                                            ->first();
//
//                                                                                                        if (!empty($device)) {
//
//                                                                                                            if ($valeur != 0) {
//                                                                                                                //insertion pour cotisation
//                                                                                                                \DB::table('contributions')
//                                                                                                                    ->insert([
//                                                                                                                        [
//                                                                                                                            'user_id' => $p->user_id,
//                                                                                                                            'seance_id' => $seance_derniere->id,
//                                                                                                                            'device_id' => $device->id,
//                                                                                                                            'typecontribution_id' => 2, //pour cotisation
//                                                                                                                            'montant' => $valeur,
//                                                                                                                            'sens_contribution' => 'sortant',
//                                                                                                                            'numero_part' => $p->numero_part,
//                                                                                                                            'created_at' => Carbon::now(),
//                                                                                                                            'updated_at' => Carbon::now()
//                                                                                                                        ]
//                                                                                                                    ]);
//
//                                                                                                                //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                                                $table =  \DB::table('penalites')
//                                                                                                                    ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                                                    ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                                                    ->where('numero_part','=', $membre/*$penalite*/->numero_part)
//                                                                                                                    ->first();
//
//                                                                                                                if(!empty($table)){
//                                                                                                                    //insertion dans la table trace_penalites_et_contributions
////                                                                                                                    \DB::table('trace_penalites_et_contributions')
////                                                                                                                        ->insert([
////                                                                                                                            [
////                                                                                                                                'user_id' => $table->user_id,
////                                                                                                                                'tontine_id' => $table->tontine_id,
////                                                                                                                                'seance_id' => $table->seance_id,
////                                                                                                                                'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                                                'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                                                'type_penalite' => $table->type_penalite,
////                                                                                                                                'statut_penalite' => $table->statut_penalite,
////                                                                                                                                'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                                                'numero_part' => $table->numero_part,
////                                                                                                                                'numero_lot' => $numero_lot,
////                                                                                                                                'argent_penalite_payer' => 0,
////                                                                                                                                'argent_contribution_payer' => $valeur,
////                                                                                                                                'created_at' => Carbon::now(),
////                                                                                                                                'updated_at' => Carbon::now()
////                                                                                                                            ]
////                                                                                                                        ]);
//
//                                                                                                                    $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                                        $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                                        $valeur);
//
//                                                                                                                    $penalites = \DB::table('penalites')
//                                                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                                                        ->first();
//
//                                                                                                                    $seances = \DB::table('seances')
//                                                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                                                        ->first();
//
//                                                                                                                    $numCycle = \DB::table('cycles')
//                                                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                                                        ->first();
//
//                                                                                                                    //puis je notifie le user
//                                                                                                                    $titre = "Paiement Automatique";
//                                                                                                                    $description = "La contribution non achevée a été avancée";
//                                                                                                                    $user_id = $p->user_id;
//                                                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                                                    $seance_id = $seances->id;
//                                                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                                                    $numero_part = $p->numero_part;
//
//                                                                                                                    if(!empty($penalites)) {
//                                                                                                                        $penalite_id = $penalites->id;
//                                                                                                                    }
//                                                                                                                    else{
//                                                                                                                        $penalite_id = 0;
//                                                                                                                    }
//
//
//                                                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                                                }
//
//                                                                                                            }
//
//
//                                                                                                        }
//
////                                                                                                        $numero_lot_old = \DB::table('bouffes')
////                                                                                                            //->where('user_id', '=', $p->user_id)
////                                                                                                            ->where('tontine_id', '=', $tontines5->id)
////                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
////                                                                                                            ->where('cycle_id', '=', $cycle->id)
////                                                                                                            ->orderBy('created_at','desc')
////                                                                                                            ->first();
////                                                                                                        if(!empty($numero_lot_old)){
////                                                                                                            $numero_lot = $numero_lot_old->numero_lot + 1;
////                                                                                                        }
//
//
//                                                                                                        //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                                        $confirm = \DB::table('bouffes')
//                                                                                                            ->where('user_id', '=', $p->user_id)
//                                                                                                            ->where('tontine_id', '=', $tontines5->id)
//                                                                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                            ->where('cycle_id', '=', $cycle->id)
//                                                                                                            ->where('numero_part', '=', $p->numero_part)
//                                                                                                            ->where('numero_lot','=',$numero_lot)
//                                                                                                            ->first();
//
//                                                                                                        if (empty($confirm)) {
//                                                                                                            //j'insère le membre comme bénéficiaire
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->insert([
//                                                                                                                    [
//                                                                                                                        'user_id' => $p->user_id,
//                                                                                                                        'tontine_id' => $tontines5->id,
//                                                                                                                        'seance_id' => $seance_derniere->id,
//                                                                                                                        'cycle_id' => $cycle->id,
//                                                                                                                        'somme' => 0,
//                                                                                                                        'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                        'numero_part' => $p->numero_part,
//                                                                                                                        'numero_lot' => $numero_lot,
//                                                                                                                        'created_at' => Carbon::now(),
//                                                                                                                        'updated_at' => Carbon::now()
//                                                                                                                    ]
//                                                                                                                ]);
//                                                                                                        } else {
//                                                                                                            //je fais juste un update
//                                                                                                            \DB::table('bouffes')
//                                                                                                                ->where('user_id', '=', $p->user_id)
//                                                                                                                ->where('tontine_id', '=', $tontines5->id)
//                                                                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                                                                ->where('numero_part', '=', $p->numero_part)
//                                                                                                                ->where('numero_lot','=',$numero_lot)
//                                                                                                                ->update([
//                                                                                                                    'somme' => 0,
//                                                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                                    'updated_at' => Carbon::now()
//                                                                                                                ]);
//                                                                                                        }
//
//                                                                                                    }
//
//                                                                                                    //}
//                                                                                                    //else{
//
//
//                                                                                                    //}
//                                                                                                }
//                                                                                                //}
//
//                                                                                            }
//
//
//                                                                                        }
//
//                                                                                    }
//
//
//
//                                                                                }
//
//                                                                            }
//
//
//
//                                                                        }
//
//                                                                        //maintenant je supprime la part du membre dans la table part_a_bouffer
//                                                                        \DB::table('part_a_bouffer')
//                                                                            ->where('id','=',$p->id)
//                                                                            //->where('user_id','=',$p->user_id)
//                                                                            //->where('tontine_id','=',$tontines[$i]->id)
//                                                                            //->where('cycle_id','=',$cycle->id)
//                                                                            //->where('numero_part','=',$p->numero_part)
//                                                                            ->delete();
//
//                                                                        //maintenant je dois supprimer toutes les autres parts à bouffer du membre ds la table part_a_bouffer puis les réinsérer à la fin
//                                                                        $parts_membre = \DB::table('part_a_bouffer')
//                                                                            ->where('user_id','=',$p->user_id)
//                                                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                                                            ->where('cycle_id','=',$cycle->id)
//                                                                            ->get();
//
//                                                                        if(!empty($parts_membre)){
//                                                                            foreach ($parts_membre as $part){
//                                                                                //suppression
//                                                                                \DB::table('part_a_bouffer')
//                                                                                    ->where('user_id','=',$part->user_id)
//                                                                                    ->where('tontine_id','=',$tontines[$i]->id)
//                                                                                    ->where('cycle_id','=',$cycle->id)
//                                                                                    ->where('numero_part','=',$part->numero_part)
//                                                                                    ->delete();
//                                                                            }
//                                                                        }
//
//
//                                                                        if(!empty($parts_membre)){
//                                                                            foreach ($parts_membre as $part_membre){
//                                                                                \DB::table('part_a_bouffer')
//                                                                                    ->insert([
//                                                                                        [
//                                                                                            'user_id' => $part_membre->user_id,
//                                                                                            'tontine_id' => $part_membre->tontine_id,
//                                                                                            'seance_id' => $part_membre->seance_id,
//                                                                                            'cycle_id' => $part_membre->cycle_id,
//                                                                                            'somme' => $part_membre->somme,
//                                                                                            'argent_restant_a_bouffer' => $part_membre->argent_restant_a_bouffer,
//                                                                                            'numero_part' => $part_membre->numero_part,
//                                                                                            'created_at' => Carbon::now(),
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]
//                                                                                    ]);
//                                                                            }
//                                                                        }
//
//
//                                                                    }
//                                                                }
//
//                                                            }
//
//                                                        }
//
//
//
//                                                        //Partie pour charger le portemonnaie du membre s'il a bouffé
//                                                        //je recopie le contenu de la table bouffes concernant le membre dans la table etat_chargement_portemonnaie
//                                                        //je teste d'abord si cela a déjà été enregistré
//                                                        $bouffe = \DB::table('bouffes')
//                                                            ->where('user_id','=',$membre->user_id)
//                                                            ->where('tontine_id','=',$membre->tontine_id)
//                                                            ->where('seance_id','=',$seance_derniere->id)
//                                                            ->where('cycle_id','=',$cycle->id)
//                                                            ->where('numero_part','=',$membre->numero_part)
//                                                            ->where('numero_lot','=',$numero_lot)
//                                                            ->first();
//
//                                                        if(!empty($bouffe)){    //alors le membre a eu à bouffer
//                                                            $test = \DB::table('etat_chargement_portemonnaie')
//                                                                ->where('user_id','=',$membre->user_id)
//                                                                ->where('tontine_id','=',$membre->tontine_id)
//                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                ->where('cycle_id','=',$cycle->id)
//                                                                ->where('argent_charge_dans_le_portemonnaie','=',$bouffe->somme)
//                                                                ->where('argent_restant_a_bouffer','=',$bouffe->argent_restant_a_bouffer)
//                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                ->where('created_at','=',$bouffe->created_at)
//                                                                ->where('updated_at','=',$bouffe->updated_at)
//                                                                ->first();
//
//                                                            $device = \DB::table('devices')
//                                                                ->where('name', '=', $tontines[$i]->monnaie)
//                                                                ->first();
//
//                                                            if(!empty($device)) {
//                                                                $this->chargerPorteMonnaieSpecial($membre->user_id, $bouffe->somme, $device->id);
//                                                                $this->remplir_transaction_portemonnaie($membre->user_id, $device->id, $bouffe->somme, "entrant", "argent bouffé","portemonnaie");
//
//                                                            }
//
//                                                            if(empty($test)){   //alors on charge le portemonnaie du membre
//
//
//                                                                //puis je fais une copie dans la table etat_chargement_portemonnaie
//                                                                \DB::table('etat_chargement_portemonnaie')
//                                                                    ->insert([
//                                                                        [
//                                                                            'user_id' => $membre->user_id,
//                                                                            'tontine_id' => $membre->tontine_id,
//                                                                            'seance_id' => $seance_derniere->id,
//                                                                            'cycle_id' => $cycle->id,
//                                                                            'argent_charge_dans_le_portemonnaie' => $bouffe->somme,
//                                                                            'argent_restant_a_bouffer' => $bouffe->argent_restant_a_bouffer,
//                                                                            'numero_part' => $membre->numero_part,
//                                                                            'created_at' => $bouffe->created_at,
//                                                                            'updated_at' => $bouffe->updated_at
//                                                                        ]
//                                                                    ]);
//
//
//                                                                //}
//                                                            }
//
//
//                                                            //je recense les pénalités payées par le membre dans la table contributions
//                                                            $penalite_payees = \DB::table('contributions')
//                                                                ->where('user_id','=',$membre->user_id)
//                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                ->where('typecontribution_id','=',1)    //pour penalite
//                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                ->where('device_id','=',$device->id)
//                                                                ->get();
//
//                                                            $somme_penalite = 0;
//                                                            if(!empty($penalite_payees)){
//                                                                foreach( $penalite_payees as $p ){
//                                                                    $somme_penalite = $somme_penalite + $p->montant;
//                                                                }
//                                                            }
//
//
//
//                                                            //puis je mets à jour le solde de la tontine
//                                                            $tontines6 = \DB::table('tontines')
//                                                                ->where('id', '=', $tontines[$i]->id)
//                                                                ->first();
//
//
//                                                            if(!empty($tontines6)){
//                                                                \DB::table('tontines')
//                                                                    ->where('id', '=', $tontines6->id)
//                                                                    ->update([
//                                                                        'solde_en_caisse' => $tontines6->solde_en_caisse - $bouffe->somme - $somme_penalite,
//                                                                        'updated_at' => Carbon::now()
//                                                                    ]);
//                                                            }
//
//                                                        }
//
//                                                    }
//
//                                                }else{
//                                                    $this->info($tontines[$i]->numberlot.' membres ont déjà bouffé cette séance!');
//                                                }
//
//                                            }
//                                        }
//                                    }
//
//
//                                }
//
//
//
//                            }
//
//                            if($type_tontine->name == "Random Draw" /*|| $type_tontine->name == "Bid"*/){
//
//                                //$numero_lot = 1;
//
//                                $compteur = $tontines[$i]->numberlot;
//                                //dd($compteur);
//
//
//                                //recherche du cycle de la tontine
//                                $cycle = \DB::table('cycles')
//                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                    ->where('archived','=',0)   //pour dire que le cycle n'est pas encore fini
//                                    ->first();
//                                //dd($cycle);
//                                if(!empty($cycle)){
//
//                                    for ($j = 0; $j < $compteur; $j++){  //compteur pour le nombre de lots de la tontine
//
//                                        //}
//
//                                        //je ressors la liste des membres de la tontine en faisant un Random
//                                        $membre_alphabetiques = \DB::table('membrestontines')
//                                            ->join('users','users.id','=','membrestontines.user_id')
//                                            ->where('membrestontines.tontine_id', '=', $tontines[$i]->id)
//                                            ->orderByRaw("RAND()")       //il doit avoir une instruction pour le random ici
//                                            ->select('users.id as user_id','membrestontines.numero_part','membrestontines.tontine_id')
//                                            ->get();
//
//                                        if(!empty($membre_alphabetiques)) {
//
//                                            foreach ($membre_alphabetiques as $membre) {
//
//
//                                                //je teste s'il y a déjà numberlot(qui est un nombre) membre ayant bouffé la dernière séance archivée pour le cycle valide
//                                                $resultat = \DB::table('bouffes')
//                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                    //->where('cycle_id','=',$cycle->id)
//                                                    //->first();
//                                                    ->count();
//
//                                                $numero_lot_brute = \DB::table('bouffes')
//                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                    ->orderBy('id','desc')
//                                                    ->first();
//
//                                                if(empty($numero_lot_brute)){
//                                                    $numero_lot = 1;
//                                                }
//                                                else{
//                                                    $numero_lot = $numero_lot_brute->numero_lot + 1;
//                                                }
//
//
//                                                if (/*empty($resultat)*/$resultat < $tontines[$i]->numberlot) {  //alors tous les lots ne sont pas encore bouffés cette séance
//                                                    if ($resultat != $tontines[$i]->numberlot) {
//
//                                                        //on contrôle si le membre a déjà eu à bouffer tous ses lots pour la tontine dans le cycle valide
//                                                        $answer = \DB::table('bouffes')
//                                                            ->where('user_id', '=', $membre->user_id)
//                                                            ->where('tontine_id', '=', $tontines[$i]->id)
//                                                            ->where('cycle_id', '=', $cycle->id)
//                                                            ->where('numero_part', '=', $membre->numero_part)
//                                                            //->first();
//                                                            ->count();
//
//                                                        if (/*empty($answer)*/$answer < $tontines[$i]->numberlot) {   //alors le membre n'a pas encore bouffé tous ses lots
//                                                            if ($answer != $tontines[$i]->numberlot) {
//
//                                                                //je calcule la somme du bénéficiaire
//                                                                //je calcule maintenant les contributions déjà faites
//                                                                $calculs = \DB::table('contributions')
//                                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                                    ->get();
//
//
//                                                                //je me rassure que la séance finie déjà
//                                                                //$date_debut_test = \Carbon\Carbon::parse($seance_derniere->date_debut);
//                                                                //$date_fin_test = \Carbon\Carbon::parse($seance_derniere->date_fin);
//                                                                //$date_courante = Carbon::now();
//
//                                                                //$nowInLondonTz = Carbon::now('Europe/London');    //pour charger le temps courant de notre fuseau horaire
//
//                                                                //cas où jour_date_debut = jour_date_fin = jour_date_courant et mois_date_debut = mois_date_fin = mois_date_courante  et annee_date_debut = annee_date_fin = annee_date_courante ici le contrôle se fait sur heure_debut et heure_fin
//                                                                /*if ($date_debut_test->day == $date_courante->day AND $date_fin_test->day == $date_courante->day AND
//                                                                    $date_debut_test->month == $date_courante->month AND $date_fin_test->month == $date_courante->month AND
//                                                                    $date_debut_test->year == $date_courante->year AND $date_fin_test->year == $date_courante->year
//                                                                ) {*/
//
//                                                                //$heure_debut = $seance_en_cours->heure_debut;
//                                                                /*$heure_fin = $seance_en_cours->heure_fin;
//                                                                $conversion_heure_courante_en_secondes = $user_gestion->ConvertCurrentTimeInSecond();
//                                                                $conversion_heure_fin_en_secondes = $user_gestion->ConvertTimeInSecond($heure_fin);
//
//                                                                */
//                                                                //if ($conversion_heure_fin_en_secondes <= $conversion_heure_courante_en_secondes) { //alors séance terminée
//
//                                                                $somme_cotisation = 0;
//                                                                if (!empty($calculs)) {
//                                                                    foreach ($calculs as $calcul) {
//                                                                        if ($calcul->typecontribution_id == 2) {  //2 pour le typecontribution = cotisation
//                                                                            $somme_cotisation += $calcul->montant;
//                                                                        }
//                                                                    }
//                                                                }
//
//                                                                //dd($somme_cotisation);
//
//                                                                //je calcule le nbre de membres de la tontine
//                                                                $nombre_membre = \DB::table('membrestontines')
//                                                                    ->join('users', 'users.id', '=', 'membrestontines.user_id')
//                                                                    ->where('membrestontines.tontine_id', '=', $tontines[$i]->id)
//                                                                    ->count();
//
//                                                                //calcul de la somme d'argent totale de contribution de la tontine
//                                                                $somme_totale = ($nombre_membre * $tontines[$i]->coutshare) / $tontines[$i]->numberlot;
//
//                                                                $somme_cotisation = $somme_cotisation / $tontines[$i]->numberlot;
//
//
//
//                                                                $argent_restant_a_bouffer = $somme_totale - $somme_cotisation;
//
//                                                                //$valeur = $somme_cotisation - $somme_penalite;
//
//                                                                //je recense toutes les pénalités que le membre est sensé payer
//                                                                $penalites = \DB::table('penalites')
//                                                                    ->where('user_id', '=', $membre->user_id)
//                                                                    ->where('statut_penalite', '=', 'pas_tout_paye')
//                                                                    ->where('numero_part', '=', $membre->numero_part)
//                                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                    ->limit(5)
//                                                                    ->get();
//
//                                                                if (sizeof($penalites) != 0) {
//                                                                    //je dois mettre à jour la pénalité possible
//                                                                    /*foreach ($penalites as $penalite){
//                                                                       //je calcule la somme totale des pénalités
//                                                                        $somme_penalite += $penalite->penalite_a_payer;
//                                                                    }
//
//                                                                    $valeur = $somme_cotisation - $somme_penalite;
//
//
//                                                                    if($valeur >=0){    //alors on mets à jour le champ statut_penalite à tout_paye pour toutes les pénalités du membre
//                                                                        foreach ($penalites as $penalite){
//                                                                            //j'update aussi le solde_en_caisse de la tontine
//                                                                            \DB::table('tontines')
//                                                                                ->where('id', '=', $tontines[$i]->id)
//                                                                                ->update([
//                                                                                    'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer,
//                                                                                    'updated_at' => Carbon::now()
//                                                                                ]);
//
//                                                                            \DB::table('penalites')
//                                                                                ->where('user_id', '=', $penalite->user_id)
//                                                                                ->update([
//                                                                                    'statut' => 'tout_paye',
//                                                                                    'updated_at' => Carbon::now()
//                                                                                ]);
//
//
//                                                                        }
//
//                                                                    }*/
//                                                                    //else{   //ça veut dire que la somme_cotisation est petite et dans ce cas on doit chercher la pénalité que ça peut gérer
//                                                                    foreach ($penalites as $penalite) {
//                                                                        $valeur = $somme_cotisation - $penalite->penalite_a_payer;
//                                                                        $nouveau_montant_restant_a_contribuer = $valeur - $penalite->montant_restant_a_contribuer;
//
//                                                                        if ($valeur >= 0) {
//                                                                            if ($nouveau_montant_restant_a_contribuer >= 0) { //alors on coupe aussi le montant_restant_a_contribuer dans la somme à bouffer
//
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                /*\DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer + $penalite->montant_restant_a_contribuer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);*/
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id', '=', $penalite->seance_id)
//                                                                                    ->where('numero_part', '=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        'statut_penalite' => 'tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                    ->first();
//
//                                                                                if (!empty($device)) {
//                                                                                    //insertion pour penalite
//                                                                                    \DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 1, //pour penalite
//                                                                                                'montant' => $penalite->penalite_a_payer,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'numero_part' => $penalite->numero_part,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    //if($montant_restant_a_contribuer != 0){
//                                                                                    //insertion pour cotisation
//                                                                                    \DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 2, //pour cotisation
//                                                                                                'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'numero_part' => $penalite->numero_part,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//                                                                                    //}
//
//                                                                                    //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                    $table = \DB::table('penalites')
//                                                                                        ->where('user_id', '=', $membre/*$penalite*/->user_id)
//                                                                                        ->where('seance_id', '=', $seance_derniere/*$penalite*/->id/*seance_id*/)
//                                                                                        ->where('numero_part', '=', $membre/*$penalite*/->numero_part)
//                                                                                        ->first();
//
//                                                                                    if (!empty($table)) {
//                                                                                        //insertion dans la table trace_penalites_et_contributions
////                                                                                        \DB::table('trace_penalites_et_contributions')
////                                                                                            ->insert([
////                                                                                                [
////                                                                                                    'user_id' => $table->user_id,
////                                                                                                    'tontine_id' => $table->tontine_id,
////                                                                                                    'seance_id' => $table->seance_id,
////                                                                                                    'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                    'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                    'type_penalite' => $table->type_penalite,
////                                                                                                    'statut_penalite' => $table->statut_penalite,
////                                                                                                    'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                    'numero_part' => $table->numero_part,
////                                                                                                    'numero_lot' => $numero_lot,
////                                                                                                    'argent_penalite_payer' => $penalite->penalite_a_payer,
////                                                                                                    'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                    'created_at' => Carbon::now(),
////                                                                                                    'updated_at' => Carbon::now()
////                                                                                                ]
////                                                                                            ]);
//
//                                                                                        $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                            $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,$penalite->penalite_a_payer,
//                                                                                            $penalite->montant_restant_a_contribuer);
//
//                                                                                        $penalites = \DB::table('penalites')
//                                                                                            ->where('user_id','=',$membre->user_id)
//                                                                                            ->where('seance_id','=',$seance_derniere->id)
//                                                                                            ->where('numero_part','=',$membre->numero_part)
//                                                                                            ->first();
//
//                                                                                        $seances = \DB::table('seances')
//                                                                                            ->where('id','=',$seance_derniere->id)
//                                                                                            ->first();
//
//                                                                                        $numCycle = \DB::table('cycles')
//                                                                                            ->where('id','=',$seances->cycle_id)
//                                                                                            ->first();
//
//                                                                                        //puis je notifie le user
//                                                                                        $titre = "Paiement Automatique";
//                                                                                        $description = "La contribution non achevée a été réglée et la pénalité non achevée a été réglée";
//                                                                                        $user_id = $membre->user_id;
//                                                                                        $tontine_id = $seances->tontine_id;
//                                                                                        $seance_id = $seances->id;
//                                                                                        $numero_seance = $seances->numero_seance;
//                                                                                        $cycle_id = $seances->cycle_id;
//                                                                                        $numero_cycle = $numCycle->numerocycle;
//                                                                                        $numero_part = $membre->numero_part;
//
//                                                                                        if(!empty($penalites)) {
//                                                                                            $penalite_id = $penalites->id;
//                                                                                        }
//                                                                                        else{
//                                                                                            $penalite_id = 0;
//                                                                                        }
//
//
//                                                                                        $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                    }
//
//
//                                                                                }
//
//                                                                                //$argent_restant_a_bouffer -= $penalite->penalite_a_payer;
//
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id', '=', $membre->user_id)
//                                                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                                                    ->where('cycle_id', '=', $cycle->id)
//                                                                                    ->where('numero_part', '=', $membre->numero_part)
//                                                                                    ->where('numero_lot', '=', $numero_lot)
//                                                                                    ->first();
//
//                                                                                if (empty($confirm)) {
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines[$i]->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $membre->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                } else {
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                        ->where('seance_id', '=', $seance_derniere->id)
//                                                                                        ->where('cycle_id', '=', $cycle->id)
//                                                                                        ->where('numero_part', '=', $membre->numero_part)
//                                                                                        ->where('numero_lot', '=', $numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//
//                                                                                $solde = \DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->first();
//
//                                                                                //if(!empty($solde)){
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $solde->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $solde->solde_en_caisse + $penalite->penalite_a_payer + $penalite->montant_restant_a_contribuer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//                                                                                // }
//
//
//                                                                                $somme_cotisation = $nouveau_montant_restant_a_contribuer;
//
//                                                                            } else {   //dans ce cas on retire une partie du montant_restant_a_contribuer
//                                                                                $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $valeur;
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                /*\DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer + $valeur,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);*/
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id', '=', $penalite->seance_id)
//                                                                                    ->where('numero_part', '=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                        'statut_penalite' => 'tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                    ->first();
//
//                                                                                if (!empty($device)) {
//                                                                                    //insertion pour penalite
//                                                                                    \DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 1, //pour penalite
//                                                                                                'montant' => $penalite->penalite_a_payer,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    //insertion pour cotisation
//                                                                                    \DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 2, //pour cotisation
//                                                                                                'montant' => $valeur,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                    $table = \DB::table('penalites')
//                                                                                        ->where('user_id', '=', $membre/*$penalite*/
//                                                                                        ->user_id)
//                                                                                        ->where('seance_id', '=', $seance_derniere/*$penalite*/
//                                                                                        ->id/*seance_id*/)
//                                                                                        ->where('numero_part', '=', $membre/*$penalite*/
//                                                                                        ->numero_part)
//                                                                                        ->first();
//
//                                                                                    if (!empty($table)) {
//                                                                                        //insertion dans la table trace_penalites_et_contributions
////                                                                                        \DB::table('trace_penalites_et_contributions')
////                                                                                            ->insert([
////                                                                                                [
////                                                                                                    'user_id' => $table->user_id,
////                                                                                                    'tontine_id' => $table->tontine_id,
////                                                                                                    'seance_id' => $table->seance_id,
////                                                                                                    'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                    'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                    'type_penalite' => $table->type_penalite,
////                                                                                                    'statut_penalite' => $table->statut_penalite,
////                                                                                                    'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                    'numero_part' => $table->numero_part,
////                                                                                                    'numero_lot' => $numero_lot,
////                                                                                                    'argent_penalite_payer' => $penalite->penalite_a_payer,
////                                                                                                    'argent_contribution_payer' => $valeur,
////                                                                                                    'created_at' => Carbon::now(),
////                                                                                                    'updated_at' => Carbon::now()
////                                                                                                ]
////                                                                                            ]);
//
//                                                                                        $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                            $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,$penalite->penalite_a_payer,
//                                                                                            $valeur);
//
//                                                                                        $penalites = \DB::table('penalites')
//                                                                                            ->where('user_id','=',$membre->user_id)
//                                                                                            ->where('seance_id','=',$seance_derniere->id)
//                                                                                            ->where('numero_part','=',$membre->numero_part)
//                                                                                            ->first();
//
//                                                                                        $seances = \DB::table('seances')
//                                                                                            ->where('id','=',$seance_derniere->id)
//                                                                                            ->first();
//
//                                                                                        $numCycle = \DB::table('cycles')
//                                                                                            ->where('id','=',$seances->cycle_id)
//                                                                                            ->first();
//
//                                                                                        //puis je notifie le user
//                                                                                        $titre = "Paiement Automatique";
//                                                                                        $description = "La contribution non achevée a été avancée et la pénalité non achevée a été réglée";
//                                                                                        $user_id = $membre->user_id;
//                                                                                        $tontine_id = $seances->tontine_id;
//                                                                                        $seance_id = $seances->id;
//                                                                                        $numero_seance = $seances->numero_seance;
//                                                                                        $cycle_id = $seances->cycle_id;
//                                                                                        $numero_cycle = $numCycle->numerocycle;
//                                                                                        $numero_part = $membre->numero_part;
//
//                                                                                        if(!empty($penalites)) {
//                                                                                            $penalite_id = $penalites->id;
//                                                                                        }
//                                                                                        else{
//                                                                                            $penalite_id = 0;
//                                                                                        }
//
//
//                                                                                        $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                    }
//
//                                                                                }
//
//                                                                                //$argent_restant_a_bouffer -= $penalite->penalite_a_payer;
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id', '=', $membre->user_id)
//                                                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                                                    ->where('cycle_id', '=', $cycle->id)
//                                                                                    ->where('numero_part', '=', $membre->numero_part)
//                                                                                    ->where('numero_lot', '=', $numero_lot)
//                                                                                    ->first();
//
//                                                                                if (empty($confirm)) {
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines[$i]->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => 0,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $membre->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                } else {
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                        ->where('seance_id', '=', $seance_derniere->id)
//                                                                                        ->where('cycle_id', '=', $cycle->id)
//                                                                                        ->where('numero_part', '=', $membre->numero_part)
//                                                                                        ->where('numero_lot', '=', $numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => 0,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//                                                                                $solde = \DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->first();
//
//                                                                                //if(!empty($solde)){
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $solde->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $solde->solde_en_caisse + $penalite->penalite_a_payer + $valeur,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//                                                                                // }
//
//
//                                                                                $somme_cotisation = 0;
//
//                                                                            }
//
//                                                                        } else {
//                                                                            $valeur = 0;
//                                                                            $nouveau_montant_restant_a_contribuer = $somme_cotisation - $penalite->montant_restant_a_contribuer;
//
//                                                                            if ($nouveau_montant_restant_a_contribuer >= 0) {
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                /*\DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);*/
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id', '=', $penalite->seance_id)
//                                                                                    ->where('numero_part', '=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        'statut_penalite' => 'pas_tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                    ->first();
//
//                                                                                if (!empty($device)) {
//                                                                                    //insertion pour penalite
//                                                                                    /*\DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 1, //pour penalite
//                                                                                                'montant' => $penalite->penalite_a_payer,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);*/
//
//                                                                                    if ($penalite->montant_restant_a_contribuer != 0) {
//                                                                                        //insertion pour cotisation
//                                                                                        \DB::table('contributions')
//                                                                                            ->insert([
//                                                                                                [
//                                                                                                    'user_id' => $membre->user_id,
//                                                                                                    'seance_id' => $seance_derniere->id,
//                                                                                                    'device_id' => $device->id,
//                                                                                                    'typecontribution_id' => 2, //pour cotisation
//                                                                                                    'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                    'sens_contribution' => 'sortant',
//                                                                                                    'numero_part' => $membre->numero_part,
//                                                                                                    'created_at' => Carbon::now(),
//                                                                                                    'updated_at' => Carbon::now()
//                                                                                                ]
//                                                                                            ]);
//
//                                                                                        //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                        $table = \DB::table('penalites')
//                                                                                            ->where('user_id', '=', $membre/*$penalite*/
//                                                                                            ->user_id)
//                                                                                            ->where('seance_id', '=', $seance_derniere/*$penalite*/
//                                                                                            ->id/*seance_id*/)
//                                                                                            ->where('numero_part', '=', $membre/*$penalite*/
//                                                                                            ->numero_part)
//                                                                                            ->first();
//
//                                                                                        if (!empty($table)) {
//                                                                                            //insertion dans la table trace_penalites_et_contributions
////                                                                                            \DB::table('trace_penalites_et_contributions')
////                                                                                                ->insert([
////                                                                                                    [
////                                                                                                        'user_id' => $table->user_id,
////                                                                                                        'tontine_id' => $table->tontine_id,
////                                                                                                        'seance_id' => $table->seance_id,
////                                                                                                        'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                        'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                        'type_penalite' => $table->type_penalite,
////                                                                                                        'statut_penalite' => $table->statut_penalite,
////                                                                                                        'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                        'numero_part' => $table->numero_part,
////                                                                                                        'numero_lot' => $numero_lot,
////                                                                                                        'argent_penalite_payer' => 0,
////                                                                                                        'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                        'created_at' => Carbon::now(),
////                                                                                                        'updated_at' => Carbon::now()
////                                                                                                    ]
////                                                                                                ]);
//
//                                                                                            $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                $penalite->montant_restant_a_contribuer);
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id','=',$membre->user_id)
//                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                                                ->first();
//
//                                                                                            $seances = \DB::table('seances')
//                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                ->first();
//
//                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                ->first();
//
//                                                                                            //puis je notifie le user
//                                                                                            $titre = "Paiement Automatique";
//                                                                                            $description = "La contribution non achevée a été réglée";
//                                                                                            $user_id = $membre->user_id;
//                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                            $seance_id = $seances->id;
//                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                            $numero_part = $membre->numero_part;
//
//                                                                                            if(!empty($penalites)) {
//                                                                                                $penalite_id = $penalites->id;
//                                                                                            }
//                                                                                            else{
//                                                                                                $penalite_id = 0;
//                                                                                            }
//
//
//                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                        }
//
//                                                                                    }
//
//
//                                                                                }
//
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id', '=', $membre->user_id)
//                                                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                                                    ->where('cycle_id', '=', $cycle->id)
//                                                                                    ->where('numero_part', '=', $membre->numero_part)
//                                                                                    ->where('numero_lot', '=', $numero_lot)
//                                                                                    ->first();
//
//                                                                                if (empty($confirm)) {
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines[$i]->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $p->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $p->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                } else {
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                        ->where('seance_id', '=', $seance_derniere->id)
//                                                                                        ->where('cycle_id', '=', $cycle->id)
//                                                                                        ->where('numero_part', '=', $membre->numero_part)
//                                                                                        ->where('numero_lot', '=', $numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//                                                                                $solde = \DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->first();
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $solde->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $solde->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//                                                                                // }
//
//
//                                                                                $somme_cotisation = 0;
//
//
//                                                                            } else {
//                                                                                $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $somme_cotisation;
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                /*\DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $somme_cotisation,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);*/
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id', '=', $penalite->seance_id)
//                                                                                    ->where('numero_part', '=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                        'statut_penalite' => 'pas_tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name', '=', $tontines[$i]->monnaie)
//                                                                                    ->first();
//
//                                                                                if (!empty($device)) {
//                                                                                    //insertion pour penalite
//                                                                                    /*\DB::table('contributions')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'device_id' => $device->id,
//                                                                                                'typecontribution_id' => 1, //pour penalite
//                                                                                                'montant' => $penalite->penalite_a_payer,
//                                                                                                'sens_contribution' => 'sortant',
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);*/
//
//                                                                                    if ($somme_cotisation != 0) {
//                                                                                        //insertion pour cotisation
//                                                                                        \DB::table('contributions')
//                                                                                            ->insert([
//                                                                                                [
//                                                                                                    'user_id' => $membre->user_id,
//                                                                                                    'seance_id' => $seance_derniere->id,
//                                                                                                    'device_id' => $device->id,
//                                                                                                    'typecontribution_id' => 2, //pour cotisation
//                                                                                                    'montant' => $somme_cotisation,
//                                                                                                    'sens_contribution' => 'sortant',
//                                                                                                    'numero_part' => $membre->numero_part,
//                                                                                                    'created_at' => Carbon::now(),
//                                                                                                    'updated_at' => Carbon::now()
//                                                                                                ]
//                                                                                            ]);
//
//                                                                                        //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                        $table = \DB::table('penalites')
//                                                                                            ->where('user_id', '=', $membre/*$penalite*/
//                                                                                            ->user_id)
//                                                                                            ->where('seance_id', '=', $seance_derniere/*$penalite*/
//                                                                                            ->id/*seance_id*/)
//                                                                                            ->where('numero_part', '=', $membre/*$penalite*/
//                                                                                            ->numero_part)
//                                                                                            ->first();
//
//                                                                                        if (!empty($table)) {
//                                                                                            //insertion dans la table trace_penalites_et_contributions
////                                                                                            \DB::table('trace_penalites_et_contributions')
////                                                                                                ->insert([
////                                                                                                    [
////                                                                                                        'user_id' => $table->user_id,
////                                                                                                        'tontine_id' => $table->tontine_id,
////                                                                                                        'seance_id' => $table->seance_id,
////                                                                                                        'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                        'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                        'type_penalite' => $table->type_penalite,
////                                                                                                        'statut_penalite' => $table->statut_penalite,
////                                                                                                        'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                        'numero_part' => $table->numero_part,
////                                                                                                        'numero_lot' => $numero_lot,
////                                                                                                        'argent_penalite_payer' => 0,
////                                                                                                        'argent_contribution_payer' => $somme_cotisation,
////                                                                                                        'created_at' => Carbon::now(),
////                                                                                                        'updated_at' => Carbon::now()
////                                                                                                    ]
////                                                                                                ]);
//
//                                                                                            $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                $somme_cotisation);
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id','=',$membre->user_id)
//                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                                                ->first();
//
//                                                                                            $seances = \DB::table('seances')
//                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                ->first();
//
//                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                ->first();
//
//                                                                                            //puis je notifie le user
//                                                                                            $titre = "Paiement Automatique";
//                                                                                            $description = "La contribution non achevée a été avancée";
//                                                                                            $user_id = $membre->user_id;
//                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                            $seance_id = $seances->id;
//                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                            $numero_part = $membre->numero_part;
//
//                                                                                            if(!empty($penalites)) {
//                                                                                                $penalite_id = $penalites->id;
//                                                                                            }
//                                                                                            else{
//                                                                                                $penalite_id = 0;
//                                                                                            }
//
//
//                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                        }
//
//                                                                                    }
//
//                                                                                }
//
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id', '=', $membre->user_id)
//                                                                                    ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                                                    ->where('cycle_id', '=', $cycle->id)
//                                                                                    ->where('numero_part', '=', $membre->numero_part)
//                                                                                    ->where('numero_lot', '=', $numero_lot)
//                                                                                    ->first();
//
//                                                                                if (empty($confirm)) {
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines[$i]->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => $valeur,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer - $nouveau_montant_restant_a_contribuer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $membre->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                } else {
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id', '=', $tontines[$i]->id)
//                                                                                        ->where('seance_id', '=', $seance_derniere->id)
//                                                                                        ->where('cycle_id', '=', $cycle->id)
//                                                                                        ->where('numero_part', '=', $membre->numero_part)
//                                                                                        ->where('numero_lot', '=', $numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => $valeur,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer - $nouveau_montant_restant_a_contribuer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//                                                                                $solde = \DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->first();
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $solde->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $solde->solde_en_caisse + $somme_cotisation,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//                                                                                // }
//
//
//                                                                                $somme_cotisation = $valeur;
//
//
//                                                                            }
//
//
//                                                                        }
//                                                                    }
//                                                                    //}
//                                                                }
//
//
//
//                                                                if (sizeof($penalites) == 0) {  //alors on insère le membre comme bénéficiaire
//
//
//                                                                    \DB::table('bouffes')
//                                                                        ->insert([
//                                                                            [
//                                                                                'user_id' => $membre->user_id,
//                                                                                'tontine_id' => $tontines[$i]->id,
//                                                                                'seance_id' => $seance_derniere->id,
//                                                                                'cycle_id' => $cycle->id,
//                                                                                'somme' => $somme_cotisation,
//                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                'numero_part' => $membre->numero_part,
//                                                                                'numero_lot' => $numero_lot,
//                                                                                'created_at' => Carbon::now(),
//                                                                                'updated_at' => Carbon::now()
//                                                                            ]
//                                                                        ]);
//
//                                                                    $penalites = \DB::table('penalites')
//                                                                        ->where('user_id','=',$membre->user_id)
//                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                        ->first();
//
//                                                                    $seances = \DB::table('seances')
//                                                                        ->where('id','=',$seance_derniere->id)
//                                                                        ->first();
//
//                                                                    $numCycle = \DB::table('cycles')
//                                                                        ->where('id','=',$seances->cycle_id)
//                                                                        ->first();
//
//                                                                    //puis je notifie le user
//                                                                    $titre = "JACKPOT";
//                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                    $user_id = $membre->user_id;
//                                                                    $tontine_id = $seances->tontine_id;
//                                                                    $seance_id = $seances->id;
//                                                                    $numero_seance = $seances->numero_seance;
//                                                                    $cycle_id = $seances->cycle_id;
//                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                    $numero_part = $membre->numero_part;
//
//                                                                    if(!empty($penalites)) {
//                                                                        $penalite_id = $penalites->id;
//                                                                    }
//                                                                    else{
//                                                                        $penalite_id = 0;
//                                                                    }
//
//
//                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                    //puis on mets à jour solde caisse tontines
//                                                                    \DB::table('tontines')
//                                                                        ->where('id', '=', $tontines[$i]->id)
//                                                                        ->update([
//                                                                            'solde_en_caisse' => $tontines[$i]->solde_en_caisse - $somme_cotisation,
//                                                                            'updated_at' => Carbon::now()
//                                                                        ]);
//                                                                }
//
//
//                                                                //par la suite je dois recenser toutes les pénalités où statut_montant_restant_a_contribuer = 'pas_tout_gere'
//                                                                //pour tout ceux voulant bouffer on doit couper le montant_restant_a_contribuer
//
//                                                                $tontines5 = \DB::table('tontines')
//                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                    ->first();
//
//                                                                if (!empty($tontines5)) {
//                                                                    $tontine_id = $tontines5->id;
//
//
//                                                                    $penalites = \DB::table('penalites')
//                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                        ->where('numero_part', '=', $membre->numero_part)
//                                                                        ->where('tontine_id', '=', $tontine_id)
//                                                                        ->where('statut_montant_restant_a_contribuer', '=', 'pas_tout_paye')
//                                                                        ->limit(5)
//                                                                        ->get();
//
//                                                                    if (sizeof($penalites) != 0) {
//
//                                                                        //je dois mettre à jour la pénalité possible
//                                                                        /*foreach ($penalites as $penalite){
//                                                                           //je calcule la somme totale des pénalités
//                                                                            $somme_penalite += $penalite->penalite_a_payer;
//                                                                        }
//
//                                                                        $valeur = $somme_cotisation - $somme_penalite;
//
//
//                                                                        if($valeur >=0){    //alors on mets à jour le champ statut_penalite à tout_paye pour toutes les pénalités du membre
//                                                                            foreach ($penalites as $penalite){
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines[$i]->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->update([
//                                                                                        'statut' => 'tout_paye',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//
//                                                                            }
//
//                                                                        }*/
//                                                                        //else{
//                                                                        foreach ($penalites as $penalite) {
//                                                                            //$valeur = $somme_cotisation - $penalite->penalite_a_payer;
//                                                                            $nouveau_montant_restant_a_contribuer = $somme_cotisation - $penalite->montant_restant_a_contribuer;
//
//                                                                            //if($valeur >= 0){
//                                                                            if ($nouveau_montant_restant_a_contribuer >= 0) { //alors on coupe aussi le montant_restant_a_contribuer dans la somme à bouffer
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $tontine_id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines5->solde_en_caisse + $penalite->montant_restant_a_contribuer,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id', '=', $penalite->seance_id)
//                                                                                    ->where('numero_part', '=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        //'statut_penalite' => 'tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name', '=', $tontines5->monnaie)
//                                                                                    ->first();
//
//                                                                                if (!empty($device)) {
//
//                                                                                    if ($penalite->montant_restant_a_contribuer != 0) {
//                                                                                        //insertion pour cotisation
//                                                                                        \DB::table('contributions')
//                                                                                            ->insert([
//                                                                                                [
//                                                                                                    'user_id' => $membre->user_id,
//                                                                                                    'seance_id' => $seance_derniere->id,
//                                                                                                    'device_id' => $device->id,
//                                                                                                    'typecontribution_id' => 2, //pour cotisation
//                                                                                                    'montant' => $penalite->montant_restant_a_contribuer,
//                                                                                                    'sens_contribution' => 'sortant',
//                                                                                                    'numero_part' => $membre->numero_part,
//                                                                                                    'created_at' => Carbon::now(),
//                                                                                                    'updated_at' => Carbon::now()
//                                                                                                ]
//                                                                                            ]);
//
//                                                                                        //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                        $table = \DB::table('penalites')
//                                                                                            ->where('user_id', '=', $membre/*$penalite*/
//                                                                                            ->user_id)
//                                                                                            ->where('seance_id', '=', $seance_derniere/*$penalite*/
//                                                                                            ->id/*seance_id*/)
//                                                                                            ->where('numero_part', '=', $membre/*$penalite*/
//                                                                                            ->numero_part)
//                                                                                            ->first();
//
//                                                                                        if (!empty($table)) {
//                                                                                            //insertion dans la table trace_penalites_et_contributions
////                                                                                            \DB::table('trace_penalites_et_contributions')
////                                                                                                ->insert([
////                                                                                                    [
////                                                                                                        'user_id' => $table->user_id,
////                                                                                                        'tontine_id' => $table->tontine_id,
////                                                                                                        'seance_id' => $table->seance_id,
////                                                                                                        'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                        'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                        'type_penalite' => $table->type_penalite,
////                                                                                                        'statut_penalite' => $table->statut_penalite,
////                                                                                                        'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                        'numero_part' => $table->numero_part,
////                                                                                                        'numero_lot' => $numero_lot,
////                                                                                                        'argent_penalite_payer' => 0,
////                                                                                                        'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                                        'created_at' => Carbon::now(),
////                                                                                                        'updated_at' => Carbon::now()
////                                                                                                    ]
////                                                                                                ]);
//
//                                                                                            $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                $penalite->montant_restant_a_contribuer);
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id','=',$membre->user_id)
//                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                                                ->first();
//
//                                                                                            $seances = \DB::table('seances')
//                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                ->first();
//
//                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                ->first();
//
//                                                                                            //puis je notifie le user
//                                                                                            $titre = "Paiement Automatique";
//                                                                                            $description = "La contribution non achevée a été réglée";
//                                                                                            $user_id = $membre->user_id;
//                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                            $seance_id = $seances->id;
//                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                            $numero_part = $membre->numero_part;
//
//                                                                                            if(!empty($penalites)) {
//                                                                                                $penalite_id = $penalites->id;
//                                                                                            }
//                                                                                            else{
//                                                                                                $penalite_id = 0;
//                                                                                            }
//
//
//                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//
//                                                                                        }
//
//                                                                                    }
//
//
//                                                                                }
//
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id', '=', $membre->user_id)
//                                                                                    ->where('tontine_id', '=', $tontines5->id)
//                                                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                                                    ->where('cycle_id', '=', $cycle->id)
//                                                                                    ->where('numero_part', '=', $membre->numero_part)
//                                                                                    ->where('numero_lot', '=', $numero_lot)
//                                                                                    ->first();
//
//                                                                                if (empty($confirm)) {
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines5->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $p->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $p->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                } else {
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id', '=', $tontines5->id)
//                                                                                        ->where('seance_id', '=', $seance_derniere->id)
//                                                                                        ->where('cycle_id', '=', $cycle->id)
//                                                                                        ->where('numero_part', '=', $membre->numero_part)
//                                                                                        ->where('numero_lot', '=', $numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => $nouveau_montant_restant_a_contribuer,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//                                                                            } else {   //dans ce cas on retire une partie du montant_restant_a_contribuer
//                                                                                $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $valeur;
//
//                                                                                //j'update aussi le solde_en_caisse de la tontine
//                                                                                \DB::table('tontines')
//                                                                                    ->where('id', '=', $tontines5->id)
//                                                                                    ->update([
//                                                                                        'solde_en_caisse' => $tontines5->solde_en_caisse + $valeur,
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//                                                                                //j'update la table penalites
//                                                                                \DB::table('penalites')
//                                                                                    ->where('user_id', '=', $penalite->user_id)
//                                                                                    ->where('seance_id', '=', $penalite->seance_id)
//                                                                                    ->where('numero_part', '=', $penalite->numero_part)
//                                                                                    ->update([
//                                                                                        'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
//                                                                                        //'statut_penalite' => 'tout_paye',
//                                                                                        'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
//                                                                                        'updated_at' => Carbon::now()
//                                                                                    ]);
//
//
//                                                                                //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
//                                                                                $device = \DB::table('devices')
//                                                                                    ->where('name', '=', $tontines5->monnaie)
//                                                                                    ->first();
//
//                                                                                if (!empty($device)) {
//
//                                                                                    if ($valeur != 0) {
//                                                                                        //insertion pour cotisation
//                                                                                        \DB::table('contributions')
//                                                                                            ->insert([
//                                                                                                [
//                                                                                                    'user_id' => $membre->user_id,
//                                                                                                    'seance_id' => $seance_derniere->id,
//                                                                                                    'device_id' => $device->id,
//                                                                                                    'typecontribution_id' => 2, //pour cotisation
//                                                                                                    'montant' => $valeur,
//                                                                                                    'sens_contribution' => 'sortant',
//                                                                                                    'numero_part' => $membre->numero_part,
//                                                                                                    'created_at' => Carbon::now(),
//                                                                                                    'updated_at' => Carbon::now()
//                                                                                                ]
//                                                                                            ]);
//
//                                                                                        //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
//                                                                                        $table = \DB::table('penalites')
//                                                                                            ->where('user_id', '=', $membre/*$penalite*/
//                                                                                            ->user_id)
//                                                                                            ->where('seance_id', '=', $seance_derniere/*$penalite*/
//                                                                                            ->id/*seance_id*/)
//                                                                                            ->where('numero_part', '=', $membre/*$penalite*/
//                                                                                            ->numero_part)
//                                                                                            ->first();
//
//                                                                                        if (!empty($table)) {
//                                                                                            //insertion dans la table trace_penalites_et_contributions
////                                                                                            \DB::table('trace_penalites_et_contributions')
////                                                                                                ->insert([
////                                                                                                    [
////                                                                                                        'user_id' => $table->user_id,
////                                                                                                        'tontine_id' => $table->tontine_id,
////                                                                                                        'seance_id' => $table->seance_id,
////                                                                                                        'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                                        'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                                        'type_penalite' => $table->type_penalite,
////                                                                                                        'statut_penalite' => $table->statut_penalite,
////                                                                                                        'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                                        'numero_part' => $table->numero_part,
////                                                                                                        'numero_lot' => $numero_lot,
////                                                                                                        'argent_penalite_payer' => 0,
////                                                                                                        'argent_contribution_payer' => $valeur,
////                                                                                                        'created_at' => Carbon::now(),
////                                                                                                        'updated_at' => Carbon::now()
////                                                                                                    ]
////                                                                                                ]);
//
//                                                                                            $this->trace_penalites_et_contributions($table->user_id,$table->tontine_id,$table->seance_id,$table->penalite_a_payer,$table->montant_restant_a_contribuer,
//                                                                                                $table->type_penalite,$table->statut_penalite,$table->statut_montant_restant_a_contribuer,$table->numero_part,$numero_lot,0,
//                                                                                                $valeur);
//
//                                                                                            $penalites = \DB::table('penalites')
//                                                                                                ->where('user_id','=',$membre->user_id)
//                                                                                                ->where('seance_id','=',$seance_derniere->id)
//                                                                                                ->where('numero_part','=',$membre->numero_part)
//                                                                                                ->first();
//
//                                                                                            $seances = \DB::table('seances')
//                                                                                                ->where('id','=',$seance_derniere->id)
//                                                                                                ->first();
//
//                                                                                            $numCycle = \DB::table('cycles')
//                                                                                                ->where('id','=',$seances->cycle_id)
//                                                                                                ->first();
//
//                                                                                            //puis je notifie le user
//                                                                                            $titre = "Paiement Automatique";
//                                                                                            $description = "La contribution non achevée a été avancée";
//                                                                                            $user_id = $membre->user_id;
//                                                                                            $tontine_id = $seances->tontine_id;
//                                                                                            $seance_id = $seances->id;
//                                                                                            $numero_seance = $seances->numero_seance;
//                                                                                            $cycle_id = $seances->cycle_id;
//                                                                                            $numero_cycle = $numCycle->numerocycle;
//                                                                                            $numero_part = $membre->numero_part;
//
//                                                                                            if(!empty($penalites)) {
//                                                                                                $penalite_id = $penalites->id;
//                                                                                            }
//                                                                                            else{
//                                                                                                $penalite_id = 0;
//                                                                                            }
//
//
//                                                                                            $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                        }
//
//                                                                                    }
//
//
//                                                                                }
//
//
//                                                                                //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
//                                                                                $confirm = \DB::table('bouffes')
//                                                                                    ->where('user_id', '=', $membre->user_id)
//                                                                                    ->where('tontine_id', '=', $tontines5->id)
//                                                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                                                    ->where('cycle_id', '=', $cycle->id)
//                                                                                    ->where('numero_part', '=', $membre->numero_part)
//                                                                                    ->where('numero_lot', '=', $numero_lot)
//                                                                                    ->first();
//
//                                                                                if (empty($confirm)) {
//                                                                                    //j'insère le membre comme bénéficiaire
//                                                                                    \DB::table('bouffes')
//                                                                                        ->insert([
//                                                                                            [
//                                                                                                'user_id' => $membre->user_id,
//                                                                                                'tontine_id' => $tontines5->id,
//                                                                                                'seance_id' => $seance_derniere->id,
//                                                                                                'cycle_id' => $cycle->id,
//                                                                                                'somme' => 0,
//                                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                                'numero_part' => $membre->numero_part,
//                                                                                                'numero_lot' => $numero_lot,
//                                                                                                'created_at' => Carbon::now(),
//                                                                                                'updated_at' => Carbon::now()
//                                                                                            ]
//                                                                                        ]);
//
//                                                                                    $penalites = \DB::table('penalites')
//                                                                                        ->where('user_id','=',$membre->user_id)
//                                                                                        ->where('seance_id','=',$seance_derniere->id)
//                                                                                        ->where('numero_part','=',$membre->numero_part)
//                                                                                        ->first();
//
//                                                                                    $seances = \DB::table('seances')
//                                                                                        ->where('id','=',$seance_derniere->id)
//                                                                                        ->first();
//
//                                                                                    $numCycle = \DB::table('cycles')
//                                                                                        ->where('id','=',$seances->cycle_id)
//                                                                                        ->first();
//
//                                                                                    //puis je notifie le user
//                                                                                    $titre = "JACKPOT";
//                                                                                    $description = "Un membre est l'heureux bénéficiaire";
//                                                                                    $user_id = $membre->user_id;
//                                                                                    $tontine_id = $seances->tontine_id;
//                                                                                    $seance_id = $seances->id;
//                                                                                    $numero_seance = $seances->numero_seance;
//                                                                                    $cycle_id = $seances->cycle_id;
//                                                                                    $numero_cycle = $numCycle->numerocycle;
//                                                                                    $numero_part = $membre->numero_part;
//
//                                                                                    if(!empty($penalites)) {
//                                                                                        $penalite_id = $penalites->id;
//                                                                                    }
//                                                                                    else{
//                                                                                        $penalite_id = 0;
//                                                                                    }
//
//
//                                                                                    $this->remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id);
//
//
//                                                                                } else {
//                                                                                    //je fais juste un update
//                                                                                    \DB::table('bouffes')
//                                                                                        ->where('user_id', '=', $membre->user_id)
//                                                                                        ->where('tontine_id', '=', $tontines5->id)
//                                                                                        ->where('seance_id', '=', $seance_derniere->id)
//                                                                                        ->where('cycle_id', '=', $cycle->id)
//                                                                                        ->where('numero_part', '=', $membre->numero_part)
//                                                                                        ->where('numero_lot', '=', $numero_lot)
//                                                                                        ->update([
//                                                                                            'somme' => 0,
//                                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                                            'updated_at' => Carbon::now()
//                                                                                        ]);
//                                                                                }
//
//                                                                            }
//
//                                                                            //}
//                                                                            //else{
//
//
//                                                                            //}
//                                                                        }
//                                                                        //}
//
//                                                                    }
//
//
//                                                                }
//
//
//                                                                //j'insère le membre comme bénéficiaire
//                                                                /*\DB::table('bouffes')
//                                                                    ->insert([
//                                                                        [
//                                                                            'user_id' => $membre->user_id,
//                                                                            'tontine_id' => $tontines[$i]->id,
//                                                                            'seance_id' => $seance_derniere->id,
//                                                                            'cycle_id' => $cycle->id,
//                                                                            'somme' => $valeur,
//                                                                            'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
//                                                                            'created_at' => Carbon::now(),
//                                                                            'updated_at' => Carbon::now()
//                                                                        ]
//                                                                    ]);*/
//
//
//                                                                //puis je mets à jour le solde_en_caisse de la tontine. Je refais ceci afin d'avoir la ligne mise à jour de la table tontines
//                                                                /*$tontines4 = \DB::table('tontines')
//                                                                    ->where('id','=',$tontines[$i]->id)
//                                                                    ->first();
//
//                                                                //$tontines = $tontines4;
//
//                                                                if(!empty($tontines4)){
//                                                                    \DB::table('tontines')
//                                                                        ->where('id', '=', $tontines4->id)
//                                                                        ->update([
//                                                                            'solde_en_caisse' => $tontines4->solde_en_caisse - $somme_cotisation,
//                                                                            'updated_at' => Carbon::now()
//                                                                        ]);
//                                                                }*/
//
//
//                                                                // }
//
//                                                                // }else{
//                                                                //$this->info('Séance pas encore terminée!');
//                                                                //}
//
//
//                                                            }
//
//
//                                                        }
//
//
//                                                        //Partie pour charger le portemonnaie du membre s'il a bouffé
//                                                        //je recopie le contenu de la table bouffes concernant le membre dans la table etat_chargement_portemonnaie
//                                                        //je teste d'abord si cela a déjà été enregistré
//                                                        $bouffe = \DB::table('bouffes')
//                                                            ->where('user_id', '=', $membre->user_id)
//                                                            ->where('tontine_id', '=', $membre->tontine_id)
//                                                            ->where('seance_id', '=', $seance_derniere->id)
//                                                            ->where('cycle_id', '=', $cycle->id)
//                                                            ->where('numero_part', '=', $membre->numero_part)
//                                                            ->where('numero_lot', '=', $numero_lot)
//                                                            ->first();
//
//                                                        if (!empty($bouffe)) {    //alors le membre a eu à bouffer
//                                                            $test = \DB::table('etat_chargement_portemonnaie')
//                                                                ->where('user_id', '=', $membre->user_id)
//                                                                ->where('tontine_id', '=', $membre->tontine_id)
//                                                                ->where('seance_id', '=', $seance_derniere->id)
//                                                                ->where('cycle_id', '=', $cycle->id)
//                                                                ->where('argent_charge_dans_le_portemonnaie', '=', $bouffe->somme)
//                                                                ->where('argent_restant_a_bouffer', '=', $bouffe->argent_restant_a_bouffer)
//                                                                ->where('numero_part', '=', $membre->numero_part)
//                                                                ->where('numero_lot','=',$numero_lot)
//                                                                ->where('created_at', '=', $bouffe->created_at)
//                                                                ->where('updated_at', '=', $bouffe->updated_at)
//                                                                ->first();
//
//                                                            $device = \DB::table('devices')
//                                                                ->where('name', '=', $tontines[$i]->monnaie)
//                                                                ->first();
//
//                                                            if (!empty($device)) {
//                                                                $this->chargerPorteMonnaieSpecial($membre->user_id, $bouffe->somme, $device->id);
//
//                                                                $this->remplir_transaction_portemonnaie($membre->user_id, $device->id, $bouffe->somme, "entrant", "argent bouffé","portemonnaie");
//
//
//
//                                                                if (empty($test)) {   //alors on charge le portemonnaie du membre
//
//
//                                                                    //puis je fais une copie dans la table etat_chargement_portemonnaie
//                                                                    \DB::table('etat_chargement_portemonnaie')
//                                                                        ->insert([
//                                                                            [
//                                                                                'user_id' => $membre->user_id,
//                                                                                'tontine_id' => $membre->tontine_id,
//                                                                                'seance_id' => $seance_derniere->id,
//                                                                                'cycle_id' => $cycle->id,
//                                                                                'argent_charge_dans_le_portemonnaie' => $bouffe->somme,
//                                                                                'argent_restant_a_bouffer' => $bouffe->argent_restant_a_bouffer,
//                                                                                'numero_part' => $membre->numero_part,
//                                                                                'numero_lot' => $numero_lot,
//                                                                                'created_at' => $bouffe->created_at,
//                                                                                'updated_at' => $bouffe->updated_at
//                                                                            ]
//                                                                        ]);
//
//
//                                                                    //}
//                                                                }
//
//                                                                //je recense les pénalités payées par le membre dans la table contributions
//                                                                $penalite_payees = \DB::table('contributions')
//                                                                    ->where('user_id', '=', $membre->user_id)
//                                                                    ->where('seance_id', '=', $seance_derniere->id)
//                                                                    ->where('typecontribution_id', '=', 1)//pour penalite
//                                                                    ->where('numero_part', '=', $membre->numero_part)
//                                                                    ->where('device_id', '=', $device->id)
//                                                                    ->get();
//
//                                                                $somme_penalite = 0;
//                                                                if (!empty($penalite_payees)) {
//                                                                    foreach ($penalite_payees as $p) {
//                                                                        $somme_penalite = $somme_penalite + $p->montant;
//                                                                    }
//                                                                }
//
//                                                            }
//
//
//                                                            //puis je mets à jour le solde de la tontine
//                                                            $tontines6 = \DB::table('tontines')
//                                                                ->where('id', '=', $tontines[$i]->id)
//                                                                ->first();
//
//
//                                                            if (!empty($tontines6)) {
//                                                                \DB::table('tontines')
//                                                                    ->where('id', '=', $tontines6->id)
//                                                                    ->update([
//                                                                        'solde_en_caisse' => $tontines6->solde_en_caisse - $bouffe->somme - $somme_penalite,
//                                                                        'updated_at' => Carbon::now()
//                                                                    ]);
//                                                            }
//
//
//                                                        }
//
//
//                                                        //$numero_lot = $numero_lot + 1;
//
//
//                                                    }
//
//
//                                                } else {
//                                                    $this->info($tontines[$i]->numberlot . ' membres ont déjà bouffé cette séance!');
//                                                }
//
//                                                //$numero_lot = $numero_lot + 1;
//
//                                            }
//
//
//
//                                        }
//
//                                    }
//                                }
//
//
//
//                            }
//
//
//
//                            if($type_tontine->name == "Bid"){
//
//
////                                /********** Start enregistrement Bouffe Bid *****************/
////
////
////
////                                //je ressors la liste des membres de la tontine en faisant un Random
////                                $membre_alphabetiques = \DB::table('membrestontines')
////                                    ->join('users','users.id','=','membrestontines.user_id')
////                                    ->where('membrestontines.tontine_id', '=', $tontines[$i]->id)
////                                    ->orderByRaw("RAND()")       //il doit avoir une instruction pour le random ici
////                                    ->select('users.id as user_id','membrestontines.numero_part','membrestontines.tontine_id')
////                                    ->get();
////
////                                //recherche du cycle de la tontine
////                                $cycle = \DB::table('cycles')
////                                    ->where('tontine_id', '=', $tontines[$i]->id)
////                                    ->where('archived','=',0)   //pour dire que le cycle n'est pas encore fini
////                                    ->first();
////                                //dd($cycle);
////                                if(!empty($cycle)){
////                                    if(!empty($membre_alphabetiques)){
////                                        foreach ($membre_alphabetiques as $membre){
////                                            //je teste s'il y a déjà un membre ayant bouffé la séance courante pour le cycle valide
////                                            $resultat = \DB::table('bouffes')
////                                                ->where('tontine_id', '=', $tontines[$i]->id)
////                                                ->where('seance_id','=',$seance_derniere->id)
////                                                //->where('cycle_id','=',$cycle->id)
////                                                ->first();
////
////
////                                            if(empty($resultat)){  //alors aucun membre n'a encore bouffé cette séance
////                                                //on contrôle si le membre a déjà eu à bouffer pour la tontine dans le cycle valide
////                                                $answer = \DB::table('bouffes')
////                                                    ->where('user_id','=',$membre->user_id)
////                                                    ->where('tontine_id','=', $tontines[$i]->id)
////                                                    ->where('cycle_id','=',$cycle->id)
////                                                    ->where('numero_part','=',$membre->numero_part)
////                                                    ->first();
////
////                                                if(empty($answer)){
////                                                    //je calcule la somme du bénéficiaire
////                                                    //je calcule maintenant les contributions déjà faites
////                                                    $calculs = \DB::table('contributions')
////                                                        ->where('seance_id','=',$seance_derniere->id)
////                                                        ->get();
////
////
////                                                    //je me rassure que la séance finie déjà
////                                                    //$date_debut_test = \Carbon\Carbon::parse($seance_derniere->date_debut);
////                                                    //$date_fin_test = \Carbon\Carbon::parse($seance_derniere->date_fin);
////                                                    //$date_courante = Carbon::now();
////
////                                                    //$nowInLondonTz = Carbon::now('Europe/London');    //pour charger le temps courant de notre fuseau horaire
////
////                                                    //cas où jour_date_debut = jour_date_fin = jour_date_courant et mois_date_debut = mois_date_fin = mois_date_courante  et annee_date_debut = annee_date_fin = annee_date_courante ici le contrôle se fait sur heure_debut et heure_fin
////                                                    /*if ($date_debut_test->day == $date_courante->day AND $date_fin_test->day == $date_courante->day AND
////                                                        $date_debut_test->month == $date_courante->month AND $date_fin_test->month == $date_courante->month AND
////                                                        $date_debut_test->year == $date_courante->year AND $date_fin_test->year == $date_courante->year
////                                                    ) {*/
////
////                                                    //$heure_debut = $seance_en_cours->heure_debut;
////                                                    /*$heure_fin = $seance_en_cours->heure_fin;
////                                                    $conversion_heure_courante_en_secondes = $user_gestion->ConvertCurrentTimeInSecond();
////                                                    $conversion_heure_fin_en_secondes = $user_gestion->ConvertTimeInSecond($heure_fin);
////
////                                                    */
////                                                    //if ($conversion_heure_fin_en_secondes <= $conversion_heure_courante_en_secondes) { //alors séance terminée
////
////                                                    $somme_cotisation = 0;
////                                                    if(!empty($calculs)){
////                                                        foreach ($calculs as $calcul){
////                                                            if($calcul->typecontribution_id == 2){  //2 pour le typecontribution = cotisation
////                                                                $somme_cotisation += $calcul->montant;
////                                                            }
////                                                        }
////                                                    }
////
////                                                    //je calcule le nbre de membres de la tontine
////                                                    $nombre_membre = \DB::table('membrestontines')
////                                                        ->join('users','users.id','=','membrestontines.user_id')
////                                                        ->where('membrestontines.tontine_id','=',$tontines[$i]->id)
////                                                        ->count();
////
////                                                    //calcul de la somme d'argent totale de contribution de la tontine
////                                                    $somme_totale = $nombre_membre * $tontines[$i]->coutshare;
////
////                                                    $argent_restant_a_bouffer = $somme_totale - $somme_cotisation;
////
////                                                    //$valeur = $somme_cotisation - $somme_penalite;
////
////                                                    //je recense toutes les pénalités que le membre est sensé payer
////                                                    $penalites = \DB::table('penalites')
////                                                        ->where('user_id','=',$membre->user_id)
////                                                        ->where('statut_penalite','=','pas_tout_paye')
////                                                        ->where('numero_part','=',$membre->numero_part)
////                                                        ->where('tontine_id','=',$tontines[$i]->id)
////                                                        ->limit(20)
////                                                        ->get();
////
////                                                    if(!empty($penalites)){
////                                                        //je dois mettre à jour la pénalité possible
////                                                        /*foreach ($penalites as $penalite){
////                                                           //je calcule la somme totale des pénalités
////                                                            $somme_penalite += $penalite->penalite_a_payer;
////                                                        }
////
////                                                        $valeur = $somme_cotisation - $somme_penalite;
////
////
////                                                        if($valeur >=0){    //alors on mets à jour le champ statut_penalite à tout_paye pour toutes les pénalités du membre
////                                                            foreach ($penalites as $penalite){
////                                                                //j'update aussi le solde_en_caisse de la tontine
////                                                                \DB::table('tontines')
////                                                                    ->where('id', '=', $tontines[$i]->id)
////                                                                    ->update([
////                                                                        'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer,
////                                                                        'updated_at' => Carbon::now()
////                                                                    ]);
////
////                                                                \DB::table('penalites')
////                                                                    ->where('user_id', '=', $penalite->user_id)
////                                                                    ->update([
////                                                                        'statut' => 'tout_paye',
////                                                                        'updated_at' => Carbon::now()
////                                                                    ]);
////
////
////                                                            }
////
////                                                        }*/
////                                                        //else{   //ça veut dire que la somme_cotisation est petite et dans ce cas on doit chercher la pénalité que ça peut gérer
////                                                        foreach ($penalites as $penalite){
////                                                            $valeur = $somme_cotisation - $penalite->penalite_a_payer;
////                                                            $nouveau_montant_restant_a_contribuer = $valeur - $penalite->montant_restant_a_contribuer;
////
////                                                            if($valeur >= 0){
////                                                                if($nouveau_montant_restant_a_contribuer >= 0){ //alors on coupe aussi le montant_restant_a_contribuer dans la somme à bouffer
////
////
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    /*\DB::table('tontines')
////                                                                        ->where('id', '=', $tontines[$i]->id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer + $penalite->montant_restant_a_contribuer,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);*/
////
////                                                                    //j'update la table penalites
////                                                                    \DB::table('penalites')
////                                                                        ->where('user_id', '=', $penalite->user_id)
////                                                                        ->where('seance_id','=', $penalite->seance_id)
////                                                                        ->where('numero_part','=',$penalite->numero_part)
////                                                                        ->update([
////                                                                            'statut_penalite' => 'tout_paye',
////                                                                            'statut_montant_restant_a_contribuer' => 'tout_gere',
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////
////                                                                    //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
////                                                                    $device = \DB::table('devices')
////                                                                        ->where('name','=',$tontines[$i]->monnaie)
////                                                                        ->first();
////
////                                                                    if(!empty($device)){
////                                                                        //insertion pour penalite
////                                                                        \DB::table('contributions')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'device_id' => $device->id,
////                                                                                    'typecontribution_id' => 1, //pour penalite
////                                                                                    'montant' => $penalite->penalite_a_payer,
////                                                                                    'sens_contribution' => 'sortant',
////                                                                                    'numero_part' => $penalite->numero_part,
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);
////
////                                                                        //if($montant_restant_a_contribuer != 0){
////                                                                        //insertion pour cotisation
////                                                                        \DB::table('contributions')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'device_id' => $device->id,
////                                                                                    'typecontribution_id' => 2, //pour cotisation
////                                                                                    'montant' => $penalite->montant_restant_a_contribuer,
////                                                                                    'sens_contribution' => 'sortant',
////                                                                                    'numero_part' => $penalite->numero_part,
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);
////                                                                        //}
////
////                                                                        //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
////                                                                        $table =  \DB::table('penalites')
////                                                                            ->where('user_id', '=', $membre/*$penalite*/->user_id)
////                                                                            ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
////                                                                            ->where('numero_part','=', $membre/*$penalite*/->numero_part)
////                                                                            ->first();
////
////                                                                        if(!empty($table)){
////                                                                            //insertion dans la table trace_penalites_et_contributions
////                                                                            \DB::table('trace_penalites_et_contributions')
////                                                                                ->insert([
////                                                                                    [
////                                                                                        'user_id' => $table->user_id,
////                                                                                        'tontine_id' => $table->tontine_id,
////                                                                                        'seance_id' => $table->seance_id,
////                                                                                        'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                        'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                        'type_penalite' => $table->type_penalite,
////                                                                                        'statut_penalite' => $table->statut_penalite,
////                                                                                        'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                        'numero_part' => $table->numero_part,
////                                                                                        'argent_penalite_payer' => $penalite->penalite_a_payer,
////                                                                                        'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                        'created_at' => Carbon::now(),
////                                                                                        'updated_at' => Carbon::now()
////                                                                                    ]
////                                                                                ]);
////                                                                        }
////
////
////                                                                    }
////
////                                                                    //$argent_restant_a_bouffer -= $penalite->penalite_a_payer;
////
////
////                                                                    //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
////                                                                    $confirm = \DB::table('bouffes')
////                                                                        ->where('user_id','=',$membre->user_id)
////                                                                        ->where('tontine_id','=', $tontines[$i]->id)
////                                                                        ->where('seance_id','=',$seance_derniere->id)
////                                                                        ->where('cycle_id','=',$cycle->id)
////                                                                        ->where('numero_part','=',$membre->numero_part)
////                                                                        ->first();
////
////                                                                    if(empty($confirm)){
////                                                                        //j'insère le membre comme bénéficiaire
////                                                                        \DB::table('bouffes')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'tontine_id' => $tontines[$i]->id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'cycle_id' => $cycle->id,
////                                                                                    'somme' => $nouveau_montant_restant_a_contribuer,
////                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                                    'numero_part' => $membre->numero_part,
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);
////                                                                    }
////                                                                    else{
////                                                                        //je fais juste un update
////                                                                        \DB::table('bouffes')
////                                                                            ->where('user_id', '=', $membre->user_id)
////                                                                            ->where('tontine_id','=',$tontines[$i]->id)
////                                                                            ->where('seance_id','=',$seance_derniere->id)
////                                                                            ->where('cycle_id','=',$cycle->id)
////                                                                            ->where('numero_part','=',$membre->numero_part)
////                                                                            ->update([
////                                                                                'somme' => $nouveau_montant_restant_a_contribuer,
////                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                                'updated_at' => Carbon::now()
////                                                                            ]);
////                                                                    }
////
////
////
////                                                                    $solde = \DB::table('tontines')
////                                                                        ->where('id','=',$tontines[$i]->id)
////                                                                        ->first();
////
////                                                                    //if(!empty($solde)){
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    \DB::table('tontines')
////                                                                        ->where('id', '=', $solde->id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $solde->solde_en_caisse + $penalite->penalite_a_payer + $penalite->montant_restant_a_contribuer,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////                                                                    // }
////
////
////                                                                    $somme_cotisation = $nouveau_montant_restant_a_contribuer;
////
////                                                                }
////                                                                else{   //dans ce cas on retire une partie du montant_restant_a_contribuer
////                                                                    $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $valeur;
////
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    /*\DB::table('tontines')
////                                                                        ->where('id', '=', $tontines[$i]->id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer + $valeur,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);*/
////
////                                                                    //j'update la table penalites
////                                                                    \DB::table('penalites')
////                                                                        ->where('user_id', '=', $penalite->user_id)
////                                                                        ->where('seance_id','=', $penalite->seance_id)
////                                                                        ->where('numero_part','=',$penalite->numero_part)
////                                                                        ->update([
////                                                                            'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
////                                                                            'statut_penalite' => 'tout_paye',
////                                                                            'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////
////
////                                                                    //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
////                                                                    $device = \DB::table('devices')
////                                                                        ->where('name','=',$tontines[$i]->monnaie)
////                                                                        ->first();
////
////                                                                    if(!empty($device)){
////                                                                        //insertion pour penalite
////                                                                        \DB::table('contributions')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'device_id' => $device->id,
////                                                                                    'typecontribution_id' => 1, //pour penalite
////                                                                                    'montant' => $penalite->penalite_a_payer,
////                                                                                    'sens_contribution' => 'sortant',
////                                                                                    'numero_part' => $membre->numero_part,
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);
////
////                                                                        //insertion pour cotisation
////                                                                        \DB::table('contributions')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'device_id' => $device->id,
////                                                                                    'typecontribution_id' => 2, //pour cotisation
////                                                                                    'montant' => $valeur,
////                                                                                    'sens_contribution' => 'sortant',
////                                                                                    'numero_part' => $membre->numero_part,
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);
////
////                                                                        //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
////                                                                        $table =  \DB::table('penalites')
////                                                                            ->where('user_id', '=', $membre/*$penalite*/->user_id)
////                                                                            ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
////                                                                            ->where('numero_part','=', $membre/*$penalite*/->numero_part)
////                                                                            ->first();
////
////                                                                        if(!empty($table)){
////                                                                            //insertion dans la table trace_penalites_et_contributions
////                                                                            \DB::table('trace_penalites_et_contributions')
////                                                                                ->insert([
////                                                                                    [
////                                                                                        'user_id' => $table->user_id,
////                                                                                        'tontine_id' => $table->tontine_id,
////                                                                                        'seance_id' => $table->seance_id,
////                                                                                        'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                        'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                        'type_penalite' => $table->type_penalite,
////                                                                                        'statut_penalite' => $table->statut_penalite,
////                                                                                        'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                        'numero_part' => $table->numero_part,
////                                                                                        'argent_penalite_payer' => $penalite->penalite_a_payer,
////                                                                                        'argent_contribution_payer' => $valeur,
////                                                                                        'created_at' => Carbon::now(),
////                                                                                        'updated_at' => Carbon::now()
////                                                                                    ]
////                                                                                ]);
////                                                                        }
////
////                                                                    }
////
////                                                                    //$argent_restant_a_bouffer -= $penalite->penalite_a_payer;
////
////                                                                    //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
////                                                                    $confirm = \DB::table('bouffes')
////                                                                        ->where('user_id','=',$membre->user_id)
////                                                                        ->where('tontine_id','=', $tontines[$i]->id)
////                                                                        ->where('seance_id','=',$seance_derniere->id)
////                                                                        ->where('cycle_id','=',$cycle->id)
////                                                                        ->where('numero_part','=',$membre->numero_part)
////                                                                        ->first();
////
////                                                                    if(empty($confirm)){
////                                                                        //j'insère le membre comme bénéficiaire
////                                                                        \DB::table('bouffes')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'tontine_id' => $tontines[$i]->id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'cycle_id' => $cycle->id,
////                                                                                    'somme' => 0,
////                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                                    'numero_part' => $membre->numero_part,
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);
////                                                                    }
////                                                                    else{
////                                                                        //je fais juste un update
////                                                                        \DB::table('bouffes')
////                                                                            ->where('user_id', '=', $membre->user_id)
////                                                                            ->where('tontine_id','=',$tontines[$i]->id)
////                                                                            ->where('seance_id','=',$seance_derniere->id)
////                                                                            ->where('cycle_id','=',$cycle->id)
////                                                                            ->where('numero_part','=',$membre->numero_part)
////                                                                            ->update([
////                                                                                'somme' => 0,
////                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                                'updated_at' => Carbon::now()
////                                                                            ]);
////                                                                    }
////
////                                                                    $solde = \DB::table('tontines')
////                                                                        ->where('id','=',$tontines[$i]->id)
////                                                                        ->first();
////
////                                                                    //if(!empty($solde)){
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    \DB::table('tontines')
////                                                                        ->where('id', '=', $solde->id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $solde->solde_en_caisse + $penalite->penalite_a_payer + $valeur,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////                                                                    // }
////
////
////                                                                    $somme_cotisation = 0;
////
////                                                                }
////
////                                                            }
////                                                            else{
////                                                                $valeur = 0;
////                                                                $nouveau_montant_restant_a_contribuer = $somme_cotisation - $penalite->montant_restant_a_contribuer;
////
////                                                                if($nouveau_montant_restant_a_contribuer >= 0){
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    /*\DB::table('tontines')
////                                                                        ->where('id', '=', $tontines[$i]->id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->montant_restant_a_contribuer,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);*/
////
////                                                                    //j'update la table penalites
////                                                                    \DB::table('penalites')
////                                                                        ->where('user_id', '=', $penalite->user_id)
////                                                                        ->where('seance_id','=', $penalite->seance_id)
////                                                                        ->where('numero_part','=',$penalite->numero_part)
////                                                                        ->update([
////                                                                            'statut_penalite' => 'pas_tout_paye',
////                                                                            'statut_montant_restant_a_contribuer' => 'tout_gere',
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////
////                                                                    //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
////                                                                    $device = \DB::table('devices')
////                                                                        ->where('name','=',$tontines[$i]->monnaie)
////                                                                        ->first();
////
////                                                                    if(!empty($device)){
////                                                                        //insertion pour penalite
////                                                                        /*\DB::table('contributions')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'device_id' => $device->id,
////                                                                                    'typecontribution_id' => 1, //pour penalite
////                                                                                    'montant' => $penalite->penalite_a_payer,
////                                                                                    'sens_contribution' => 'sortant',
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);*/
////
////                                                                        if($penalite->montant_restant_a_contribuer != 0){
////                                                                            //insertion pour cotisation
////                                                                            \DB::table('contributions')
////                                                                                ->insert([
////                                                                                    [
////                                                                                        'user_id' => $membre->user_id,
////                                                                                        'seance_id' => $seance_derniere->id,
////                                                                                        'device_id' => $device->id,
////                                                                                        'typecontribution_id' => 2, //pour cotisation
////                                                                                        'montant' => $penalite->montant_restant_a_contribuer,
////                                                                                        'sens_contribution' => 'sortant',
////                                                                                        'numero_part' => $membre->numero_part,
////                                                                                        'created_at' => Carbon::now(),
////                                                                                        'updated_at' => Carbon::now()
////                                                                                    ]
////                                                                                ]);
////
////                                                                            //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
////                                                                            $table =  \DB::table('penalites')
////                                                                                ->where('user_id', '=', $membre/*$penalite*/->user_id)
////                                                                                ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
////                                                                                ->where('numero_part','=', $membre/*$penalite*/->numero_part)
////                                                                                ->first();
////
////                                                                            if(!empty($table)){
////                                                                                //insertion dans la table trace_penalites_et_contributions
////                                                                                \DB::table('trace_penalites_et_contributions')
////                                                                                    ->insert([
////                                                                                        [
////                                                                                            'user_id' => $table->user_id,
////                                                                                            'tontine_id' => $table->tontine_id,
////                                                                                            'seance_id' => $table->seance_id,
////                                                                                            'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                            'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                            'type_penalite' => $table->type_penalite,
////                                                                                            'statut_penalite' => $table->statut_penalite,
////                                                                                            'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                            'numero_part' => $table->numero_part,
////                                                                                            'argent_penalite_payer' => 0,
////                                                                                            'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                            'created_at' => Carbon::now(),
////                                                                                            'updated_at' => Carbon::now()
////                                                                                        ]
////                                                                                    ]);
////                                                                            }
////
////                                                                        }
////
////
////                                                                    }
////
////
////                                                                    //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
////                                                                    $confirm = \DB::table('bouffes')
////                                                                        ->where('user_id','=',$membre->user_id)
////                                                                        ->where('tontine_id','=', $tontines[$i]->id)
////                                                                        ->where('seance_id','=',$seance_derniere->id)
////                                                                        ->where('cycle_id','=',$cycle->id)
////                                                                        ->where('numero_part','=',$membre->numero_part)
////                                                                        ->first();
////
////                                                                    if(empty($confirm)){
////                                                                        //j'insère le membre comme bénéficiaire
////                                                                        \DB::table('bouffes')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'tontine_id' => $tontines[$i]->id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'cycle_id' => $cycle->id,
////                                                                                    'somme' => $nouveau_montant_restant_a_contribuer,
////                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                                    'numero_part' => $membre->numero_part,
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);
////                                                                    }
////                                                                    else{
////                                                                        //je fais juste un update
////                                                                        \DB::table('bouffes')
////                                                                            ->where('user_id', '=', $membre->user_id)
////                                                                            ->where('tontine_id','=',$tontines[$i]->id)
////                                                                            ->where('seance_id','=',$seance_derniere->id)
////                                                                            ->where('cycle_id','=',$cycle->id)
////                                                                            ->where('numero_part','=',$membre->numero_part)
////                                                                            ->update([
////                                                                                'somme' => $nouveau_montant_restant_a_contribuer,
////                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                                'updated_at' => Carbon::now()
////                                                                            ]);
////                                                                    }
////
////                                                                    $solde = \DB::table('tontines')
////                                                                        ->where('id','=',$tontines[$i]->id)
////                                                                        ->first();
////
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    \DB::table('tontines')
////                                                                        ->where('id', '=', $solde->id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $solde->solde_en_caisse + $penalite->montant_restant_a_contribuer,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////                                                                    // }
////
////
////                                                                    $somme_cotisation = 0;
////
////
////                                                                }
////                                                                else{
////                                                                    $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $somme_cotisation;
////
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    /*\DB::table('tontines')
////                                                                        ->where('id', '=', $tontines[$i]->id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $somme_cotisation,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);*/
////
////                                                                    //j'update la table penalites
////                                                                    \DB::table('penalites')
////                                                                        ->where('user_id', '=', $penalite->user_id)
////                                                                        ->where('seance_id','=', $penalite->seance_id)
////                                                                        ->where('numero_part','=',$penalite->numero_part)
////                                                                        ->update([
////                                                                            'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
////                                                                            'statut_penalite' => 'pas_tout_paye',
////                                                                            'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////
////
////                                                                    //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
////                                                                    $device = \DB::table('devices')
////                                                                        ->where('name','=',$tontines[$i]->monnaie)
////                                                                        ->first();
////
////                                                                    if(!empty($device)){
////                                                                        //insertion pour penalite
////                                                                        /*\DB::table('contributions')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'device_id' => $device->id,
////                                                                                    'typecontribution_id' => 1, //pour penalite
////                                                                                    'montant' => $penalite->penalite_a_payer,
////                                                                                    'sens_contribution' => 'sortant',
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);*/
////
////                                                                        if($somme_cotisation != 0){
////                                                                            //insertion pour cotisation
////                                                                            \DB::table('contributions')
////                                                                                ->insert([
////                                                                                    [
////                                                                                        'user_id' => $membre->user_id,
////                                                                                        'seance_id' => $seance_derniere->id,
////                                                                                        'device_id' => $device->id,
////                                                                                        'typecontribution_id' => 2, //pour cotisation
////                                                                                        'montant' => $somme_cotisation,
////                                                                                        'sens_contribution' => 'sortant',
////                                                                                        'numero_part' => $membre->numero_part,
////                                                                                        'created_at' => Carbon::now(),
////                                                                                        'updated_at' => Carbon::now()
////                                                                                    ]
////                                                                                ]);
////
////                                                                            //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
////                                                                            $table =  \DB::table('penalites')
////                                                                                ->where('user_id', '=', $membre/*$penalite*/->user_id)
////                                                                                ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
////                                                                                ->where('numero_part','=', $membre/*$penalite*/->numero_part)
////                                                                                ->first();
////
////                                                                            if(!empty($table)){
////                                                                                //insertion dans la table trace_penalites_et_contributions
////                                                                                \DB::table('trace_penalites_et_contributions')
////                                                                                    ->insert([
////                                                                                        [
////                                                                                            'user_id' => $table->user_id,
////                                                                                            'tontine_id' => $table->tontine_id,
////                                                                                            'seance_id' => $table->seance_id,
////                                                                                            'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                            'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                            'type_penalite' => $table->type_penalite,
////                                                                                            'statut_penalite' => $table->statut_penalite,
////                                                                                            'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                            'numero_part' => $table->numero_part,
////                                                                                            'argent_penalite_payer' => 0,
////                                                                                            'argent_contribution_payer' => $somme_cotisation,
////                                                                                            'created_at' => Carbon::now(),
////                                                                                            'updated_at' => Carbon::now()
////                                                                                        ]
////                                                                                    ]);
////                                                                            }
////
////                                                                        }
////
////                                                                    }
////
////
////                                                                    //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
////                                                                    $confirm = \DB::table('bouffes')
////                                                                        ->where('user_id','=',$membre->user_id)
////                                                                        ->where('tontine_id','=', $tontines[$i]->id)
////                                                                        ->where('seance_id','=',$seance_derniere->id)
////                                                                        ->where('cycle_id','=',$cycle->id)
////                                                                        ->where('numero_part','=',$membre->numero_part)
////                                                                        ->first();
////
////                                                                    if(empty($confirm)){
////                                                                        //j'insère le membre comme bénéficiaire
////                                                                        \DB::table('bouffes')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'tontine_id' => $tontines[$i]->id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'cycle_id' => $cycle->id,
////                                                                                    'somme' => $valeur,
////                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer - $nouveau_montant_restant_a_contribuer,
////                                                                                    'numero_part' => $membre->numero_part,
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);
////                                                                    }
////                                                                    else{
////                                                                        //je fais juste un update
////                                                                        \DB::table('bouffes')
////                                                                            ->where('user_id', '=', $membre->user_id)
////                                                                            ->where('tontine_id','=',$tontines[$i]->id)
////                                                                            ->where('seance_id','=',$seance_derniere->id)
////                                                                            ->where('cycle_id','=',$cycle->id)
////                                                                            ->where('numero_part','=',$membre->numero_part)
////                                                                            ->update([
////                                                                                'somme' => $valeur,
////                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer - $nouveau_montant_restant_a_contribuer,
////                                                                                'updated_at' => Carbon::now()
////                                                                            ]);
////                                                                    }
////
////                                                                    $solde = \DB::table('tontines')
////                                                                        ->where('id','=',$tontines[$i]->id)
////                                                                        ->first();
////
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    \DB::table('tontines')
////                                                                        ->where('id', '=', $solde->id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $solde->solde_en_caisse + $somme_cotisation,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////                                                                    // }
////
////
////                                                                    $somme_cotisation = $valeur;
////
////
////
////                                                                }
////
////
////
////                                                            }
////                                                        }
////                                                        //}
////                                                    }
////
////
////                                                    if(empty($penalites)){  //alors on insère le membre comme bénéficiaire
////                                                        \DB::table('bouffes')
////                                                            ->insert([
////                                                                [
////                                                                    'user_id' => $membre->user_id,
////                                                                    'tontine_id' => $tontines[$i]->id,
////                                                                    'seance_id' => $seance_derniere->id,
////                                                                    'cycle_id' => $cycle->id,
////                                                                    'somme' => $somme_cotisation,
////                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                    'numero_part' => $membre->numero_part,
////                                                                    'created_at' => Carbon::now(),
////                                                                    'updated_at' => Carbon::now()
////                                                                ]
////                                                            ]);
////
////                                                        //puis on mets à jour solde caisse tontines
////                                                        \DB::table('tontines')
////                                                            ->where('id', '=', $tontines[$i]->id)
////                                                            ->update([
////                                                                'solde_en_caisse' => $tontines[$i]->solde_en_caisse - $somme_cotisation,
////                                                                'updated_at' => Carbon::now()
////                                                            ]);
////                                                    }
////
////
////                                                    //par la suite je dois recenser toutes les pénalités où statut_montant_restant_a_contribuer = 'pas_tout_gere'
////                                                    //pour tout ceux voulant bouffer on doit couper le montant_restant_a_contribuer
////
////                                                    $tontines5 = \DB::table('tontines')
////                                                        ->where('id','=',$tontines[$i]->id)
////                                                        ->first();
////
////                                                    if(!empty($tontines5)){
////                                                        $tontine_id = $tontines5->id;
////
////
////                                                        $penalites = \DB::table('penalites')
////                                                            ->where('user_id','=',$membre->user_id)
////                                                            ->where('numero_part','=',$membre->numero_part)
////                                                            ->where('tontine_id','=',$tontine_id)
////                                                            ->where('statut_montant_restant_a_contribuer','=','pas_tout_paye')
////                                                            ->limit(20)
////                                                            ->get();
////
////                                                        if(!empty($penalites)){
////
////                                                            //je dois mettre à jour la pénalité possible
////                                                            /*foreach ($penalites as $penalite){
////                                                               //je calcule la somme totale des pénalités
////                                                                $somme_penalite += $penalite->penalite_a_payer;
////                                                            }
////
////                                                            $valeur = $somme_cotisation - $somme_penalite;
////
////
////                                                            if($valeur >=0){    //alors on mets à jour le champ statut_penalite à tout_paye pour toutes les pénalités du membre
////                                                                foreach ($penalites as $penalite){
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    \DB::table('tontines')
////                                                                        ->where('id', '=', $tontines[$i]->id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $tontines[$i]->solde_en_caisse + $penalite->penalite_a_payer,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////
////                                                                    \DB::table('penalites')
////                                                                        ->where('user_id', '=', $penalite->user_id)
////                                                                        ->update([
////                                                                            'statut' => 'tout_paye',
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////
////
////                                                                }
////
////                                                            }*/
////                                                            //else{
////                                                            foreach ($penalites as $penalite){
////                                                                //$valeur = $somme_cotisation - $penalite->penalite_a_payer;
////                                                                $nouveau_montant_restant_a_contribuer = $somme_cotisation - $penalite->montant_restant_a_contribuer;
////
////                                                                //if($valeur >= 0){
////                                                                if($nouveau_montant_restant_a_contribuer >= 0){ //alors on coupe aussi le montant_restant_a_contribuer dans la somme à bouffer
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    \DB::table('tontines')
////                                                                        ->where('id', '=', $tontine_id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $tontines5->solde_en_caisse + $penalite->montant_restant_a_contribuer,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////
////                                                                    //j'update la table penalites
////                                                                    \DB::table('penalites')
////                                                                        ->where('user_id', '=', $penalite->user_id)
////                                                                        ->where('seance_id','=', $penalite->seance_id)
////                                                                        ->where('numero_part','=',$penalite->numero_part)
////                                                                        ->update([
////                                                                            //'statut_penalite' => 'tout_paye',
////                                                                            'statut_montant_restant_a_contribuer' => 'tout_gere',
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////
////                                                                    //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
////                                                                    $device = \DB::table('devices')
////                                                                        ->where('name','=',$tontines5->monnaie)
////                                                                        ->first();
////
////                                                                    if(!empty($device)){
////
////                                                                        if($penalite->montant_restant_a_contribuer != 0){
////                                                                            //insertion pour cotisation
////                                                                            \DB::table('contributions')
////                                                                                ->insert([
////                                                                                    [
////                                                                                        'user_id' => $membre->user_id,
////                                                                                        'seance_id' => $seance_derniere->id,
////                                                                                        'device_id' => $device->id,
////                                                                                        'typecontribution_id' => 2, //pour cotisation
////                                                                                        'montant' => $penalite->montant_restant_a_contribuer,
////                                                                                        'sens_contribution' => 'sortant',
////                                                                                        'numero_part' => $membre->numero_part,
////                                                                                        'created_at' => Carbon::now(),
////                                                                                        'updated_at' => Carbon::now()
////                                                                                    ]
////                                                                                ]);
////
////                                                                            //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
////                                                                            $table =  \DB::table('penalites')
////                                                                                ->where('user_id', '=', $membre/*$penalite*/->user_id)
////                                                                                ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
////                                                                                ->where('numero_part','=', $membre/*$penalite*/->numero_part)
////                                                                                ->first();
////
////                                                                            if(!empty($table)){
////                                                                                //insertion dans la table trace_penalites_et_contributions
////                                                                                \DB::table('trace_penalites_et_contributions')
////                                                                                    ->insert([
////                                                                                        [
////                                                                                            'user_id' => $table->user_id,
////                                                                                            'tontine_id' => $table->tontine_id,
////                                                                                            'seance_id' => $table->seance_id,
////                                                                                            'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                            'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                            'type_penalite' => $table->type_penalite,
////                                                                                            'statut_penalite' => $table->statut_penalite,
////                                                                                            'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                            'numero_part' => $table->numero_part,
////                                                                                            'argent_penalite_payer' => 0,
////                                                                                            'argent_contribution_payer' => $penalite->montant_restant_a_contribuer,
////                                                                                            'created_at' => Carbon::now(),
////                                                                                            'updated_at' => Carbon::now()
////                                                                                        ]
////                                                                                    ]);
////                                                                            }
////
////                                                                        }
////
////
////                                                                    }
////
////
////
////                                                                    //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
////                                                                    $confirm = \DB::table('bouffes')
////                                                                        ->where('user_id','=',$membre->user_id)
////                                                                        ->where('tontine_id','=', $tontines5->id)
////                                                                        ->where('seance_id','=',$seance_derniere->id)
////                                                                        ->where('cycle_id','=',$cycle->id)
////                                                                        ->where('numero_part','=',$membre->numero_part)
////                                                                        ->first();
////
////                                                                    if(empty($confirm)){
////                                                                        //j'insère le membre comme bénéficiaire
////                                                                        \DB::table('bouffes')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'tontine_id' => $tontines5->id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'cycle_id' => $cycle->id,
////                                                                                    'somme' => $nouveau_montant_restant_a_contribuer,
////                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                                    'numero_part' => $membre->numero_part,
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);
////                                                                    }
////                                                                    else{
////                                                                        //je fais juste un update
////                                                                        \DB::table('bouffes')
////                                                                            ->where('user_id', '=', $membre->user_id)
////                                                                            ->where('tontine_id','=',$tontines5->id)
////                                                                            ->where('seance_id','=',$seance_derniere->id)
////                                                                            ->where('cycle_id','=',$cycle->id)
////                                                                            ->where('numero_part','=',$membre->numero_part)
////                                                                            ->update([
////                                                                                'somme' => $nouveau_montant_restant_a_contribuer,
////                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                                'updated_at' => Carbon::now()
////                                                                            ]);
////                                                                    }
////
////                                                                }
////                                                                else{   //dans ce cas on retire une partie du montant_restant_a_contribuer
////                                                                    $nouveau_montant_restant_a_contribuer = $penalite->montant_restant_a_contribuer - $valeur;
////
////                                                                    //j'update aussi le solde_en_caisse de la tontine
////                                                                    \DB::table('tontines')
////                                                                        ->where('id', '=', $tontines5->id)
////                                                                        ->update([
////                                                                            'solde_en_caisse' => $tontines5->solde_en_caisse + $valeur,
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////
////                                                                    //j'update la table penalites
////                                                                    \DB::table('penalites')
////                                                                        ->where('user_id', '=', $penalite->user_id)
////                                                                        ->where('seance_id','=', $penalite->seance_id)
////                                                                        ->where('numero_part','=',$penalite->numero_part)
////                                                                        ->update([
////                                                                            'montant_restant_a_contribuer' => $nouveau_montant_restant_a_contribuer,
////                                                                            //'statut_penalite' => 'tout_paye',
////                                                                            'statut_montant_restant_a_contribuer' => 'pas_tout_gere',
////                                                                            'updated_at' => Carbon::now()
////                                                                        ]);
////
////
////                                                                    //j'insère aussi la partie montant_restant_a_contribuer et penalite dans la table contributions
////                                                                    $device = \DB::table('devices')
////                                                                        ->where('name','=',$tontines5->monnaie)
////                                                                        ->first();
////
////                                                                    if(!empty($device)){
////
////                                                                        if($valeur != 0){
////                                                                            //insertion pour cotisation
////                                                                            \DB::table('contributions')
////                                                                                ->insert([
////                                                                                    [
////                                                                                        'user_id' => $membre->user_id,
////                                                                                        'seance_id' => $seance_derniere->id,
////                                                                                        'device_id' => $device->id,
////                                                                                        'typecontribution_id' => 2, //pour cotisation
////                                                                                        'montant' => $valeur,
////                                                                                        'sens_contribution' => 'sortant',
////                                                                                        'numero_part' => $membre->numero_part,
////                                                                                        'created_at' => Carbon::now(),
////                                                                                        'updated_at' => Carbon::now()
////                                                                                    ]
////                                                                                ]);
////
////                                                                            //je dois maintenant remplir la table trace_penalites_et_contributions pour renseigner ce qui a été coupé
////                                                                            $table =  \DB::table('penalites')
////                                                                                ->where('user_id', '=', $membre/*$penalite*/->user_id)
////                                                                                ->where('seance_id','=', $seance_derniere/*$penalite*/->id/*seance_id*/)
////                                                                                ->where('numero_part','=', $membre/*$penalite*/->numero_part)
////                                                                                ->first();
////
////                                                                            if(!empty($table)){
////                                                                                //insertion dans la table trace_penalites_et_contributions
////                                                                                \DB::table('trace_penalites_et_contributions')
////                                                                                    ->insert([
////                                                                                        [
////                                                                                            'user_id' => $table->user_id,
////                                                                                            'tontine_id' => $table->tontine_id,
////                                                                                            'seance_id' => $table->seance_id,
////                                                                                            'penalite_a_payer' => $table->penalite_a_payer,
////                                                                                            'montant_restant_a_contribuer' => $table->montant_restant_a_contribuer,
////                                                                                            'type_penalite' => $table->type_penalite,
////                                                                                            'statut_penalite' => $table->statut_penalite,
////                                                                                            'statut_montant_restant_a_contribuer' => $table->statut_montant_restant_a_contribuer,
////                                                                                            'numero_part' => $table->numero_part,
////                                                                                            'argent_penalite_payer' => 0,
////                                                                                            'argent_contribution_payer' => $valeur,
////                                                                                            'created_at' => Carbon::now(),
////                                                                                            'updated_at' => Carbon::now()
////                                                                                        ]
////                                                                                    ]);
////                                                                            }
////
////                                                                        }
////
////
////                                                                    }
////
////
////                                                                    //je me rassure si le membre a déjà eu à bouffer dans le cycle courant
////                                                                    $confirm = \DB::table('bouffes')
////                                                                        ->where('user_id','=',$membre->user_id)
////                                                                        ->where('tontine_id','=', $tontines5->id)
////                                                                        ->where('seance_id','=',$seance_derniere->id)
////                                                                        ->where('cycle_id','=',$cycle->id)
////                                                                        ->where('numero_part','=',$membre->numero_part)
////                                                                        ->first();
////
////                                                                    if(empty($confirm)){
////                                                                        //j'insère le membre comme bénéficiaire
////                                                                        \DB::table('bouffes')
////                                                                            ->insert([
////                                                                                [
////                                                                                    'user_id' => $membre->user_id,
////                                                                                    'tontine_id' => $tontines5->id,
////                                                                                    'seance_id' => $seance_derniere->id,
////                                                                                    'cycle_id' => $cycle->id,
////                                                                                    'somme' => 0,
////                                                                                    'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                                    'numero_part' => $membre->numero_part,
////                                                                                    'created_at' => Carbon::now(),
////                                                                                    'updated_at' => Carbon::now()
////                                                                                ]
////                                                                            ]);
////                                                                    }
////                                                                    else{
////                                                                        //je fais juste un update
////                                                                        \DB::table('bouffes')
////                                                                            ->where('user_id', '=', $membre->user_id)
////                                                                            ->where('tontine_id','=',$tontines5->id)
////                                                                            ->where('seance_id','=',$seance_derniere->id)
////                                                                            ->where('cycle_id','=',$cycle->id)
////                                                                            ->where('numero_part','=',$membre->numero_part)
////                                                                            ->update([
////                                                                                'somme' => 0,
////                                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                                'updated_at' => Carbon::now()
////                                                                            ]);
////                                                                    }
////
////                                                                }
////
////                                                                //}
////                                                                //else{
////
////
////
////
////
////                                                                //}
////                                                            }
////                                                            //}
////
////                                                        }
////
////
////
////                                                    }
////
////
////
////
////
////                                                    //j'insère le membre comme bénéficiaire
////                                                    /*\DB::table('bouffes')
////                                                        ->insert([
////                                                            [
////                                                                'user_id' => $membre->user_id,
////                                                                'tontine_id' => $tontines[$i]->id,
////                                                                'seance_id' => $seance_derniere->id,
////                                                                'cycle_id' => $cycle->id,
////                                                                'somme' => $valeur,
////                                                                'argent_restant_a_bouffer' => $argent_restant_a_bouffer,
////                                                                'created_at' => Carbon::now(),
////                                                                'updated_at' => Carbon::now()
////                                                            ]
////                                                        ]);*/
////
////
////
////
////                                                    //puis je mets à jour le solde_en_caisse de la tontine. Je refais ceci afin d'avoir la ligne mise à jour de la table tontines
////                                                    /*$tontines4 = \DB::table('tontines')
////                                                        ->where('id','=',$tontines[$i]->id)
////                                                        ->first();
////
////                                                    //$tontines = $tontines4;
////
////                                                    if(!empty($tontines4)){
////                                                        \DB::table('tontines')
////                                                            ->where('id', '=', $tontines4->id)
////                                                            ->update([
////                                                                'solde_en_caisse' => $tontines4->solde_en_caisse - $somme_cotisation,
////                                                                'updated_at' => Carbon::now()
////                                                            ]);
////                                                    }*/
////
////
////
////                                                    // }
////
////                                                    // }else{
////                                                    //$this->info('Séance pas encore terminée!');
////                                                    //}
////
////                                                }
////
////
////
////                                                //Partie pour charger le portemonnaie du membre s'il a bouffé
////                                                //je recopie le contenu de la table bouffes concernant le membre dans la table etat_chargement_portemonnaie
////                                                //je teste d'abord si cela a déjà été enregistré
////                                                $bouffe = \DB::table('bouffes')
////                                                    ->where('user_id','=',$membre->user_id)
////                                                    ->where('tontine_id','=',$membre->tontine_id)
////                                                    ->where('seance_id','=',$seance_derniere->id)
////                                                    ->where('cycle_id','=',$cycle->id)
////                                                    ->where('numero_part','=',$membre->numero_part)
////                                                    ->first();
////
////                                                if(!empty($bouffe)){    //alors le membre a eu à bouffer
////                                                    $test = \DB::table('etat_chargement_portemonnaie')
////                                                        ->where('user_id','=',$membre->user_id)
////                                                        ->where('tontine_id','=',$membre->tontine_id)
////                                                        ->where('seance_id','=',$seance_derniere->id)
////                                                        ->where('cycle_id','=',$cycle->id)
////                                                        ->where('argent_charge_dans_le_portemonnaie','=',$bouffe->somme)
////                                                        ->where('argent_restant_a_bouffer','=',$bouffe->argent_restant_a_bouffer)
////                                                        ->where('numero_part','=',$membre->numero_part)
////                                                        ->where('created_at','=',$bouffe->created_at)
////                                                        ->where('updated_at','=',$bouffe->updated_at)
////                                                        ->first();
////
////                                                    $device = \DB::table('devices')
////                                                        ->where('name', '=', $tontines[$i]->monnaie)
////                                                        ->first();
////
////                                                    if(!empty($device)) {
////                                                        $this->chargerPorteMonnaieSpecial($membre->user_id, $bouffe->somme, $device->id);
////                                                    }
////
////                                                    if(empty($test)){   //alors on charge le portemonnaie du membre
////
////
////                                                        //puis je fais une copie dans la table etat_chargement_portemonnaie
////                                                        \DB::table('etat_chargement_portemonnaie')
////                                                            ->insert([
////                                                                [
////                                                                    'user_id' => $membre->user_id,
////                                                                    'tontine_id' => $membre->tontine_id,
////                                                                    'seance_id' => $seance_derniere->id,
////                                                                    'cycle_id' => $cycle->id,
////                                                                    'argent_charge_dans_le_portemonnaie' => $bouffe->somme,
////                                                                    'argent_restant_a_bouffer' => $bouffe->argent_restant_a_bouffer,
////                                                                    'numero_part' => $membre->numero_part,
////                                                                    'created_at' => $bouffe->created_at,
////                                                                    'updated_at' => $bouffe->updated_at
////                                                                ]
////                                                            ]);
////
////
////                                                        //}
////                                                    }
////
////                                                    $somme_penalite = 0;
////                                                    if(!empty($device)){
////                                                        //je recense les pénalités payées par le membre dans la table contributions
////                                                        $penalite_payees = \DB::table('contributions')
////                                                            ->where('user_id','=',$membre->user_id)
////                                                            ->where('seance_id','=',$seance_derniere->id)
////                                                            ->where('typecontribution_id','=',1)    //pour penalite
////                                                            ->where('numero_part','=',$membre->numero_part)
////                                                            ->where('device_id','=',$device->id)
////                                                            ->get();
////
////                                                        $somme_penalite = 0;
////                                                        if(!empty($penalite_payees)){
////                                                            foreach( $penalite_payees as $p ){
////                                                                $somme_penalite = $somme_penalite + $p->montant;
////                                                            }
////                                                        }
////                                                    }
////
////
////
////
////
////                                                    //puis je mets à jour le solde de la tontine
////                                                    $tontines6 = \DB::table('tontines')
////                                                        ->where('id', '=', $tontines[$i]->id)
////                                                        ->first();
////
////
////                                                    if(!empty($tontines6)){
////                                                        \DB::table('tontines')
////                                                            ->where('id', '=', $tontines6->id)
////                                                            ->update([
////                                                                'solde_en_caisse' => $tontines6->solde_en_caisse - $bouffe->somme - $somme_penalite,
////                                                                'updated_at' => Carbon::now()
////                                                            ]);
////                                                    }
////
////
////                                                }
////
////
////
////                                            }else{
////                                                $this->info('Un membre a déjà bouffé cette séance!');
////                                            }
////
////                                        }
////                                    }
////                                }
////
////
////
////
////
////
////                                /************** End enregistrement Bouffe Bid ****************/
//
//
//
//
//
//
//
//
//
//
//                                //je dois prendre les informations dans le serveur redis pour save ça dans la table bid ceci en prenant la seance_derniere
//
//                                $client = 1;
//
//                                $tontine = 'tontine1';
//
//                                //puis je dois prendre la séance en cours et initialiser la tontine bid
//                                $seance_en_cours = \DB::table('seances')
//                                    ->where('tontine_id','=',$tontines[$i]->id)
//                                    ->where('archived','=',0)
//                                    ->first();
//
//                                if(!empty($seance_en_cours)){
//
//                                    $client++;
//
//                                    $date_debut = \Carbon\Carbon::parse($seance_en_cours->date_debut)->format('d/m/Y');
//
//
//                                    //je contrôle si la session de la tontine est déjà présente pour cette séance
//                                    $value_session = $redis->exists('session-'./*$tontine*/$seance_en_cours->id);
//
//
//                                    //récupération de la durée de la séance
//                                    $duree_brute = $tontines[$i]->date_fin;
//                                    $type_duree = $tontines[$i]->type_date_fin;
//
//                                    if($type_duree == "secondes"){
//                                        $duree_en_secondes = $duree_brute;
//                                    }
//
//                                    if($type_duree == "minutes"){
//                                        $duree_en_secondes = $duree_brute * 60;
//                                    }
//
//                                    if($type_duree == "heures"){
//                                        $duree_en_secondes = $duree_brute * 3600;
//                                    }
//
//                                    if($type_duree == "jours"){
//                                        $duree_en_secondes = $duree_brute * 86400;
//                                    }
//
//                                    if($type_duree == "mois"){
//                                        $duree_en_secondes = $duree_brute * 2592000;
//                                    }
//
//                                    if($value_session == 0){ //pour dire n'existe pas
//                                        //je teste si c'est la séance numero 1 de la tontine
//                                        $test_seance = \DB::table('seances')
//                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                            //->where('numero_seance','=',1)
//                                            ->where('archived','=',0)
//                                            ->first();
//
//                                        $test_seance_archived = \DB::table('seances')
//                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                            //->where('numero_seance','=',1)
//                                            ->where('archived','=',1)
//                                            ->first();
//
//
//                                        if(!empty($test_seance)){ //ça veut dire que c'est la première séance de cette tontine
//
//                                            //je convertis le temps de début du bid en secondes
//
//                                            $temps_debut_bid = 0;
//                                            $temps_fin_bid = 0;
//
//                                            if($tontines[$i]->type_time_debut_bid == "secondes"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "minutes"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 60;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "heures"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 3600;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "jours"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 86400;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "mois"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 2592000;
//                                            }
//
//
//                                            //je convertis le temps de fin du bid avant la fin de la séance en sesondes
//                                            if($tontines[$i]->type_time_fin_bid == "secondes"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "minutes"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 60;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "heures"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 3600;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "jours"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 86400;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "mois"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 2592000;
//                                            }
//
//
//                                            //maintenant je veux avoir le délai d'exécution du bid
//                                            $date_creation_seance = new DateTime($test_seance->created_at);
//                                            $date_debut_seance = new DateTime($test_seance->date_debut);
//                                            $date_fin_seance = new DateTime($test_seance->date_fin);
//
//                                            $heure_fin_seance = new DateTime($test_seance->heure_fin);
//
//                                            //ici j'ajoute l'heure fin seance à la date fin seance sous le format DateTime
//                                            $date_fin_seance->setTime($heure_fin_seance->format('H'),$heure_fin_seance->format('i'),$heure_fin_seance->format('s'));
//
//                                            $timestamp_date_fin_seance_archived = strtotime($test_seance_archived->date_fin);
//
//                                            $timestamp_date_creation_seance = strtotime($test_seance->created_at);
//
//                                            $timestamp_date_fin_seance = strtotime($test_seance->date_fin);
//
//                                            $timestamp_date_debut_seance = strtotime($test_seance->date_debut);
//
//                                            $timestamp_fin_seance = strtotime($test_seance->heure_fin);
//
//                                            //ici j'ajoute les secondes en plus
//                                            $interval = $date_fin_seance->diff($date_creation_seance);
//
//                                            $secondes_en_plus = $interval->m * 2592000; //mois
//                                            $secondes_en_plus = $secondes_en_plus + $interval->d * 86400; //jour
//                                            $secondes_en_plus = $secondes_en_plus + $interval->h * 3600;    //heure
//                                            $secondes_en_plus = $secondes_en_plus + $interval->i * 60;      //minutes
//                                            $secondes_en_plus = $secondes_en_plus + $interval->s;       //seconde
//
//                                            //$secondes_en_plus = $timestamp_date_fin_seance - $timestamp_date_creation_seance;
//
//                                            //$secondes_en_plus =  $timestamp_date_debut_seance - $timestamp_date_fin_seance;
//
//                                            //$delai = $timestamp_date_creation_seance - $timestamp_fin_seance - $temps_fin_bid + $secondes_en_plus;   //représente le délai total
//
//                                            $heure_date_debut_seance_en_secondes = $date_debut_seance->format('H') * 3600;
//                                            $minute_date_debut_seance_en_secondes = $date_debut_seance->format('i') * 60;
//                                            $seconde_date_debut_seance = $date_debut_seance->format('s');
//                                            $temps_en_plus_date_debut_seance_en_secondes = $heure_date_debut_seance_en_secondes + $minute_date_debut_seance_en_secondes + $seconde_date_debut_seance;
//
//                                            $heure_date_fin_seance_en_secondes = $date_fin_seance->format('H') * 3600;
//                                            $minute_date_fin_seance_en_secondes = $date_fin_seance->format('i') * 60;
//                                            $seconde_date_fin_seance = $date_fin_seance->format('s');
//                                            $temps_en_plus_date_fin_seance_en_secondes = $heure_date_fin_seance_en_secondes + $minute_date_fin_seance_en_secondes + $seconde_date_fin_seance;
//
//                                            if($test_seance->numero_seance == 1){
//                                                /*$delai = $timestamp_date_fin_seance - $timestamp_date_creation_seance - $temps_fin_bid;
//                                                if($delai < 0){
//                                                    $delai = $timestamp_date_creation_seance - $timestamp_date_fin_seance - $temps_fin_bid;
//                                                }*/
//
//                                                $delai = $secondes_en_plus - $temps_fin_bid /*+ 3600*/ /*-1080*/;
//                                            }
//
//                                            if($test_seance->numero_seance != 1){
//                                                //$delai = $secondes_en_plus - $temps_fin_bid;
//                                                //$delai = $timestamp_date_creation_seance - $timestamp_fin_seance - $temps_fin_bid + $secondes_en_plus /*+ $temps_en_plus_date_creation_seance_en_secondes*/;   //représente le délai total
//                                                //if($delai < 0){
//                                                //$delai = /*$timestamp_fin_seance - $timestamp_date_creation_seance*/ - $temps_fin_bid + $secondes_en_plus
//                                                /*+ $temps_en_plus_date_debut_seance_en_secondes + $temps_en_plus_date_fin_seance_en_secondes + 3600*//*heure GMT du serveur*//*+ $temps_en_plus_date_creation_seance_en_secondes*/;
//                                                //}
//
//                                                //$delai = $timestamp_date_debut_seance - $timestamp_date_creation_seance - $temps_fin_bid + $duree_en_secondes;
//                                                //$delai = $timestamp_date_fin_seance - $timestamp_date_creation_seance - $temps_fin_bid;
//                                                $delai = $secondes_en_plus - $temps_fin_bid /*+ 3600*/ /*-1080*/;
//                                            }
//
//
//
//
//                                            //dd($timestamp_fin_seance,$timestamp_date_creation_seance,$temps_fin_bid,$resultat);
//
//                                            //dd($secondes_en_plus- $temps_fin_bid);
//
//                                            $miseaprixcaisse1 = 0;
//
//
//                                            //chargement de la mise à prix caisse1
//                                            if($tontines[$i]->typemiseaprixcaisse1 == "valeur"){
//                                                $miseaprixcaisse1 = $tontines[$i]->miseaprixcaisse1;
//                                            }
//
//                                            if($tontines[$i]->typemiseaprixcaisse1 == "pourcentage"){
//                                                $miseaprixcaisse1 = ($tontines[$i]->coutshare * $tontines[$i]->miseaprixcaisse1) / 100;
//                                            }
//
//
//
//                                            //j'initialise ma session dans redis
//                                            $redis->HMSET('session-'. /*$tontine*/ $seance_en_cours->id ,
//
//                                                'date',$date_debut,
//                                                'inc',$miseaprixcaisse1/*$tontines[$i]->coutshare*/,
//                                                'base_amount',$tontines[$i]->coutshare,
//                                                'temps_debut_bid',$temps_debut_bid,
//                                                'temps_fin_bid',$temps_fin_bid,
//                                                'delai',$delai
//                                            );
//
//
//
//                                            //partie où je dois introduire l'appel de l'url = http://localhost:3000/tontine/seance_id/debut/time_debut_bid
//                                            //cette url va permettre de lancer le temps pour décompter le temps de début du bid
//                                            $url='http://localhost:3000/tontine/' . $seance_en_cours->id . '/debut/' . $temps_debut_bid;
//
//                                            $ch = curl_init($url);
//                                            curl_exec ($ch);
//
//
//
//                                        }
//                                        /*else{ //dans ce cas il y a déjà d'autres séances
//
//                                        }*/
//
//
//
//
//
//                                        // $redis->SET('session-'.$tontine /*$tontines[$i]->id . $seance_en_cours->id*/,
//                                        //          json_encode(array
//                                        //              (
//                                        //                  'date' => $date_debut/*$seance_en_cours->date_debut*/,
//                                        //                  'inc' => $tontines[$i]->coutshare,
//                                        //                  'base_amount' => $tontines[$i]->coutshare,
//                                        //                   'delai' => $duree_en_secondes
//                                        //               )
//                                        //   )
//                                        //);
//
//
//                                    }
//                                    else{
//                                        //ici je veux mettre à jour le délai en supposant que le serveur node s'est relancé
//
//                                        //je teste si c'est la séance numero 1 de la tontine
//                                        $test_seance = \DB::table('seances')
//                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                            //->where('numero_seance','=',1)
//                                            ->where('archived','=',0)
//                                            ->first();
//
//                                        $test_seance_archived = \DB::table('seances')
//                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                            //->where('numero_seance','=',1)
//                                            ->where('archived','=',1)
//                                            ->first();
//
//
//                                        if(!empty($test_seance)){ //ça veut dire que c'est la première séance de cette tontine
//
//                                            //je convertis le temps de début du bid en secondes
//
//                                            $temps_debut_bid = 0;
//                                            $temps_fin_bid = 0;
//
//                                            if($tontines[$i]->type_time_debut_bid == "secondes"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "minutes"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 60;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "heures"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 3600;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "jours"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 86400;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "mois"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 2592000;
//                                            }
//
//
//                                            //je convertis le temps de fin du bid avant la fin de la séance en sesondes
//                                            if($tontines[$i]->type_time_fin_bid == "secondes"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "minutes"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 60;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "heures"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 3600;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "jours"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 86400;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "mois"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 2592000;
//                                            }
//
//
//                                            //maintenant je veux avoir le délai d'exécution du bid
//                                            $date_creation_seance = new DateTime($test_seance->created_at);
//                                            $date_debut_seance = new DateTime($test_seance->date_debut);
//                                            $date_fin_seance = new DateTime($test_seance->date_fin);
//
//                                            $heure_fin_seance = new DateTime($test_seance->heure_fin);
//
//                                            //ici j'ajoute l'heure fin seance à la date fin seance sous le format DateTime
//                                            $date_fin_seance->setTime($heure_fin_seance->format('H'),$heure_fin_seance->format('i'),$heure_fin_seance->format('s'));
//
//
//                                            $date_courante = new DateTime(Carbon::now());
//
//                                            //dd($date_creation_seance,$date_fin_seance,$date_courante);
//
//                                            //dd($test_seance->created_at,$date_courante->format('20y-m-d H:i:s'));
//
//                                            $timestamp_date_fin_seance_archived = strtotime($test_seance_archived->date_fin);
//
//                                            $timestamp_date_creation_seance = strtotime(/*$test_seance->created_at*/$date_creation_seance->format('20y-m-d H:i:s'));
//
//                                            $timestamp_date_fin_seance = strtotime(/*$test_seance->date_fin*/$date_fin_seance->format('20y-m-d H:i:s'));
//
//                                            $timestamp_date_debut_seance = strtotime($test_seance->date_debut);
//
//                                            $timestamp_fin_seance = strtotime($test_seance->heure_fin);
//
//                                            $timestamp_date_courante = strtotime($date_courante->format('20y-m-d H:i:s'));
//
//                                            //ici j'ajoute les secondes en plus
//                                            $interval = $date_fin_seance->diff($date_courante);
//
//                                            $secondes_en_plus = $interval->m * 2592000; //mois
//                                            $secondes_en_plus = $secondes_en_plus + $interval->d * 86400; //jour
//                                            $secondes_en_plus = $secondes_en_plus + $interval->h * 3600;    //heure
//                                            $secondes_en_plus = $secondes_en_plus + $interval->i * 60;      //minutes
//                                            $secondes_en_plus = $secondes_en_plus + $interval->s;       //seconde
//
//                                            //$secondes_en_plus = $timestamp_date_fin_seance - $timestamp_date_creation_seance;
//
//                                            //$secondes_en_plus =  $timestamp_date_debut_seance - $timestamp_date_fin_seance;
//
//                                            //$delai = $timestamp_date_creation_seance - $timestamp_fin_seance - $temps_fin_bid + $secondes_en_plus;   //représente le délai total
//
//                                            $heure_date_debut_seance_en_secondes = $date_debut_seance->format('H') * 3600;
//                                            $minute_date_debut_seance_en_secondes = $date_debut_seance->format('i') * 60;
//                                            $seconde_date_debut_seance = $date_debut_seance->format('s');
//                                            $temps_en_plus_date_debut_seance_en_secondes = $heure_date_debut_seance_en_secondes + $minute_date_debut_seance_en_secondes + $seconde_date_debut_seance;
//
//                                            $heure_date_fin_seance_en_secondes = $date_fin_seance->format('H') * 3600;
//                                            $minute_date_fin_seance_en_secondes = $date_fin_seance->format('i') * 60;
//                                            $seconde_date_fin_seance = $date_fin_seance->format('s');
//                                            $temps_en_plus_date_fin_seance_en_secondes = $heure_date_fin_seance_en_secondes + $minute_date_fin_seance_en_secondes + $seconde_date_fin_seance;
//
//
//                                            //ici je calcule le temps déjà écoulé
//                                            $delta_temps = $timestamp_date_courante - $timestamp_date_creation_seance;
//
//                                            //dd($delta_temps);
//
//                                            $delta_temps_debut_bid = $temps_debut_bid - $delta_temps;
//                                            if($delta_temps_debut_bid < 0){
//                                                //alors le temps début bid est déjà fini
//                                                $temps_debut_bid = 0;
//                                            }
//                                            else{
//                                                $temps_debut_bid = $delta_temps_debut_bid;
//                                            }
//
//
//                                            if($test_seance->numero_seance == 1){
//                                                //$delai = $timestamp_date_fin_seance - $timestamp_date_courante - $temps_fin_bid/*$timestamp_date_creation_seance - $temps_fin_bid - $delta_temps*/;
//                                                /*if($delai < 0){
//                                                    $delai = $timestamp_date_creation_seance - $timestamp_fin_seance - $temps_fin_bid - $delta_temps;
//                                                }*/
//                                                $delai = $secondes_en_plus - $temps_fin_bid /*+ 3600*/ /*-1080*/;
//                                            }
//
//                                            if($test_seance->numero_seance != 1){
//                                                //$delai = $secondes_en_plus - $temps_fin_bid;
//                                                //$delai = $timestamp_date_creation_seance - $timestamp_fin_seance - $temps_fin_bid + $secondes_en_plus /*+ $temps_en_plus_date_creation_seance_en_secondes*/;   //représente le délai total
//                                                //if($delai < 0){
//                                                //$delai = /*$timestamp_fin_seance - $timestamp_date_creation_seance*/ - $temps_fin_bid + $secondes_en_plus
//                                                /*+ $temps_en_plus_date_debut_seance_en_secondes + $temps_en_plus_date_fin_seance_en_secondes + 3600*//*heure GMT du serveur*//*+ $temps_en_plus_date_creation_seance_en_secondes*/;
//                                                //}
//
//                                                //$delai = $timestamp_date_fin_seance - $timestamp_date_courante - $temps_fin_bid/*$timestamp_date_debut_seance - $timestamp_date_creation_seance - $temps_fin_bid + $duree_en_secondes - $delta_temps*/;
//                                                $delai = $secondes_en_plus - $temps_fin_bid /*+ 3600*/ /*-1080*/;
//                                            }
//
//
//
//
//
//                                            //dd($timestamp_fin_seance,$timestamp_date_creation_seance,$temps_fin_bid,$resultat);
//
//                                            //dd($secondes_en_plus- $temps_fin_bid);
//
//                                            $miseaprixcaisse1 = 0;
//
//
//                                            //chargement de la mise à prix caisse1
//                                            if($tontines[$i]->typemiseaprixcaisse1 == "valeur"){
//                                                $miseaprixcaisse1 = $tontines[$i]->miseaprixcaisse1;
//                                            }
//
//                                            if($tontines[$i]->typemiseaprixcaisse1 == "pourcentage"){
//                                                $miseaprixcaisse1 = ($tontines[$i]->coutshare * $tontines[$i]->miseaprixcaisse1) / 100;
//                                            }
//
//                                            //je supprime l'ancien
//                                            $redis->DEL('session-'.$seance_en_cours->id);
//
//                                            //j'initialise ma session dans redis
//                                            $redis->HMSET('session-'. /*$tontine*/ $seance_en_cours->id ,
//
//                                                'date',$date_debut,
//                                                'inc',$miseaprixcaisse1/*$tontines[$i]->coutshare*/,
//                                                'base_amount',$tontines[$i]->coutshare,
//                                                'temps_debut_bid',$temps_debut_bid,
//                                                'temps_fin_bid',$temps_fin_bid,
//                                                'delai',$delai
//                                            );
//
//
//
//                                            //partie où je dois introduire l'appel de l'url = http://localhost:3000/tontine/seance_id/debut/time_debut_bid
//                                            //cette url va permettre de lancer le temps pour décompter le temps de début du bid
//                                            $url='http://localhost:3000/tontine/' . $seance_en_cours->id . '/debut/' . $temps_debut_bid;
//
//                                            $ch = curl_init($url);
//                                            curl_exec ($ch);
//
//
//
//                                        }
//                                        /*else{ //dans ce cas il y a déjà d'autres séances
//
//                                        }*/
//
//
//
//
//
//                                        // $redis->SET('session-'.$tontine /*$tontines[$i]->id . $seance_en_cours->id*/,
//                                        //          json_encode(array
//                                        //              (
//                                        //                  'date' => $date_debut/*$seance_en_cours->date_debut*/,
//                                        //                  'inc' => $tontines[$i]->coutshare,
//                                        //                  'base_amount' => $tontines[$i]->coutshare,
//                                        //                   'delai' => $duree_en_secondes
//                                        //               )
//                                        //   )
//                                        //);
//
//
//
//
//                                    }
//
//                                    //je vérifie tout de même si le montant courant n'existe pas encore pour cette session de seance
//                                    $value_current_amount = $redis->exists('current-amount-'./*$tontine*/$seance_en_cours->id);
//
//
//                                    if($value_current_amount == 0){
//                                        //alors on mets ça dans le serveur redis
//                                        $redis->SET('current-amount-'./*$tontine*/$seance_en_cours->id,$miseaprixcaisse1);
//                                    }
//
//
//                                    //je vérifie tout de même si le montant suivant n'existe pas encore pour cette session de seance
//                                    $value_next_amount = $redis->exists('next-amount-'.$seance_en_cours->id);
//
//                                    if($value_next_amount == 0){
//                                        $somme = $miseaprixcaisse1 + $miseaprixcaisse1/*$tontines[$i]->coutshare + $tontines[$i]->coutshare*/;
//                                        //alors on mets ça dans le serveur redis
//                                        $redis->SET('next-amount-'./*$tontine*/$seance_en_cours->id,$somme);
//                                    }
//
//                                    //je vérifie tout de même si le montant d'incrémentation n'existe pas encore pour cette session de seance
//                                    $value_inc = $redis->exists('inc-'./*$tontine*/$seance_en_cours->id);
//
//                                    if($value_inc == 0){
//                                        //alors on mets ça dans le serveur redis
//                                        $redis->SET('inc-'./*$tontine*/$seance_en_cours->id,$miseaprixcaisse1/*$tontines[$i]->coutshare*/);
//                                    }
//
//                                    /************************** START PARTIE ENREGISTREMENT DES MEMBRES AYANT BIDés ET ENREGISTREMENT GAGNANT ****************************/
//
//
//                                    $seance_archived = \DB::table('seances')
//                                        ->where('tontine_id','=',$tontines[$i]->id)
//                                        ->where('archived','=',0)
//                                        ->orderBy('created_at','desc')
//                                        ->first();
//
//                                    if(!empty($seance_archived)){
//
//                                        $member_bid = array();
//                                        //maintenant je dois recupérer la liste des membres ayant bidé et enregistrer dans la table Bid avec pour statut = perdant
//                                        $member_bid = $redis->lrange('bids-'./*$tontine*//*$seance_en_cours->id*/$seance_archived->id,0,-1);      //ceci renvoit un tableau de json
//
//
//                                        //dd($member_bid[$i]['user_id']);
//                                        //$$member_bid[0] = json_encode($member_bid[0], JSON_UNESCAPED_UNICODE);
//                                        //dd($member_bid[0]);
//
//                                        //$result = explode(":", $member_bid[2]);
//                                        //$somme = explode(",", $result[2]);
//                                        //$somme = str_replace('"', "", $somme);
//                                        //$int = settype($somme[0], "integer");
//                                        //dd($somme[0]);
//
//                                        if(sizeof($member_bid) != 0){
//                                            for($i = 0; $i < sizeof($member_bid); $i++){
//
//                                                $result = explode(":", $member_bid[$i]);
//                                                $user_id = explode(",", $result[1]);
//                                                //dd($user_id[0]);
//
//                                                $somme = explode(",", $result[2]);
//                                                $somme = str_replace('"', "", $somme);
//                                                //dd($somme[0]);
//
//                                                $seance_id = explode(",", $result[3]);
//                                                //dd($seance_id[0]);
//
//                                                $numero_part = explode("}", $result[4]);
//                                                //dd($numero_part[0]);
//
//
//                                                //je recherche l'id de la tontine
//                                                $tontine = \DB::table('seances')
//                                                    ->where('id','=',intval($seance_id[0]))
//                                                    ->first();
//
//                                                if(!empty($tontine)){
//                                                    //je dois chercher dans la table Bid si le membre est déjà enregistré avec la somme bidée
//                                                    $test = \DB::table('Bid')
//                                                        ->where('user_id','=',intval($user_id[0]))
//                                                        ->where('seance_id','=',intval($seance_id[0]))
//                                                        ->where('tontine_id','=',$tontine->tontine_id)
//                                                        ->where('montant_bid_user','=',intval($somme[0]))
//                                                        ->where('numero_part','=',intval($numero_part[0]))
//                                                        ->first();
//
//                                                    if(empty($test) AND $somme[0] != "null"){   //alors il n'est pas encore enregistré
//                                                        //insertion dans la table Bid
//                                                        \DB::table('Bid')
//                                                            ->insert([
//                                                                [
//                                                                    'user_id' => intval($user_id[0]),
//                                                                    'seance_id' => intval($seance_id[0]),
//                                                                    'tontine_id' => intval($tontine->tontine_id),
//                                                                    'montant_bid_user' => intval($somme[0]),
//                                                                    'statut' => 'perdant',
//                                                                    'numero_part' => intval($numero_part[0]),
//                                                                    'created_at' => Carbon::now(),
//                                                                    'updated_at' => Carbon::now()]
//                                                            ]);
//                                                    }
//
//                                                    //maintenant je recupère le gagnant courant que je pars update dans la table Bid avec statut = gagnant
//                                                    $member_gagnant = $redis->GET('last-bider-'./*$tontine*/$seance_en_cours->id);        //ceci renvoit un json
//
//                                                    //dd($member_gagnant);
//
//
//
//                                                    if(!empty($member_gagnant)){
//
//                                                        //$winner = json_decode($member_gagnant);
//
//                                                        $result1 = explode(":", $member_gagnant);
//                                                        $user_id1 = explode(",", $result1[1]);
//                                                        //dd($user_id[0]);
//
//                                                        $somme1 = explode(",", $result1[2]);
//                                                        $somme1 = str_replace('"', "", $somme1);
//                                                        //dd($somme[0]);
//
//                                                        $seance_id1 = explode(",", $result1[3]);
//                                                        //dd($seance_id[0]);
//
//                                                        $numero_part1 = explode("}", $result1[4]);
//                                                        //dd($numero_part[0]);
//
//                                                        //je recherche le membre gagnant courant
//                                                        $recherche = \DB::table('Bid')
//                                                            ->where('seance_id','=',intval($seance_id[0]))
//                                                            ->where('tontine_id','=',$tontine->tontine_id)
//                                                            ->where('statut','=','gagnant')
//                                                            ->first();
//
//                                                        if(!empty($recherche)){
//                                                            //alors j'update à statut = "perdant"
//                                                            \DB::table('Bid')
//                                                                ->where('id','=',$recherche->id)
//                                                                ->update([
//                                                                    'statut' => 'perdant',
//                                                                    'updated_at' => Carbon::now()
//                                                                ]);
//                                                        }
//
//                                                        if($somme1[0] != "null"){
//                                                            //ici j'update le gagnant courant
//                                                            \DB::table('Bid')
//                                                                ->where('user_id','=',intval($user_id1[0]))
//                                                                ->where('seance_id','=',intval($seance_id1[0]))
//                                                                ->where('tontine_id','=',$tontine->tontine_id)
//                                                                ->where('montant_bid_user','=',intval($somme1[0]))
//                                                                ->where('numero_part','=',intval($numero_part1[0]))
//                                                                ->update([
//                                                                    'statut' => 'gagnant',
//                                                                    'updated_at' => Carbon::now()
//                                                                ]);
//                                                        }
//
//
//                                                        //je récupère le gagnant courant pour l'insérer comme bénéficiaire dans la table bouffes
//                                                        $beneficiaire = \DB::table('Bid')
//                                                            ->where('statut','=','gagnant')
//                                                            ->where('seance_id','=',intval($seance_id1[0]))
//                                                            ->where('tontine_id','=',$tontine->tontine_id)
//                                                            ->first();
//
//                                                        if(!empty($beneficiaire)){
//                                                            //je me rassure s'il y a déjà un bénéficiaire enregistré dans la table bouffes
//                                                            $test_beneficiaire = \DB::table('bouffes')
//                                                                ->where('seance_id','=',intval($seance_id1[0]))
//                                                                ->where('tontine_id','=',$tontine->tontine_id)
//                                                                ->first();
//
//                                                            $cycle_winner = \DB::table('seances')
//                                                                ->where('id','=',intval($seance_id1[0]))
//                                                                ->first();
//
//                                                            if(!empty($cycle_winner)){
//                                                                $cycle_winner_id = $cycle_winner->cycle_id;
//                                                            }
//
//                                                            if(empty($test_beneficiaire)){ //aucun bénéficiaire
//                                                                //alors on insère
//                                                                \DB::table('bouffes')
//                                                                    ->insert([
//                                                                        [
//                                                                            'user_id' => $beneficiaire->user_id,
//                                                                            'tontine_id' => $beneficiaire->tontine_id,
//                                                                            'seance_id' => $beneficiaire->seance_id,
//                                                                            'cycle_id' => $cycle_winner_id,
//                                                                            'somme' => $beneficiaire->montant_bid_user,
//                                                                            'argent_restant_a_bouffer' => 0,
//                                                                            'numero_part' => $beneficiaire->numero_part,
//                                                                            'numero_lot' => 1,
//                                                                            'created_at' => Carbon::now(),
//                                                                            'updated_at' => Carbon::now()
//                                                                        ]
//                                                                    ]);
//                                                            }
//                                                            else{
//                                                                //alors j'update le bénéficiaire
//                                                                \DB::table('bouffes')
//                                                                    ->where('id','=',$test_beneficiaire->id)
//                                                                    ->update([
//                                                                        'user_id' => $beneficiaire->user_id,
//                                                                        'tontine_id' => $beneficiaire->tontine_id,
//                                                                        'seance_id' => $beneficiaire->seance_id,
//                                                                        'cycle_id' => $cycle_winner_id,
//                                                                        'somme' => $beneficiaire->montant_bid_user,
//                                                                        'argent_restant_a_bouffer' => 0,
//                                                                        'numero_part' => $beneficiaire->numero_part,
//                                                                        'numero_lot' => 1,
//                                                                        'updated_at' => Carbon::now()
//                                                                    ]);
//                                                            }
//
//                                                        }
//
//
//
//                                                    }
//                                                }
//
//
//
//                                            }
//                                        }
//
//                                    }
//
//
//
//                                    /******************************* END PARTIE ENREGISTREMENT DES MEMBRES AYANT BIDés ET ENREGISTREMENT GAGNANT *****************************/
//
//
//
//
//
//
//
//
//                                    /******************************* START PARTIE POUR EFFACER LES VARIABLES DES SEANCES ARCHIVéES DANS LE SERVEUR REDIS *****************************/
//
//
//                                    $seance_archived_redis = \DB::table('seances')
//                                        ->where('tontine_id','=',$tontines[$i]->id)
//                                        ->where('archived','=',1)
//                                        ->orderBy('created_at','desc')
//                                        ->first();
//
//                                    if(!empty($seance_archived_redis)){
//
//                                        //je contrôle si la session de la tontine est déjà présente pour cette séance
//                                        $value_session_redis = $redis->exists('session-'./*$tontine*/$seance_archived_redis->id);
//
//                                        if($value_session_redis != 0){
//                                            $redis->DEL('session-'.$seance_archived_redis->id);
//                                        }
//
//                                        //je vérifie tout de même si le montant courant n'existe pas encore pour cette session de seance
//                                        $value_current_amount_redis = $redis->exists('current-amount-'./*$tontine*/$seance_archived_redis->id);
//
//
//                                        if($value_current_amount_redis != 0){
//                                            $redis->DEL('current-amount-'./*$tontine*/$seance_archived_redis->id);
//                                        }
//
//
//                                        //je vérifie tout de même si le montant suivant n'existe pas encore pour cette session de seance
//                                        $value_next_amount_redis = $redis->exists('next-amount-'.$seance_archived_redis->id);
//
//                                        if($value_next_amount_redis != 0){
//                                            $redis->DEL('next-amount-'./*$tontine*/$seance_archived_redis->id);
//                                        }
//
//                                        //je vérifie tout de même si le montant d'incrémentation n'existe pas encore pour cette session de seance
//                                        $value_inc_redis = $redis->exists('inc-'./*$tontine*/$seance_archived_redis->id);
//
//                                        if($value_inc_redis != 0){
//                                            $redis->DEL('inc-'./*$tontine*/$seance_archived_redis->id);
//                                        }
//
//                                        //liste des users ayant bidé
//                                        $value_bids_redis = $redis->exists('bids-'./*$tontine*/$seance_archived_redis->id);
//
//                                        if($value_bids_redis != 0){
//                                            $redis->DEL('bids-'.$seance_archived_redis->id);
//                                        }
//
//                                        //last bider
//                                        $value_last_bider_redis = $redis->exists('last-bider-'./*$tontine*/$seance_archived_redis->id);
//
//                                        if($value_last_bider_redis != 0){
//                                            $redis->DEL('last-bider-'.$seance_archived_redis->id);
//                                        }
//
//                                        //membres connectés
//                                        $value_member_redis = $redis->exists('connect-member-'./*$tontine*/$seance_archived_redis->id);
//
//                                        if($value_member_redis != 0){
//                                            $redis->DEL('connect-member-'.$seance_archived_redis->id);
//                                        }
//
//                                    }
//
//
//                                    /******************************* END PARTIE POUR EFFACER LES VARIABLES DES SEANCES ARCHIVéES DANS LE SERVEUR REDIS *****************************/
//
//
//
//
//                                }
//
//
//                            }
//
//
//
//                        }
//
//
//
//
//                    }
//                    else{ //il n'y a encore aucune séance achevé et dans ce cas je dois initialiser la tontine bid
//                        //je cherche le type de la tontine
//                        $type_tontine = \DB::table('drawingtypes')
//                            ->where('id','=',$tontines[$i]->drawingtype_id)
//                            ->first();
//
//                        $tontine = 'tontine1';
//
//                        if(!empty($type_tontine)){
//                            if($type_tontine->name == "Bid"){
//
//                                $client = 1;
//
//                                //puis je dois prendre la séance en cours et initialiser la tontine bid
//                                $seance_en_cours = \DB::table('seances')
//                                    ->where('tontine_id','=',$tontines[$i]->id)
//                                    ->where('archived','=',0)
//                                    ->first();
//
//                                if(!empty($seance_en_cours)){
//
//                                    $client++;
//
//                                    $date_debut = \Carbon\Carbon::parse($seance_en_cours->date_debut)->format('d/m/Y');
//
//
//                                    //je contrôle si la session de la tontine est déjà présente pour cette séance
//                                    $value_session = $redis->exists('session-'./*$tontine*/$seance_en_cours->id);
//
//
//                                    //récupération de la durée de la séance
//                                    $duree_brute = $tontines[$i]->date_fin;
//                                    $type_duree = $tontines[$i]->type_date_fin;
//
//                                    if($type_duree == "secondes"){
//                                        $duree_en_secondes = $duree_brute;
//                                    }
//
//                                    if($type_duree == "minutes"){
//                                        $duree_en_secondes = $duree_brute * 60;
//                                    }
//
//                                    if($type_duree == "heures"){
//                                        $duree_en_secondes = $duree_brute * 3600;
//                                    }
//
//                                    if($type_duree == "jours"){
//                                        $duree_en_secondes = $duree_brute * 86400;
//                                    }
//
//                                    if($type_duree == "mois"){
//                                        $duree_en_secondes = $duree_brute * 2592000;
//                                    }
//
//                                    if($value_session == 0){ //pour dire n'existe pas
//                                        //je teste si c'est la séance numero 1 de la tontine
//                                        $test_seance = \DB::table('seances')
//                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                            //->where('numero_seance','=',1)
//                                            ->where('archived','=',0)
//                                            ->first();
//
//                                        $test_seance_archived = \DB::table('seances')
//                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                            //->where('numero_seance','=',1)
//                                            ->where('archived','=',1)
//                                            ->first();
//
//
//                                        if(!empty($test_seance)){ //ça veut dire que c'est la première séance de cette tontine
//
//                                            //je convertis le temps de début du bid en secondes
//
//                                            $temps_debut_bid = 0;
//                                            $temps_fin_bid = 0;
//
//                                            if($tontines[$i]->type_time_debut_bid == "secondes"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "minutes"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 60;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "heures"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 3600;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "jours"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 86400;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "mois"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 2592000;
//                                            }
//
//
//                                            //je convertis le temps de fin du bid avant la fin de la séance en sesondes
//                                            if($tontines[$i]->type_time_fin_bid == "secondes"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "minutes"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 60;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "heures"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 3600;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "jours"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 86400;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "mois"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 2592000;
//                                            }
//
//
//                                            //maintenant je veux avoir le délai d'exécution du bid
//                                            $date_creation_seance = new DateTime($test_seance->created_at);
//                                            $date_debut_seance = new DateTime($test_seance->date_debut);
//                                            $date_fin_seance = new DateTime($test_seance->date_fin);
//
//                                            $heure_fin_seance = new DateTime($test_seance->heure_fin);
//
//                                            //ici j'ajoute l'heure fin seance à la date fin seance sous le format DateTime
//                                            $date_fin_seance->setTime($heure_fin_seance->format('H'),$heure_fin_seance->format('i'),$heure_fin_seance->format('s'));
//
//                                            $timestamp_date_fin_seance_archived = strtotime($test_seance_archived->date_fin);
//
//                                            $timestamp_date_creation_seance = strtotime($test_seance->created_at);
//
//                                            $timestamp_date_fin_seance = strtotime($test_seance->date_fin);
//
//                                            $timestamp_date_debut_seance = strtotime($test_seance->date_debut);
//
//                                            $timestamp_fin_seance = strtotime($test_seance->heure_fin);
//
//                                            //ici j'ajoute les secondes en plus
//                                            $interval = $date_fin_seance->diff($date_creation_seance);
//
//                                            $secondes_en_plus = $interval->m * 2592000; //mois
//                                            $secondes_en_plus = $secondes_en_plus + $interval->d * 86400; //jour
//                                            $secondes_en_plus = $secondes_en_plus + $interval->h * 3600;    //heure
//                                            $secondes_en_plus = $secondes_en_plus + $interval->i * 60;      //minutes
//                                            $secondes_en_plus = $secondes_en_plus + $interval->s;       //seconde
//
//                                            //$secondes_en_plus = $timestamp_date_fin_seance - $timestamp_date_creation_seance;
//
//                                            //$secondes_en_plus =  $timestamp_date_debut_seance - $timestamp_date_fin_seance;
//
//                                            //$delai = $timestamp_date_creation_seance - $timestamp_fin_seance - $temps_fin_bid + $secondes_en_plus;   //représente le délai total
//
//                                            $heure_date_debut_seance_en_secondes = $date_debut_seance->format('H') * 3600;
//                                            $minute_date_debut_seance_en_secondes = $date_debut_seance->format('i') * 60;
//                                            $seconde_date_debut_seance = $date_debut_seance->format('s');
//                                            $temps_en_plus_date_debut_seance_en_secondes = $heure_date_debut_seance_en_secondes + $minute_date_debut_seance_en_secondes + $seconde_date_debut_seance;
//
//                                            $heure_date_fin_seance_en_secondes = $date_fin_seance->format('H') * 3600;
//                                            $minute_date_fin_seance_en_secondes = $date_fin_seance->format('i') * 60;
//                                            $seconde_date_fin_seance = $date_fin_seance->format('s');
//                                            $temps_en_plus_date_fin_seance_en_secondes = $heure_date_fin_seance_en_secondes + $minute_date_fin_seance_en_secondes + $seconde_date_fin_seance;
//
//                                            if($test_seance->numero_seance == 1){
//                                                /*$delai = $timestamp_date_fin_seance - $timestamp_date_creation_seance - $temps_fin_bid;
//                                                if($delai < 0){
//                                                    $delai = $timestamp_date_creation_seance - $timestamp_date_fin_seance - $temps_fin_bid;
//                                                }*/
//
//                                                $delai = $secondes_en_plus - $temps_fin_bid /*+ 3600*/ /*-1080*/;
//                                            }
//
//                                            if($test_seance->numero_seance != 1){
//                                                //$delai = $secondes_en_plus - $temps_fin_bid;
//                                                //$delai = $timestamp_date_creation_seance - $timestamp_fin_seance - $temps_fin_bid + $secondes_en_plus /*+ $temps_en_plus_date_creation_seance_en_secondes*/;   //représente le délai total
//                                                //if($delai < 0){
//                                                //$delai = /*$timestamp_fin_seance - $timestamp_date_creation_seance*/ - $temps_fin_bid + $secondes_en_plus
//                                                /*+ $temps_en_plus_date_debut_seance_en_secondes + $temps_en_plus_date_fin_seance_en_secondes + 3600*//*heure GMT du serveur*//*+ $temps_en_plus_date_creation_seance_en_secondes*/;
//                                                //}
//
//                                                //$delai = $timestamp_date_debut_seance - $timestamp_date_creation_seance - $temps_fin_bid + $duree_en_secondes;
//
//                                                //$delai = $timestamp_date_fin_seance - $timestamp_date_creation_seance - $temps_fin_bid;
//                                                $delai = $secondes_en_plus - $temps_fin_bid /*+ 3600*/ /*-1080*/;
//                                            }
//
//
//
//                                            //dd($timestamp_fin_seance,$timestamp_date_creation_seance,$temps_fin_bid,$resultat);
//
//                                            //dd($secondes_en_plus- $temps_fin_bid);
//
//                                            $miseaprixcaisse1 = 0;
//
//
//
//                                            //chargement de la valeur mise à prix caisse1
//                                            if($tontines[$i]->typemiseaprixcaisse1 == "valeur"){
//                                                $miseaprixcaisse1 = $tontines[$i]->miseaprixcaisse1;
//                                            }
//
//                                            if($tontines[$i]->typemiseaprixcaisse1 == "pourcentage"){
//                                                $miseaprixcaisse1 = ($tontines[$i]->coutshare * $tontines[$i]->miseaprixcaisse1) / 100;
//                                            }
//
//
//
//                                            //j'initialise ma session dans redis
//                                            $redis->HMSET('session-'. /*$tontine*/ $seance_en_cours->id ,
//
//                                                'date',$date_debut,
//                                                'inc',$miseaprixcaisse1/*$tontines[$i]->coutshare*/,
//                                                'base_amount',$tontines[$i]->coutshare,
//                                                'temps_debut_bid',$temps_debut_bid,
//                                                'temps_fin_bid',$temps_fin_bid,
//                                                'delai',$delai
//                                            );
//
//
//                                            //partie où je dois introduire l'appel de l'url = http://localhost:3000/tontine/seance_id/debut/time_debut_bid
//                                            //cette url va permettre de lancer le temps pour décompter le temps de début du bid
//                                            $url='http://dev.sdkgames.com:3000/tontine/' . $seance_en_cours->id . '/debut/' . $temps_debut_bid;
//
//                                            $ch = curl_init($url);
//                                            curl_exec ($ch);
//
//
//
//                                        }
//                                        /*else{  //dans ce cas il y a déjà d'autres séances
//
//                                        }*/
//
//
//                                    }
//                                    else{
//                                        //ici je veux mettre à jour le délai en supposant que le serveur node s'est relancé
//
//                                        //je teste si c'est la séance numero 1 de la tontine
//                                        $test_seance = \DB::table('seances')
//                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                            //->where('numero_seance','=',1)
//                                            ->where('archived','=',0)
//                                            ->first();
//
//                                        $test_seance_archived = \DB::table('seances')
//                                            ->where('tontine_id','=',$tontines[$i]->id)
//                                            //->where('numero_seance','=',1)
//                                            ->where('archived','=',1)
//                                            ->first();
//
//
//                                        if(!empty($test_seance)){ //ça veut dire que c'est la première séance de cette tontine
//
//                                            //je convertis le temps de début du bid en secondes
//
//                                            $temps_debut_bid = 0;
//                                            $temps_fin_bid = 0;
//
//                                            if($tontines[$i]->type_time_debut_bid == "secondes"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "minutes"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 60;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "heures"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 3600;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "jours"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 86400;
//                                            }
//
//                                            if($tontines[$i]->type_time_debut_bid == "mois"){
//                                                $temps_debut_bid = $tontines[$i]->time_debut_bid * 2592000;
//                                            }
//
//
//                                            //je convertis le temps de fin du bid avant la fin de la séance en sesondes
//                                            if($tontines[$i]->type_time_fin_bid == "secondes"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "minutes"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 60;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "heures"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 3600;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "jours"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 86400;
//                                            }
//
//                                            if($tontines[$i]->type_time_fin_bid == "mois"){
//                                                $temps_fin_bid = $tontines[$i]->time_fin_bid * 2592000;
//                                            }
//
//
//                                            //maintenant je veux avoir le délai d'exécution du bid
//                                            $date_creation_seance = new DateTime($test_seance->created_at);
//                                            $date_debut_seance = new DateTime($test_seance->date_debut);
//                                            $date_fin_seance = new DateTime($test_seance->date_fin);
//
//                                            $heure_fin_seance = new DateTime($test_seance->heure_fin);
//
//                                            //ici j'ajoute l'heure fin seance à la date fin seance sous le format DateTime
//                                            $date_fin_seance->setTime($heure_fin_seance->format('H'),$heure_fin_seance->format('i'),$heure_fin_seance->format('s'));
//
//                                            //dd($date_creation_seance,$date_fin_seance,$date_courante);
//
//                                            $date_courante = new DateTime(Carbon::now());
//
//                                            //dd($test_seance->created_at,$date_courante->format('20y-m-d H:i:s'));
//
//                                            $timestamp_date_fin_seance_archived = strtotime($test_seance_archived->date_fin);
//
//                                            $timestamp_date_creation_seance = strtotime(/*$test_seance->created_at*/$date_creation_seance->format('20y-m-d H:i:s'));
//
//                                            $timestamp_date_fin_seance = strtotime(/*$test_seance->date_fin*/$date_fin_seance->format('20y-m-d H:i:s'));
//
//                                            $timestamp_date_debut_seance = strtotime($test_seance->date_debut);
//
//                                            $timestamp_fin_seance = strtotime($test_seance->heure_fin);
//
//                                            $timestamp_date_courante = strtotime($date_courante->format('20y-m-d H:i:s'));
//
//                                            //ici j'ajoute les secondes en plus
//                                            $interval = $date_fin_seance->diff($date_courante);
//
//                                            $secondes_en_plus = $interval->m * 2592000; //mois
//                                            $secondes_en_plus = $secondes_en_plus + $interval->d * 86400; //jour
//                                            $secondes_en_plus = $secondes_en_plus + $interval->h * 3600;    //heure
//                                            $secondes_en_plus = $secondes_en_plus + $interval->i * 60;      //minutes
//                                            $secondes_en_plus = $secondes_en_plus + $interval->s;       //seconde
//
//                                            //$secondes_en_plus = $timestamp_date_fin_seance - $timestamp_date_creation_seance;
//
//                                            //$secondes_en_plus =  $timestamp_date_debut_seance - $timestamp_date_fin_seance;
//
//                                            //$delai = $timestamp_date_creation_seance - $timestamp_fin_seance - $temps_fin_bid + $secondes_en_plus;   //représente le délai total
//
//                                            $heure_date_debut_seance_en_secondes = $date_debut_seance->format('H') * 3600;
//                                            $minute_date_debut_seance_en_secondes = $date_debut_seance->format('i') * 60;
//                                            $seconde_date_debut_seance = $date_debut_seance->format('s');
//                                            $temps_en_plus_date_debut_seance_en_secondes = $heure_date_debut_seance_en_secondes + $minute_date_debut_seance_en_secondes + $seconde_date_debut_seance;
//
//                                            $heure_date_fin_seance_en_secondes = $date_fin_seance->format('H') * 3600;
//                                            $minute_date_fin_seance_en_secondes = $date_fin_seance->format('i') * 60;
//                                            $seconde_date_fin_seance = $date_fin_seance->format('s');
//                                            $temps_en_plus_date_fin_seance_en_secondes = $heure_date_fin_seance_en_secondes + $minute_date_fin_seance_en_secondes + $seconde_date_fin_seance;
//
//                                            //ici je calcule le temps déjà écoulé
//                                            $delta_temps = $timestamp_date_courante - $timestamp_date_creation_seance;
//
//                                            //dd($delta_temps);
//
//                                            $delta_temps_debut_bid = $temps_debut_bid - $delta_temps;
//                                            if($delta_temps_debut_bid < 0){
//                                                //alors le temps début bid est déjà fini
//                                                $temps_debut_bid = 0;
//                                            }
//                                            else{
//                                                $temps_debut_bid = $delta_temps_debut_bid;
//                                            }
//
//
//                                            if($test_seance->numero_seance == 1){
//                                                //$delai = $timestamp_date_fin_seance - $timestamp_date_courante - $temps_fin_bid/*$timestamp_date_creation_seance - $temps_fin_bid - $delta_temps*/;
//                                                /*if($delai < 0){
//                                                    $delai = $timestamp_date_creation_seance - $timestamp_fin_seance - $temps_fin_bid - $delta_temps;
//                                                }*/
//                                                $delai = $secondes_en_plus - $temps_fin_bid /*+ 3600*/ /*-1080*/;
//                                            }
//
//                                            if($test_seance->numero_seance != 1){
//                                                //$delai = $secondes_en_plus - $temps_fin_bid;
//                                                //$delai = $timestamp_date_creation_seance - $timestamp_fin_seance - $temps_fin_bid + $secondes_en_plus /*+ $temps_en_plus_date_creation_seance_en_secondes*/;   //représente le délai total
//                                                //if($delai < 0){
//                                                //$delai = /*$timestamp_fin_seance - $timestamp_date_creation_seance*/ - $temps_fin_bid + $secondes_en_plus
//                                                /*+ $temps_en_plus_date_debut_seance_en_secondes + $temps_en_plus_date_fin_seance_en_secondes + 3600*//*heure GMT du serveur*//*+ $temps_en_plus_date_creation_seance_en_secondes*/;
//                                                //}
//
//                                                //$delai = $timestamp_date_fin_seance - $timestamp_date_courante - $temps_fin_bid/*$timestamp_date_debut_seance - $timestamp_date_creation_seance - $temps_fin_bid + $duree_en_secondes - $delta_temps*/;
//
//                                                $delai = $secondes_en_plus - $temps_fin_bid /*+ 3600*/ /*-1080*/;
//                                            }
//
//
//
//
//                                            //dd($timestamp_fin_seance,$timestamp_date_creation_seance,$temps_fin_bid,$resultat);
//
//                                            //dd($secondes_en_plus- $temps_fin_bid);
//
//                                            $miseaprixcaisse1 = 0;
//
//
//                                            //chargement de la mise à prix caisse1
//                                            if($tontines[$i]->typemiseaprixcaisse1 == "valeur"){
//                                                $miseaprixcaisse1 = $tontines[$i]->miseaprixcaisse1;
//                                            }
//
//                                            if($tontines[$i]->typemiseaprixcaisse1 == "pourcentage"){
//                                                $miseaprixcaisse1 = ($tontines[$i]->coutshare * $tontines[$i]->miseaprixcaisse1) / 100;
//                                            }
//
//                                            //je supprime l'ancien
//                                            $redis->DEL('session-'.$seance_en_cours->id);
//
//                                            //j'initialise ma session dans redis
//                                            $redis->HMSET('session-'. /*$tontine*/ $seance_en_cours->id ,
//
//                                                'date',$date_debut,
//                                                'inc',$miseaprixcaisse1/*$tontines[$i]->coutshare*/,
//                                                'base_amount',$tontines[$i]->coutshare,
//                                                'temps_debut_bid',$temps_debut_bid,
//                                                'temps_fin_bid',$temps_fin_bid,
//                                                'delai',$delai
//                                            );
//
//
//
//                                            //partie où je dois introduire l'appel de l'url = http://localhost:3000/tontine/seance_id/debut/time_debut_bid
//                                            //cette url va permettre de lancer le temps pour décompter le temps de début du bid
//                                            $url='http://localhost:3000/tontine/' . $seance_en_cours->id . '/debut/' . $temps_debut_bid;
//
//                                            $ch = curl_init($url);
//                                            curl_exec ($ch);
//
//
//
//                                        }
//                                        /*else{ //dans ce cas il y a déjà d'autres séances
//
//                                        }*/
//
//
//
//
//
//                                        // $redis->SET('session-'.$tontine /*$tontines[$i]->id . $seance_en_cours->id*/,
//                                        //          json_encode(array
//                                        //              (
//                                        //                  'date' => $date_debut/*$seance_en_cours->date_debut*/,
//                                        //                  'inc' => $tontines[$i]->coutshare,
//                                        //                  'base_amount' => $tontines[$i]->coutshare,
//                                        //                   'delai' => $duree_en_secondes
//                                        //               )
//                                        //   )
//                                        //);
//
//
//
//
//                                    }
//
//
//
//                                    //je vérifie tout de même si le montant courant n'existe pas encore pour cette session de seance
//                                    $value_current_amount = $redis->exists('current-amount-'./*$tontine*/$seance_en_cours->id);
//
//
//                                    if($value_current_amount == 0){
//                                        //alors on mets ça dans le serveur redis
//                                        $redis->SET('current-amount-'./*$tontine*/$seance_en_cours->id,$miseaprixcaisse1);
//                                    }
//
//
//                                    //je vérifie tout de même si le montant suivant n'existe pas encore pour cette session de seance
//                                    $value_next_amount = $redis->exists('next-amount-'./*$tontine*/$seance_en_cours->id);
//
//                                    if($value_next_amount == 0){
//                                        $somme = $miseaprixcaisse1 + $miseaprixcaisse1/*$tontines[$i]->coutshare + $tontines[$i]->coutshare*/;
//                                        //alors on mets ça dans le serveur redis
//                                        $redis->SET('next-amount-'./*$tontine*/$seance_en_cours->id,$somme);
//                                    }
//
//                                    //je vérifie tout de même si le montant d'incrémentation n'existe pas encore pour cette session de seance
//                                    $value_inc = $redis->exists('inc-'./*$tontine$*/$seance_en_cours->id);
//
//                                    if($value_inc == 0){
//                                        //alors on mets ça dans le serveur redis
//                                        $redis->SET('inc-'./*$tontine*/$seance_en_cours->id,$miseaprixcaisse1/*$tontines[$i]->coutshare*/);
//                                    }
//
//
//
//
//                                    /************************** START PARTIE ENREGISTREMENT DES MEMBRES AYANT BIDés ET ENREGISTREMENT GAGNANT ****************************/
//
//
//
//                                    $seance_archived = \DB::table('seances')
//                                        ->where('tontine_id','=',$tontines[$i]->id)
//                                        ->where('archived','=',0)
//                                        ->orderBy('created_at','desc')
//                                        ->first();
//
//                                    if(!empty($seance_archived)){
//
//                                        $member_bid = array();
//                                        //maintenant je dois recupérer la liste des membres ayant bidé et enregistrer dans la table Bid avec pour statut = perdant
//                                        $member_bid = $redis->lrange('bids-'./*$tontine*//*$seance_en_cours->id*/$seance_archived->id,0,-1);      //ceci renvoit un tableau de json
//
//
//                                        //dd($member_bid[$i]['user_id']);
//                                        //$$member_bid[0] = json_encode($member_bid[0], JSON_UNESCAPED_UNICODE);
//                                        //dd($member_bid[0]);
//
//
//
//                                        if(sizeof($member_bid) != 0){
//                                            for($i = 0; $i < sizeof($member_bid); $i++){
//
//                                                $result = explode(":", $member_bid[$i]);
//                                                $user_id = explode(",", $result[1]);
//                                                //dd($user_id[0]);
//
//                                                $somme = explode(",", $result[2]);
//                                                $somme = str_replace('"', "", $somme);
//
//                                                //dd($somme[0]);
//
//                                                $seance_id = explode(",", $result[3]);
//                                                //dd($seance_id[0]);
//
//                                                $numero_part = explode("}", $result[4]);
//                                                //dd($numero_part[0]);
//
//
//                                                //je recherche l'id de la tontine
//                                                $tontine = \DB::table('seances')
//                                                    ->where('id','=',intval($seance_id[0]))
//                                                    ->first();
//
//                                                if(!empty($tontine)){
//                                                    //je dois chercher dans la table Bid si le membre est déjà enregistré avec la somme bidée
//                                                    $test = \DB::table('Bid')
//                                                        ->where('user_id','=',$user_id[0])
//                                                        ->where('seance_id','=',$seance_id[0])
//                                                        ->where('tontine_id','=',$tontine->tontine_id)
//                                                        ->where('montant_bid_user','=',intval($somme[0]))
//                                                        ->where('numero_part','=',$numero_part[0])
//                                                        ->first();
//
//                                                    if(empty($test)){   //alors il n'est pas encore enregistré
//                                                        //insertion dans la table Bid
//                                                        \DB::table('Bid')
//                                                            ->insert([
//                                                                [
//                                                                    'user_id' => $user_id[0],
//                                                                    'seance_id' => $seance_id[0],
//                                                                    'tontine_id' => $tontine->tontine_id,
//                                                                    'montant_bid_user' => intval($somme[0]),
//                                                                    'statut' => 'perdant',
//                                                                    'numero_part' => $numero_part[0],
//                                                                    'created_at' => Carbon::now(),
//                                                                    'updated_at' => Carbon::now()]
//                                                            ]);
//                                                    }
//
//                                                    //maintenant je recupère le gagnant courant que je pars update dans la table Bid avec statut = gagnant
//                                                    $member_gagnant = $redis->GET('last-bider-'./*$tontine*/$seance_en_cours->id);        //ceci renvoit un json
//
//                                                    //dd($member_gagnant);
//
//                                                    if(!empty($member_gagnant)){
//
//                                                        //$winner = json_decode($member_gagnant);
//
//                                                        $result1 = explode(":", $member_gagnant);
//                                                        $user_id1 = explode(",", $result1[1]);
//                                                        //dd($user_id[0]);
//
//                                                        $somme1 = explode(",", $result1[2]);
//                                                        $somme1 = str_replace('"', "", $somme1);
//                                                        //dd($somme[0]);
//
//                                                        $seance_id1 = explode(",", $result1[3]);
//                                                        //dd($seance_id[0]);
//
//                                                        $numero_part1 = explode("}", $result1[4]);
//                                                        //dd($numero_part[0]);
//
//                                                        //je recherche le membre gagnant courant
//                                                        $recherche = \DB::table('Bid')
//                                                            ->where('seance_id','=',$seance_id[0])
//                                                            ->where('tontine_id','=',$tontine->tontine_id)
//                                                            ->where('statut','=','gagnant')
//                                                            ->first();
//
//                                                        if(!empty($recherche)){
//                                                            //alors j'update à statut = "perdant"
//                                                            \DB::table('Bid')
//                                                                ->where('id','=',$recherche->id)
//                                                                ->update([
//                                                                    'statut' => 'perdant',
//                                                                    'updated_at' => Carbon::now()
//                                                                ]);
//                                                        }
//
//                                                        //ici j'update le gagnant courant
//                                                        \DB::table('Bid')
//                                                            ->where('user_id','=',$user_id1[0])
//                                                            ->where('seance_id','=',$seance_id1[0])
//                                                            ->where('tontine_id','=',$tontine->tontine_id)
//                                                            ->where('montant_bid_user','=',intval($somme1[0]))
//                                                            ->where('numero_part','=',$numero_part1[0])
//                                                            ->update([
//                                                                'statut' => 'gagnant',
//                                                                'updated_at' => Carbon::now()
//                                                            ]);
//
//
//                                                        //je récupère le gagnant courant pour l'insérer comme bénéficiaire dans la table bouffes
//                                                        $beneficiaire = \DB::table('Bid')
//                                                            ->where('statut','=','gagnant')
//                                                            ->where('seance_id','=',$seance_id1[0])
//                                                            ->where('tontine_id','=',$tontine->tontine_id)
//                                                            ->first();
//
//                                                        if(!empty($beneficiaire)){
//                                                            //je me rassure s'il y a déjà un bénéficiaire enregistré dans la table bouffes
//                                                            $test_beneficiaire = \DB::table('bouffes')
//                                                                ->where('seance_id','=',$seance_id1[0])
//                                                                ->where('tontine_id','=',$tontine->tontine_id)
//                                                                ->first();
//
//                                                            $cycle_winner = \DB::table('seances')
//                                                                ->where('id','=',$seance_id1[0])
//                                                                ->first();
//
//                                                            if(!empty($cycle_winner)){
//                                                                $cycle_winner_id = $cycle_winner->cycle_id;
//                                                            }
//
//                                                            if(empty($test_beneficiaire)){ //aucun bénéficiaire
//                                                                //alors on insère
//                                                                \DB::table('bouffes')
//                                                                    ->insert([
//                                                                        [
//                                                                            'user_id' => $beneficiaire->user_id,
//                                                                            'tontine_id' => $beneficiaire->tontine_id,
//                                                                            'seance_id' => $beneficiaire->seance_id,
//                                                                            'cycle_id' => $cycle_winner_id,
//                                                                            'somme' => $beneficiaire->montant_bid_user,
//                                                                            'argent_restant_a_bouffer' => 0,
//                                                                            'numero_part' => $beneficiaire->numero_part,
//                                                                            'numero_lot' => 1,
//                                                                            'created_at' => Carbon::now(),
//                                                                            'updated_at' => Carbon::now()
//                                                                        ]
//                                                                    ]);
//                                                            }
//                                                            else{
//                                                                //alors j'update le bénéficiaire
//                                                                \DB::table('bouffes')
//                                                                    ->where('id','=',$test_beneficiaire->id)
//                                                                    ->update([
//                                                                        'user_id' => $beneficiaire->user_id,
//                                                                        'tontine_id' => $beneficiaire->tontine_id,
//                                                                        'seance_id' => $beneficiaire->seance_id,
//                                                                        'cycle_id' => $cycle_winner_id,
//                                                                        'somme' => $beneficiaire->montant_bid_user,
//                                                                        'argent_restant_a_bouffer' => 0,
//                                                                        'numero_part' => $beneficiaire->numero_part,
//                                                                        'numero_lot' => 1,
//                                                                        'updated_at' => Carbon::now()
//                                                                    ]);
//                                                            }
//
//                                                        }
//
//
//
//                                                    }
//                                                }
//
//
//
//                                            }
//                                        }
//
//                                    }
//
//
//
//
//
//                                    /******************************* END PARTIE ENREGISTREMENT DES MEMBRES AYANT BIDés ET ENREGISTREMENT GAGNANT *****************************/
//
//
//
//
//
//                                    /******************************* START PARTIE POUR EFFACER LES VARIABLES DES SEANCES ARCHIVéES DANS LE SERVEUR REDIS *****************************/
//
//
//                                    $seance_archived_redis = \DB::table('seances')
//                                        ->where('tontine_id','=',$tontines[$i]->id)
//                                        ->where('archived','=',1)
//                                        ->orderBy('created_at','desc')
//                                        ->first();
//
//                                    if(!empty($seance_archived_redis)){
//
//                                        //je contrôle si la session de la tontine est déjà présente pour cette séance
//                                        $value_session_redis = $redis->exists('session-'./*$tontine*/$seance_archived_redis->id);
//
//                                        if($value_session_redis != 0){
//                                            $redis->DEL('session-'.$seance_archived_redis->id);
//                                        }
//
//                                        //je vérifie tout de même si le montant courant n'existe pas encore pour cette session de seance
//                                        $value_current_amount_redis = $redis->exists('current-amount-'./*$tontine*/$seance_archived_redis->id);
//
//
//                                        if($value_current_amount_redis != 0){
//                                            $redis->DEL('current-amount-'./*$tontine*/$seance_archived_redis->id);
//                                        }
//
//
//                                        //je vérifie tout de même si le montant suivant n'existe pas encore pour cette session de seance
//                                        $value_next_amount_redis = $redis->exists('next-amount-'.$seance_archived_redis->id);
//
//                                        if($value_next_amount_redis != 0){
//                                            $redis->DEL('next-amount-'./*$tontine*/$seance_archived_redis->id);
//                                        }
//
//                                        //je vérifie tout de même si le montant d'incrémentation n'existe pas encore pour cette session de seance
//                                        $value_inc_redis = $redis->exists('inc-'./*$tontine*/$seance_archived_redis->id);
//
//                                        if($value_inc_redis != 0){
//                                            $redis->DEL('inc-'./*$tontine*/$seance_archived_redis->id);
//                                        }
//
//                                        //liste des users ayant bidé
//                                        $value_bids_redis = $redis->exists('bids-'./*$tontine*/$seance_archived_redis->id);
//
//                                        if($value_bids_redis != 0){
//                                            $redis->DEL('bids-'.$seance_archived_redis->id);
//                                        }
//
//                                        //last bider
//                                        $value_last_bider_redis = $redis->exists('last-bider-'./*$tontine*/$seance_archived_redis->id);
//
//                                        if($value_last_bider_redis != 0){
//                                            $redis->DEL('last-bider-'.$seance_archived_redis->id);
//                                        }
//
//                                        //membres connectés
//                                        $value_member_redis = $redis->exists('connect-member-'./*$tontine*/$seance_archived_redis->id);
//
//                                        if($value_member_redis != 0){
//                                            $redis->DEL('connect-member-'.$seance_archived_redis->id);
//                                        }
//
//                                    }
//
//
//                                    /******************************* END PARTIE POUR EFFACER LES VARIABLES DES SEANCES ARCHIVéES DANS LE SERVEUR REDIS *****************************/
//
//
//                                }
//
//
//                            }
//                        }
//
//
//                    }
//
//
//
//
//
//                    // }
//                }
//            }
//        }
//
//
//        $compteur_bouffe_cronjob = \DB::table('tontines')
//            ->where('statut_bouffe_cronjob','=',1)
//            ->where('statutgeneral','=','tout_rempli')
//            ->count();
//
//        //je teste si le compteur_tontine = compteur_bouffe_cronjob
//        if($compteur_tontine == $compteur_bouffe_cronjob){
//            //dans ce cas je remets tout les champs statut_bouffe_cronjob de ces tontines à 0
//            $bouffe_tontines = \DB::table('tontines')
//                ->where('statut_bouffe_cronjob','=',1)
//                ->where('statutgeneral','=','tout_rempli')
//                ->get();
//
//            if(!empty($bouffe_tontines)){
//                foreach($bouffe_tontines as $t){
//                    \DB::table('tontines')
//                        ->where('id','=',$t->id)
//                        ->update([
//                            'statut_bouffe_cronjob' => 0
//                        ]);
//                }
//
//            }
//        }
//
//
//
//        $this->info('Save Member Successfully!');
//
//
//        /****************************************    END Partie pour bouffer automatiquement (BouffeCron:bouffecron)   ************************************************************/






        /****************************************   START Partie pour contrôler la date d'expiration des codes envoyés par mail ***************************************************/

        //1- partie invitations
        $all_invitations = \DB::table('invitations')
            ->where('statutcode','=','unused')
            ->where('statutvalidite','=','valid')
            ->get();

        $date_courante = strtotime(Carbon::now());

        if(!empty($all_invitations)){
            foreach ($all_invitations as $i){
                $date_update = strtotime($i->updated_at) + 86400; //(24h convertit en secondes)

                $difference = $date_update - $date_courante;

                if($difference <= 0){
                    //alors le code a expiré et on update le champ à statutvalidite = invalid

                    \DB::table('invitations')
                        ->where('id','=',$i->id)
                        ->update([
                            'statutvalidite' => 'invalid',
                            'updated_at' => Carbon::now()
                        ]);
                }

            }
        }


        //2 - partie reset password
        $all_password_resets = \DB::table('passwordresets')
            ->where('confirmation_code','=',0)
            ->where('statutvalidite','=','valid')
            ->get();

        if(!empty($all_password_resets)){
            foreach ($all_password_resets as $p){
                $date_update = strtotime($p->updated_at) + 86400; //(24h convertit en secondes)

                $difference = $date_update - $date_courante;

                if($difference <= 0){
                    //alors le code a expiré et on update le champ à statutvalidite = invalid

                    \DB::table('passwordresets')
                        ->where('id','=',$p->id)
                        ->update([
                            'statutvalidite' => 'invalid',
                            'updated_at' => Carbon::now()
                        ]);
                }
            }
        }

        /****************************************   END Partie pour contrôler la date d'expiration des codes envoyés par mail ***************************************************/





    }





    /******************************** START fonctions réutilisables Christopher **********************************************************************/
    //permet de savoir si tous les membres ont défà bouffé pour clôturer un cycle d'une tontine
    public function statutCycle($tontine_id, $cycle_id, $nombre_lot){
        //je compte tous les membres qui ont bouffé dans la table bouffes
        $nombre_membres_bouffes = \DB::table('bouffes')
            ->where('tontine_id', '=', $tontine_id)
            ->where('cycle_id','=',$cycle_id)
            ->count();

        //je compte tous les membres de la tontine
        $membre_tontines = \DB::table('membrestontines')
            ->where('tontine_id', '=', $tontine_id)
            ->count();

        $membre_tontines = $membre_tontines * $nombre_lot;

        if($nombre_membres_bouffes == 0){ 		//pour dire aucun membre n'a bouffé
            return false;
        }

        if($membre_tontines == $nombre_membres_bouffes){
            return true;	//pour dire que tous les membres ont bouffés
        }
        /*else{
            return false;
        }*/

    }

    //fonction pour convertir le temps courant en secondes
    public function ConvertCurrentTimeInSecond(){
        //Partie pour gérer le temps
        $carbon = Carbon::now()->format('H:i:s');
        /*$carbon_heure = $carbon->hour;
        $carbon_minute = $carbon->minute;
        $carbon_seconde = $carbon->second;*/

        //$carbon_converti_en_secondes = $carbon->second + ($carbon->minute * 60) + ($carbon->hour * 3600);

        return Carbon::now()->second + (Carbon::now()->minute * 60) + (Carbon::now()->hour * 3600);
    }

    //fonction pour convertir le temps en secondes
    public function ConvertTimeInSecond($time){
        //Partie pour gérer le temps

        $time_debut =  \Carbon\Carbon::parse($time);
        $time_debut_heure = $time_debut->hour;
        $time_debut_minute = $time_debut->minute;
        $time_debut_seconde = $time_debut->second;

        $time_debut_converti_en_secondes = $time_debut_seconde + ($time_debut_minute * 60) + ($time_debut_heure * 3600);

        return $time_debut_converti_en_secondes;
    }


    //permet à un utilisateur de charger son portemonnaie
    public function chargerPorteMonnaieSpecial($user_id,$montant,$device_id){

        //on cherche d'abord si la device_id du user existe déjà ds la table portemonnaies
        $recherche = \DB::table('portemonnaies')
            ->where('user_id','=',$user_id)
            ->where('device_id','=',$device_id)
            ->first();

        if(empty($recherche)){
            //on enregistre l'argent ds le portemonnaie du user
            \DB::table('portemonnaies')
                ->insert([
                    [
                        'user_id' => $user_id,
                        'device_id' => $device_id,
                        'solde_device' => $montant,
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]
                ]);
        }
        else{
            $solde = $recherche->solde_device + $montant;
            //on fait un update du solde du user
            \DB::table('portemonnaies')
                ->where('user_id','=',$user_id)
                ->where('device_id','=',$device_id)
                ->update([
                    'solde_device' => $solde,
                    'updated_at' => Carbon::now()
                ]);
        }

        /*
            $portemonnaies = \DB::table('portemonnaies')
                ->join('devices','devices.id','=','portemonnaies.device_id')
                ->where('user_id','=',$user_id)
                ->where('device_id','=',$device_id)
                ->select('portemonnaies.id','portemonnaies.user_id','portemonnaies.solde_device','portemonnaies.device_id','devices.name')
                ->get();

            $liste = array();

            if(!empty($portemonnaies)){
                foreach ( $portemonnaies  as $portemonnaie ){

                    $id = $portemonnaie->id;
                    $user_id = $portemonnaie->user_id;
                    $solde_device = $portemonnaie->solde_device;
                    $device_id = $portemonnaie->device_id;
                    $device_name = $portemonnaie->name;

                    $tmp ["id"] = $id;
                    $tmp ["user_id"] = $user_id;
                    $tmp ["solde_device"] = $solde_device;
                    $tmp ["device_id"] = $device_id;
                    $tmp ["device_name"] = $device_name;

                    array_push($liste,$tmp ) ;
                }
            }

        */

        //return response()->json(['message' => 'success'/*, 'confirm_payment' => true, 'portemonnaie' => $liste*/]);
    }


//permet de remplir la table transaction_portemonnaie
    public function remplir_transaction_portemonnaie($user_id, $device_id, $somme, $status, $motif, $method_payment){

        if($user_id != NULL AND $device_id != NULL AND $somme != 0 AND $status != NULL){
            \DB::table('transaction_portemonnaie')
                ->insert([
                    [
                        'user_id' => $user_id,
                        'device_id' => $device_id,
                        'somme' => $somme,
                        'status' => $status,
                        'motif' => $motif,
                        'method_payment' => $method_payment,
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]
                ]);

        }
    }


    //permet d'enregistrer les traces de pénalités et des contributions
    public function trace_penalites_et_contributions($user_id,$tontine_id,$seance_id,$penalite_a_payer1,$montant_restant_a_contribuer1,$type_penalite,$statut_penalite,$statut_montant_restant_a_contribuer,
                                                     $numero_part,$penalite_a_payer2,$montant_restant_a_contribuer2){

        \DB::table('trace_penalites_et_contributions')
            ->insert([
                [
                    'user_id' => $user_id,
                    'tontine_id' => $tontine_id,
                    'seance_id' => $seance_id,
                    'penalite_a_payer' => $penalite_a_payer1,
                    'montant_restant_a_contribuer' => $montant_restant_a_contribuer1,
                    'type_penalite' => $type_penalite,
                    'statut_penalite' => $statut_penalite,
                    'statut_montant_restant_a_contribuer' => $statut_montant_restant_a_contribuer,
                    'numero_part' => $numero_part,
                    'argent_penalite_payer' => $penalite_a_payer2,
                    'argent_contribution_payer' => $montant_restant_a_contribuer2,
                    'created_at' => Carbon::now(),
                    'updated_at' => Carbon::now()
                ]
            ]);
    }



    //permet de remplir la table Notifications
    public function remplir_notifications($titre,$description,$user_id,$numero_part,$tontine_id,$seance_id,$numero_seance,$cycle_id,$numero_cycle,$penalite_id){

        \DB::table('Notifications')
            ->insert([
                [
                    'titre' => $titre,
                    'description' => $description,
                    'user_id' => $user_id,
                    'numero_part' => $numero_part,
                    'tontine_id' => $tontine_id,
                    'seance_id' => $seance_id,
                    'numero_seance' => $numero_seance,
                    'cycle_id' => $cycle_id,
                    'numero_cycle' => $numero_cycle,
                    'penalite_id' => $penalite_id,
                    'created_at' => Carbon::now(),
                    'updated_at' => Carbon::now()
                ]
            ]);

    }


    /******************************** END fonctions réutilisables Christopher **********************************************************************/





}



