<?php

namespace App\Http\Controllers;

use App\Repositories\UserRepository;

use Dompdf\FrameDecorator\NullFrameDecorator;
//use Faker\Provider\cs_CZ\DateTime;
use Input;

use Response;

use Request;

use App\Models\User;

use Illuminate\Support\Facades\Auth;

//use Auth;

//use Illuminate\Http\Request;

use JWTAuth;

use Tymon\JWTAuth\Exceptions\JWTException;

use DB;

use Carbon\Carbon;

use Mail;

use GuzzleHttp\Client;

use PushNotification;

use Facebook;
use Facebook\Helpers\FacebookRedirectLoginHelper;
use Facebook\FacebookSDKException;
use Facebook\Authentication\OAuth2Client;



use Codebird\Codebird;


//use Illuminate\Http\Request;

use App\Http\Requests;


use Session;
use DateTime;


use JWTAuthException;

class AchatController extends Controller{



    //permet de remplir le portemonnaie de coins d'un user de façon manuelle pour faire des tests
    public function RemplirPortemonnaieCoin(){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $user_id = $data->user_id;
        $valeur_coin = $data->coin;

        $date_courante = Carbon::now();
        $date = new DateTime($date_courante);
        $dateValable = clone $date;
        $dateValable->modify('+2 hour');
        //$dateValable contient la date courante +1h heure de l'afrique du sud

        $new = $dateValable->format('Y-m-d H:i:s');

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true, 'valeur_coin_found' => false], 400);
        }

        if($valeur_coin == NULL){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'valeur_coin_found' => true], 400);
        }

        //insertion dans la table portemonnaie
        $recherche = \DB::table('portemonnaie')
            ->where('user_id','=',$user_id)
            ->first();

        if(empty($recherche)){
            \DB::table('portemonnaie')
                ->insert([
                    [
                        'user_id' => $user_id,
                        'solde_coin' => $valeur_coin,
                        'created_at' => /*$new*/Carbon::now(),
                        'updated_at' => /*$new*/Carbon::now()
                    ]
                ]);
        }
        else{
            $solde = \DB::table('portemonnaie')
                ->where('user_id','=',$user_id)
                ->first();

            \DB::table('portemonnaie')
                ->where('user_id','=',$user->id)
                ->update([
                    'solde_coin' => $solde->solde_coin + $valeur_coin,
                    'updated_at' => /*$new*/Carbon::now()
                ]);
        }

        //mettre à jour la table transaction_portemonnaie
        $reference_transaction = str_random(6);

        \DB::table('transaction_portemonnaie')
            ->insert([
                [
                    'user_id' => $user_id,
                    'valeur_coin' => $valeur_coin,
                    'reference_transaction' => $reference_transaction,
                    'session_id' => 0,
                    'statut' => 'entrant',
                    'motif' => 'coins chargés',
                    'created_at' => /*$new*/Carbon::now(),
                    'updated_at' => /*$new*/Carbon::now()
                ]
            ]);



        //mettre à jour transaction_caisse
        \DB::table('transaction_caisse')
            ->insert([
                [
                    'valeur_coin' => $valeur_coin,
                    'type' => 'portemonaie',
                    'statut' => 'entrant',
                    'created_at' => /*$new*/Carbon::now(),
                    'updated_at' => /*$new*/Carbon::now()
                ]
            ]);

        return response()->json(['message' => 'success']);

    }


    public function convertStringToInt($string){
        $entier = (int)$string;

        return response()->json(['entier' => $entier, 'string' => $string]);

    }



    //permet de faire un achat de lot de coins lorsque la transaction de paiement paypal a réussi
    public function achatCoin(){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $user_id = $data->user_id;
        $coin_id = $data->coin_id;

        $date_courante = Carbon::now();
        $date = new DateTime($date_courante);
        $dateValable = clone $date;
        $dateValable->modify('+2 hour');
        //$dateValable contient la date courante +1h heure de l'afrique du sud

        $new = $dateValable->format('Y-m-d H:i:s');

        //dd($coin_id);

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true, 'coin_not_found' => false], 400);
        }

        if(sizeof($coin_id) == 0){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'coin_not_found' => true], 400);
        }

        if(sizeof($coin_id) != 0){
            for( $i = 0; $i < sizeof($coin_id); $i++){
                $coin = \DB::table('coins')
                    ->where('id','=',$coin_id[$i]->id_lot)
                    ->first();

                //dd($coin_id[$i]->nbre);

                \DB::table('achat')
                    ->insert([
                        [
                            'user_id' => $user_id,
                            'coin_id' => $coin_id[$i]->id_lot,
                            'nbre' => $coin_id[$i]->nbre,
                            //'statut' => 'chargé',
                            'created_at' => $new/*Carbon::now()*/,
                            'updated_at' => $new/*Carbon::now()*/
                        ]
                    ]);

                //insertion dans la table portemonnaie
                $recherche = \DB::table('portemonnaie')
                    ->where('user_id','=',$user_id)
                    ->first();

                if(empty($recherche)){
                    \DB::table('portemonnaie')
                        ->insert([
                            [
                                'user_id' => $user_id,
                                'solde_coin' => $coin->valeur_coin * $coin_id[$i]->nbre,
                                'created_at' => $new/*Carbon::now()*/,
                                'updated_at' => $new/*Carbon::now()*/
                            ]
                        ]);
                }
                else{
//                    $solde = \DB::table('portemonnaie')
//                        ->where('user_id','=',$user_id)
//                        ->first();

                    \DB::table('portemonnaie')
                        ->where('user_id','=',$user->id)
                        ->update([
                            'solde_coin' => $recherche->solde_coin + ($coin->valeur_coin * $coin_id[$i]->nbre),
                            'updated_at' => $new/*Carbon::now()*/
                        ]);
                }


                //remplissage de la table portemonnaie_detail pour avoir le nbre de pièce en lot de coins
                //je vérifie d'abord si le lot de coins n'existe pas déjà
                $controle = \DB::table('portemonnaie_detail')
                    ->where('user_id','=',$user_id)
                    ->where('coin_id','=',$coin_id[$i]->id_lot)
                    ->where('statut','=','chargé')
                    ->first();


                if(empty($controle)){
                    \DB::table('portemonnaie_detail')
                        ->insert([
                            [
                                'user_id' => $user_id,
                                'coin_id' => $coin_id[$i]->id_lot,
                                'nbre' => $coin_id[$i]->nbre,
                                'statut' => 'chargé',
                                'created_at' => $new/*Carbon::now()*/,
                                'updated_at' => $new/*Carbon::now()*/
                            ]
                        ]);
                }
                else{
                    \DB::table('portemonnaie_detail')
                        ->where('user_id','=',$user->id)
                        ->where('coin_id','=',$coin_id[$i]->id_lot)
                        ->where('statut','=','chargé')
                        ->update([
                            'nbre' => $controle->nbre +  $coin_id[$i]->nbre,
                            'updated_at' => $new/*Carbon::now()*/
                        ]);
                }


                //mettre à jour la table transaction_portemonnaie
                $reference_transaction = str_random(6);

                \DB::table('transaction_portemonnaie')
                    ->insert([
                        [
                            'user_id' => $user_id,
                            'valeur_coin' => $coin->valeur_coin * $coin_id[$i]->nbre,
                            'reference_transaction' => $reference_transaction,
                            'mise_id' => 0,
                            'statut' => 'entrant',
                            'motif' => 'coins chargés',
                            'created_at' => $new/*Carbon::now()*/,
                            'updated_at' => $new/*Carbon::now()*/
                        ]
                    ]);



                //mettre à jour transaction_caisse
                \DB::table('transaction_caisse')
                    ->insert([
                        [
                            'valeur_coin' => $coin->valeur_coin * $coin_id[$i]->nbre,
                            'type' => 'portemonnaie',       //pour dire que c'est la caisse du portemonnaie
                            'statut' => 'entrant',
                            'created_at' => $new/*Carbon::now()*/,
                            'updated_at' => $new/*Carbon::now()*/
                        ]
                    ]);



                //$description = $coin->valeur_coin * $coin_id[$i]->nbre.' coins successfully purchased';

                //$this->SaveNotification(/*Achat*/'Purchase',$description,$user_id,0,0,'achat',$coin->id,$coin_id[$i]->nbre);


            }
        }


        //je calcule la somme des coins pour notifier le user
        $somme = 0;

        if(sizeof($coin_id) != 0){
            for( $i = 0; $i < sizeof($coin_id); $i++){
                $coin = \DB::table('coins')
                    ->where('id','=',$coin_id[$i]->id_lot)
                    ->first();

                $somme += $coin->valeur_coin * $coin_id[$i]->nbre;
            }

        }

        $description = 'You have purchased '.$somme.' Coins.  '.$new;

        $this->SaveNotification(/*Achat*/'Purchase',$description,$user_id,0,0,'achat',0,0);




//        if(empty($coin)){
//            return response()->json(['message' => 'error', 'user_not_found' => false, 'coin_not_found' => true], 400);
//        }


        return response()->json(['message' => 'success']);

    }



    //permet de save la requête d'achat de coins que le user voudrait faire
    public function achatCoinRequest(){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $user_id = $data->user_id;
        $coin_id = $data->coin_id;

        $date_courante = Carbon::now();
        $date = new DateTime($date_courante);
        $dateValable = clone $date;
        $dateValable->modify('+2 hour');
        //$dateValable contient la date courante +1h heure de l'afrique du sud

        $new = $dateValable->format('Y-m-d H:i:s');

        //dd($coin_id);

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true, 'coin_not_found' => false], 400);
        }

        if(sizeof($coin_id) == 0){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'coin_not_found' => true], 400);
        }

        //je vérifie si tous les coin_id existent bine
        for( $i=0; $i < sizeof($coin_id); $i++){
            $coin = \DB::table('coins')
                ->where('id','=',$coin_id[$i]->id_lot)
                ->first();

            if(empty($coin)){
                return response()->json(['message' => 'error', 'user_not_found' => false, 'coin_not_found' => true], 400);
            }
        }

        $created_at_converti = new DateTime($new);
        $reference_transaction_depot = 'D-'.$created_at_converti->format('Y').$created_at_converti->format('m').$created_at_converti->format('d').$user->id.str_random(2);

        if(sizeof($coin_id) != 0){
            for( $i = 0; $i < sizeof($coin_id); $i++){
                $coin = \DB::table('coins')
                    ->where('id','=',$coin_id[$i]->id_lot)
                    ->first();

                //dd($coin_id[$i]->nbre);


                //je stocke les coin_id exactes choisis par le user avec pour statut = en attente
                \DB::table('achat')
                    ->insert([
                        [
                            'reference_transaction_depot' => $reference_transaction_depot,
                            'user_id' => $user_id,
                            'coin_id' => $coin_id[$i]->id_lot,
                            'nbre' => $coin_id[$i]->nbre,
                            'statut' => 'en attente',       //statut = en attente, validé, annulé, expiré
                            'created_at' => $new/*Carbon::now()*/,
                            'updated_at' => $new/*Carbon::now()*/
                        ]
                    ]);
            }
        }


        //je calcule la somme des coins pour notifier le user
        $somme = 0;

        if(sizeof($coin_id) != 0){
            for( $i = 0; $i < sizeof($coin_id); $i++){
                $coin = \DB::table('coins')
                    ->where('id','=',$coin_id[$i]->id_lot)
                    ->first();

                $somme += $coin->valeur_coin * $coin_id[$i]->nbre;
            }

        }

        //je save les infos dans la table depot_customer
        \DB::table('depot_customer')
            ->insert([
                [
                    'reference_transaction_depot' => $reference_transaction_depot,
                    'user_id' => $user_id,
                    'amount' => $somme,
                    'statut' => 'en attente',       //statut = en attente, validé, annulé, expiré
                    'statut_image_recu' => 0,       //1 pour image présente et 0 pour image non présente
                    'created_at' => $new/*Carbon::now()*/,
                    'updated_at' => $new/*Carbon::now()*/
                ]
            ]);

        $settings = \DB::table('settings')
            ->first();

        $somme_converti = 1;

        if(!empty($settings)){
            $somme_converti = $somme * $settings->correspondance_coin_en_euro;
        }

        //je notifie le user avec sa reference_transaction_depot
        //$description = 'You sent the request to buy '.$somme.' Coins equivalent to $'.$somme_converti.' The reference number to provide the Bank is Ref: '.$reference_transaction_depot.' '.$new;

        $description = 'Your request to purchase '.$somme.' Coins worth $'.$somme_converti.' has been received. Please use Ref '.$reference_transaction_depot.' to make the payment to the following account: FNB Cheque, '.
            'Account No: 62638799497, Branch code: 204809, Account Name: Alain N. And send proof of payment by clicking on "Buy coins", then "Transactions" / "Request" / "Attach proof" '.$new;


        $this->SaveNotification(/*Achat*/'Purchase Request',$description,$user_id,0,0,'achat',0,0);

        //je notifie le user avec le push notification
        //$app_id = "2842a55d-720f-4781-bb40-e7ada183c0c0";
        //$rest_api = "NmNmNDM3ZjItOTY1MS00NmJhLTgwNTUtNTllNjU0N2I2M2Q2";


        //$device_id_init = array($user->device_id);
        //$message_init = "You sent a purchase request. Check your notifications tab";

        //$response_init = $this->sendMessage($app_id,$rest_api,$device_id_init,$message_init,'achat',0);
        //$return_init["allresponses"] = $response_init;
        //$return_init = json_encode( $return_init);


        return response()->json(['message' => 'success', 'reference_depot' => $reference_transaction_depot, 'somme_en_coins' => $somme, 'somme_en_dollars' => $somme_converti, 'date' => $new]);

    }


    //permet de get les demandes d'achat de coins d'un user en fonction du filtre = avec_image ou sans_image
    // filtre = avec_image alors dans ce cas le user ne peut que consulter la liste des demandes d'achat effectuées par lui et ne peut faire aucunes actions
    // filtre = sans_image alors dans ce cas le user consulte des demandes où il peut upload l'image du reçu de paiement et aussi peut faire des updates sur les coin_id
    public function getAchatCoinRequest($user_id,$filtre){
        $date_courante = Carbon::now();
        $date = new DateTime($date_courante);
        $dateValable = clone $date;
        $dateValable->modify('+2 hour');
        //$dateValable contient la date courante +1h heure de l'afrique du sud

        $new = $dateValable->format('Y-m-d H:i:s');

        //dd($coin_id);

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true, 'value_filter_incorrect' => false], 400);
        }

        if($filtre == 'avec_image'){
            //statut_image_recu = 1
            $resultat = \DB::table('depot_customer')
                ->where('user_id','=',$user_id)
                ->where('statut_image_recu','=',1)
                ->get();

            $liste = array();

            if(!empty($resultat)){
                foreach($resultat as $r){
                    $ref = $r->reference_transaction_depot;

                    $lot_coin = \DB::table('achat')
                        ->where('reference_transaction_depot','=',$ref)
                        ->get();

                    /*if(!empty($lot_coin)){

                        $lot_coin_id = $lot_coin->coin_id;
                        $valeur = \DB::table('coins')
                            ->where('id','=',$lot_coin_id)
                            ->first();

                        $valeur_coin = $valeur->valeur_coin;
                    }*/

                    $tmp["depot_customer"] = $r;
                    $tmp["detail_achat"] = $lot_coin;

                    array_push($liste,$tmp);

                }

                return response()->json(['message' => 'success', 'achatCoinRequest' => $liste]);

            }

            return response()->json(['message' => 'success', 'achatCoinRequest' => $resultat]);
        }
        else if($filtre == 'sans_image'){
            //statut_image_recu = 0
            $resultat = \DB::table('depot_customer')
                ->where('user_id','=',$user_id)
                ->where('statut_image_recu','=',0)
                ->get();

            $liste = array();

            if(!empty($resultat)){
                foreach($resultat as $r){
                    $ref = $r->reference_transaction_depot;

                    $lot_coin = \DB::table('achat')
                        ->where('reference_transaction_depot','=',$ref)
                        ->get();

                    /*if(!empty($lot_coin)){

                        $lot_coin_id = $lot_coin->coin_id;
                        $valeur = \DB::table('coins')
                            ->where('id','=',$lot_coin_id)
                            ->first();

                        $valeur_coin = $valeur->valeur_coin;
                    }*/

                    $tmp["depot_customer"] = $r;
                    $tmp["detail_achat"] = $lot_coin;

                    array_push($liste,$tmp);

                }

                return response()->json(['message' => 'success', 'achatCoinRequest' => $liste]);

            }

            return response()->json(['message' => 'success', 'achatCoinRequest' => $resultat]);

        }
        else{
            return response()->json(['message' => 'error', 'user_not_found' => false, 'value_filter_incorrect' => true], 400);
        }

    }



    //permet d'update les infos d'une référence de transaction de dépot où on n'a pas encore mis l'image du reçu de paiement
    public function updateAchatCoinRequest(){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $user_id = $data->user_id;
        $reference_transaction_depot = $data->reference_transaction_depot;
        $image_recu_paiement = $data->image_recu_paiement;

        $date_courante = Carbon::now();
        $date = new DateTime($date_courante);
        $dateValable = clone $date;
        $dateValable->modify('+2 hour');
        //$dateValable contient la date courante +1h heure de l'afrique du sud

        $new = $dateValable->format('Y-m-d H:i:s');

        //dd($coin_id);

        if($user_id == NULL || $reference_transaction_depot == NULL || $image_recu_paiement == NULL){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'remplir_tous_les_champs' => true, 'reference_transaction_depot_not_exist' => false], 400);
        }

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true, 'remplir_tous_les_champs' => false, 'reference_transaction_depot_not_exist' => false], 400);
        }

        $ref = \DB::table('depot_customer')
            ->where('reference_transaction_depot','=',$reference_transaction_depot)
            ->first();

        if(empty($ref)){
            return response()->json(['message' => 'error', 'user_not_found' => false, 'remplir_tous_les_champs' => false, 'reference_transaction_depot_not_exist' => true], 400);
        }

        //j'update maintenant la table depot_customer
        \DB::table('depot_customer')
            ->where('reference_transaction_depot','=',$reference_transaction_depot)
            ->update([
                'image_recu_paiement' => $image_recu_paiement,
                'statut_image_recu' => 1,
                'updated_at' => $new/*Carbon::now()*/
            ]);

        $liste = array();

        $r = \DB::table('depot_customer')
            ->where('reference_transaction_depot','=',$reference_transaction_depot)
            ->first();

        $ref = $r->reference_transaction_depot;

        $lot_coin = \DB::table('achat')
            ->where('reference_transaction_depot','=',$ref)
            ->get();

        /*if(!empty($lot_coin)){

            $lot_coin_id = $lot_coin->coin_id;
            $valeur = \DB::table('coins')
                ->where('id','=',$lot_coin_id)
                ->first();

            $valeur_coin = $valeur->valeur_coin;
        }*/

        $tmp["depot_customer"] = $r;
        $tmp["detail_achat"] = $lot_coin;

        array_push($liste,$tmp);


        return response()->json(['message' => 'success', 'achatCoinRequest' => $liste]);
    }





    //permet de remplir la table notifications
    public function SaveNotification($titre,$description,$user_id,$mise_id,$paypal_id,$type,$coin_id,$nbre_piece){  //type = mise ou transaction_paypal ou ajout_nbre_piece_coin ou achat
        $date_courante = Carbon::now();
        $date = new DateTime($date_courante);
        $dateValable = clone $date;
        $dateValable->modify('+2 hour');
        //$dateValable contient la date courante +1h heure de l'afrique du sud

        $new = $dateValable->format('Y-m-d H:i:s');


        \DB::table('notifications')
            ->insert([
                [
                    'titre' => $titre,
                    'description' => $description,
                    'lu' => 0,      //pour dire pas encore lu
                    'user_id' => $user_id,
                    'type' => $type,
                    'mise_id' => $mise_id,
                    'paypal_id' => $paypal_id,
                    'coin_id' => $coin_id,
                    'nbre_piece' => $nbre_piece,
                    'created_at' => $new/*Carbon::now()*/,
                    'updated_at' => $new/*Carbon::now()*/
                ]
            ]);
    }






    //permet de montrer le portemonnaie du user
    public function SeePortemonnaie(){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $user_id = $data->user_id;

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true], 400);
        }

        $portemonnaie = \DB::table('portemonnaie')
            ->join('users','users.id','=','portemonnaie.user_id')
            ->where('portemonnaie.user_id','=',$user_id)
            ->select('users.id','users.username','portemonnaie.solde_coin','portemonnaie.created_at')
            //->orderBy('portemonnaie.solde_coin','asc')
            ->first();

        $coins_charges = \DB::table('portemonnaie_detail')
            ->join('coins','coins.id','=','portemonnaie_detail.coin_id')
            ->where('portemonnaie_detail.user_id','=',$user_id)
            ->where('portemonnaie_detail.statut','=','chargé')
            ->select('coins.id as coin_id','coins.valeur_coin','portemonnaie_detail.nbre')
            ->orderBy('coins.valeur_coin','desc')
            ->get();

        $coins_gagnes = \DB::table('portemonnaie_detail')
            ->join('coins','coins.id','=','portemonnaie_detail.coin_id')
            ->where('portemonnaie_detail.user_id','=',$user_id)
            ->where('portemonnaie_detail.statut','=','gagné')
            ->select('coins.id as coin_id','coins.valeur_coin','portemonnaie_detail.nbre')
            ->orderBy('coins.valeur_coin','desc')
            ->get();

        $coins_chargés_depuis_le_début = \DB::table('achat')
            ->join('coins','coins.id','=','achat.coin_id')
            ->where('achat.user_id','=',$user_id)
            ->where('achat.statut','=','validé')
            ->select('coins.id as coin_id','coins.valeur_coin','achat.nbre')
            ->orderBy('coins.valeur_coin','desc')
            ->get();

        $coins_perdus_init = \DB::table('resultats')
            ->where('user_id_loser','=',$user_id)
            //->where('user_winner','<>',$user_id)
            //->where('statut_mise','=','archived')
            ->get();

        $coins_perdus_mise = \DB::table('mises')
            ->where('user_mise','=',$user_id)
            ->where('user_winner','<>',$user_id)
            ->where('statut_mise','=','archived')
            ->get();

        $coins_gagnés_mises = \DB::table('resultats')
            //->where('user_init','=',$user_id)
            ->where('user_id_winner','=',$user_id)
            //->where('statut_mise','=','archived')
            ->get();

        $coins_pending_init = \DB::table('mises')
            ->where('user_init','=',$user_id)
            ->where('statut_mise','=','en cours')
            ->where('statut_nbre_parieur','=','pas_complet')
            ->get();

        $coins_pending_mise = \DB::table('mises')
            ->where('user_mise','=',$user_id)
            ->where('statut_mise','=','pending')
            ->where('statut_nbre_parieur','=','complet')
            ->get();


        //calcul total coins chargés et total coins gagnés
        $total_coins_chargés = 0;
        $total_coins_gagnés = 0;
        $total_coins_portemonnaie = 0;

        $total_coins_chargés_depuis = 0;
        $total_coins_perdus_init = 0;
        $total_coins_perdus_mise = 0;
        $total_coins_gagnés_mises = 0;
        $total_coins_pending = 0;



        if(!empty($coins_charges)){
            foreach($coins_charges as $coin){
                $total_coins_chargés += ($coin->valeur_coin * $coin->nbre);
            }
        }

        if(!empty($coins_gagnes)){
            foreach($coins_gagnes as $coin){
                $total_coins_gagnés += ($coin->valeur_coin * $coin->nbre);
            }
        }

        if(!empty($coins_chargés_depuis_le_début)){
            foreach($coins_chargés_depuis_le_début as $coin){
                $total_coins_chargés_depuis += ($coin->valeur_coin * $coin->nbre);
            }
        }

        if(!empty($coins_perdus_init)){
            foreach($coins_perdus_init as $mise){
                $total_coins_perdus_init += ($mise->cagnotte / 2);
            }
        }

        if(!empty($coins_perdus_mise)){
            foreach($coins_perdus_mise as $mise){
                $total_coins_perdus_mise += $mise->montant_mise;
            }
        }

        if(!empty($coins_gagnés_mises)){
            foreach($coins_gagnés_mises as $mise){
                $total_coins_gagnés_mises += ($mise->cagnotte - $mise->argent_katika - ($mise->cagnotte/2));
            }
        }

        if(!empty($coins_pending_init)){
            foreach($coins_pending_init as $mise){
                $total_coins_pending += $mise->montant_mise;
            }
        }

        if(!empty($coins_pending_mise)){
            foreach($coins_pending_mise as $mise){
                $total_coins_pending += $mise->montant_mise;
            }
        }

        $total_coins_perdus = $total_coins_perdus_init /*+ $total_coins_perdus_mise*/;



        $coin_id_distinct = \DB::table('portemonnaie_detail')
            ->join('coins','coins.id','=','portemonnaie_detail.coin_id')
            ->where('portemonnaie_detail.user_id','=',$user_id)
            ->select('portemonnaie_detail.coin_id')
            ->orderBy('coins.valeur_coin','desc')
            ->distinct()
            ->get();



        //dd($coin_id_distinct);
        $liste = array();
        if(!empty($coin_id_distinct)){


            foreach($coin_id_distinct as $c){
                $somme = 0;

                $coins = \DB::table('portemonnaie_detail')
                    ->join('coins','coins.id','=','portemonnaie_detail.coin_id')
                    ->where('portemonnaie_detail.user_id','=',$user_id)
                    ->where('portemonnaie_detail.coin_id','=',$c->coin_id)
                    ->select('coins.id as coin_id','coins.valeur_coin','portemonnaie_detail.nbre')
                    ->orderBy('coins.valeur_coin','desc')
                    ->get();

                if(!empty($coins)){
                    foreach($coins as $coin){
                        $somme += $coin->nbre;
                    }
                }

                $valeur = \DB::table('coins')
                    ->where('id','=',$c->coin_id)
                    ->first();

                $tmp ["coin_id"] = $c->coin_id;
                $tmp ["valeur_coin"] = $valeur->valeur_coin;
                $tmp ["nbre"] = $somme;

                array_push($liste, $tmp);
            }
        }

        //dd($liste[0]["valeur_coin"]);
        $coins_en_plus = 0;
        if(sizeof($liste) != 0){
            $coins_en_plus = 0;
            for($i = 0; $i<sizeof($liste); $i++){
                $coins_en_plus += ($liste[$i]["valeur_coin"]/*->valeur_coin*/ * $liste[$i]["nbre"]/*->nbre*/);
            }
        }


        $resultante = 0;
        if(!empty($portemonnaie)){
            $resultante = $portemonnaie->solde_coin - $coins_en_plus;
            $total_coins_portemonnaie = $portemonnaie->solde_coin;
        }






//        $coins_charges_et_gagnes = \DB::table('portemonnaie_detail')
//            ->join('coins','coins.id','=','portemonnaie_detail.coin_id')
//            ->where('portemonnaie_detail.user_id','=',$user_id)
//            //->where('portemonnaie_detail.statut','=','gagné')
//            ->select('coins.id as coin_id','coins.valeur_coin','portemonnaie_detail.nbre')
//            ->get();

//ligne à enlever après
        \DB::table('portemonnaie')
            ->where('user_id','=',$user_id)
            ->update([
                'solde_coin' => $total_coins_chargés + $total_coins_gagnés
            ]);

        $portemonaie = \DB::table('portemonnaie')
            ->join('users','users.id','=','portemonnaie.user_id')
            ->where('portemonnaie.user_id','=',$user_id)
            ->select('users.id','users.username','portemonnaie.solde_coin','portemonnaie.created_at')
            ->first();

        if(!empty($portemonnaie)){
            $resultante = $portemonnaie->solde_coin - $coins_en_plus;
            $total_coins_portemonnaie = $portemonnaie->solde_coin;
        }

        $correspondance_coins_chargés_en_dollar = 0;
        $correspondance_coins_gagnés_en_dollar = 0;
        $correspondance_coins_portemonnaie_en_dollar = 0;
        $correspondance_coins_en_plus_en_dollar = 0;
        $correspondance_coins_chargés_depuis_en_dollar = 0;

        $settings = \DB::table('settings')
            ->first();

        if(!empty($settings)){
            $correspondance_coins_chargés_en_dollar = $total_coins_chargés * $settings->correspondance_coin_en_euro;
            $correspondance_coins_gagnés_en_dollar = $total_coins_gagnés * $settings->correspondance_coin_en_euro;
            $correspondance_coins_portemonnaie_en_dollar = $total_coins_portemonnaie * $settings->correspondance_coin_en_euro;
            $correspondance_coins_en_plus_en_dollar = $resultante * $settings->correspondance_coin_en_euro;
            $correspondance_coins_chargés_depuis_en_dollar = $total_coins_chargés_depuis * $settings->correspondance_coin_en_euro;
            $correspondance_coins_perdus_en_dollar = $total_coins_perdus * $settings->correspondance_coin_en_euro;
            $correspondance_coins_gagnés_mises = $total_coins_gagnés_mises * $settings->correspondance_coin_en_euro;
            $correspondance_coins_pending = $total_coins_pending * $settings->correspondance_coin_en_euro;
        }



        return response()->json(['message' => 'success', 'portemonnaie' => $portemonnaie, 'coins_charges' => $coins_charges, 'coins_gagnes' => $coins_gagnes,
            'coins_charges_et_gagnes' => $liste, 'coins_en_plus_ne_correspondant_a_aucun_lot_de_coin' => $resultante,
            'total_coins_chargés' => $total_coins_chargés_depuis/*$total_coins_chargés*/, 'total_coins_gagnés' => $total_coins_gagnés_mises/*$total_coins_gagnés*/,
            'total_coins_portemonnaie' => $total_coins_chargés + $total_coins_gagnés/*$total_coins_portemonnaie*/, 'correspondance_coins_chargés_en_dollar' => $correspondance_coins_chargés_depuis_en_dollar/*$correspondance_coins_chargés_en_dollar*/,
            'correspondance_coins_gagnés_en_dollar' => /*$correspondance_coins_gagnés_en_dollar*/ $correspondance_coins_gagnés_mises,
            'correspondance_coins_portemonnaie_en_dollar' => $correspondance_coins_portemonnaie_en_dollar,
            'correspondance_coins_en_plus_en_dollar' => $correspondance_coins_en_plus_en_dollar,
            'total_coins_perdus' => $total_coins_perdus,
            'correspondance_coins_perdus_en_dollar' => $correspondance_coins_perdus_en_dollar,
            'total_coins_pending' => $total_coins_pending,
            'correspondance_coins_pending_en_dollar' => $correspondance_coins_pending
        ]);
    }



    //permet de renvoyer tous les lots de coins
    public function getAllCoin(){
        $coins = \DB::table('coins')
            ->select('id','valeur_coin','correspondance','monnaie','created_at','updated_at')
            ->orderBy('valeur_coin','desc')
            ->get();

        return response()->json(['message' => 'success', 'coins' => $coins]);
    }


    //permet de renvoyer toutes les transactions du portemonnaie d'un user
    public function getAllTransactionPortemonnaie($user_id){
        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true], 400);
        }

        $transaction = \DB::table('transaction_portemonnaie')
            ->where('user_id','=',$user_id)
            ->select('reference_transaction','valeur_coin','statut','motif','created_at','updated_at')
            ->orderBy('created_at','desc')
            ->get();

        return response()->json(['message' => 'success', 'transactions_portemonnaie' => $transaction]);
    }
























    /********************************** START Fonctions réutilisables ********************************************/

    //permet d'envoyer les notifications aux device_id des users renseignés
    public function sendMessage($app_id,$rest_api,$device_id,$message,$type,$data){    //$device_id est un array, $app_id est un string et $rest_api est un string, $type=("mise" ou "transaction_paypal") et $data est une variable pour les Metadata
        $authorization = 'Authorization: Basic '.$rest_api;

        $content = array(
            "en" => /*'English Message'*/$message
        );

        $fields = array(
            'app_id' => /*"5eb5a37e-b458-11e3-ac11-000c2940e62c"*/ $app_id,
            'include_player_ids' => /*array("6392d91a-b206-4b7b-a620-cd68e32c3a76","76ece62b-bcfe-468c-8a78-839aeaa8c5fa","8e0f21fa-9a5a-4ae7-a9a6-ca1f24294b86")*/ $device_id,
            'data' => array("type" => $type,"id" => $data),   //partie Metadata pouvant être récuperée par le mobile
            'contents' => $content,
            'android_sound' => "notification"       //pour le son de notification
        );

        $fields = json_encode($fields);
        print("\nJSON sent:\n");
        print($fields);

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, "https://onesignal.com/api/v1/notifications");
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8',
            /*'Authorization: Basic NGEwMGZmMjItY2NkNy0xMWUzLTk5ZDUtMDAwYzI5NDBlNjJj'*/
            $authorization));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        curl_setopt($ch, CURLOPT_HEADER, FALSE);
        curl_setopt($ch, CURLOPT_POST, TRUE);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);

        $response = curl_exec($ch);
        curl_close($ch);

        $return["allresponses"] = $response;
        $return = json_encode( $return);

        print("\n\nJSON received:\n");
        print($return);
        print("\n");

        return response()->json(['message' => 'success']);
    }







    /********************************** END Fonctions réutilisables ********************************************/















//permet d'afficher le portemonnaie d'un user
    public function SeePorteMonnaieUser($token){
        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'user_not_found' => true], 400);
        }

        $portemonnaies = \DB::table('portemonnaies')
            ->join('devices','devices.id','=','portemonnaies.device_id')
            ->where('portemonnaies.user_id','=',$user->id)
            ->select('portemonnaies.id','portemonnaies.user_id','portemonnaies.solde_device','portemonnaies.device_id','devices.name')
            ->get();

        $liste = array();

        if(!empty($portemonnaies)){
            foreach ( $portemonnaies  as $portemonnaie ){

                $id = $portemonnaie->id;
                $user_id = $portemonnaie->user_id;
                $solde_device = $portemonnaie->solde_device;
                $device_id = $portemonnaie->device_id;
                $device_name = $portemonnaie->name;

                $tmp ["id"] = $id;
                $tmp ["user_id"] = $user_id;
                $tmp ["solde_device"] = $solde_device;
                $tmp ["device_id"] = $device_id;
                $tmp ["device_name"] = $device_name;

                array_push($liste,$tmp ) ;
            }
        }
        return response()->json(['message' => 'success', 'PorteMonnaieUser' => $liste]);

    }


//permet de récupérer la séance (cycle) courante d'une tontine
    public function SeanceCourante($tontine_id){
        //on se rassure que la tontine existe vraiment
        $recherche = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        if(empty($recherche)){
            return response()->json(['message' => 'error', 'tontine_not_found' => true]);
        }

        $seance = \DB::table('seances')
            ->where('tontine_id','=',$tontine_id)
            //->whereDate('date_debut','<=',Carbon::now())
            //->whereDate('date_fin','>=',Carbon::now())
            ->where('archived','=',0)
            ->first();

        return response()->json(['message' => 'success', 'seance' => $seance]);
    }


//permet à un utilisateur de charger son portemonnaie
    public function chargerPorteMonnaie($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $montant = $data->montant;
        $device_name = $data->device_name;
        //$device = $data->device_id;
        $type_payment_id = $data->type_payment_id;    //ici le type_payment = MTN MOBILE MONEY, ORANGE MONEY et PAYPAL
        $numero = $data->numero;

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        $device = \DB::table('devices')
            ->where('name','=',$device_name)
            ->first();

        $type_payment = \DB::table('typepaiements')
            ->where('id','=',$type_payment_id)
            ->first();

        if(!empty($device)){
            $device_id = $device->id;
        }
        else{
            return response()->json(['message' => 'error', 'device_not_exist' => true, 'type_payment_not_exist' => false,'no_match_type_payment_to_device' => false,
                'user_not_found' => true, 'parameter_not_found' => false, 'confirm_payment' => false], 400);
        }

        if(empty($type_payment)){
            return response()->json(['message' => 'error', 'device_not_exist' => false, 'type_payment_not_exist' => true,'no_match_type_payment_to_device' => false,
                'user_not_found' => true, 'parameter_not_found' => false, 'confirm_payment' => false], 400);
        }

        if(empty($user)){
            return response()->json(['message' => 'error', 'device_not_exist' => false, 'type_payment_not_exist' => false,'no_match_type_payment_to_device' => false,
                'user_not_found' => true, 'parameter_not_found' => false, 'confirm_payment' => false], 400);
        }

        if($montant == NULL || $device_id == NULL || $type_payment_id == NULL || $numero == NULL){
            return response()->json(['message' => 'error', 'device_not_exist' => false, 'type_payment_not_exist' => false, 'no_match_type_payment_to_device' => true,
                'user_not_found' => false, 'parameter_not_found' => true, 'confirm_payment' => false], 400);
        }

        /***************       Partie de paiement en fonction du type           ***************/

        if($type_payment->name == "MTN MOBILE MONEY" AND $device_id == 1 /*pour FCFA*/){




            /*********************       Partie à remettre                       *********************************/
            /*
            $response = $this->MTNMobileMoney($token,$montant,$numero);
            $message = $response['message'];

            $user_not_found = $response['user_not_found'];

            if($message == "error" AND $user_not_found == true){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true, 'parameter_not_found' => false, 'confirm_payment' => false], 400);
            }

            if($message == "error" AND $user_not_found == false){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => true, 'user_not_found' => false, 'parameter_not_found' => false, 'confirm_payment' => false], 400);
            }

            */

            /********************              End Partie à remettre                *****************************/

            //if($message == "success" AND $user_not_found == false ){      //cas où le paiement a réussi           //---ligne à remettre pour le paiement
            //on cherche d'abord si la device_id du user existe déjà ds la table portemonnaies
            $recherche = \DB::table('portemonnaies')
                ->where('user_id','=',$user->id)
                ->where('device_id','=',$device_id)
                ->first();

            $tontine_name = NULL;

            if(empty($recherche)){
                //on enregistre l'argent ds le portemonnaie du user
                \DB::table('portemonnaies')
                    ->insert([
                        [
                            'user_id' => $user->id,
                            'device_id' => $device_id,
                            'solde_device' => $montant,
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]
                    ]);

                $this->remplir_transaction_portemonnaie($user->id,$tontine_name,$device_id,$montant,"entrant","argent chargé",$type_payment->name);
            }
            else{
                $solde = $recherche->solde_device + $montant;
                //on fait un update du solde du user
                \DB::table('portemonnaies')
                    ->where('user_id','=',$user->id)
                    ->where('device_id','=',$device_id)
                    ->update([
                        'solde_device' => $solde,
                        'updated_at' => Carbon::now()
                    ]);

                $this->remplir_transaction_portemonnaie($user->id,$tontine_name,$device_id,$montant,"entrant","argent chargé",$type_payment->name);
            }

            $portemonnaies = \DB::table('portemonnaies')
                ->join('devices','devices.id','=','portemonnaies.device_id')
                ->where('user_id','=',$user->id)
                ->where('device_id','=',$device_id)
                ->select('portemonnaies.id','portemonnaies.user_id','portemonnaies.solde_device','portemonnaies.device_id','devices.name')
                ->get();

            $liste = array();

            if(!empty($portemonnaies)){
                foreach ( $portemonnaies  as $portemonnaie ){

                    $id = $portemonnaie->id;
                    $user_id = $portemonnaie->user_id;
                    $solde_device = $portemonnaie->solde_device;
                    $device_id = $portemonnaie->device_id;
                    $device_name = $portemonnaie->name;

                    $tmp ["id"] = $id;
                    $tmp ["user_id"] = $user_id;
                    $tmp ["solde_device"] = $solde_device;
                    $tmp ["device_id"] = $device_id;
                    $tmp ["device_name"] = $device_name;

                    array_push($liste,$tmp ) ;
                }
            }


            return response()->json(['message' => 'success', 'confirm_payment' => true, 'portemonnaie' => $liste]);
            //}         //--ligne à remettre pour le paiement
        }

        if($type_payment->name == "ORANGE MONEY" AND $device_id == 1 /*pour FCFA*/){
            //à traiter le moment venu
        }

        if($type_payment->name == "PAYPAL"){
            //à traiter le moment venu
        }


        /**************                 End Partie de paiement en fonction du type              **************/


        return response()->json(['message' => 'error', 'device_not_exist' => false, 'type_payment_not_exist' => false, 'no_match_type_payment_to_device' => true,
            'user_not_found' => false, 'parameter_not_found' => false, 'confirm_payment' => false], 400);

    }

    //permet à un membre de charger son portemonnaie après conversion de la device en une autre device
    public function chargerPortemonnaieAfterConvertDevice($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $device_depart = $data->device_depart;
        $device_arrivee = $data->device_arrivee;
        $montant_device_depart = $data->montant_device_depart;
        $montant_device_arrivee = $data->montant_device_arrivee;
        $type_payment_id = $data->type_payment_id;    //ici le type_payment = MTN MOBILE MONEY, ORANGE MONEY et PAYPAL
        $numero = $data->numero;
        $sens_transaction = $data->sens_transaction;    //ici ça doit être entrant


        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error','user_not_found' => true,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'type_payment_not_exist' => false, 'no_match_type_payment_to_device' => false], 400);
        }

        $user_id = $user->id;

        if($device_depart == NULL || $device_arrivee == NULL || $montant_device_depart == NULL || $montant_device_arrivee == NULL
            || $type_payment_id == NULL || $sens_transaction == NULL || $numero == NULL){

            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'type_payment_not_exist' => false, 'no_match_type_payment_to_device' => false], 400);
        }

        //je pars voir si les devices existent bien en BD
        $device_arrivee1 = \DB::table('devices')
            ->where('name','=',$device_arrivee)
            ->first();

        $device_depart1 = \DB::table('devices')
            ->where('name','=',$device_depart)
            ->first();

        if(empty($device_arrivee1) /*|| empty($device_depart1)*/){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => true,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'type_payment_not_exist' => false, 'no_match_type_payment_to_device' => false], 400);
        }

        if(/*empty($device_arrivee1) ||*/ empty($device_depart1)){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => true, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'type_payment_not_exist' => false, 'no_match_type_payment_to_device' => false], 400);
        }

        //ici je veux avoir le type de paiement (MTN, ORANGE ou PAYPAL)
        $type_payment = \DB::table('typepaiements')
            ->where('id','=',$type_payment_id)
            ->first();

        if(empty($type_payment)){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'type_payment_not_exist' => true, 'no_match_type_payment_to_device' => false], 400);
        }


        /***********************************                Partie des paiements                ***************************************/


        if($type_payment->name == "MTN MOBILE MONEY" AND $device_depart1->id == 1 /*pour FCFA*/){




            /*********************       Partie à remettre                       *********************************/

            /*

            $response = $this->MTNMobileMoney($token,$montant_device_depart,$numero);

            $message = $response['message'];

            $user_not_found = $response['user_not_found'];

            if($message == "error" AND $user_not_found == true){
                return response()->json(['message' => 'error','user_not_found' => true,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                         'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'type_payment_not_exist' => true, 'no_match_type_payment_to_device' => false], 400);
            }

            if($message == "error" AND $user_not_found == false){
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                         'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'type_payment_not_exist' => true, 'no_match_type_payment_to_device' => true], 400);
            }

            */


            /********************              End Partie à remettre                *****************************/

            //if($message == "success" AND $user_not_found == false ){      //cas où le paiement a réussi       //----ligne à remettre pour le paiement

            //puis on charge le portemonnaie du user avec son nouveau device

            $tontine_name = NULL;

            $this->chargerPorteMonnaieSpecial($user_id,$montant_device_arrivee,$device_arrivee1->id);     //ici on charge le portemonnaie du user

            $this->remplir_transaction_portemonnaie($user_id,$tontine_name,$device_arrivee1->id,$montant_device_arrivee,"entrant","argent chargé",$type_payment->name);

            //}             //----ligne à remettre pour le paiement

            $portemonnaies = \DB::table('portemonnaies')
                ->join('devices','devices.id','=','portemonnaies.device_id')
                ->where('user_id','=',$user->id)
                ->where('device_id','=',$device_arrivee1->id)
                ->select('portemonnaies.id','portemonnaies.user_id','portemonnaies.solde_device','portemonnaies.device_id','devices.name')
                ->get();

            $liste = array();

            if(!empty($portemonnaies)){
                foreach ( $portemonnaies  as $portemonnaie ){

                    $id = $portemonnaie->id;
                    $user_id = $portemonnaie->user_id;
                    $solde_device = $portemonnaie->solde_device;
                    $device_id = $portemonnaie->device_id;
                    $device_name = $portemonnaie->name;

                    $tmp ["id"] = $id;
                    $tmp ["user_id"] = $user_id;
                    $tmp ["solde_device"] = $solde_device;
                    $tmp ["device_id"] = $device_id;
                    $tmp ["device_name"] = $device_name;

                    array_push($liste,$tmp ) ;
                }
            }


            return response()->json(['message' => 'success', 'confirm_payment' => true, 'portemonnaie' => $liste]);

        }



        if($type_payment->name == "ORANGE MONEY" AND $device_depart1->id == 1 /*pour FCFA*/){
            //à traiter le moment venu
        }


        if($type_payment->name == "PAYPAL"){
            //à traiter le moment venu
        }

        /***********************************                End Partie des paiements            *****************************************/


        return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
            'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'type_payment_not_exist' => false, 'no_match_type_payment_to_device' => false], 400);


    }


    //permet d'enregistrer la conversion de la device (monnaie) d'un user et mettre à jour son portemonnaie
    public function convertDevice($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $device_depart = $data->device_depart;
        $device_arrivee = $data->device_arrivee;
        $montant_device_depart = $data->montant_device_depart;
        $montant_device_arrivee = $data->montant_device_arrivee;
        $conversion_rate = $data->conversion_rate;
        $sens_transaction = $data->sens_transaction;    //entrant pour dire que le user convertit juste son argent et va s'il le veut charger son portemonnaie avec cette conversion
        //sortant pour dire que l'argent va être enlevé de son portemonnaie puis convertit et remit à nouveau selon la device_arrivee
        //$numero = $data->numero;            //ici numero est rempli lorsque le sens_transaction = "entrant" et est null pour sortant

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error','user_not_found' => true,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false, 'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false/*, 'no_match_type_payment_to_device' => true, , 'confirm_payment' => false*/], 400);
        }

        $user_id = $user->id;

        if($device_depart == NULL || $device_arrivee == NULL || $montant_device_depart == NULL || $montant_device_arrivee == NULL
            || $conversion_rate == NULL || $sens_transaction == NULL){

            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false, 'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false/*, 'no_match_type_payment_to_device' => true, , 'confirm_payment' => false*/], 400);
        }

        //je pars voir si les devices existent bien en BD
        $device_arrivee1 = \DB::table('devices')
            ->where('name','=',$device_arrivee)
            ->first();

        $device_depart1 = \DB::table('devices')
            ->where('name','=',$device_depart)
            ->first();

        if(empty($device_arrivee1) /*|| empty($device_depart1)*/){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => true, 'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false/*, 'no_match_type_payment_to_device' => true, , 'confirm_payment' => false*/], 400);
        }

        if(/*empty($device_arrivee1) ||*/ empty($device_depart1)){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => true, 'device_arrivee_not_exist' => false, 'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false/*, 'no_match_type_payment_to_device' => true, , 'confirm_payment' => false*/], 400);
        }

        if($sens_transaction == "entrant" || $sens_transaction == "sortant"){ //ici on ne va qu'enregistrer la conversion c'est au user de décider s'il veut charger son portemonnaie

            //Partie pour faire les enregistrements
            \DB::table('transactionMonnaieUtilisateur')
                ->insert([
                    [
                        'user_id' => $user->id,
                        'device_depart' => $device_depart,
                        'device_arrivee' => $device_arrivee,
                        'montant_device_depart' => $montant_device_depart,
                        'montant_device_arrivee' => $montant_device_arrivee,
                        'conversion_rate' => $conversion_rate,
                        'sens_transaction' => $sens_transaction,
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]
                ]);

            $transactionMonnaieUtilisateur = \DB::table('transactionMonnaieUtilisateur')
                ->where('user_id','=',$user->id)
                ->orderBy('created_at','desc')
                ->first();

            return response()->json(['message' => 'success','transactionMonnaie' => $transactionMonnaieUtilisateur]);
        }

        /*

        if($sens_transaction == "sortant"){
            //je dois d'abord faire une soustraction du montant_device_depart sur le solde_device dans son portemonnaie
            $device_id = $device_arrivee1->id;
            $device_id_depart1 = $device_depart1->id;

            $resultat = \DB::table('portemonnaies')
                        ->where('user_id','=',$user->id)
                        ->where('device_id','=',$device_id_depart1)
                        ->first();

            if(empty($resultat)){
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                         'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false], 400);
            }

            if($montant_device_depart > $resultat->solde_device){
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => true], 400);
            }

            //dans le cas où le solde est suffisant alors on fait une soustraction
            $solde = $resultat->solde_device - $montant_device_depart;
            \DB::table('portemonnaies')
                ->where('user_id','=',$user->id)
                ->where('device_id','=',$device_id_depart1)
                ->update([
                    'solde_device' => $solde,
                    'updated_at' => Carbon::now()
                ]);

            //puis on charge le portemonnaie du user avec son nouveau device
            $this->chargerPorteMonnaieSpecial($user_id,$montant_device_arrivee,$device_id);     //ici on charge le portemonnaie du user

            //Partie pour faire les enregistrements
            \DB::table('transactionMonnaieUtilisateur')
                ->insert([
                    [
                        'user_id' => $user->id,
                        'device_depart' => $device_depart,
                        'device_arrivee' => $device_arrivee,
                        'montant_device_depart' => $montant_device_depart,
                        'montant_device_arrivee' => $montant_device_arrivee,
                        'conversion_rate' => $conversion_rate,
                        'sens_transaction' => $sens_transaction,
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]
                ]);

            $transactionMonnaieUtilisateur = \DB::table('transactionMonnaieUtilisateur')
                ->where('user_id','=',$user->id)
                ->orderBy('created_at','desc')
                ->first();

            return response()->json(['message' => 'success','transactionMonnaie' => $transactionMonnaieUtilisateur]);

        }

        */

        return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false, 'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false/*, 'no_match_type_payment_to_device' => true, , 'confirm_payment' => false*/], 400);

    }


    //permet de renvoyer tous les types de contributions
    public function getAllTypeContribution(){
        $typecontribution = \DB::table('typecontributions')
            ->get();

        return response()->json(['typecontribution' => $typecontribution]);
    }


    //permet à un membre de contribuer à partir de son portemonnaie
    public function contribuerAvecPorteMonnaie($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $seance_id = $data->seance_id;
        $device_name = $data->device_name;
        $montant = $data->montant;
        $typecontribution_id = $data->typecontribution_id;
        $sens_contribution = $data->sens_contribution;

        $numero_part = $data->numero_part;

        $montant_restant_a_contribuer = 0;
        $penalite_restante_a_payer = 0;

        $monnaie_tontine = NULL;

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        $seance1 = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->first();
        if(!empty($seance1)){
            $resultat1 = \DB::table('tontines')
                ->where('id','=',$seance1->tontine_id)
                //->where('monnaie','=',$device_name)
                ->first();
            if(!empty($resultat1)){
                $monnaie_tontine = $resultat1->monnaie;
            }
        }

        if(empty($user)){
            return response()->json(['message' => 'error','user_not_found' => true,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $user_id = $user->id;

        //je me rassure que tous les champs sont renseignés
        if($seance_id == NULL || $device_name == NULL || $montant == NULL || $typecontribution_id == NULL || $sens_contribution == NULL || $numero_part == NULL ){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'device_not_exist' => false, 'seance_not_found' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je contrôle si le typecontribution existe bien dans la table typecontributions
        $typecontribution = \DB::table('typecontributions')
            ->where('id','=',$typecontribution_id)
            ->first();
        if(empty($typecontribution)){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => true, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $device = \DB::table('devices')
            ->where('name','=',$device_name)
            ->first();
        $device_id = $device->id;
        if(empty($device)){     //alors la device n'existe pas
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => true, 'seance_not_found' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $seance = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->first();

        if(empty($seance)){     //alors la séance n'existe pas (valeur érronée)
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => true,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $tontine_id = $seance->tontine_id;
        $device_name = $device->name;
        //je pars voir si c'est la même monnaie dans la table tontines
        $resultat = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->where('monnaie','=',$device_name)
            ->first();

        if(empty($resultat)){   //alors la monnaie de la tontine n'est pas la même que celle de contribution du user
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => true, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je dois tester si le montant du user ne dépasse pas le coût d'une part
        if($montant > $resultat->coutshare AND $typecontribution_id == 2 /*2 pour cotisation*/){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => true,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
        $calculs = \DB::table('contributions')
            ->where('user_id','=',$user_id)
            ->where('seance_id','=',$seance_id)
            ->where('device_id','=',$device_id)
            ->where('typecontribution_id','=',$typecontribution_id)
            ->where('numero_part','=',$numero_part)
            ->get();

        if($typecontribution_id == 2){      //2 pour cotisation
            $somme = 0;
            if(!empty($calculs)){
                foreach ($calculs as $calcul){
                    $somme += $calcul->montant;
                }
                $somme_complete = $somme + $montant;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                if($somme_complete != $resultat->coutshare){    //si c'est différent au cout d'une part de la tontine alors la valeur egale n'est pas atteint
                    if($somme_complete > $resultat->coutshare){ //si la somme_complète est plus grande que le cout d'une part on renvoit un msg d'erreur
                        $montant_restant_a_contribuer = $resultat->coutshare - $somme;

                        return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                            'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                            'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => true, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                            'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                    }
                }
            }
            else{
                if($montant != $resultat->coutshare){
                    if($montant > $resultat->coutshare){
                        $montant_restant_a_contribuer = $resultat->coutshare;

                        return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                            'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                            'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => true, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                            'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                    }
                }
            }
        }


        if($typecontribution_id == 1){  //1 pour penalite
            $somme = 0;

            //je veux tester le montant de penalité entré avec celui de la table penalites propre au user dans la séance donnée
            $penalites = \DB::table('penalites')
                ->where('user_id','=',$user_id)
                ->where('seance_id','=',$seance_id)
                ->where('statut_penalite','=','pas_tout_paye')
                ->where('numero_part','=',$numero_part)
                ->first();

            if(!empty($penalites)){
                if(!empty($calculs)){
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $somme_complete = $somme + $montant;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                    if($somme_complete != $penalites->penalite_a_payer){    //si c'est différent à la pénalité à payer alors la valeur egale n'est pas atteint
                        if($somme_complete > $penalites->penalite_a_payer){ //si la somme_complète est plus grande que la pénalité à payer on renvoit un msg d'erreur
                            $penalite_restante_a_payer = $penalites->penalite_a_payer - $somme;

                            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => true ,'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                        }
                    }
                }
                else{
                    if($montant != $penalites->penalite_a_payer){
                        if($montant > $penalites->penalite_a_payer){
                            $penalite_restante_a_payer = $penalites->penalite_a_payer;

                            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                        }
                    }

                }
            }
            else{
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => true, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }


        }


        //maintenant je soustrais l'argent dans le portemonnaie du user
        $resultat_soustraction = $this->soustraireDevicePorteMonnaie($user_id,$montant,$device_id);
        $message = $resultat_soustraction['message'];

        if($message == "solde_insuffisant"){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => true,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        if($message == "device_not_exist"){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        if($message == "success"){  //alors je rempli maintenant la table contributions

            if($typecontribution_id == 1){  //penalite
                //je recherche dans la table penalites la penalite dont le user doit payer
                $penalites = \DB::table('penalites')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('statut_penalite','=','pas_tout_paye')
                    ->where('numero_part','=',$numero_part)
                    ->first();

                if(!empty($penalites)){
                    $result = $penalites->penalite_a_payer - $montant;
                    if($result == 0){   //alors c'est réglé
                        //j'update la table penalites
                        \DB::table('penalites')
                            ->where('id', '=', $penalites->id)
                            ->update([
                                'statut_penalite' => 'tout_paye',
                                'updated_at' => Carbon::now()
                            ]);
                    }
//                    if($result != 0){
//                        //j'update la table penalites
//                        \DB::table('penalites')
//                            ->where('id', '=', $penalites->id)
//                            ->update([
//                                'penalite_a_payer' => $result,
//                                'updated_at' => Carbon::now()
//                            ]);
//                    }
                }

            }

            \DB::table('contributions')
                ->insert([
                    [
                        'user_id' => $user_id,
                        'seance_id' => $seance_id,
                        'device_id' => $device_id,
                        'typecontribution_id' => $typecontribution_id,
                        'montant' => $montant,
                        'sens_contribution' => $sens_contribution,
                        'numero_part' => $numero_part,
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]
                ]);

            //puis je mets à jour le solde_en_caisse de la tontine
            $tontine = \DB::table('tontines')
                ->where('id', '=', $seance->tontine_id)
                ->first();

            if(!empty($tontine)){
                \DB::table('tontines')
                    ->where('id', '=', $seance->tontine_id)
                    ->update([
                        'solde_en_caisse' => $tontine->solde_en_caisse + $montant,
                        'updated_at' => Carbon::now()
                    ]);
            }

            $this->remplir_transaction_portemonnaie($user_id,$tontine->name,$device_id,$montant,"sortant","contribution","portemonnaie");



            $contributions = \DB::table('contributions')
                ->where('user_id','=',$user_id)
                ->where('seance_id','=',$seance_id)
                ->where('device_id','=',$device_id)
                ->where('montant','=',$montant)
                ->where('sens_contribution','=',$sens_contribution)
                ->where('numero_part','=',$numero_part)
                ->orderBy('created_at','desc')
                ->first();

            return response()->json(['message' => 'success','contribution' => $contributions]);

        }

        return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
            'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
            'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
            'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);


    }


    //permet de renvoyer toutes les devices (monnaies)
    public function getAllDevice(){
        $devices = \DB::table('devices')
            ->get();

        return response()->json(['device' => $devices]);
    }


    //permet à un membre de contribuer directement sans faire de conversion de device (sans utiliser son portemonnaie)
    public function contribuerSansPorteMonnaieSansConvertDevice($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $seance_id = $data->seance_id;
        $device_name = $data->device_name;
        $montant = $data->montant;
        $typecontribution_id = $data->typecontribution_id;
        $sens_contribution = $data->sens_contribution;
        $typepaiement_id = $data->typepaiement_id;              //ici on a l'id du typepaiements (MTN MOBILE MONEY, ORANGE MONEY, PAYPAL)
        $numero_part = $data->numero_part;


        $numero = NULL;
        $montant_restant_a_contribuer = 0;

        $penalite_restante_a_payer = 0;



        //je veux avoir d'autres infos(numéro) par rapport au typepaiement
        if($typepaiement_id != NULL){
            $typepaiement_info = \DB::table('typepaiements')
                ->where('id','=',$typepaiement_id)
                ->first();

            if(!empty($typepaiement_info)){
                if($typepaiement_info->name == "MTN MOBILE MONEY"){
                    $numero = $data->numero;
                }
                if($typepaiement_info->name == "ORANGE MONEY"){
                    $numero = $data->numero;
                }
                if($typepaiement_info->name == "PAYPAL"){
                    $numero = $data->numero;
                }
            }
        }

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $user_id = $user->id;

        //je me rassure que tous les champs sont renseignés
        if($seance_id == NULL || $device_name == NULL || $montant == NULL || $typecontribution_id == NULL || $sens_contribution == NULL || $typepaiement_id == NULL || $numero == NULL || $numero_part == NULL){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => true,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je contrôle si le typepaiement existe bien dans la table typepaiements
        $typepaiement = \DB::table('typepaiements')
            ->where('id','=',$typepaiement_id)
            ->first();
        if(empty($typepaiement)){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => true, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je contrôle si le typecontribution existe bien dans la table typecontributions
        $typecontribution = \DB::table('typecontributions')
            ->where('id','=',$typecontribution_id)
            ->first();
        if(empty($typecontribution)){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => true, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }


        $device = \DB::table('devices')
            ->where('name','=',$device_name)
            ->first();

        $device_id = $device->id;
        if(empty($device)){     //alors la device n'existe pas
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => true,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $seance = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->first();

        if(empty($seance)){     //alors la séance n'existe pas (valeur érronée)
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => true, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $tontine_id = $seance->tontine_id;
        $device_name = $device->name;
        //je pars voir si c'est la même monnaie dans la table tontines
        $resultat = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->where('monnaie','=',$device_name)
            ->first();

        if(empty($resultat)){   //alors la monnaie de la tontine n'est pas la même que celle de contribution du user
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => true, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je dois tester si le montant du user ne dépasse pas le coût d'une part
        if($montant > $resultat->coutshare AND $typecontribution_id == 2/*2 pour cotisation*/){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => true,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
        $calculs = \DB::table('contributions')
            ->where('user_id','=',$user_id)
            ->where('seance_id','=',$seance_id)
            ->where('device_id','=',$device_id)
            ->where('typecontribution_id','=',$typecontribution_id)
            ->where('numero_part','=',$numero_part)
            ->get();


        if($typecontribution_id == 2){  //2 pour cotisation
            $somme = 0;
            if(!empty($calculs)){
                foreach ($calculs as $calcul){
                    $somme += $calcul->montant;
                }
                $somme_complete = $somme + $montant;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                if($somme_complete != $resultat->coutshare){    //si c'est différent au cout d'une part de la tontine alors la valeur egale n'est pas atteint
                    if($somme_complete > $resultat->coutshare){ //si la somme_complète est plus grande que le cout d'une part on renvoit un msg d'erreur
                        $montant_restant_a_contribuer = $resultat->coutshare - $somme;

                        return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                            'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                            'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                            'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                            'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                    }
                }
            }
            else{
                if($montant != $resultat->coutshare){
                    if($montant > $resultat->coutshare){
                        $montant_restant_a_contribuer = $resultat->coutshare;
                        return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                            'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                            'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                            'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                            'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                    }
                }
            }
        }

        if($typecontribution_id == 1){  //1 pour penalite
            $somme = 0;

            //je veux tester le montant de penalité entré avec celui de la table penalites propre au user dans la séance donnée
            $penalites = \DB::table('penalites')
                ->where('user_id','=',$user_id)
                ->where('seance_id','=',$seance_id)
                ->where('statut_penalite','=','pas_tout_paye')
                ->where('numero_part','=',$numero_part)
                ->first();

            if(!empty($penalites)){
                if(!empty($calculs)){
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $somme_complete = $somme + $montant;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer

                    if($somme_complete != $penalites->penalite_a_payer){    //si c'est différent à la pénalité à payer alors la valeur egale n'est pas atteint
                        if($somme_complete > $penalites->penalite_a_payer){ //si la somme_complète est plus grande que la pénalité à payer on renvoit un msg d'erreur
                            $penalite_restante_a_payer = $penalites->penalite_a_payer - $somme;

                            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);

                        }
                    }
                }
                else{
                    if($montant != $penalites->penalite_a_payer){
                        if($montant > $penalites->penalite_a_payer){
                            $penalite_restante_a_payer = $penalites->penalite_a_payer;
                            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                        }
                    }

                }
            }
            else{
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => true,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

        }


        /***********************************                Partie des paiements                ***************************************/


        if($typepaiement->name == "MTN MOBILE MONEY" AND $device_id == 1 /*pour FCFA*/){




            /*********************       Partie à remettre                       *********************************/

            /*

            $response = $this->MTNMobileMoney($token,$montant,$numero);

            $message = $response['message'];

            $user_not_found = $response['user_not_found'];

            if($message == "error" AND $user_not_found == true){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true, 'parameter_not_found' => false,
                                         'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                         'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                         'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                         'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            if($message == "error" AND $user_not_found == false){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => true, 'user_not_found' => false, 'parameter_not_found' => false,
                                         'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                         'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                         'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                         'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            */


            /********************              End Partie à remettre                *****************************/

            //if($message == "success" AND $user_not_found == false ){      //cas où le paiement a réussi       //----ligne à remettre pour le paiement

            if($typecontribution_id == 1){  //penalite
                //je recherche dans la table penalites la penalite dont le user doit payer
                $penalites = \DB::table('penalites')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('statut_penalite','=','pas_tout_paye')
                    ->where('numero_part','=',$numero_part)
                    ->first();

                if(!empty($penalites)){
                    $result = $penalites->penalite_a_payer - $montant;
                    if($result == 0){   //alors c'est réglé
                        //j'update la table penalites
                        \DB::table('penalites')
                            ->where('id', '=', $penalites->id)
                            ->update([
                                'statut_penalite' => 'tout_paye',
                                'updated_at' => Carbon::now()
                            ]);
                    }
//                    if($result != 0){
//                        //j'update la table penalites
//                        \DB::table('penalites')
//                            ->where('id', '=', $penalites->id)
//                            ->update([
//                                'penalite_a_payer' => $result,
//                                'updated_at' => Carbon::now()
//                            ]);
//                    }
                }
            }


            \DB::table('contributions')
                ->insert([
                    [
                        'user_id' => $user_id,
                        'seance_id' => $seance_id,
                        'device_id' => $device_id,
                        'typecontribution_id' => $typecontribution_id,
                        'montant' => $montant,
                        'sens_contribution' => $sens_contribution,
                        'numero_part' => $numero_part,
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]
                ]);

            //puis je mets à jour le solde_en_caisse de la tontine
            $tontine = \DB::table('tontines')
                ->where('id', '=', $seance->tontine_id)
                ->first();

            if(!empty($tontine)){
                \DB::table('tontines')
                    ->where('id', '=', $seance->tontine_id)
                    ->update([
                        'solde_en_caisse' => $tontine->solde_en_caisse + $montant,
                        'updated_at' => Carbon::now()
                    ]);
            }



            $contributions = \DB::table('contributions')
                ->where('user_id','=',$user_id)
                ->where('seance_id','=',$seance_id)
                ->where('device_id','=',$device_id)
                ->where('montant','=',$montant)
                ->where('sens_contribution','=',$sens_contribution)
                ->where('numero_part','=',$numero_part)
                ->orderBy('created_at','desc')
                ->first();

            return response()->json(['message' => 'success', 'confirm_payment' => true, 'contribution' => $contributions]);

            //}             //----ligne à remettre pour le paiement
        }



        if($typepaiement->name == "ORANGE MONEY" AND $device_id == 1 /*pour FCFA*/){
            //à traiter le moment venu
        }


        if($typepaiement->name == "PAYPAL"){
            //à traiter le moment venu
        }

        /***********************************                End Partie des paiements            *****************************************/

        return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
            'device_not_exist' => false,'device_not_exist_for_operator' => true, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
            'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
            'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
            'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);

    }


    //permet à un membre de contribuer directement en faisant la conversion de device (sans utiliser son portemonnaie)
    public function contribuerSansPorteMonnaieAvecConvertDevice($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $seance_id = $data->seance_id;
        $typecontribution_id = $data->typecontribution_id;
        $typepaiement_id = $data->typepaiement_id;              //ici on a l'id du typepaiements (MTN MOBILE MONEY, ORANGE MONEY, PAYPAL)
        $device_depart = $data->device_depart;
        $device_arrivee = $data->device_arrivee;
        $montant_device_depart = $data->montant_device_depart;
        $montant_device_arrivee = $data->montant_device_arrivee;
        //$sens_transaction = $data->sens_transaction;    //ici ça doit être entrant
        $sens_contribution = $data->sens_contribution;
        $numero_part = $data->numero_part;

        $numero = NULL;
        $montant_restant_a_contribuer = 0;

        $penalite_restante_a_payer = 0;

        //je veux avoir d'autres infos(numéro) par rapport au typepaiement
        if($typepaiement_id != NULL){
            $typepaiement_info = \DB::table('typepaiements')
                ->where('id','=',$typepaiement_id)
                ->first();

            if(!empty($typepaiement_info)){
                if($typepaiement_info->name == "MTN MOBILE MONEY"){
                    $numero = $data->numero;
                }
                if($typepaiement_info->name == "ORANGE MONEY"){
                    $numero = $data->numero;
                }
                if($typepaiement_info->name == "PAYPAL"){
                    $numero = $data->numero;
                }
            }
        }

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $user_id = $user->id;

        //je me rassure que tous les champs sont renseignés
        if($seance_id == NULL || $device_depart == NULL || $device_arrivee == NULL || $typecontribution_id == NULL || $sens_contribution == NULL || $typepaiement_id == NULL
            || $numero == NULL || $montant_device_depart == NULL || $montant_device_arrivee == NULL || $sens_contribution == NULL || $numero_part == NULL){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => true,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je contrôle si le typepaiement existe bien dans la table typepaiements
        $typepaiement = \DB::table('typepaiements')
            ->where('id','=',$typepaiement_id)
            ->first();
        if(empty($typepaiement)){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => true, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je contrôle si le typecontribution existe bien dans la table typecontributions
        $typecontribution = \DB::table('typecontributions')
            ->where('id','=',$typecontribution_id)
            ->first();
        if(empty($typecontribution)){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => true, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }


        $device = \DB::table('devices')
            ->where('name','=',$device_arrivee)
            ->first();
        if(empty($device)){     //alors la device n'existe pas
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => true,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $device_id = $device->id;

        $seance = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->first();

        if(empty($seance)){     //alors la séance n'existe pas (valeur érronée)
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => true, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $tontine_id = $seance->tontine_id;
        $device_name = $device->name;
        //je pars voir si c'est la même monnaie dans la table tontines
        $resultat = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->where('monnaie','=',$device_name)
            ->first();

        if(empty($resultat)){   //alors la monnaie de la tontine n'est pas la même que celle de contribution du user
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => true, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je dois tester si le montant du user ne dépasse pas le coût d'une part
        if($montant_device_arrivee > $resultat->coutshare AND $typecontribution_id == 2 /*2 pour cotisation*/){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => true,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
        $calculs = \DB::table('contributions')
            ->where('user_id','=',$user_id)
            ->where('seance_id','=',$seance_id)
            ->where('device_id','=',$device_id)
            ->where('typecontribution_id','=',$typecontribution_id)
            ->where('numero_part','=',$numero_part)
            ->get();


        if($typecontribution_id == 2){ //2 pour cotisation
            $somme = 0;
            if(!empty($calculs)){
                foreach ($calculs as $calcul){
                    $somme += $calcul->montant;
                }
                $somme_complete = $somme + $montant_device_arrivee;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                if($somme_complete != $resultat->coutshare){    //si c'est différent au cout d'une part de la tontine alors la valeur egale n'est pas atteint
                    if($somme_complete > $resultat->coutshare){ //si la somme_complète est plus grande que le cout d'une part on renvoit un msg d'erreur
                        $montant_restant_a_contribuer = $resultat->coutshare - $somme;

                        return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                            'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                            'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                            'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                            'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                    }
                }
            }
            else{
                if($montant_device_arrivee != $resultat->coutshare){
                    if($montant_device_arrivee > $resultat->coutshare){
                        $montant_restant_a_contribuer = $resultat->coutshare;
                        return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                            'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                            'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                            'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                            'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                    }
                }
            }
        }



        if($typecontribution_id == 1){  //1 pour penalite
            $somme = 0;

            //je veux tester le montant de penalité entré avec celui de la table penalites propre au user dans la séance donnée
            $penalites = \DB::table('penalites')
                ->where('user_id','=',$user_id)
                ->where('seance_id','=',$seance_id)
                ->where('statut_penalite','=','pas_tout_paye')
                ->where('numero_part','=',$numero_part)
                ->first();

            if(!empty($penalites)){
                if(!empty($calculs)){
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $somme_complete = $somme + $montant_device_arrivee;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                    if($somme_complete != $penalites->penalite_a_payer){    //si c'est différent à la pénalité à payer alors la valeur egale n'est pas atteint
                        if($somme_complete > $penalites->penalite_a_payer){ //si la somme_complète est plus grande que la pénalité à payer on renvoit un msg d'erreur
                            $penalite_restante_a_payer = $penalites->penalite_a_payer - $somme;

                            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);

                        }
                    }
                }
                else{
                    if($montant_device_arrivee != $penalites->penalite_a_payer){
                        if($montant_device_arrivee > $penalites->penalite_a_payer){
                            $penalite_restante_a_payer = $penalites->penalite_a_payer;
                            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                        }
                    }
                }
            }
            else{
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => true,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

        }


        $device_depart1 = \DB::table('devices')
            ->where('name','=',$device_depart)
            ->first();

        if(!empty($device_depart1)){
            $device_depart_id = $device_depart1->id;
        }
        else{
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => true,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        /***********************************                Partie des paiements                ***************************************/


        if($typepaiement->name == "MTN MOBILE MONEY" AND $device_depart_id == 1 /*pour FCFA*/){




            /*********************       Partie à remettre                       *********************************/

            /*

            $response = $this->MTNMobileMoney($token,$montant_device_depart,$numero);

            $message = $response['message'];

            $user_not_found = $response['user_not_found'];

            if($message == "error" AND $user_not_found == true){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true, 'parameter_not_found' => false,
                                         'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                         'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                         'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                         'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            if($message == "error" AND $user_not_found == false){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => true, 'user_not_found' => false, 'parameter_not_found' => false,
                                         'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                         'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                         'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                         'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            */


            /********************              End Partie à remettre                *****************************/

            //if($message == "success" AND $user_not_found == false ){      //cas où le paiement a réussi       //----ligne à remettre pour le paiement

            if($typecontribution_id == 1){  //penalite
                //je recherche dans la table penalites la penalite dont le user doit payer
                $penalites = \DB::table('penalites')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('statut_penalite','=','pas_tout_paye')
                    ->where('numero_part','=',$numero_part)
                    ->first();

                if(!empty($penalites)){
                    $result = $penalites->penalite_a_payer - $montant_device_arrivee;
                    if($result == 0){   //alors c'est réglé
                        //j'update la table penalites
                        \DB::table('penalites')
                            ->where('id', '=', $penalites->id)
                            ->update([
                                'statut_penalite' => 'tout_paye',
                                'updated_at' => Carbon::now()
                            ]);
                    }
//                    if($result != 0){
//                        //j'update la table penalites
//                        \DB::table('penalites')
//                            ->where('id', '=', $penalites->id)
//                            ->update([
//                                'penalite_a_payer' => $result,
//                                'updated_at' => Carbon::now()
//                            ]);
//                    }
                }
            }


            \DB::table('contributions')
                ->insert([
                    [
                        'user_id' => $user_id,
                        'seance_id' => $seance_id,
                        'device_id' => $device_id,
                        'typecontribution_id' => $typecontribution_id,
                        'montant' => $montant_device_arrivee,
                        'sens_contribution' => $sens_contribution,
                        'numero_part' => $numero_part,
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]
                ]);

            //puis je mets à jour le solde_en_caisse de la tontine
            $tontine = \DB::table('tontines')
                ->where('id', '=', $seance->tontine_id)
                ->first();

            if(!empty($tontine)){
                \DB::table('tontines')
                    ->where('id', '=', $seance->tontine_id)
                    ->update([
                        'solde_en_caisse' => $tontine->solde_en_caisse + $montant_device_arrivee,
                        'updated_at' => Carbon::now()
                    ]);
            }



            $contributions = \DB::table('contributions')
                ->where('user_id','=',$user_id)
                ->where('seance_id','=',$seance_id)
                ->where('device_id','=',$device_id)
                ->where('montant','=',$montant_device_arrivee)
                ->where('sens_contribution','=',$sens_contribution)
                ->where('numero_part','=',$numero_part)
                ->orderBy('created_at','desc')
                ->first();

            return response()->json(['message' => 'success', 'confirm_payment' => true, 'contribution' => $contributions]);

            //}             //----ligne à remettre pour le paiement
        }



        if($typepaiement->name == "ORANGE MONEY" AND $device_depart_id == 1 /*pour FCFA*/){
            //à traiter le moment venu
        }


        if($typepaiement->name == "PAYPAL"){
            //à traiter le moment venu
        }

        /***********************************                End Partie des paiements            *****************************************/

        return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
            'device_not_exist' => false,'device_not_exist_for_operator' => true, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
            'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
            'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
            'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);

    }




    //permet de renvoyer tous les membres d'une tontine avec leur niveau de contribution chacun pour une séance donnée
    public function getMembersTontineWithContribution($tontine_id,$seance_id,$token){

        $sender = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($sender)){
            return response()->json([
                'message' => 'error',
                'tontine_not_found' => false,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => false,
                'user_not_found' => true
            ],400);
        }

        $sender_id = $sender->id;

        $tontine_not_found = false;
        $user_unauthorized = false;
        $seance_not_found = false;

        //ici je contrôle si le user est admin dans la tontine
        $authorization = \DB::table('membrestontines')
            ->where('user_id','=',$sender_id)
            ->where('tontine_id','=',$tontine_id)
            ->where('numero_part','=',1)
            //->where('administrator','=',1)
            ->first();

        if(empty($authorization)){
            $user_unauthorized = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized,'user_not_found' => false],400);
        }

        //ici je recherche si la tontine existe
        $tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();


        if(empty($tontine)){
            $tontine_not_found = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized,'user_not_found' => false],400);
        }

        $seance = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->first();

        if(empty($seance)){
            $seance_not_found = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized,'user_not_found' => false],400);
        }

        $listes = \DB::table('membrestontines')
            ->join('users','users.id','=','membrestontines.user_id')
            ->where('membrestontines.tontine_id','=',$tontine_id)
            //->where('numero_part','=',1)
            ->get();

        $liste = array();

        if(!empty($listes)){
            foreach ($listes as $listUser){
                $id = $listUser->id;
                $username = $listUser->username;
                $firstname = $listUser->firstname;
                $lastname = $listUser->lastname;
                $phone = $listUser->phone;
                $email = $listUser->email;
                $sexe = $listUser->sexe;
                $pays = $listUser->pays;
                $ville = $listUser->ville;
                $address = $listUser->address;
                $picture = $listUser->picture;
                $profession = $listUser->profession;
                $experience = $listUser->experience;
                $token = $listUser->remember_token;
                $temporaire = $listUser->temporaire;
                $administrator = $listUser->administrator;
                $numero_part = $listUser->numero_part;

                $calculs = \DB::table('contributions')
                    ->where('user_id','=',$id)
                    ->where('seance_id','=',$seance_id)
                    ->where('numero_part','=',$numero_part)
                    ->get();

                $somme_cotisation = 0;
                $somme_remboursement = 0;
                $montant_restant_a_contribuer = 0;
                if(!empty($calculs)){
                    foreach ($calculs as $calcul){
                        if($calcul->typecontribution_id == 2){  //2 pour le typecontribution = cotisation
                            $somme_cotisation += $calcul->montant;
                        }

                        $device_id = $calcul->device_id;
                    }
                    $montant_restant_a_contribuer = $tontine->coutshare - $somme_cotisation;

                    $montant_contribution = $somme_cotisation;
                    $pourcentage_contribution = ($somme_cotisation * 100)/$tontine->coutshare;


                    $name = \DB::table('devices')
                        ->where('name','=',$tontine->monnaie)
                        ->first();


                    $device_name = $name->name;
                    $device_id = $name->id;


                    //if($montant_restant_a_contribuer != 0){
                    $tmp ["id"] = $id;
                    $tmp ["username"] = $username;
                    $tmp ["firstname"] = $firstname;
                    $tmp ["lastname"] = $lastname;
                    $tmp ["phone"] = $phone;
                    $tmp ["email"] = $email;
                    $tmp ["sexe"] = $sexe;
                    $tmp ["pays"] = $pays;
                    $tmp ["ville"] = $ville;
                    $tmp ["address"] = $address;
                    $tmp ["picture"] = $picture;
                    $tmp ["profession"] = $profession;
                    $tmp ["experience"] = $experience;
                    $tmp ["remember_token"] = $token;
                    $tmp ["temporaire"] = $temporaire;
                    $tmp ["administrator"] = $administrator;
                    $tmp ["device_id"] = $device_id;
                    $tmp ["device_name"] = $device_name;
                    $tmp ["montant_cotisation"] = $montant_contribution;
                    $tmp ["pourcentage_cotisation"] = $pourcentage_contribution;
                    $tmp ["montant_restant_a_cotiser"] = $montant_restant_a_contribuer;
                    $tmp ["numero_part"] = $numero_part;

                    array_push($liste,$tmp ) ;
                    //}
                }
                else{
                    $montant_restant_a_contribuer = $tontine->coutshare /*- $somme_cotisation*/;

                    $montant_contribution = $somme_cotisation;
                    $pourcentage_contribution = ($somme_cotisation * 100)/$tontine->coutshare;


                    $name = \DB::table('devices')
                        ->where('name','=',$tontine->monnaie)
                        ->first();



                    $device_name = $name->name;
                    $device_id = $name->id;


                    //if($montant_restant_a_contribuer != 0){
                    $tmp ["id"] = $id;
                    $tmp ["username"] = $username;
                    $tmp ["firstname"] = $firstname;
                    $tmp ["lastname"] = $lastname;
                    $tmp ["phone"] = $phone;
                    $tmp ["email"] = $email;
                    $tmp ["sexe"] = $sexe;
                    $tmp ["pays"] = $pays;
                    $tmp ["ville"] = $ville;
                    $tmp ["address"] = $address;
                    $tmp ["picture"] = $picture;
                    $tmp ["profession"] = $profession;
                    $tmp ["experience"] = $experience;
                    $tmp ["remember_token"] = $token;
                    $tmp ["temporaire"] = $temporaire;
                    $tmp ["administrator"] = $administrator;
                    $tmp ["device_id"] = $device_id;
                    $tmp ["device_name"] = $device_name;
                    $tmp ["montant_cotisation"] = $montant_contribution;
                    $tmp ["pourcentage_cotisation"] = $pourcentage_contribution;
                    $tmp ["montant_restant_a_cotiser"] = $montant_restant_a_contribuer;
                    $tmp ["numero_part"] = $numero_part;

                    array_push($liste,$tmp ) ;
                    //}
                }
            }
        }

        return response()->json(['message' => 'success', 'members' => $liste]);

    }


    //permet de renvoyer le niveau de contribution incomplète d'un membre d'une tontine pour une séance donnée
    public function getMembersTontineWithIncompleteContribution($tontine_id,$seance_id,$token){

        $sender = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($sender)){
            return response()->json([
                'message' => 'error',
                'tontine_not_found' => false,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => false,
                'user_not_found' => true
            ],400);
        }

        $sender_id = $sender->id;

        $tontine_not_found = false;
        $user_unauthorized = false;
        $seance_not_found = false;

        //ici je contrôle si le user est admin dans la tontine
        $authorization = \DB::table('membrestontines')
            ->where('user_id','=',$sender_id)
            ->where('tontine_id','=',$tontine_id)
            ->where('numero_part','=',1)
            //->where('administrator','=',1)
            ->first();

        if(empty($authorization)){
            $user_unauthorized = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized,'user_not_found' => false],400);
        }

        //ici je recherche si la tontine existe
        $tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();


        if(empty($tontine)){
            $tontine_not_found = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized,'user_not_found' => false],400);
        }

        $seance = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->first();

        if(empty($seance)){
            $seance_not_found = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized,'user_not_found' => false],400);
        }

        $listes = \DB::table('membrestontines')
            ->join('users','users.id','=','membrestontines.user_id')
            ->where('membrestontines.tontine_id','=',$tontine_id)
            //->where('numero_part','=',1)
            ->get();

        $liste = array();
        $liste_seance_tableau = array();

        $cycle = \DB::table('cycles')
            ->where('id','=',$seance->cycle_id)
            ->where('tontine_id','=',$tontine_id)
            ->first();

        if(!empty($listes)){
            foreach ($listes as $listUser){
                $id = $listUser->id;
                $username = $listUser->username;
                $firstname = $listUser->firstname;
                $lastname = $listUser->lastname;
                $phone = $listUser->phone;
                $email = $listUser->email;
                $sexe = $listUser->sexe;
                $pays = $listUser->pays;
                $ville = $listUser->ville;
                $address = $listUser->address;
                $picture = $listUser->picture;
                $profession = $listUser->profession;
                $experience = $listUser->experience;
                $token = $listUser->remember_token;
                $temporaire = $listUser->temporaire;
                $administrator = $listUser->administrator;
                $numero_part = $listUser->numero_part;

                $calculs = \DB::table('contributions')
                    ->where('user_id','=',$id)
                    ->where('seance_id','=',$seance_id)
                    ->where('numero_part','=',$numero_part)
                    ->get();

                $somme_cotisation = 0;
                $somme_remboursement = 0;
                $montant_restant_a_contribuer = 0;
                if(!empty($calculs)){
                    foreach ($calculs as $calcul){
                        if($calcul->typecontribution_id == 2){  //2 pour le typecontribution = cotisation
                            $somme_cotisation += $calcul->montant;
                        }

                        $device_id = $calcul->device_id;
                    }
                    $montant_restant_a_contribuer = $tontine->coutshare - $somme_cotisation;

                    $montant_contribution = $somme_cotisation;
                    $pourcentage_contribution = ($somme_cotisation * 100)/$tontine->coutshare;


                    $name = \DB::table('devices')
                        ->where('name','=',$tontine->monnaie)
                        ->first();


                    $device_name = $name->name;
                    $device_id = $name->id;


                    if($montant_restant_a_contribuer != 0){
                        $tmp ["id"] = $id;
                        $tmp ["username"] = $username;
                        $tmp ["firstname"] = $firstname;
                        $tmp ["lastname"] = $lastname;
                        $tmp ["phone"] = $phone;
                        $tmp ["email"] = $email;
                        $tmp ["sexe"] = $sexe;
                        $tmp ["pays"] = $pays;
                        $tmp ["ville"] = $ville;
                        $tmp ["address"] = $address;
                        $tmp ["picture"] = $picture;
                        $tmp ["profession"] = $profession;
                        $tmp ["experience"] = $experience;
                        $tmp ["remember_token"] = $token;
                        $tmp ["temporaire"] = $temporaire;
                        $tmp ["administrator"] = $administrator;
                        $tmp ["device_id"] = $device_id;
                        $tmp ["device_name"] = $device_name;
                        $tmp ["montant_cotisation"] = $montant_contribution;
                        $tmp ["pourcentage_cotisation"] = $pourcentage_contribution;
                        $tmp ["montant_restant_a_cotiser"] = $montant_restant_a_contribuer;
                        $tmp ["numero_part"] = $numero_part;

//                        $tmp ["seance"] = $seance;
//                        $tmp ["cycle"] = $cycle;
//                        $tmp ["tontine"] = $tontine;

                        array_push($liste,$tmp ) ;
                    }
                }
                else{
                    $montant_restant_a_contribuer = $tontine->coutshare /*- $somme_cotisation*/;

                    $montant_contribution = $somme_cotisation;
                    $pourcentage_contribution = ($somme_cotisation * 100)/$tontine->coutshare;


                    $name = \DB::table('devices')
                        ->where('name','=',$tontine->monnaie)
                        ->first();



                    $device_name = $name->name;
                    $device_id = $name->id;


                    if($montant_restant_a_contribuer != 0){
                        $tmp ["id"] = $id;
                        $tmp ["username"] = $username;
                        $tmp ["firstname"] = $firstname;
                        $tmp ["lastname"] = $lastname;
                        $tmp ["phone"] = $phone;
                        $tmp ["email"] = $email;
                        $tmp ["sexe"] = $sexe;
                        $tmp ["pays"] = $pays;
                        $tmp ["ville"] = $ville;
                        $tmp ["address"] = $address;
                        $tmp ["picture"] = $picture;
                        $tmp ["profession"] = $profession;
                        $tmp ["experience"] = $experience;
                        $tmp ["remember_token"] = $token;
                        $tmp ["temporaire"] = $temporaire;
                        $tmp ["administrator"] = $administrator;
                        $tmp ["device_id"] = $device_id;
                        $tmp ["device_name"] = $device_name;
                        $tmp ["montant_cotisation"] = $montant_contribution;
                        $tmp ["pourcentage_cotisation"] = $pourcentage_contribution;
                        $tmp ["montant_restant_a_cotiser"] = $montant_restant_a_contribuer;
                        $tmp ["numero_part"] = $numero_part;

//                        $tmp ["seance"] = $seance;
//                        $tmp ["cycle"] = $cycle;
//                        $tmp ["tontine"] = $tontine;

                        array_push($liste,$tmp ) ;
                    }
                }
            }

            if(sizeof($liste) != 0){
                $tmp1 ["seance"] = $seance;
                $tmp1 ["cycle"] = $cycle;
                $tmp1 ["tontine"] = $tontine;
                $tmp1 ["liste_users"] = $liste;

                array_push($liste_seance_tableau,$tmp1) ;
            }
        }

        return response()->json(['message' => 'success', 'liste' => $liste_seance_tableau]);

    }


    //permet de renvoyer la liste des séances d'une tontine
    public function getAllSeanceTontine($tontine_id,$token){

        $sender = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($sender)){
            return response()->json([
                'message' => 'error',
                'tontine_not_found' => false,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => false,
                'user_not_found' => true
            ],400);
        }

        $sender_id = $sender->id;

        $tontine_not_found = false;
        $user_unauthorized = false;
        //$seance_not_found = false;

        //ici je contrôle si le user est admin dans la tontine
        $authorization = \DB::table('membrestontines')
            ->where('user_id','=',$sender_id)
            ->where('tontine_id','=',$tontine_id)
            //->where('administrator','=',1)
            ->first();

        if(empty($authorization)){
            $user_unauthorized = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized],400);
        }

        //ici je recherche si la tontine existe
        $tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        if(empty($tontine)){
            $tontine_not_found = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized],400);
        }

        //$startDate = dateTime::createFromFormat('d/m/Y', Carbon::now());
        // $starDate = Carbon::now();
        //$date = Carbon::createFromFormat('Y-m-d',$starDate);
        //dd($date);

        //j'update le champ 'archived' ici afin d'avoir les séances des tontines déjà passées
        /* \DB::table('seances')
             ->where('tontine_id', '=', $tontine_id)
             ->whereDate('date_fin', '<=', Carbon::now())
             //->where('heure_fin','<=',Carbon::now())
             ->update([
                 'archived' => 1,
                 'updated_at' => Carbon::now()
             ]);*/

        $listes = \DB::table('seances')
            ->where('tontine_id','=',$tontine_id)
            ->get();


        return response()->json(['message' => 'success', 'liste_seance' => $listes]);


    }


    //permet de renvoyer les membres d'une tontine avec leur niveau de contribution chacun par séance (séances passées)
    public function getAllMemberTontineWithContributionBySeance($tontine_id,$token){

        $sender = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($sender)){
            return response()->json([
                'message' => 'error',
                'tontine_not_found' => false,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => false,
                'user_not_found' => true
            ],400);
        }

        $sender_id = $sender->id;

        $tontine_not_found = false;
        $user_unauthorized = false;
        //$seance_not_found = false;

        //ici je contrôle si le user est admin dans la tontine
        $authorization = \DB::table('membrestontines')
            ->where('user_id','=',$sender_id)
            ->where('tontine_id','=',$tontine_id)
            ->where('numero_part','=',1)
            //->where('administrator','=',1)
            ->first();

        if(empty($authorization)){
            $user_unauthorized = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized,'user_not_found' => false],400);
        }

        //ici je recherche si la tontine existe
        $tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        if(empty($tontine)){
            $tontine_not_found = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized,'user_not_found' => false],400);
        }


        $listes = \DB::table('membrestontines')
            ->join('users','users.id','=','membrestontines.user_id')
            ->where('membrestontines.tontine_id','=',$tontine_id)
            ->get();

        $listes_seances = \DB::table('seances')
            ->where('tontine_id','=',$tontine_id)
            ->where('archived','=',1)
            ->orderBy('created_at','desc')
            ->get();

        $liste = array();
        $liste_seance_tableau = array();

        if(!empty($listes_seances)){
            foreach ($listes_seances as $liste_seance){
                $seance_id = $liste_seance->id;
                $date_debut = $liste_seance->date_debut;
                $heure_debut = $liste_seance->heure_debut;
                $date_fin = $liste_seance->date_fin;
                $heure_fin = $liste_seance->heure_fin;
                $numero_seance = $liste_seance->numero_seance;
                $cycle_id = $liste_seance->cycle_id;

                $cycle = \DB::table('cycles')
                    ->where('id','=',$cycle_id)
                    ->first();

                $numero_cycle = $cycle->numerocycle;

                if(!empty($listes)){
                    foreach ($listes as $listUser){


                        $id = $listUser->id;
                        $username = $listUser->username;
                        $firstname = $listUser->firstname;
                        $lastname = $listUser->lastname;
                        $phone = $listUser->phone;
                        $email = $listUser->email;
                        $sexe = $listUser->sexe;
                        $pays = $listUser->pays;
                        $ville = $listUser->ville;
                        $address = $listUser->address;
                        $picture = $listUser->picture;
                        $profession = $listUser->profession;
                        $experience = $listUser->experience;
                        $token = $listUser->remember_token;
                        $temporaire = $listUser->temporaire;
                        $administrator = $listUser->administrator;
                        $numero_part = $listUser->numero_part;

                        $calculs = \DB::table('contributions')
                            ->where('user_id','=',$id)
                            ->where('seance_id','=',$seance_id)
                            ->where('numero_part','=',$numero_part)
                            ->get();

                        $somme_cotisation = 0;
                        $somme_remboursement = 0;
                        $montant_restant_a_contribuer = 0;
                        if(!empty($calculs)){
                            foreach ($calculs as $calcul){
                                if($calcul->typecontribution_id == 2){      //2 pour le typecontribution = cotisation
                                    $somme_cotisation += $calcul->montant;
                                }
                                $device_id = $calcul->device_id;
                            }
                            $montant_restant_a_contribuer = $tontine->coutshare - $somme_cotisation;

                            $montant_contribution = $somme_cotisation;
                            $pourcentage_contribution = ($somme_cotisation * 100)/$tontine->coutshare;


                            $name = \DB::table('devices')
                                ->where('name','=',$tontine->monnaie)
                                ->first();


                            $device_name = $name->name;
                            $device_id = $name->id;


//                            $name = \DB::table('devices')
//                                ->where('id','=',$device_id)
//                                ->first();
//                            $device_name = $name->name;

                            if($montant_restant_a_contribuer != 0){
                                $tmp ["user_id"] = $id;
                                $tmp ["username"] = $username;
                                $tmp ["firstname"] = $firstname;
                                $tmp ["lastname"] = $lastname;
                                $tmp ["phone"] = $phone;
                                $tmp ["email"] = $email;
                                $tmp ["sexe"] = $sexe;
                                $tmp ["pays"] = $pays;
                                $tmp ["ville"] = $ville;
                                $tmp ["address"] = $address;
                                $tmp ["picture"] = $picture;
                                $tmp ["profession"] = $profession;
                                $tmp ["experience"] = $experience;
                                $tmp ["remember_token"] = $token;
                                $tmp ["temporaire"] = $temporaire;
                                $tmp ["administrator"] = $administrator;
                                $tmp ["device_id"] = $device_id;
                                $tmp ["device_name"] = $device_name;
                                $tmp ["montant_cotisation"] = $montant_contribution;
                                $tmp ["pourcentage_cotisation"] = $pourcentage_contribution;
                                $tmp ["montant_restant_a_cotiser"] = $montant_restant_a_contribuer;
                                $tmp ["numero_part"] = $numero_part;

                                array_push($liste,$tmp ) ;
                            }
                        }
                        else{
                            $montant_restant_a_contribuer = $tontine->coutshare /*- $somme_cotisation*/;

                            $montant_contribution = $somme_cotisation;
                            $pourcentage_contribution = ($somme_cotisation * 100)/$tontine->coutshare;


                            $name = \DB::table('devices')
                                ->where('name','=',$tontine->monnaie)
                                ->first();
                            $device_name = $name->name;
                            $device_id = $name->id;

                            if($montant_restant_a_contribuer != 0){
                                $tmp ["id"] = $id;
                                $tmp ["username"] = $username;
                                $tmp ["firstname"] = $firstname;
                                $tmp ["lastname"] = $lastname;
                                $tmp ["phone"] = $phone;
                                $tmp ["email"] = $email;
                                $tmp ["sexe"] = $sexe;
                                $tmp ["pays"] = $pays;
                                $tmp ["ville"] = $ville;
                                $tmp ["address"] = $address;
                                $tmp ["picture"] = $picture;
                                $tmp ["profession"] = $profession;
                                $tmp ["experience"] = $experience;
                                $tmp ["remember_token"] = $token;
                                $tmp ["temporaire"] = $temporaire;
                                $tmp ["administrator"] = $administrator;
                                $tmp ["device_id"] = $device_id;
                                $tmp ["device_name"] = $device_name;
                                $tmp ["montant_cotisation"] = $montant_contribution;
                                $tmp ["pourcentage_cotisation"] = $pourcentage_contribution;
                                $tmp ["montant_restant_a_cotiser"] = $montant_restant_a_contribuer;
                                $tmp ["numero_part"] = $numero_part;

                                array_push($liste,$tmp ) ;
                            }
                        }
                    }
                }

                $tmp1 ["seance_id"] = $seance_id;
                $tmp1 ["numero_seance"] = $numero_seance;
                $tmp1 ["date_debut"] = $date_debut;
                $tmp1 ["heure_debut"] = $heure_debut;
                $tmp1 ["date_fin"] = $date_fin;
                $tmp1 ["heure_fin"] = $heure_fin;
                $tmp1 ["cycle_id"] = $cycle_id;
                $tmp1 ["numero_cycle"] = $numero_cycle;
                $tmp1 ["liste_users"] = $liste;

                array_push($liste_seance_tableau,$tmp1) ;

                $liste = array();

            }
        }

        return response()->json(['message' => 'success', 'liste_membres_par_seance' => $liste_seance_tableau]);

    }


    //permet de renvoyer le niveau de contribution d'un membre pour toutes les séances où la contribution n'est pas complète
    public function getMemberTontineWithIncompleteContributionBySeance($tontine_id,$token){

        $sender = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($sender)){
            return response()->json([
                'message' => 'error',
                'tontine_not_found' => false,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => false,
                'user_not_found' => true
            ],400);
        }

        $sender_id = $sender->id;

        //dd($sender_id);

        $tontine_not_found = false;
        $user_unauthorized = false;
        //$seance_not_found = false;

        //ici je contrôle si le user est admin dans la tontine
        $authorization = \DB::table('membrestontines')
            ->where('user_id','=',$sender_id)
            ->where('tontine_id','=',$tontine_id)
            ->where('numero_part','=',1)
            //->where('administrator','=',1)
            ->first();

        if(empty($authorization)){
            $user_unauthorized = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized,
                'user_not_found' => false],400);
        }

        //ici je recherche si la tontine existe
        $tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        if(empty($tontine)){
            $tontine_not_found = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized,
                'user_not_found' => false],400);
        }


        $listes = \DB::table('membrestontines')
            ->join('users','users.id','=','membrestontines.user_id')
            ->where('membrestontines.tontine_id','=',$tontine_id)
            ->where('user_id','=',$sender_id)
            ->get();

        if(empty($listes)){
            return response()->json([
                'message' => 'error',
                'tontine_not_found' => false,
                //'seance_not_found' => $seance_not_found,
                'user_unauthorized' => true,
                'user_not_found' => false],400);
        }

        $listes_seances = \DB::table('seances')
            ->where('tontine_id','=',$tontine_id)
            //->where('archived','=',1)
            ->orderBy('created_at','desc')
            ->get();


        $liste = array();
        $liste_seance_tableau = array();

        if(!empty($listes_seances)){
            foreach ($listes_seances as $liste_seance){
                $seance_id = $liste_seance->id;
                $date_debut = $liste_seance->date_debut;
                $heure_debut = $liste_seance->heure_debut;
                $date_fin = $liste_seance->date_fin;
                $heure_fin = $liste_seance->heure_fin;
                $numero_seance = $liste_seance->numero_seance;
                $archived_seance = $liste_seance->archived;
                $cycle_id = $liste_seance->cycle_id;

                $cycle = \DB::table('cycles')
                    ->where('id','=',$cycle_id)
                    ->first();

                $numero_cycle = $cycle->numerocycle;
                $archived_cycle = $cycle->archived;

                if(!empty($listes)){
                    foreach ($listes as $listUser){


                        $id = $listUser->id;
                        $username = $listUser->username;
                        $firstname = $listUser->firstname;
                        $lastname = $listUser->lastname;
                        $phone = $listUser->phone;
                        $email = $listUser->email;
                        $sexe = $listUser->sexe;
                        $pays = $listUser->pays;
                        $ville = $listUser->ville;
                        $address = $listUser->address;
                        $picture = $listUser->picture;
                        $profession = $listUser->profession;
                        $experience = $listUser->experience;
                        $token = $listUser->remember_token;
                        $temporaire = $listUser->temporaire;
                        $administrator = $listUser->administrator;
                        $numero_part = $listUser->numero_part;

                        $calculs = \DB::table('contributions')
                            ->where('user_id','=',$id)
                            ->where('seance_id','=',$seance_id)
                            ->where('numero_part','=',$numero_part)
                            ->get();

                        $somme_cotisation = 0;
                        $somme_remboursement = 0;
                        $montant_restant_a_contribuer = 0;
                        if(!empty($calculs)){
                            foreach ($calculs as $calcul){
                                if($calcul->typecontribution_id == 2){      //2 pour le typecontribution = cotisation
                                    $somme_cotisation += $calcul->montant;
                                }
                                $device_id = $calcul->device_id;
                            }
                            $montant_restant_a_contribuer = $tontine->coutshare - $somme_cotisation;

                            $montant_contribution = $somme_cotisation;
                            $pourcentage_contribution = ($somme_cotisation * 100)/$tontine->coutshare;


                            $name = \DB::table('devices')
                                ->where('name','=',$tontine->monnaie)
                                ->first();


                            $device_name = $name->name;
                            $device_id = $name->id;


//                            $name = \DB::table('devices')
//                                ->where('id','=',$device_id)
//                                ->first();
//                            $device_name = $name->name;

                            if($montant_restant_a_contribuer != 0){
                                $tmp ["user_id"] = $id;
                                $tmp ["username"] = $username;
                                $tmp ["firstname"] = $firstname;
                                $tmp ["lastname"] = $lastname;
                                $tmp ["phone"] = $phone;
                                $tmp ["email"] = $email;
                                $tmp ["sexe"] = $sexe;
                                $tmp ["pays"] = $pays;
                                $tmp ["ville"] = $ville;
                                $tmp ["address"] = $address;
                                $tmp ["picture"] = $picture;
                                $tmp ["profession"] = $profession;
                                $tmp ["experience"] = $experience;
                                $tmp ["remember_token"] = $token;
                                $tmp ["temporaire"] = $temporaire;
                                $tmp ["administrator"] = $administrator;
                                $tmp ["device_id"] = $device_id;
                                $tmp ["device_name"] = $device_name;
                                $tmp ["montant_cotisation"] = $montant_contribution;
                                $tmp ["pourcentage_cotisation"] = $pourcentage_contribution;
                                $tmp ["montant_restant_a_cotiser"] = $montant_restant_a_contribuer;
                                $tmp ["numero_part"] = $numero_part;

//                                $tmp ["seance"] = $liste_seance;
//                                $tmp ["cycle"] = $cycle;
//                                $tmp ["tontine"] = $tontine;

                                array_push($liste,$tmp ) ;
                            }

                        }
                        else{
                            $montant_restant_a_contribuer = $tontine->coutshare /*- $somme_cotisation*/;

                            $montant_contribution = $somme_cotisation;
                            $pourcentage_contribution = ($somme_cotisation * 100)/$tontine->coutshare;


                            $name = \DB::table('devices')
                                ->where('name','=',$tontine->monnaie)
                                ->first();
                            $device_name = $name->name;
                            $device_id = $name->id;


                            if($montant_restant_a_contribuer != 0){
                                $tmp ["id"] = $id;
                                $tmp ["username"] = $username;
                                $tmp ["firstname"] = $firstname;
                                $tmp ["lastname"] = $lastname;
                                $tmp ["phone"] = $phone;
                                $tmp ["email"] = $email;
                                $tmp ["sexe"] = $sexe;
                                $tmp ["pays"] = $pays;
                                $tmp ["ville"] = $ville;
                                $tmp ["address"] = $address;
                                $tmp ["picture"] = $picture;
                                $tmp ["profession"] = $profession;
                                $tmp ["experience"] = $experience;
                                $tmp ["remember_token"] = $token;
                                $tmp ["temporaire"] = $temporaire;
                                $tmp ["administrator"] = $administrator;
                                $tmp ["device_id"] = $device_id;
                                $tmp ["device_name"] = $device_name;
                                $tmp ["montant_cotisation"] = $montant_contribution;
                                $tmp ["pourcentage_cotisation"] = $pourcentage_contribution;
                                $tmp ["montant_restant_a_cotiser"] = $montant_restant_a_contribuer;
                                $tmp ["numero_part"] = $numero_part;

//                                $tmp ["seance"] = $liste_seance;
//                                $tmp ["cycle"] = $cycle;
//                                $tmp ["tontine"] = $tontine;

                                array_push($liste,$tmp ) ;
                            }
                        }
                    }
                }

                if(sizeof($liste) != 0){
                    $tmp1 ["seance"] = $liste_seance;
                    $tmp1 ["cycle"] = $cycle;
                    $tmp1 ["tontine"] = $tontine;
                    $tmp1 ["liste_users"] = $liste;

                    array_push($liste_seance_tableau,$tmp1) ;
                }

                $liste = array();

            }
        }

        return response()->json(['message' => 'success', 'liste' => $liste_seance_tableau]);

    }




    //permet de lister les tontines d'un user avec le niveau de contribution de tous les membres par séance
    public function getAllTontineWithMemberTontineWithContributionBySeance($token, UserRepository $user_gestion){
        //je récupère d'abord la liste des tontines du user
        $liste_tontine = $this->getTontineUserConfirmed($token);

        if(sizeof($liste_tontine) == 0){
            return response()->json(['message' => 'success', 'liste' => $liste_tontine]);
        }

        //dd($liste_tontine[0]["tontine_id"]);
        $liste = array();
        //je dois parcourir chaque tontine et lister ses séances
        for($i = 0; $i < sizeof($liste_tontine); $i++){
            $tontine_id = $liste_tontine[$i]["tontine_id"];

            $liste_seance = array();

            $liste_seance = $this->getAllSeanceTontine($tontine_id,$token);

            //dd($liste_seance);
            /*if($liste_seance["message"] == "error" AND $liste_seance["tontine_not_found"] == true){
                $liste[$i] = array("message" => "error", "tontine_not_found" => true, "user_unauthorized" => false);
            }

            if($liste_seance["message"] == "error" AND $liste_seance["user_unauthorized"] == true){
                $liste[$i] = array("message" => "error", "tontine_not_found" => false, "user_unauthorized" => true);
            }*/

            //if($liste_seance["message"] == "success"){
            $membre_seance = array();
            $seance_id = NULL;
            if(sizeof($liste_seance/*["liste_seance"]*/) == 0){
                $liste[$i] = array("tontine_id" => $tontine_id, "seance_id" => $seance_id, "liste_membre" => $liste_seance/*["liste_seance"]*/);
            }
            else{
                //pour chaque séance, je liste les membres avec leur niveau de contribution
                for($j = 0; $j < sizeof($liste_seance/*["liste_seance"]*/); $j++){
                    $seance_id = $liste_seance/*["liste_seance"]*/[$j]->id;
                    $membre_seance[$j] = $this->getMembersTontineWithContribution($tontine_id,$seance_id,$token);
                }

            }
            $liste[$i] = array(/*"tontine_id" => $tontine_id, "seance_id" => $seance_id, */"liste_membre" => $membre_seance);
            //}

        }

        return response()->json(['liste' => $liste]);
    }



    //permet d'enregistrer une séance d'une tontine
    public function saveSeanceTontine($token){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $tontine_id = $data->tontine_id;
        $date_debut = $data->date_debut;
        $heure_debut = $data->heure_debut;
        $date_fin = $data->date_fin;
        $heure_fin = $data->heure_fin;

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        $tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        $administrator = \DB::table('membrestontines')
            ->where('user_id','=',$user->id)
            ->where('tontine_id','=',$tontine_id)
            ->where('administrator','=',1)
            ->first();

        if(empty($tontine)){
            return response()->json(['message' => 'error', 'tontine_not_found' => true, 'user_unauthorized' => false, 'parameter_not_found' => false, 'seance_not_finish' => false], 400);
        }

        if(empty($administrator)){
            return response()->json(['message' => 'error', 'tontine_not_found' => false, 'user_unauthorized' => true, 'parameter_not_found' => false, 'seance_not_finish' => false], 400);
        }

        if($tontine_id == NULL || $date_debut == NULL || $heure_debut == NULL || $date_fin == NULL || $heure_fin == NULL){
            return response()->json(['message' => 'error', 'tontine_not_found' => false, 'user_unauthorized' => false, 'parameter_not_found' => true, 'seance_not_finish' => false], 400);
        }

        //je dois me rassurer que la séance à créer doit se passer après celle en BD s'il y en déjà
        //je recherche la séance courante de la tontine s'il y en a
        $recherche = \DB::table('seances')
            ->where('tontine_id','=',$tontine_id)
            //->where('date_debut','<=',Carbon::now())
            //->where('date_fin','>=',Carbon::now())
            ->where('archived','=',0)
            ->orderBy('created_at','desc')
            ->get();


        if(empty($recherche)){
            //alors on fait l'insertion en BD
            \DB::table('seances')
                ->insert([
                    [
                        'tontine_id' => $tontine_id,
                        'date_debut' => $date_debut,
                        'heure_debut' => $heure_debut,
                        'date_fin' => $date_fin,
                        'heure_fin' => $heure_fin,
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]
                ]);

            $resultat = \DB::table('seances')
                ->where('tontine_id','=',$tontine_id)
                ->where('date_debut','=',$date_debut)
                ->where('heure_debut','=',$heure_debut)
                ->where('date_fin','=',$date_fin)
                ->where('heure_fin','=',$heure_fin)
                ->first();
            return response()->json(['message' => 'success', 'seance' => $resultat]);

        }

        if(!empty($recherche)){
            foreach ($recherche as $i){
                $date_debut_recherche = $i->date_debut;
                $heure_debut_recherche = $i->heure_debut;
                $date_fin_recherche = $i->date_fin;
                $heure_fin_recherche = $i->heure_fin;

                /*$heure = strftime("%H",$heure_fin_recherche);
                dd($heure);*/

                if($date_fin_recherche == $date_debut){
                    if($heure_fin_recherche >= $heure_debut){
                        return response()->json(['message' => 'error', 'tontine_not_found' => false, 'user_unauthorized' => false, 'parameter_not_found' => false, 'seance_not_finish' => true], 400);
                    }
                }

                if($date_fin_recherche > $date_debut){
                    return response()->json(['message' => 'error', 'tontine_not_found' => false, 'user_unauthorized' => false, 'parameter_not_found' => false, 'seance_not_finish' => true], 400);
                }

                \DB::table('seances')
                    ->insert([
                        [
                            'tontine_id' => $tontine_id,
                            'date_debut' => $date_debut,
                            'heure_debut' => $heure_debut,
                            'date_fin' => $date_fin,
                            'heure_fin' => $heure_fin,
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]
                    ]);

                $resultat = \DB::table('seances')
                    ->where('tontine_id','=',$tontine_id)
                    ->where('date_debut','=',$date_debut)
                    ->where('heure_debut','=',$heure_debut)
                    ->where('date_fin','=',$date_fin)
                    ->where('heure_fin','=',$heure_fin)
                    ->first();
                return response()->json(['message' => 'success', 'seance' => $resultat]);
            }
        }

    }


    //permet de convertir l'argent du user d'une device à une autre dans son portemonnaie
    public function convertDevicePortemonnaie($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $device_depart = $data->device_depart;
        $device_arrivee = $data->device_arrivee;
        $montant_device_depart = $data->montant_device_depart;
        $montant_device_arrivee = $data->montant_device_arrivee;
        $sens_transaction = $data->sens_transaction;    //ici ça doit être entrant


        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error','user_not_found' => true,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false], 400);
        }

        $user_id = $user->id;

        if($device_depart == NULL || $device_arrivee == NULL || $montant_device_depart == NULL || $montant_device_arrivee == NULL
            || $sens_transaction == NULL ){

            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false], 400);
        }

        //je pars voir si les devices existent bien en BD
        $device_arrivee1 = \DB::table('devices')
            ->where('name','=',$device_arrivee)
            ->first();

        $device_depart1 = \DB::table('devices')
            ->where('name','=',$device_depart)
            ->first();

        if(empty($device_arrivee1) /*|| empty($device_depart1)*/){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => true,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false], 400);
        }

        if(/*empty($device_arrivee1) ||*/ empty($device_depart1)){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => true, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false], 400);
        }

        //je dois contrôler si le montant_depart avec sa device_depart ont bien un solde suffisant dans le portemonnaie du user
        $resultat = $this->soustraireDevicePorteMonnaie($user_id,$montant_device_depart,$device_depart1->id);

        if($resultat['message'] == "success"){
            $tontine_name = NULL;

            //on doit ajouter au solde de la nouvelle device
            $this->chargerPorteMonnaieSpecial($user_id,$montant_device_arrivee,$device_arrivee1->id);

            $this->remplir_transaction_portemonnaie($user_id,$tontine_name,$device_depart1->id,$montant_device_depart,"sortant","conversion","portemonnaie");

            $this->remplir_transaction_portemonnaie($user_id,$tontine_name,$device_arrivee1->id,$montant_device_arrivee,"entrant","conversion","portemonnaie");

            return response()->json(['message' => 'success']);
        }

        if($resultat['message'] == "solde_insuffisant"){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => true], 400);
        }

        if($resultat['message'] == "device_not_exist"){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false], 400);
        }

        return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
            'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false], 400);

    }


    //permet de faire une conversion automatique lorsque le user veut contribuer à partir de son portemonnaie
    public function convertDeviceToContribueWithPortemonnaie($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $seance_id = $data->seance_id;
        $typecontribution_id = $data->type_contribution_id;
        $sens_contribution = $data->sens_contribution;

        $device_depart = $data->device_depart;
        $device_arrivee = $data->device_arrivee;
        $montant_device_depart = $data->montant_device_depart;
        $montant_device_arrivee = $data->montant_device_arrivee;
        $sens_transaction = $data->sens_transaction;    //ici ça doit être entrant
        $numero_part = $data->numero_part;

        $montant_restant_a_contribuer = 0;
        $penalite_restante_a_payer = 0;


        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        if(empty($user)){
            return response()->json(['message' => 'error','user_not_found' => true,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $user_id = $user->id;

        if($device_depart == NULL || $device_arrivee == NULL || $montant_device_depart == NULL || $montant_device_arrivee == NULL || $seance_id == NULL
            || $sens_transaction == NULL || $typecontribution_id == NULL || $sens_contribution == NULL || $numero_part == NULL ){

            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je pars voir si les devices existent bien en BD
        $device_arrivee1 = \DB::table('devices')
            ->where('name','=',$device_arrivee)
            ->first();

        $device_depart1 = \DB::table('devices')
            ->where('name','=',$device_depart)
            ->first();

        if(empty($device_arrivee1) /*|| empty($device_depart1)*/){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => true,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        if(/*empty($device_arrivee1) ||*/ empty($device_depart1)){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => true, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        //je dois contrôler si le montant_depart avec sa device_depart ont bien un solde suffisant dans le portemonnaie du user
        /*$resultat = $this->soustraireDevicePorteMonnaie($user_id,$montant_device_depart,$device_depart1->id);

        if($resultat['message'] == "success"){
            //on doit ajouter au solde de la nouvelle device
            $this->chargerPorteMonnaieSpecial($user_id,$montant_device_arrivee,$device_arrivee1->id);

            //return response()->json(['message' => 'success']);
        }

        if($resultat['message'] == "solde_insuffisant"){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => true, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        if($resultat['message'] == "device_not_exist"){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }*/

        //je contrôle si le typecontribution existe bien dans la table typecontributions
        $typecontribution = \DB::table('typecontributions')
            ->where('id','=',$typecontribution_id)
            ->first();
        if(empty($typecontribution)){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => true, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }


        $seance = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->first();

        if(empty($seance)){     //alors la séance n'existe pas (valeur érronée)
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => true, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        $tontine_id = $seance->tontine_id;

        //je pars voir si c'est la même monnaie dans la table tontines
        $resultat = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->where('monnaie','=',$device_arrivee1->name)
            ->first();

        if(empty($resultat)){   //alors la monnaie de la tontine n'est pas la même que celle de contribution du user
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => true, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }


        if($montant_device_arrivee > $resultat->coutshare AND $typecontribution_id == 2 /*2 pour cotisation*/){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => true,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }else{

            //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
            $calculs = \DB::table('contributions')
                ->where('user_id','=',$user_id)
                ->where('seance_id','=',$seance_id)
                ->where('device_id','=',$device_arrivee1->id)
                ->where('typecontribution_id','=',$typecontribution_id)
                ->where('numero_part','=',$numero_part)
                ->get();

            if($typecontribution_id == 2){  //2 pour cotisation

                if(!empty($calculs)){
                    $somme = 0;
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $somme_complete = $somme + $montant_device_arrivee;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                    if($somme_complete != $resultat->coutshare){    //si c'est différent au cout d'une part de la tontine alors la valeur egale n'est pas atteint
                        if($somme_complete > $resultat->coutshare){ //si la somme_complète est plus grande que le cout d'une part on renvoit un msg d'erreur
                            $montant_restant_a_contribuer = $resultat->coutshare - $somme;

                            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => true, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                        }
                    }
                }
                else{
                    if($montant_device_arrivee != $resultat->coutshare){
                        if($montant_device_arrivee > $resultat->coutshare){
                            $montant_restant_a_contribuer = $resultat->coutshare;
                            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => true, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                        }
                    }
                }

            }



            if($typecontribution_id == 1){  //1 pour penalite
                $somme = 0;

                //je veux tester le montant de penalité entré avec celui de la table penalites propre au user dans la séance donnée
                $penalites = \DB::table('penalites')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('statut_penalite','=','pas_tout_paye')
                    ->where('numero_part','=',$numero_part)
                    ->first();

                if(!empty($penalites)){
                    if(!empty($calculs)){
                        foreach ($calculs as $calcul){
                            $somme += $calcul->montant;
                        }
                        $somme_complete = $somme + $montant_device_arrivee;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                        if($somme_complete != $penalites->penalite_a_payer){    //si c'est différent à la pénalité à payer alors la valeur egale n'est pas atteint
                            if($somme_complete > $penalites->penalite_a_payer){ //si la somme_complète est plus grande que la pénalité à payer on renvoit un msg d'erreur
                                $penalite_restante_a_payer = $penalites->penalite_a_payer - $somme;

                                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);

                            }
                        }
                    }
                    else{
                        if($montant_device_arrivee != $penalites->penalite_a_payer){
                            if($montant_device_arrivee > $penalites->penalite_a_payer){
                                $penalite_restante_a_payer = $penalites->penalite_a_payer;
                                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            }
                        }
                    }
                }
                else{
                    return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                        'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                        'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                        'aucune_penalite_a_payer' => true, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

            }


            //maintenant je soustrais l'argent dans le portemonnaie du user
            $resultat_soustraction = $this->soustraireDevicePorteMonnaie($user_id,$montant_device_depart/*$montant_device_arrivee*/,$device_depart1->id/*$device_arrivee1->id*/);
            $message = $resultat_soustraction['message'];

            if($message == "solde_insuffisant"){
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => true, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            if($message == "device_not_exist"){
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            if($message == "success"){  //alors je rempli maintenant la table contributions

                if($typecontribution_id == 1){  //penalite
                    //je recherche dans la table penalites la penalite dont le user doit payer
                    $penalites = \DB::table('penalites')
                        ->where('user_id','=',$user_id)
                        ->where('seance_id','=',$seance_id)
                        ->where('statut_penalite','=','pas_tout_paye')
                        ->where('numero_part','=',$numero_part)
                        ->first();

                    if(!empty($penalites)){
                        $result = $penalites->penalite_a_payer - $montant_device_arrivee;
                        if($result == 0){   //alors c'est réglé
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'statut_penalite' => 'tout_paye',
                                    'updated_at' => Carbon::now()
                                ]);
                        }
//                        if($result != 0){
//                            //j'update la table penalites
//                            \DB::table('penalites')
//                                ->where('id', '=', $penalites->id)
//                                ->update([
//                                    'penalite_a_payer' => $result,
//                                    'updated_at' => Carbon::now()
//                                ]);
//                        }
                    }
                }

                \DB::table('contributions')
                    ->insert([
                        [
                            'user_id' => $user_id,
                            'seance_id' => $seance_id,
                            'device_id' => $device_arrivee1->id,
                            'typecontribution_id' => $typecontribution_id,
                            'montant' => $montant_device_arrivee,
                            'sens_contribution' => $sens_contribution,
                            'numero_part' => $numero_part,
                            'created_at' => Carbon::now(),
                            'updated_at' => Carbon::now()
                        ]
                    ]);

                //puis je mets à jour le solde_en_caisse de la tontine
                $tontine = \DB::table('tontines')
                    ->where('id', '=', $seance->tontine_id)
                    ->first();

                if(!empty($tontine)){
                    \DB::table('tontines')
                        ->where('id', '=', $seance->tontine_id)
                        ->update([
                            'solde_en_caisse' => $tontine->solde_en_caisse + $montant_device_arrivee,
                            'updated_at' => Carbon::now()
                        ]);
                }

                $this->remplir_transaction_portemonnaie($user_id,$tontine->name,$device_depart1->id,$montant_device_depart,"sortant","paiement","portemonnaie");




                $contributions = \DB::table('contributions')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('device_id','=',$device_arrivee1->id)
                    ->where('montant','=',$montant_device_arrivee)
                    ->where('sens_contribution','=',$sens_contribution)
                    ->where('numero_part','=',$numero_part)
                    ->orderBy('created_at','desc')
                    ->first();

                return response()->json(['message' => 'success','contribution' => $contributions]);

            }

        }

        return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
            'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
            'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
            'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
    }


    //permet de renvoyer le pourcentage de contribution général pour une séance donnée d'une tontine
    public function getPourcentageContributionTontineOfSeance($tontine_id,$seance_id,$token){

        $sender = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        $sender_id = $sender->id;

        $tontine_not_found = false;
        $user_unauthorized = false;
        $seance_not_found = false;

        //ici je contrôle si le user est admin dans la tontine
        $authorization = \DB::table('membrestontines')
            ->where('user_id','=',$sender_id)
            ->where('tontine_id','=',$tontine_id)
            ->where('numero_part','=',1)
            //->where('administrator','=',1)
            ->first();

        if(empty($authorization)){
            $user_unauthorized = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized],400);
        }

        //ici je recherche si la tontine existe
        $tontine = \DB::table('tontines')
            ->where('id','=',$tontine_id)
            ->first();

        if(empty($tontine)){
            $tontine_not_found = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized],400);
        }

        $seance = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->first();

        if(empty($seance)){
            $seance_not_found = true;

            return response()->json([
                'message' => 'error',
                'tontine_not_found' => $tontine_not_found,
                'seance_not_found' => $seance_not_found,
                'user_unauthorized' => $user_unauthorized],400);
        }

        //je calcule le nbre de membres de la tontine
        $nombre_membre = \DB::table('membrestontines')
            ->join('users','users.id','=','membrestontines.user_id')
            ->where('membrestontines.tontine_id','=',$tontine_id)
            ->count();

        //calcul de la somme d'argent totale de contribution de la tontine
        $somme_totale = $nombre_membre * $tontine->coutshare;

        //je calcule maintenant les contributions déjà faites
        $calculs = \DB::table('contributions')
            ->where('seance_id','=',$seance_id)
            ->get();

        $somme_cotisation = 0;
        if(!empty($calculs)){
            foreach ($calculs as $calcul){
                if($calcul->typecontribution_id == 2){  //2 pour le typecontribution = cotisation
                    $somme_cotisation += $calcul->montant;
                }
            }
        }

        //je déduis une fois le pourcentage
        $pourcentage = ($somme_cotisation * 100) / $somme_totale;

        return response()->json(['message' => 'success', 'nombre_membre' => $nombre_membre, 'somme_cotisation' => $somme_cotisation,
            'somme_totale_attendue' => $somme_totale, 'pourcentage_contribution' => $pourcentage]);
    }



    //permet de renvoyer le montant restant à contribuer pour un membre dans une séance donnée de la tontine
    public function montantRestantAContribuer($seance_id,$token){

        $typecontribution_id = 2;       //pour cotisation

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        //je récupère la device de la tontine
        $tontine = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->where('archived','=',0)
            ->first();

        if(!empty($tontine)){
            $tontine_id = $tontine->tontine_id;

            //je cherche la monnaie de la tontine
            $monnaie = \DB::table('tontines')
                ->where('id','=',$tontine_id)
                ->first();

            if(!empty($monnaie)){
                $device_tontine = $monnaie->monnaie;

                $device = \DB::table('devices')
                    ->where('name','=',$device_tontine)
                    ->first();
                $device_id = $device->id;

                $montant_restant_a_contribuer = $monnaie->coutshare;
            }
            else{
                return response()->json(['message' => 'error', 'user_not_found' => false, 'tontine_not_found' => false, 'device_tontine_not_found' => true], 400);
            }

            if(!empty($user)){
                $user_id = $user->id;

                //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
                $calculs = \DB::table('contributions')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('device_id','=',$device_id)
                    ->where('typecontribution_id','=',$typecontribution_id)
                    ->get();

                if(!empty($calculs)){
                    $somme = 0;
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $montant_restant_a_contribuer = $monnaie->coutshare - $somme;

                }


                return response()->json(['device' => $device_tontine, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer]);

            }
            else{
                return response()->json(['message' => 'error', 'user_not_found' => true, 'tontine_not_found' => false, 'device_tontine_not_found' => false], 400);
            }

        }
        else{
            return response()->json(['message' => 'error', 'user_not_found' => false, 'tontine_not_found' => true, 'device_tontine_not_found' => false], 400);
        }

    }


    //permet de renvoyer le montant restant à contribuer pour un membre dans une séance donnée de la tontine avec le user_id
    public function montantRestantAContribuerAvecUserId($seance_id,$user_id){

        $typecontribution_id = 2;       //pour cotisation

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        //je récupère la device de la tontine
        $tontine = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->where('archived','=',0)
            ->first();

        if(!empty($tontine)){
            $tontine_id = $tontine->tontine_id;

            //je cherche la monnaie de la tontine
            $monnaie = \DB::table('tontines')
                ->where('id','=',$tontine_id)
                ->first();

            if(!empty($monnaie)){
                $device_tontine = $monnaie->monnaie;

                $device = \DB::table('devices')
                    ->where('name','=',$device_tontine)
                    ->first();
                $device_id = $device->id;

                $montant_restant_a_contribuer = $monnaie->coutshare;
            }
            else{
                return response()->json(['message' => 'error', 'user_not_found' => false, 'tontine_not_found' => false, 'device_tontine_not_found' => true], 400);
            }

            if(!empty($user)){
                $user_id = $user->id;

                //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
                $calculs = \DB::table('contributions')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('device_id','=',$device_id)
                    ->where('typecontribution_id','=',$typecontribution_id)
                    ->get();

                if(!empty($calculs)){
                    $somme = 0;
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $montant_restant_a_contribuer = $monnaie->coutshare - $somme;

                }


                return response()->json(['device' => $device_tontine, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer]);

            }
            else{
                return response()->json(['message' => 'error', 'user_not_found' => true, 'tontine_not_found' => false, 'device_tontine_not_found' => false], 400);
            }

        }
        else{
            return response()->json(['message' => 'error', 'user_not_found' => false, 'tontine_not_found' => true, 'device_tontine_not_found' => false], 400);
        }

    }


    //permet à un membre de confirmer la contribution à partir de son portemonnaie sachant que le montant à contribuer (cotisation ou penalite)
    // est supérieur et donc le reste est chargé dans son portemonnaie
    public function confirmContribuerAvecPorteMonnaie($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $seance_id = $data->seance_id;
        $device_name = $data->device_name;
        $montant = $data->montant;
        $typecontribution_id = $data->typecontribution_id;
        $sens_contribution = $data->sens_contribution;
        $confirmation = $data->confirmation;        //on remplit ici par oui ou non afin d'avoir la position du membre
        $numero_part = $data->numero_part;

        $montant_restant_a_contribuer = 0;
        $penalite_restante_a_payer = 0;
        $somme_a_charger_dans_le_portemonnaie = 0;
        $somme = 0;

        $monnaie_tontine = NULL;

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        $seance1 = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->first();
        if(!empty($seance1)){
            $resultat1 = \DB::table('tontines')
                ->where('id','=',$seance1->tontine_id)
                //->where('monnaie','=',$device_name)
                ->first();
            if(!empty($resultat1)){
                $monnaie_tontine = $resultat1->monnaie;
            }
        }

        //je me rassure que tous les champs sont renseignés
        if($seance_id == NULL || $device_name == NULL || $montant == NULL || $typecontribution_id == NULL || $sens_contribution == NULL || $confirmation == NULL || $numero_part == NULL){
            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'device_not_exist' => false, 'seance_not_found' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        if($confirmation == "oui" || $confirmation == "non"){     //si le user a confirmé alors on continue


            if(empty($user)){
                return response()->json(['message' => 'error','user_not_found' => true,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $user_id = $user->id;



            //je contrôle si le typecontribution existe bien dans la table typecontributions
            $typecontribution = \DB::table('typecontributions')
                ->where('id','=',$typecontribution_id)
                ->first();
            if(empty($typecontribution)){
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => true, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $device = \DB::table('devices')
                ->where('name','=',$device_name)
                ->first();
            $device_id = $device->id;
            if(empty($device)){     //alors la device n'existe pas
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => true, 'seance_not_found' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $seance = \DB::table('seances')
                ->where('id','=',$seance_id)
                ->first();

            if(empty($seance)){     //alors la séance n'existe pas (valeur érronée)
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => true,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $tontine_id = $seance->tontine_id;
            $device_name = $device->name;
            //je pars voir si c'est la même monnaie dans la table tontines
            $resultat = \DB::table('tontines')
                ->where('id','=',$tontine_id)
                ->where('monnaie','=',$device_name)
                ->first();

            if(empty($resultat)){   //alors la monnaie de la tontine n'est pas la même que celle de contribution du user
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => true, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            //je dois tester si le montant du user ne dépasse pas le coût d'une part
            /*if($montant > $resultat->coutshare){


                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => true,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }*/

            //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
            $calculs = \DB::table('contributions')
                ->where('user_id','=',$user_id)
                ->where('seance_id','=',$seance_id)
                ->where('device_id','=',$device_id)
                ->where('typecontribution_id','=',$typecontribution_id)
                ->where('numero_part','=',$numero_part)
                ->get();

            if($typecontribution_id == 2){      //2 pour cotisation
                $somme = 0;
                if(!empty($calculs)){
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $somme_complete = $somme + $montant;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                    if($somme_complete != $resultat->coutshare){    //si c'est différent au cout d'une part de la tontine alors la valeur egale n'est pas atteint
                        if($somme_complete > $resultat->coutshare){ //si la somme_complète est plus grande que le cout d'une part on renvoit un msg d'erreur
                            $montant_restant_a_contribuer = 0;

                            $somme_a_charger_dans_le_portemonnaie = $somme_complete - $resultat->coutshare;

                            /*return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => true, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            */
                        }
                    }
                }
                else{
                    if($montant != $resultat->coutshare){
                        if($montant > $resultat->coutshare){
                            $montant_restant_a_contribuer = 0;

                            $somme_a_charger_dans_le_portemonnaie = $montant - $resultat->coutshare;

                            /*return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => true, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            */
                        }
                    }
                }
            }


            if($typecontribution_id == 1){  //1 pour penalite
                $somme = 0;

                //je veux tester le montant de penalité entré avec celui de la table penalites propre au user dans la séance donnée
                $penalites = \DB::table('penalites')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('statut_penalite','=','pas_tout_paye')
                    ->where('numero_part','=',$numero_part)
                    ->first();

                if(!empty($penalites)){
                    if(!empty($calculs)){
                        foreach ($calculs as $calcul){
                            $somme += $calcul->montant;
                        }
                        $somme_complete = $somme + $montant;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                        if($somme_complete != $penalites->penalite_a_payer){    //si c'est différent à la pénalité à payer alors la valeur egale n'est pas atteint
                            if($somme_complete > $penalites->penalite_a_payer){ //si la somme_complète est plus grande que la pénalité à payer on renvoit un msg d'erreur
                                $penalite_restante_a_payer = 0;

                                $somme_a_charger_dans_le_portemonnaie = $somme_complete - $penalites->penalite_a_payer;

                                /*return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => true ,'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }
                    }
                    else{
                        if($montant != $penalites->penalite_a_payer){
                            if($montant > $penalites->penalite_a_payer){
                                $penalite_restante_a_payer = 0;

                                $somme_a_charger_dans_le_portemonnaie = $montant - $penalites->penalite_a_payer;

                                /*return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => true, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }

                    }
                }
                else{
                    return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                        'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                        'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                        'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => true, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }


            }


            //maintenant je soustrais l'argent dans le portemonnaie du user
            $resultat_soustraction = $this->soustraireDevicePorteMonnaie($user_id,$montant,$device_id);
            $message = $resultat_soustraction['message'];

            if($message == "solde_insuffisant"){
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => true,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            if($message == "device_not_exist"){
                return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                    'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            if($message == "success"){  //alors je rempli maintenant la table contributions

                $seance_tontine = \DB::table('seances')
                    ->join('tontines','tontines.id','=','seances.tontine_id')
                    ->where('seances.id','=',$seance_id)
                    ->first();

                $this->remplir_transaction_portemonnaie($user_id,$seance_tontine->name,$device_id,$montant,"sortant","paiement","portemonnaie");

                if($typecontribution_id == 1){  //penalite
                    //je recherche dans la table penalites la penalite dont le user doit payer
                    $penalites = \DB::table('penalites')
                        ->where('user_id','=',$user_id)
                        ->where('seance_id','=',$seance_id)
                        ->where('statut_penalite','=','pas_tout_paye')
                        ->where('numero_part','=',$numero_part)
                        ->first();

                    if(!empty($penalites)){

                        $somme = 0;
                        $calculs = \DB::table('contributions')
                            ->where('user_id', '=', $user_id)
                            ->where('seance_id', '=', $seance_id)
                            ->where('device_id', '=', $device_id)
                            ->where('typecontribution_id', '=', $typecontribution_id)
                            ->where('numero_part','=',$numero_part)
                            ->get();

                        if(!empty($calculs)){
                            foreach ($calculs as $c){
                                $somme = $somme + $c->montant;
                            }
                        }

                        //$result = $penalites->penalite_a_payer - $montant;
                        $result = $montant - $somme_a_charger_dans_le_portemonnaie;
                        $test = $penalites->penalite_a_payer - $somme;
                        //dd((string)$result == (string)$test);

                        if ((string)$result == (string)$test) {   //alors c'est réglé

                            //if($result == ($penalites->penalite_a_payer - $somme)){   //alors c'est réglé
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'statut_penalite' => 'tout_paye',
                                    'updated_at' => Carbon::now()
                                ]);

                            \DB::table('contributions')
                                ->insert([
                                    [
                                        'user_id' => $user_id,
                                        'seance_id' => $seance_id,
                                        'device_id' => $device_id,
                                        'typecontribution_id' => $typecontribution_id,
                                        'montant' => $result,
                                        'sens_contribution' => $sens_contribution,
                                        'numero_part' => $numero_part,
                                        'created_at' => Carbon::now(),
                                        'updated_at' => Carbon::now()
                                    ]
                                ]);

                            //$this->remplir_transaction_portemonnaie($user_id,$device_id,$result,"sortant","paiement");

                        }
                        /*if($result != 0){
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'penalite_a_payer' => $result,
                                    'updated_at' => Carbon::now()
                                ]);
                        }*/
                    }
                }

                if($typecontribution_id == 2){  //2 pour cotisation
                    \DB::table('contributions')
                        ->insert([
                            [
                                'user_id' => $user_id,
                                'seance_id' => $seance_id,
                                'device_id' => $device_id,
                                'typecontribution_id' => $typecontribution_id,
                                'montant' => $resultat->coutshare - $somme,
                                'sens_contribution' => $sens_contribution,
                                'numero_part' => $numero_part,
                                'created_at' => Carbon::now(),
                                'updated_at' => Carbon::now()
                            ]
                        ]);

                    //$this->remplir_transaction_portemonnaie($user_id,$device_id,$resultat->coutshare - $somme,"sortant","paiement");

                }

                $tontine_name = NULL;

                //puis je charge le portemonnaie du user avec le montant en surplus qu'il a entré (somme_a_charger_dans_le_portemonnaie
                $this->chargerPorteMonnaieSpecial($user_id,$somme_a_charger_dans_le_portemonnaie,$device_id);

                $this->remplir_transaction_portemonnaie($user_id,$tontine_name,$device_id,$somme_a_charger_dans_le_portemonnaie,"entrant","argent chargé","portemonnaie");

                //puis je mets à jour le solde_en_caisse de la tontine
                $tontine = \DB::table('tontines')
                    ->where('id', '=', $seance->tontine_id)
                    ->first();

                if(!empty($tontine)){
                    \DB::table('tontines')
                        ->where('id', '=', $seance->tontine_id)
                        ->update([
                            'solde_en_caisse' => $tontine->solde_en_caisse + $resultat->coutshare - $somme,
                            'updated_at' => Carbon::now()
                        ]);
                }

                $contributions = \DB::table('contributions')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('device_id','=',$device_id)
                    ->where('montant','=',$resultat->coutshare - $somme)
                    ->where('sens_contribution','=',$sens_contribution)
                    ->where('numero_part','=',$numero_part)
                    ->orderBy('created_at','desc')
                    ->first();

                return response()->json(['message' => 'success','contribution' => $contributions]);

            }

            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_not_exist' => false, 'seance_not_found' => false,
                'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false,'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'monnaie_tontine' => $monnaie_tontine, 'aucune_penalite_a_payer' => false,'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);

        }
        else{
            return response()->json(['message' => 'success','contribution' => 'cancel']);
        }

    }


    //permet à un membre de confirmer la contribution directement sans faire de conversion de device (sans utiliser son portemonnaie) sachant que le montant
    // à contribuer (cotisation ou penalite) est supérieur et donc le reste est chargé dans son portemonnaie
    public function confirmContribuerSansPorteMonnaieSansConvertDevice($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $seance_id = $data->seance_id;
        $device_name = $data->device_name;
        $montant = $data->montant;
        $typecontribution_id = $data->typecontribution_id;
        $sens_contribution = $data->sens_contribution;
        $typepaiement_id = $data->typepaiement_id;              //ici on a l'id du typepaiements (MTN MOBILE MONEY, ORANGE MONEY, PAYPAL)
        $confirmation = $data->confirmation;        //on remplit ici par oui ou non afin d'avoir la position du membre
        $numero_part = $data->numero_part;


        $numero = NULL;
        $montant_restant_a_contribuer = 0;

        $penalite_restante_a_payer = 0;

        $somme_a_charger_dans_le_portemonnaie = 0;

        $montant_a_couper = 0;
        $somme = 0;



        //je veux avoir d'autres infos(numéro) par rapport au typepaiement
        if($typepaiement_id != NULL){
            $typepaiement_info = \DB::table('typepaiements')
                ->where('id','=',$typepaiement_id)
                ->first();

            if(!empty($typepaiement_info)){
                if($typepaiement_info->name == "MTN MOBILE MONEY"){
                    $numero = $data->numero;
                }
                if($typepaiement_info->name == "ORANGE MONEY"){
                    $numero = $data->numero;
                }
                if($typepaiement_info->name == "PAYPAL"){
                    $numero = $data->numero;
                }
            }
        }

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        //je me rassure que tous les champs sont renseignés
        if($seance_id == NULL || $device_name == NULL || $montant == NULL || $typecontribution_id == NULL || $sens_contribution == NULL || $typepaiement_id == NULL
            || $numero == NULL || $confirmation == NULL || $numero_part == NULL){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => true,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        if($confirmation == "oui"){     //si le user a confirmé alors on continue


            if(empty($user)){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $user_id = $user->id;



            //je contrôle si le typepaiement existe bien dans la table typepaiements
            $typepaiement = \DB::table('typepaiements')
                ->where('id','=',$typepaiement_id)
                ->first();
            if(empty($typepaiement)){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => true, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            //je contrôle si le typecontribution existe bien dans la table typecontributions
            $typecontribution = \DB::table('typecontributions')
                ->where('id','=',$typecontribution_id)
                ->first();
            if(empty($typecontribution)){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => true, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }


            $device = \DB::table('devices')
                ->where('name','=',$device_name)
                ->first();

            $device_id = $device->id;
            if(empty($device)){     //alors la device n'existe pas
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => true,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $seance = \DB::table('seances')
                ->where('id','=',$seance_id)
                ->first();

            if(empty($seance)){     //alors la séance n'existe pas (valeur érronée)
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => true, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $tontine_id = $seance->tontine_id;
            $device_name = $device->name;
            //je pars voir si c'est la même monnaie dans la table tontines
            $resultat = \DB::table('tontines')
                ->where('id','=',$tontine_id)
                ->where('monnaie','=',$device_name)
                ->first();

            if(empty($resultat)){   //alors la monnaie de la tontine n'est pas la même que celle de contribution du user
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => true, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            //je dois tester si le montant du user ne dépasse pas le coût d'une part
            /*if($montant > $resultat->coutshare){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => true,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }*/

            //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
            $calculs = \DB::table('contributions')
                ->where('user_id','=',$user_id)
                ->where('seance_id','=',$seance_id)
                ->where('device_id','=',$device_id)
                ->where('typecontribution_id','=',$typecontribution_id)
                ->where('numero_part','=',$numero_part)
                ->get();


            if($typecontribution_id == 2){  //2 pour cotisation
                $somme = 0;
                if(!empty($calculs)){
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $somme_complete = $somme + $montant;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                    if($somme_complete != $resultat->coutshare){    //si c'est différent au cout d'une part de la tontine alors la valeur egale n'est pas atteint
                        if($somme_complete > $resultat->coutshare){ //si la somme_complète est plus grande que le cout d'une part on renvoit un msg d'erreur
                            $montant_restant_a_contribuer = 0;

                            $somme_a_charger_dans_le_portemonnaie = $somme_complete - $resultat->coutshare;

                            /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                        }
                    }
                }
                else{
                    if($montant != $resultat->coutshare){
                        if($montant > $resultat->coutshare){
                            $montant_restant_a_contribuer = 0;

                            $somme_a_charger_dans_le_portemonnaie = $montant - $resultat->coutshare;

                            /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            */
                        }
                    }
                }
            }

            if($typecontribution_id == 1){  //1 pour penalite
                $somme = 0;

                //je veux tester le montant de penalité entré avec celui de la table penalites propre au user dans la séance donnée
                $penalites = \DB::table('penalites')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('statut_penalite','=','pas_tout_paye')
                    ->where('numero_part','=',$numero_part)
                    ->first();

                if(!empty($penalites)){
                    if(!empty($calculs)){
                        foreach ($calculs as $calcul){
                            $somme += $calcul->montant;
                        }
                        $somme_complete = $somme + $montant;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer

                        if($somme_complete != $penalites->penalite_a_payer){    //si c'est différent à la pénalité à payer alors la valeur egale n'est pas atteint
                            if($somme_complete > $penalites->penalite_a_payer){ //si la somme_complète est plus grande que la pénalité à payer on renvoit un msg d'erreur
                                $penalite_restante_a_payer = 0;

                                $somme_a_charger_dans_le_portemonnaie = $somme_complete - $penalites->penalite_a_payer;

                                /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }
                    }
                    else{
                        if($montant != $penalites->penalite_a_payer){
                            if($montant > $penalites->penalite_a_payer){
                                $penalite_restante_a_payer = 0;

                                $somme_a_charger_dans_le_portemonnaie = $montant - $penalites->penalite_a_payer;

                                /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }

                    }
                }
                else{
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                        'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                        'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                        'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                        'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => true,
                        'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

            }


            /***********************************                Partie des paiements                ***************************************/


            if($typepaiement->name == "MTN MOBILE MONEY" AND $device_id == 1 /*pour FCFA*/){




                /*********************       Partie à remettre                       *********************************/

                /*
                $response = $this->MTNMobileMoney($token,$montant,$numero);
                 $message = $response['message'];

                $user_not_found = $response['user_not_found'];

                if($message == "error" AND $user_not_found == true){
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true, 'parameter_not_found' => false,
                                             'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                             'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                             'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                             'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

                if($message == "error" AND $user_not_found == false){
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => true, 'user_not_found' => false, 'parameter_not_found' => false,
                                             'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                             'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                             'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                             'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

                */


                /********************              End Partie à remettre                *****************************/

                //if($message == "success" AND $user_not_found == false ){      //cas où le paiement a réussi       //----ligne à remettre pour le paiement

                if($typecontribution_id == 1){  //penalite
                    //je recherche dans la table penalites la penalite dont le user doit payer
                    $penalites = \DB::table('penalites')
                        ->where('user_id','=',$user_id)
                        ->where('seance_id','=',$seance_id)
                        ->where('statut_penalite','=','pas_tout_paye')
                        ->where('numero_part','=',$numero_part)
                        ->first();

                    if(!empty($penalites)){

                        $somme = 0;
                        $calculs = \DB::table('contributions')
                            ->where('user_id', '=', $user_id)
                            ->where('seance_id', '=', $seance_id)
                            ->where('device_id', '=', $device_id)
                            ->where('typecontribution_id', '=', $typecontribution_id)
                            ->where('numero_part','=',$numero_part)
                            ->get();

                        if(!empty($calculs)){
                            foreach ($calculs as $c){
                                $somme = $somme + $c->montant;
                            }
                        }


                        //$result = $penalites->penalite_a_payer - $montant;
                        $result = $montant - $somme_a_charger_dans_le_portemonnaie;
                        $test = $penalites->penalite_a_payer - $somme;
                        //dd((string)$result == (string)$test);

                        if ((string)$result == (string)$test) {   //alors c'est réglé

                            //if($result == ($penalites->penalite_a_payer - $somme)){   //alors c'est réglé
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'statut_penalite' => 'tout_paye',
                                    'updated_at' => Carbon::now()
                                ]);

                            \DB::table('contributions')
                                ->insert([
                                    [
                                        'user_id' => $user_id,
                                        'seance_id' => $seance_id,
                                        'device_id' => $device_id,
                                        'typecontribution_id' => $typecontribution_id,
                                        'montant' => $result,
                                        'sens_contribution' => $sens_contribution,
                                        'numero_part' => $numero_part,
                                        'created_at' => Carbon::now(),
                                        'updated_at' => Carbon::now()
                                    ]
                                ]);


                        }
                        /*if($result != 0){
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'penalite_a_payer' => $result,
                                    'updated_at' => Carbon::now()
                                ]);
                        }*/
                    }
                }

                if($typecontribution_id == 2){  //2 pour cotisation
                    \DB::table('contributions')
                        ->insert([
                            [
                                'user_id' => $user_id,
                                'seance_id' => $seance_id,
                                'device_id' => $device_id,
                                'typecontribution_id' => $typecontribution_id,
                                'montant' => $resultat->coutshare - $somme,
                                'sens_contribution' => $sens_contribution,
                                'numero_part' => $numero_part,
                                'created_at' => Carbon::now(),
                                'updated_at' => Carbon::now()
                            ]
                        ]);

                }


                $tontine_name = NULL;

                //puis je charge le portemonnaie du user
                $this->chargerPorteMonnaieSpecial($user_id,$somme_a_charger_dans_le_portemonnaie,$device_id);

                $this->remplir_transaction_portemonnaie($user_id,$tontine_name,$somme_a_charger_dans_le_portemonnaie,"entrant","argent chargé",$typepaiement->name);

                //puis je mets à jour le solde_en_caisse de la tontine
                $tontine = \DB::table('tontines')
                    ->where('id', '=', $seance->tontine_id)
                    ->first();

                if(!empty($tontine)){
                    \DB::table('tontines')
                        ->where('id', '=', $seance->tontine_id)
                        ->update([
                            'solde_en_caisse' => $tontine->solde_en_caisse + $resultat->coutshare - $somme,
                            'updated_at' => Carbon::now()
                        ]);
                }



                $contributions = \DB::table('contributions')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('device_id','=',$device_id)
                    ->where('montant','=',$resultat->coutshare - $somme)
                    ->where('sens_contribution','=',$sens_contribution)
                    ->where('numero_part','=',$numero_part)
                    ->orderBy('created_at','desc')
                    ->first();

                return response()->json(['message' => 'success', 'confirm_payment' => true, 'contribution' => $contributions]);

                //}             //----ligne à remettre pour le paiement
            }



            if($typepaiement->name == "ORANGE MONEY" AND $device_id == 1 /*pour FCFA*/){
                //à traiter le moment venu
            }


            if($typepaiement->name == "PAYPAL"){
                //à traiter le moment venu
            }

            /***********************************                End Partie des paiements            *****************************************/

            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => true, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);

        }

        if($confirmation == "non"){     //dans ce cas on coupe juste l'argent nécessaire


            if(empty($user)){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $user_id = $user->id;



            //je contrôle si le typepaiement existe bien dans la table typepaiements
            $typepaiement = \DB::table('typepaiements')
                ->where('id','=',$typepaiement_id)
                ->first();
            if(empty($typepaiement)){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => true, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            //je contrôle si le typecontribution existe bien dans la table typecontributions
            $typecontribution = \DB::table('typecontributions')
                ->where('id','=',$typecontribution_id)
                ->first();
            if(empty($typecontribution)){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => true, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }


            $device = \DB::table('devices')
                ->where('name','=',$device_name)
                ->first();

            $device_id = $device->id;
            if(empty($device)){     //alors la device n'existe pas
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => true,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $seance = \DB::table('seances')
                ->where('id','=',$seance_id)
                ->first();

            if(empty($seance)){     //alors la séance n'existe pas (valeur érronée)
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => true, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $tontine_id = $seance->tontine_id;
            $device_name = $device->name;
            //je pars voir si c'est la même monnaie dans la table tontines
            $resultat = \DB::table('tontines')
                ->where('id','=',$tontine_id)
                ->where('monnaie','=',$device_name)
                ->first();

            if(empty($resultat)){   //alors la monnaie de la tontine n'est pas la même que celle de contribution du user
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => true, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            //je dois tester si le montant du user ne dépasse pas le coût d'une part
            /*if($montant > $resultat->coutshare){
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => true,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }*/

            //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
            $calculs = \DB::table('contributions')
                ->where('user_id','=',$user_id)
                ->where('seance_id','=',$seance_id)
                ->where('device_id','=',$device_id)
                ->where('typecontribution_id','=',$typecontribution_id)
                ->where('numero_part','=',$numero_part)
                ->get();


            if($typecontribution_id == 2){  //2 pour cotisation
                $somme = 0;
                if(!empty($calculs)){
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $somme_complete = $somme + $montant;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                    if($somme_complete != $resultat->coutshare){    //si c'est différent au cout d'une part de la tontine alors la valeur egale n'est pas atteint
                        if($somme_complete > $resultat->coutshare){ //si la somme_complète est plus grande que le cout d'une part on renvoit un msg d'erreur
                            $montant_restant_a_contribuer = $resultat->coutshare - $somme;

                            //$montant_a_couper = $montant - $montant_restant_a_contribuer;

                            /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                        }
                    }
                }
                else{
                    if($montant != $resultat->coutshare){
                        if($montant > $resultat->coutshare){
                            $montant_restant_a_contribuer = $resultat->coutshare;

                            //$montant_a_couper = $montant - $montant_restant_a_contribuer;

                            /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            */
                        }
                    }
                }
            }

            if($typecontribution_id == 1){  //1 pour penalite
                $somme = 0;

                //je veux tester le montant de penalité entré avec celui de la table penalites propre au user dans la séance donnée
                $penalites = \DB::table('penalites')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('statut_penalite','=','pas_tout_paye')
                    ->where('numero_part','=',$numero_part)
                    ->first();

                if(!empty($penalites)){
                    if(!empty($calculs)){
                        foreach ($calculs as $calcul){
                            $somme += $calcul->montant;
                        }
                        $somme_complete = $somme + $montant;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer

                        if($somme_complete != $penalites->penalite_a_payer){    //si c'est différent à la pénalité à payer alors la valeur egale n'est pas atteint
                            if($somme_complete > $penalites->penalite_a_payer){ //si la somme_complète est plus grande que la pénalité à payer on renvoit un msg d'erreur
                                $penalite_restante_a_payer = $penalites->penalite_a_payer - $somme;

                                //$montant_a_couper = $montant - $penalite_restante_a_payer;

                                /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }
                    }
                    else{
                        if($montant != $penalites->penalite_a_payer){
                            if($montant > $penalites->penalite_a_payer){
                                $penalite_restante_a_payer = $penalites->penalite_a_payer;

                                //$montant_a_couper = $montant - $montant_restant_a_contribuer;

                                /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                                    'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }

                    }
                }
                else{
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                        'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                        'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                        'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                        'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => true,
                        'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

            }


            /***********************************                Partie des paiements                ***************************************/


            if($typepaiement->name == "MTN MOBILE MONEY" AND $device_id == 1 /*pour FCFA*/){

                if($typecontribution_id == 1){  //1 pour penalite
                    //$response = $this->MTNMobileMoney($token,$penalite_restante_a_payer,$numero);
                }

                if($typecontribution_id == 2){ //2 pour cotisation
                    //$response = $this->MTNMobileMoney($token,$montant_restant_a_contribuer,$numero);
                }



                /*********************       Partie à remettre                       *********************************/

                /*

                $message = $response['message'];

                $user_not_found = $response['user_not_found'];

                if($message == "error" AND $user_not_found == true){
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true, 'parameter_not_found' => false,
                                             'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                             'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                             'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                             'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

                if($message == "error" AND $user_not_found == false){
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => true, 'user_not_found' => false, 'parameter_not_found' => false,
                                             'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                             'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                             'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                             'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

                */


                /********************              End Partie à remettre                *****************************/

                //if($message == "success" AND $user_not_found == false ){      //cas où le paiement a réussi       //----ligne à remettre pour le paiement

                if($typecontribution_id == 1){  //penalite
                    //je recherche dans la table penalites la penalite dont le user doit payer
                    $penalites = \DB::table('penalites')
                        ->where('user_id','=',$user_id)
                        ->where('seance_id','=',$seance_id)
                        ->where('statut_penalite','=','pas_tout_paye')
                        ->where('numero_part','=',$numero_part)
                        ->first();

                    if(!empty($penalites)){
                        //$result = $penalites->penalite_a_payer - $montant;
                        $result = $penalite_restante_a_payer + $somme;
                        if($result == $penalites->penalite_a_payer){   //alors c'est réglé
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'statut_penalite' => 'tout_paye',
                                    'updated_at' => Carbon::now()
                                ]);

                            \DB::table('contributions')
                                ->insert([
                                    [
                                        'user_id' => $user_id,
                                        'seance_id' => $seance_id,
                                        'device_id' => $device_id,
                                        'typecontribution_id' => $typecontribution_id,
                                        'montant' => $penalite_restante_a_payer,
                                        'sens_contribution' => $sens_contribution,
                                        'numero_part' => $numero_part,
                                        'created_at' => Carbon::now(),
                                        'updated_at' => Carbon::now()
                                    ]
                                ]);


                        }
                        /*if($result != 0){
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'penalite_a_payer' => $result,
                                    'updated_at' => Carbon::now()
                                ]);
                        }*/
                    }
                }

                if($typecontribution_id == 2){  //2 pour cotisation
                    \DB::table('contributions')
                        ->insert([
                            [
                                'user_id' => $user_id,
                                'seance_id' => $seance_id,
                                'device_id' => $device_id,
                                'typecontribution_id' => $typecontribution_id,
                                'montant' => $montant_restant_a_contribuer,
                                'sens_contribution' => $sens_contribution,
                                'numero_part' => $numero_part,
                                'created_at' => Carbon::now(),
                                'updated_at' => Carbon::now()
                            ]
                        ]);

                }



                //puis je charge le portemonnaie du user
                //$this->chargerPorteMonnaieSpecial($user_id,$somme_a_charger_dans_le_portemonnaie,$device_id);

                //puis je mets à jour le solde_en_caisse de la tontine
                $tontine = \DB::table('tontines')
                    ->where('id', '=', $seance->tontine_id)
                    ->first();

                if(!empty($tontine)){

                    if($typecontribution_id == 1){  //1 pour penalite
                        \DB::table('tontines')
                            ->where('id', '=', $seance->tontine_id)
                            ->update([
                                'solde_en_caisse' => $tontine->solde_en_caisse + $penalite_restante_a_payer,
                                'updated_at' => Carbon::now()
                            ]);

                        $contributions = \DB::table('contributions')
                            ->where('user_id','=',$user_id)
                            ->where('seance_id','=',$seance_id)
                            ->where('device_id','=',$device_id)
                            ->where('montant','=',$penalite_restante_a_payer)
                            ->where('sens_contribution','=',$sens_contribution)
                            ->where('numero_part','=',$numero_part)
                            ->orderBy('created_at','desc')
                            ->first();

                    }

                    if($typecontribution_id == 2){  //2 pour cotisation
                        \DB::table('tontines')
                            ->where('id', '=', $seance->tontine_id)
                            ->update([
                                'solde_en_caisse' => $tontine->solde_en_caisse + $montant_restant_a_contribuer,
                                'updated_at' => Carbon::now()
                            ]);

                        $contributions = \DB::table('contributions')
                            ->where('user_id','=',$user_id)
                            ->where('seance_id','=',$seance_id)
                            ->where('device_id','=',$device_id)
                            ->where('montant','=',$montant_restant_a_contribuer)
                            ->where('sens_contribution','=',$sens_contribution)
                            ->where('numero_part','=',$numero_part)
                            ->orderBy('created_at','desc')
                            ->first();

                    }

                }





                return response()->json(['message' => 'success', 'confirm_payment' => true, 'contribution' => $contributions]);

                //}             //----ligne à remettre pour le paiement
            }



            if($typepaiement->name == "ORANGE MONEY" AND $device_id == 1 /*pour FCFA*/){
                //à traiter le moment venu
            }


            if($typepaiement->name == "PAYPAL"){
                //à traiter le moment venu
            }

            /***********************************                End Partie des paiements            *****************************************/

            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => false,
                'device_not_exist' => false,'device_not_exist_for_operator' => true, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);




        }

        /*else{
            return response()->json(['message' => 'success','confirm_payment' => false, 'contribution' => 'cancel']);
        }*/
    }


    //permet à un membre de confirmer la contribution directement en faisant la conversion de device (sans utiliser son portemonnaie) sachant que le montant
    // à contribuer (cotisation ou penalite) est supérieur et donc le reste est chargé dans son portemonnaie
    public function confirmContribuerSansPorteMonnaieAvecConvertDevice($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $seance_id = $data->seance_id;
        $typecontribution_id = $data->typecontribution_id;
        $typepaiement_id = $data->typepaiement_id;              //ici on a l'id du typepaiements (MTN MOBILE MONEY, ORANGE MONEY, PAYPAL)
        $device_depart = $data->device_depart;
        $device_arrivee = $data->device_arrivee;
        $montant_device_depart = $data->montant_device_depart;
        $montant_device_arrivee = $data->montant_device_arrivee;
        //$sens_transaction = $data->sens_transaction;    //ici ça doit être entrant
        $sens_contribution = $data->sens_contribution;
        $confirmation = $data->confirmation;            //on remplit ici par oui ou non afin d'avoir la position du membre
        $numero_part = $data->numero_part;

        $numero = NULL;
        $montant_restant_a_contribuer = 0;

        $penalite_restante_a_payer = 0;

        $somme_a_charger_dans_le_portemonnaie = 0;
        $somme = 0;

        //je veux avoir d'autres infos(numéro) par rapport au typepaiement
        if($typepaiement_id != NULL){
            $typepaiement_info = \DB::table('typepaiements')
                ->where('id','=',$typepaiement_id)
                ->first();

            if(!empty($typepaiement_info)){
                if($typepaiement_info->name == "MTN MOBILE MONEY"){
                    $numero = $data->numero;
                }
                if($typepaiement_info->name == "ORANGE MONEY"){
                    $numero = $data->numero;
                }
                if($typepaiement_info->name == "PAYPAL"){
                    $numero = $data->numero;
                }
            }
        }

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        //je me rassure que tous les champs sont renseignés
        if($seance_id == NULL || $device_depart == NULL || $device_arrivee == NULL || $typecontribution_id == NULL || $sens_contribution == NULL || $typepaiement_id == NULL
            || $numero == NULL || $montant_device_depart == NULL || $montant_device_arrivee == NULL || $sens_contribution == NULL || $confirmation == NULL || $numero_part == NULL){
            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false,'parameter_not_found' => true,
                'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        if($confirmation == "oui") {


            if (empty($user)) {
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $user_id = $user->id;


            //je contrôle si le typepaiement existe bien dans la table typepaiements
            $typepaiement = \DB::table('typepaiements')
                ->where('id', '=', $typepaiement_id)
                ->first();
            if (empty($typepaiement)) {
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => true, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            //je contrôle si le typecontribution existe bien dans la table typecontributions
            $typecontribution = \DB::table('typecontributions')
                ->where('id', '=', $typecontribution_id)
                ->first();
            if (empty($typecontribution)) {
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => true, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }


            $device = \DB::table('devices')
                ->where('name', '=', $device_arrivee)
                ->first();
            if (empty($device)) {     //alors la device n'existe pas
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => true, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $device_id = $device->id;

            $seance = \DB::table('seances')
                ->where('id', '=', $seance_id)
                ->first();

            if (empty($seance)) {     //alors la séance n'existe pas (valeur érronée)
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => true, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $tontine_id = $seance->tontine_id;
            $device_name = $device->name;
            //je pars voir si c'est la même monnaie dans la table tontines
            $resultat = \DB::table('tontines')
                ->where('id', '=', $tontine_id)
                ->where('monnaie', '=', $device_name)
                ->first();

            if (empty($resultat)) {   //alors la monnaie de la tontine n'est pas la même que celle de contribution du user
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => true, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            //je dois tester si le montant du user ne dépasse pas le coût d'une part
            /*if ($montant_device_arrivee > $resultat->coutshare) {
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => true,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }*/

            //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
            $calculs = \DB::table('contributions')
                ->where('user_id', '=', $user_id)
                ->where('seance_id', '=', $seance_id)
                ->where('device_id', '=', $device_id)
                ->where('typecontribution_id', '=', $typecontribution_id)
                ->where('numero_part','=',$numero_part)
                ->get();


            if ($typecontribution_id == 2) { //2 pour cotisation
                $somme = 0;
                if (!empty($calculs)) {
                    foreach ($calculs as $calcul) {
                        $somme += $calcul->montant;
                    }
                    $somme_complete = $somme + $montant_device_arrivee;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                    if ($somme_complete != $resultat->coutshare) {    //si c'est différent au cout d'une part de la tontine alors la valeur egale n'est pas atteint
                        if ($somme_complete > $resultat->coutshare) { //si la somme_complète est plus grande que le cout d'une part on renvoit un msg d'erreur
                            $montant_restant_a_contribuer = 0;

                            $somme_a_charger_dans_le_portemonnaie = $somme_complete - $resultat->coutshare;

                            /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                                'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            */
                        }
                    }
                } else {
                    if ($montant_device_arrivee != $resultat->coutshare) {
                        if ($montant_device_arrivee > $resultat->coutshare) {
                            $montant_restant_a_contribuer = 0;

                            $somme_a_charger_dans_le_portemonnaie = $montant_device_arrivee - $resultat->coutshare;

                            /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                                'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            */
                        }
                    }
                }
            }


            if ($typecontribution_id == 1) {  //1 pour penalite
                $somme = 0;

                //je veux tester le montant de penalité entré avec celui de la table penalites propre au user dans la séance donnée
                $penalites = \DB::table('penalites')
                    ->where('user_id', '=', $user_id)
                    ->where('seance_id', '=', $seance_id)
                    ->where('statut_penalite', '=', 'pas_tout_paye')
                    ->where('numero_part','=',$numero_part)
                    ->first();

                if (!empty($penalites)) {
                    if (!empty($calculs)) {
                        foreach ($calculs as $calcul) {
                            $somme += $calcul->montant;
                        }
                        $somme_complete = $somme + $montant_device_arrivee;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                        if ($somme_complete != $penalites->penalite_a_payer) {    //si c'est différent à la pénalité à payer alors la valeur egale n'est pas atteint
                            if ($somme_complete > $penalites->penalite_a_payer) { //si la somme_complète est plus grande que la pénalité à payer on renvoit un msg d'erreur
                                $penalite_restante_a_payer = 0;

                                $somme_a_charger_dans_le_portemonnaie = $somme_complete - $penalites->penalite_a_payer;

                                /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }
                    } else {
                        if ($montant_device_arrivee != $penalites->penalite_a_payer) {
                            if ($montant_device_arrivee > $penalites->penalite_a_payer) {
                                $penalite_restante_a_payer = 0;

                                $somme_a_charger_dans_le_portemonnaie = $montant_device_arrivee - $penalites->penalite_a_payer;

                                /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }
                    }
                }
                else{
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                        'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                        'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                        'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                        'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => true,
                        'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

            }


            $device_depart1 = \DB::table('devices')
                ->where('name', '=', $device_depart)
                ->first();

            if (!empty($device_depart1)) {
                $device_depart_id = $device_depart1->id;
            } else {
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => true, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            /***********************************                Partie des paiements                ***************************************/


            if ($typepaiement->name == "MTN MOBILE MONEY" AND $device_depart_id == 1 /*pour FCFA*/) {




                /*********************       Partie à remettre                       *********************************/



                /*

                $response = $this->MTNMobileMoney($token, $montant_device_depart, $numero);
                $message = $response['message'];

                $user_not_found = $response['user_not_found'];

                if($message == "error" AND $user_not_found == true){
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true, 'parameter_not_found' => false,
                                             'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                             'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                             'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                             'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

                if($message == "error" AND $user_not_found == false){
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => true, 'user_not_found' => false, 'parameter_not_found' => false,
                                             'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                             'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                             'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                             'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

                */


                /********************              End Partie à remettre                *****************************/

                //if($message == "success" AND $user_not_found == false ){      //cas où le paiement a réussi       //----ligne à remettre pour le paiement

                if ($typecontribution_id == 1) {  //penalite
                    //je recherche dans la table penalites la penalite dont le user doit payer
                    $penalites = \DB::table('penalites')
                        ->where('user_id', '=', $user_id)
                        ->where('seance_id', '=', $seance_id)
                        ->where('statut_penalite', '=', 'pas_tout_paye')
                        ->where('numero_part','=',$numero_part)
                        ->first();

                    if (!empty($penalites)) {
                        $somme = 0;
                        $calculs = \DB::table('contributions')
                            ->where('user_id', '=', $user_id)
                            ->where('seance_id', '=', $seance_id)
                            ->where('device_id', '=', $device_id)
                            ->where('typecontribution_id', '=', $typecontribution_id)
                            ->where('numero_part','=',$numero_part)
                            ->get();

                        if(!empty($calculs)){
                            foreach ($calculs as $c){
                                $somme = $somme + $c->montant;
                            }
                        }

                        //$result = $penalites->penalite_a_payer - $montant_device_arrivee;
                        $result = $montant_device_arrivee - $somme_a_charger_dans_le_portemonnaie;

                        $test = $penalites->penalite_a_payer - $somme;
                        //dd((string)$result == (string)$test);

                        if ((string)$result == (string)$test) {   //alors c'est réglé

                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'statut_penalite' => 'tout_paye',
                                    'updated_at' => Carbon::now()
                                ]);

                            \DB::table('contributions')
                                ->insert([
                                    [
                                        'user_id' => $user_id,
                                        'seance_id' => $seance_id,
                                        'device_id' => $device_id,
                                        'typecontribution_id' => $typecontribution_id,
                                        'montant' => $result,
                                        'sens_contribution' => $sens_contribution,
                                        'numero_part' => $numero_part,
                                        'created_at' => Carbon::now(),
                                        'updated_at' => Carbon::now()
                                    ]
                                ]);

                        }
                        /*if ($result != 0) {
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'penalite_a_payer' => $result,
                                    'updated_at' => Carbon::now()
                                ]);
                        }*/
                    }
                }


                if($typecontribution_id == 2){  //pour cotisation
                    \DB::table('contributions')
                        ->insert([
                            [
                                'user_id' => $user_id,
                                'seance_id' => $seance_id,
                                'device_id' => $device_id,
                                'typecontribution_id' => $typecontribution_id,
                                'montant' => $resultat->coutshare - $somme,
                                'sens_contribution' => $sens_contribution,
                                'numero_part' => $numero_part,
                                'created_at' => Carbon::now(),
                                'updated_at' => Carbon::now()
                            ]
                        ]);
                }

                $tontine_name = NULL;

                //puis je charge le portemonnaie du user
                $this->chargerPorteMonnaieSpecial($user_id,$somme_a_charger_dans_le_portemonnaie,$device_id);

                $this->remplir_transaction_portemonnaie($user_id,$tontine_name,$device_id,$somme_a_charger_dans_le_portemonnaie,"entrant","argent chargé",$typepaiement->name);

                //puis je mets à jour le solde_en_caisse de la tontine
                $tontine = \DB::table('tontines')
                    ->where('id', '=', $seance->tontine_id)
                    ->first();

                if (!empty($tontine)) {
                    \DB::table('tontines')
                        ->where('id', '=', $seance->tontine_id)
                        ->update([
                            'solde_en_caisse' => $tontine->solde_en_caisse + $resultat->coutshare - $somme,
                            'updated_at' => Carbon::now()
                        ]);
                }


                $contributions = \DB::table('contributions')
                    ->where('user_id', '=', $user_id)
                    ->where('seance_id', '=', $seance_id)
                    ->where('device_id', '=', $device_id)
                    ->where('montant', '=', $resultat->coutshare - $somme)
                    ->where('sens_contribution', '=', $sens_contribution)
                    ->where('numero_part','=',$numero_part)
                    ->orderBy('created_at', 'desc')
                    ->first();

                return response()->json(['message' => 'success', 'confirm_payment' => true, 'contribution' => $contributions]);

                //}             //----ligne à remettre pour le paiement
            }


            if ($typepaiement->name == "ORANGE MONEY" AND $device_depart_id == 1 /*pour FCFA*/) {
                //à traiter le moment venu
            }


            if ($typepaiement->name == "PAYPAL") {
                //à traiter le moment venu
            }

            /***********************************                End Partie des paiements            *****************************************/

            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                'device_not_exist' => false, 'device_not_exist_for_operator' => true, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }

        if($confirmation == "non"){     //on coupe juste l'argent nécessaire

            if (empty($user)) {
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $user_id = $user->id;


            //je contrôle si le typepaiement existe bien dans la table typepaiements
            $typepaiement = \DB::table('typepaiements')
                ->where('id', '=', $typepaiement_id)
                ->first();
            if (empty($typepaiement)) {
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => true, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            //je contrôle si le typecontribution existe bien dans la table typecontributions
            $typecontribution = \DB::table('typecontributions')
                ->where('id', '=', $typecontribution_id)
                ->first();
            if (empty($typecontribution)) {
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => true, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }


            $device = \DB::table('devices')
                ->where('name', '=', $device_arrivee)
                ->first();
            if (empty($device)) {     //alors la device n'existe pas
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => true, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $device_id = $device->id;

            $seance = \DB::table('seances')
                ->where('id', '=', $seance_id)
                ->first();

            if (empty($seance)) {     //alors la séance n'existe pas (valeur érronée)
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => true, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $tontine_id = $seance->tontine_id;
            $device_name = $device->name;
            //je pars voir si c'est la même monnaie dans la table tontines
            $resultat = \DB::table('tontines')
                ->where('id', '=', $tontine_id)
                ->where('monnaie', '=', $device_name)
                ->first();

            if (empty($resultat)) {   //alors la monnaie de la tontine n'est pas la même que celle de contribution du user
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => true, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            //je dois tester si le montant du user ne dépasse pas le coût d'une part
            /*if ($montant_device_arrivee > $resultat->coutshare) {
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => true,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }*/

            //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
            $calculs = \DB::table('contributions')
                ->where('user_id', '=', $user_id)
                ->where('seance_id', '=', $seance_id)
                ->where('device_id', '=', $device_id)
                ->where('typecontribution_id', '=', $typecontribution_id)
                ->where('numero_part','=',$numero_part)
                ->get();


            if ($typecontribution_id == 2) { //2 pour cotisation
                $somme = 0;
                if (!empty($calculs)) {
                    foreach ($calculs as $calcul) {
                        $somme += $calcul->montant;
                    }
                    $somme_complete = $somme + $montant_device_arrivee;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                    if ($somme_complete != $resultat->coutshare) {    //si c'est différent au cout d'une part de la tontine alors la valeur egale n'est pas atteint
                        if ($somme_complete > $resultat->coutshare) { //si la somme_complète est plus grande que le cout d'une part on renvoit un msg d'erreur
                            $montant_restant_a_contribuer = $resultat->coutshare - $somme;

                            //$somme_a_charger_dans_le_portemonnaie = $somme_complete - $resultat->coutshare;

                            /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                                'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            */
                        }
                    }
                } else {
                    if ($montant_device_arrivee != $resultat->coutshare) {
                        if ($montant_device_arrivee > $resultat->coutshare) {
                            $montant_restant_a_contribuer = $resultat->coutshare;

                            //$somme_a_charger_dans_le_portemonnaie = $montant_device_arrivee - $resultat->coutshare;

                            /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                                'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => true,
                                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            */
                        }
                    }
                }
            }


            if ($typecontribution_id == 1) {  //1 pour penalite
                $somme = 0;

                //je veux tester le montant de penalité entré avec celui de la table penalites propre au user dans la séance donnée
                $penalites = \DB::table('penalites')
                    ->where('user_id', '=', $user_id)
                    ->where('seance_id', '=', $seance_id)
                    ->where('statut_penalite', '=', 'pas_tout_paye')
                    ->where('numero_part','=',$numero_part)
                    ->first();

                if (!empty($penalites)) {
                    if (!empty($calculs)) {
                        foreach ($calculs as $calcul) {
                            $somme += $calcul->montant;
                        }
                        $somme_complete = $somme + $montant_device_arrivee;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                        if ($somme_complete != $penalites->penalite_a_payer) {    //si c'est différent à la pénalité à payer alors la valeur egale n'est pas atteint
                            if ($somme_complete > $penalites->penalite_a_payer) { //si la somme_complète est plus grande que la pénalité à payer on renvoit un msg d'erreur
                                $penalite_restante_a_payer = $penalites->penalite_a_payer - $somme;

                                //$somme_a_charger_dans_le_portemonnaie = $somme_complete - $penalites->penalite_a_payer;

                                /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }
                    } else {
                        if ($montant_device_arrivee != $penalites->penalite_a_payer) {
                            if ($montant_device_arrivee > $penalites->penalite_a_payer) {
                                $penalite_restante_a_payer = $penalites->penalite_a_payer;

                                //$somme_a_charger_dans_le_portemonnaie = $montant_device_arrivee - $penalites->penalite_a_payer;

                                /*return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                                    'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => false,
                                    'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }
                    }
                }
                else{
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                        'device_not_exist' => false, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                        'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                        'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                        'penalite_restante_a_payer' => $penalite_restante_a_payer, 'aucune_penalite_a_payer' => true,
                        'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

            }


            $device_depart1 = \DB::table('devices')
                ->where('name', '=', $device_depart)
                ->first();

            if (!empty($device_depart1)) {
                $device_depart_id = $device_depart1->id;
            } else {
                return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                    'device_not_exist' => true, 'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                    'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                    'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            /***********************************                Partie des paiements                ***************************************/


            if ($typepaiement->name == "MTN MOBILE MONEY" AND $device_depart_id == 1 /*pour FCFA*/) {

                //N.B.: ici on doit remplacer le paramètre $montant_device_depart par penalite_restante_a_payer converti en device_depart
                if($typecontribution_id == 1){  //1 pour penalite
                    //$response = $this->MTNMobileMoney($token, $montant_device_depart, $numero);
                }

                //N.B.: ici on doit remplacer le paramètre $montant_device_depart par montant_restant_a_contribuer converti en device_depart
                if($typecontribution_id == 2){  //1 pour cotisation
                    //$response = $this->MTNMobileMoney($token, $montant_device_depart, $numero);
                }




                /*********************       Partie à remettre                       *********************************/

                /*

                $message = $response['message'];

                $user_not_found = $response['user_not_found'];

                if($message == "error" AND $user_not_found == true){
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => true, 'parameter_not_found' => false,
                                             'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                             'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                             'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                             'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

                if($message == "error" AND $user_not_found == false){
                    return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => true, 'user_not_found' => false, 'parameter_not_found' => false,
                                             'device_not_exist' => false,'device_not_exist_for_operator' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                             'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                                             'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                                             'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

                */


                /********************              End Partie à remettre                *****************************/

                //if($message == "success" AND $user_not_found == false ){      //cas où le paiement a réussi       //----ligne à remettre pour le paiement

                if ($typecontribution_id == 1) {  //penalite
                    //je recherche dans la table penalites la penalite dont le user doit payer
                    $penalites = \DB::table('penalites')
                        ->where('user_id', '=', $user_id)
                        ->where('seance_id', '=', $seance_id)
                        ->where('statut_penalite', '=', 'pas_tout_paye')
                        ->where('numero_part','=',$numero_part)
                        ->first();

                    if (!empty($penalites)) {
                        //$result = $penalites->penalite_a_payer - $montant_device_arrivee;
                        $result = $penalite_restante_a_payer + $somme;
                        if ($result == $penalites->penalite_a_payer) {   //alors c'est réglé
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'statut_penalite' => 'tout_paye',
                                    'updated_at' => Carbon::now()
                                ]);

                            \DB::table('contributions')
                                ->insert([
                                    [
                                        'user_id' => $user_id,
                                        'seance_id' => $seance_id,
                                        'device_id' => $device_id,
                                        'typecontribution_id' => $typecontribution_id,
                                        'montant' => $penalite_restante_a_payer,
                                        'sens_contribution' => $sens_contribution,
                                        'numero_part' => $numero_part,
                                        'created_at' => Carbon::now(),
                                        'updated_at' => Carbon::now()
                                    ]
                                ]);

                        }
                        /*if ($result != 0) {
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'penalite_a_payer' => $result,
                                    'updated_at' => Carbon::now()
                                ]);
                        }*/
                    }
                }


                if($typecontribution_id == 2){  //pour cotisation
                    \DB::table('contributions')
                        ->insert([
                            [
                                'user_id' => $user_id,
                                'seance_id' => $seance_id,
                                'device_id' => $device_id,
                                'typecontribution_id' => $typecontribution_id,
                                'montant' => $montant_restant_a_contribuer,
                                'sens_contribution' => $sens_contribution,
                                'numero_part' => $numero_part,
                                'created_at' => Carbon::now(),
                                'updated_at' => Carbon::now()
                            ]
                        ]);
                }


                //puis je charge le portemonnaie du user
                //$this->chargerPorteMonnaieSpecial($user_id,$somme_a_charger_dans_le_portemonnaie,$device_id);

                //puis je mets à jour le solde_en_caisse de la tontine
                $tontine = \DB::table('tontines')
                    ->where('id', '=', $seance->tontine_id)
                    ->first();

                if (!empty($tontine)) {

                    if($typecontribution_id == 1){  //1 pour penalite
                        \DB::table('tontines')
                            ->where('id', '=', $seance->tontine_id)
                            ->update([
                                'solde_en_caisse' => $tontine->solde_en_caisse + $penalite_restante_a_payer,
                                'updated_at' => Carbon::now()
                            ]);

                        $contributions = \DB::table('contributions')
                            ->where('user_id', '=', $user_id)
                            ->where('seance_id', '=', $seance_id)
                            ->where('device_id', '=', $device_id)
                            ->where('montant', '=', $penalite_restante_a_payer)
                            ->where('sens_contribution', '=', $sens_contribution)
                            ->where('numero_part','=',$numero_part)
                            ->orderBy('created_at', 'desc')
                            ->first();
                    }

                    if($typecontribution_id == 2){  //2 pour cotisation
                        \DB::table('tontines')
                            ->where('id', '=', $seance->tontine_id)
                            ->update([
                                'solde_en_caisse' => $tontine->solde_en_caisse + $montant_restant_a_contribuer,
                                'updated_at' => Carbon::now()
                            ]);

                        $contributions = \DB::table('contributions')
                            ->where('user_id', '=', $user_id)
                            ->where('seance_id', '=', $seance_id)
                            ->where('device_id', '=', $device_id)
                            ->where('montant', '=', $montant_restant_a_contribuer)
                            ->where('sens_contribution', '=', $sens_contribution)
                            ->where('numero_part','=',$numero_part)
                            ->orderBy('created_at', 'desc')
                            ->first();
                    }

                }


                return response()->json(['message' => 'success', 'confirm_payment' => true, 'contribution' => $contributions]);

                //}             //----ligne à remettre pour le paiement
            }


            if ($typepaiement->name == "ORANGE MONEY" AND $device_depart_id == 1 /*pour FCFA*/) {
                //à traiter le moment venu
            }


            if ($typepaiement->name == "PAYPAL") {
                //à traiter le moment venu
            }

            /***********************************                End Partie des paiements            *****************************************/

            return response()->json(['message' => 'error', 'no_match_type_payment_to_device' => false, 'user_not_found' => false, 'parameter_not_found' => false,
                'device_not_exist' => false, 'device_not_exist_for_operator' => true, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'typepaiement_not_exist' => false, 'montant_restant_a_contribuer_grand' => false,
                'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer, 'confirm_payment' => false, 'aucune_penalite_a_payer' => false,
                'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);





        }


        /*else{
                return response()->json(['message' => 'success','confirm_payment' => false, 'contribution' => 'cancel']);
            }*/
    }




    //permet de faire une confirmation de la conversion automatique lorsque le user veut contribuer à partir de son portemonnaie sachant que le reste va être renvoyé dans le portemonnaie du membre
    public function confirmConvertDeviceToContribueWithPortemonnaie($token, UserRepository $user_gestion){
        $request = Request::instance();
        $data = json_decode($request->getContent());

        $seance_id = $data->seance_id;
        $typecontribution_id = $data->type_contribution_id;
        $sens_contribution = $data->sens_contribution;

        $device_depart = $data->device_depart;
        $device_arrivee = $data->device_arrivee;
        $montant_device_depart = $data->montant_device_depart;
        $montant_device_arrivee = $data->montant_device_arrivee;
        $sens_transaction = $data->sens_transaction;    //ici ça doit être entrant
        $confirmation = $data->confirmation;            //on remplit ici par oui ou non afin d'avoir la position du membre
        $numero_part = $data->numero_part;


        $montant_restant_a_contribuer = 0;
        $penalite_restante_a_payer = 0;
        $somme_a_charger_dans_le_portemonnaie = 0;
        $somme = 0;


        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        //je me rassure que tous les champs soient renseignés
        if($device_depart == NULL || $device_arrivee == NULL || $montant_device_depart == NULL || $montant_device_arrivee == NULL || $seance_id == NULL
            || $sens_transaction == NULL || $typecontribution_id == NULL || $sens_contribution == NULL || $confirmation == NULL || $numero_part == NULL){

            return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => true, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
        }


        if($confirmation == "oui" || $confirmation == "non") {


            if (empty($user)) {
                return response()->json(['message' => 'error', 'user_not_found' => true, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $user_id = $user->id;


            //je pars voir si les devices existent bien en BD
            $device_arrivee1 = \DB::table('devices')
                ->where('name', '=', $device_arrivee)
                ->first();

            $device_depart1 = \DB::table('devices')
                ->where('name', '=', $device_depart)
                ->first();

            if (empty($device_arrivee1) /*|| empty($device_depart1)*/) {
                return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => true,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            if (/*empty($device_arrivee1) ||*/
            empty($device_depart1)
            ) {
                return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => true, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            //je dois contrôler si le montant_depart avec sa device_depart ont bien un solde suffisant dans le portemonnaie du user
            /*$resultat = $this->soustraireDevicePorteMonnaie($user_id, $montant_device_depart, $device_depart1->id);

            if ($resultat['message'] == "success") {
                //on doit ajouter au solde de la nouvelle device
                $this->chargerPorteMonnaieSpecial($user_id, $montant_device_arrivee, $device_arrivee1->id);

                //return response()->json(['message' => 'success']);
            }

            if ($resultat['message'] == "solde_insuffisant") {
                return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => true, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            if ($resultat['message'] == "device_not_exist") {
                return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }*/

            //je contrôle si le typecontribution existe bien dans la table typecontributions
            $typecontribution = \DB::table('typecontributions')
                ->where('id', '=', $typecontribution_id)
                ->first();
            if (empty($typecontribution)) {
                return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => true, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }


            $seance = \DB::table('seances')
                ->where('id', '=', $seance_id)
                ->first();

            if (empty($seance)) {     //alors la séance n'existe pas (valeur érronée)
                return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => true, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            $tontine_id = $seance->tontine_id;

            //je pars voir si c'est la même monnaie dans la table tontines
            $resultat = \DB::table('tontines')
                ->where('id', '=', $tontine_id)
                ->where('monnaie', '=', $device_arrivee1->name)
                ->first();

            if (empty($resultat)) {   //alors la monnaie de la tontine n'est pas la même que celle de contribution du user
                return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => true, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }


            /*if ($montant_device_arrivee > $resultat->coutshare) {
                return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => true,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            } else {*/

            //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
            $calculs = \DB::table('contributions')
                ->where('user_id', '=', $user_id)
                ->where('seance_id', '=', $seance_id)
                ->where('device_id', '=', $device_arrivee1->id)
                ->where('typecontribution_id', '=', $typecontribution_id)
                ->where('numero_part','=',$numero_part)
                ->get();

            if ($typecontribution_id == 2) {  //2 pour cotisation

                if (!empty($calculs)) {
                    $somme = 0;
                    foreach ($calculs as $calcul) {
                        $somme += $calcul->montant;
                    }
                    $somme_complete = $somme + $montant_device_arrivee;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                    if ($somme_complete != $resultat->coutshare) {    //si c'est différent au cout d'une part de la tontine alors la valeur egale n'est pas atteint
                        if ($somme_complete > $resultat->coutshare) { //si la somme_complète est plus grande que le cout d'une part on renvoit un msg d'erreur
                            $montant_restant_a_contribuer = 0;

                            $somme_a_charger_dans_le_portemonnaie = $somme_complete - $resultat->coutshare;

                            /*return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => true, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            */
                        }
                    }
                } else {
                    if ($montant_device_arrivee != $resultat->coutshare) {
                        if ($montant_device_arrivee > $resultat->coutshare) {
                            $montant_restant_a_contribuer = 0;

                            $somme_a_charger_dans_le_portemonnaie = $montant_device_arrivee - $resultat->coutshare;

                            /*return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => true, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                            */
                        }
                    }
                }

            }


            if ($typecontribution_id == 1) {  //1 pour penalite
                $somme = 0;

                //je veux tester le montant de penalité entré avec celui de la table penalites propre au user dans la séance donnée
                $penalites = \DB::table('penalites')
                    ->where('user_id', '=', $user_id)
                    ->where('seance_id', '=', $seance_id)
                    ->where('statut_penalite', '=', 'pas_tout_paye')
                    ->where('numero_part','=',$numero_part)
                    ->first();

                if (!empty($penalites)) {
                    if (!empty($calculs)) {
                        foreach ($calculs as $calcul) {
                            $somme += $calcul->montant;
                        }
                        $somme_complete = $somme + $montant_device_arrivee;    //ici j'additionne la somme déjà contribuée au montant que le user entre pour contribuer
                        if ($somme_complete != $penalites->penalite_a_payer) {    //si c'est différent à la pénalité à payer alors la valeur egale n'est pas atteint
                            if ($somme_complete > $penalites->penalite_a_payer) { //si la somme_complète est plus grande que la pénalité à payer on renvoit un msg d'erreur
                                $penalite_restante_a_payer = 0;

                                $somme_a_charger_dans_le_portemonnaie = $somme_complete - $penalites->penalite_a_payer;

                                /*return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }
                    } else {
                        if ($montant_device_arrivee != $penalites->penalite_a_payer) {
                            if ($montant_device_arrivee > $penalites->penalite_a_payer) {
                                $penalite_restante_a_payer = 0;

                                $somme_a_charger_dans_le_portemonnaie = $montant_device_arrivee - $penalites->penalite_a_payer;

                                /*return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => true, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                                */
                            }
                        }
                    }
                } else {
                    return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                        'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                        'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                        'aucune_penalite_a_payer' => true, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
                }

            }


            //maintenant je soustrais l'argent dans le portemonnaie du user
            $resultat_soustraction = $this->soustraireDevicePorteMonnaie($user_id, $montant_device_depart, $device_depart1->id);
            $message = $resultat_soustraction['message'];

            if ($message == "solde_insuffisant") {
                return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => false, 'solde_insuffisant' => true, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            if ($message == "device_not_exist") {
                return response()->json(['message' => 'error', 'user_not_found' => false, 'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
                    'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
                    'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
                    'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);
            }

            if ($message == "success") {  //alors je rempli maintenant la table contributions

                $seance_tontine = \DB::table('seances')
                    ->join('tontines','tontines.id','=','seances.tontine_id')
                    ->where('seances.id','=',$seance_id)
                    ->first();

                $this->remplir_transaction_portemonnaie($user_id,$seance_tontine->name,$device_depart1->id,$montant_device_depart,"sortant","paiement","portemonnaie");

                if ($typecontribution_id == 1) {  //penalite
                    //je recherche dans la table penalites la penalite dont le user doit payer
                    $penalites = \DB::table('penalites')
                        ->where('user_id', '=', $user_id)
                        ->where('seance_id', '=', $seance_id)
                        ->where('statut_penalite', '=', 'pas_tout_paye')
                        ->where('numero_part','=',$numero_part)
                        ->first();

                    if (!empty($penalites)) {

                        $somme = 0;
                        $calculs = \DB::table('contributions')
                            ->where('user_id', '=', $user_id)
                            ->where('seance_id', '=', $seance_id)
                            ->where('device_id', '=', $device_arrivee1->id)
                            ->where('typecontribution_id', '=', $typecontribution_id)
                            ->where('numero_part','=',$numero_part)
                            ->get();

                        if(!empty($calculs)){
                            foreach ($calculs as $c){
                                $somme = $somme + $c->montant;
                            }
                        }

                        //$result = $penalites->penalite_a_payer - $montant_device_arrivee;
                        $result = $montant_device_arrivee - $somme_a_charger_dans_le_portemonnaie;
                        $test = $penalites->penalite_a_payer - $somme;
                        //dd((string)$result == (string)$test);

                        if ((string)$result == (string)$test) {   //alors c'est réglé

                            //if ($result == ($penalites->penalite_a_payer - $somme)) {   //alors c'est réglé
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'statut_penalite' => 'tout_paye',
                                    'updated_at' => Carbon::now()
                                ]);

                            \DB::table('contributions')
                                ->insert([
                                    [
                                        'user_id' => $user_id,
                                        'seance_id' => $seance_id,
                                        'device_id' => $device_arrivee1->id,
                                        'typecontribution_id' => $typecontribution_id,
                                        'montant' => $result/*$montant_device_arrivee*/,
                                        'sens_contribution' => $sens_contribution,
                                        'numero_part' => $numero_part,
                                        'created_at' => Carbon::now(),
                                        'updated_at' => Carbon::now()
                                    ]
                                ]);

                            //$this->remplir_transaction_portemonnaie($user_id,$device_arrivee1->id,$result,"sortant","paiement");
                        }
                        /*if ($result != 0) {
                            //j'update la table penalites
                            \DB::table('penalites')
                                ->where('id', '=', $penalites->id)
                                ->update([
                                    'penalite_a_payer' => $result,
                                    'updated_at' => Carbon::now()
                                ]);
                        }*/
                    }
                }

                if($typecontribution_id == 2){  //pour cotisation
                    \DB::table('contributions')
                        ->insert([
                            [
                                'user_id' => $user_id,
                                'seance_id' => $seance_id,
                                'device_id' => $device_arrivee1->id,
                                'typecontribution_id' => $typecontribution_id,
                                'montant' => $resultat->coutshare - $somme/*$montant_device_arrivee*/,
                                'sens_contribution' => $sens_contribution,
                                'numero_part' => $numero_part,
                                'created_at' => Carbon::now(),
                                'updated_at' => Carbon::now()
                            ]
                        ]);
                    //$this->remplir_transaction_portemonnaie($user_id,$device_arrivee1->id,$resultat->coutshare - $somme,"sortant","paiement");
                }


                $tontine_name = NULL;

                //puis je charge le portemonnaie du user
                $this->chargerPorteMonnaieSpecial($user_id,$somme_a_charger_dans_le_portemonnaie,$device_arrivee1->id);

                $this->remplir_transaction_portemonnaie($user_id,$tontine_name,$device_arrivee1->id,$somme_a_charger_dans_le_portemonnaie,"entrant","argent chargé","portemonnaie");

                //puis je mets à jour le solde_en_caisse de la tontine
                $tontine = \DB::table('tontines')
                    ->where('id', '=', $seance->tontine_id)
                    ->first();

                if (!empty($tontine)) {
                    \DB::table('tontines')
                        ->where('id', '=', $seance->tontine_id)
                        ->update([
                            'solde_en_caisse' => $tontine->solde_en_caisse + $resultat->coutshare - $somme,
                            'updated_at' => Carbon::now()
                        ]);
                }


                $contributions = \DB::table('contributions')
                    ->where('user_id', '=', $user_id)
                    ->where('seance_id', '=', $seance_id)
                    ->where('device_id', '=', $device_arrivee1->id)
                    ->where('montant', '=', $resultat->coutshare - $somme)
                    ->where('sens_contribution', '=', $sens_contribution)
                    ->where('numero_part','=',$numero_part)
                    ->orderBy('created_at', 'desc')
                    ->first();

                return response()->json(['message' => 'success', 'contribution' => $contributions]);

            }

            // }

        }
        else{
            return response()->json(['message' => 'success','confirm_payment' => false, 'contribution' => 'cancel']);
        }
        /*return response()->json(['message' => 'error','user_not_found' => false,'parameter_not_found' => false, 'device_depart_not_exist' => false, 'device_arrivee_not_exist' => false,
            'device_not_exist_in_portemonnaie_user' => true, 'solde_insuffisant' => false, 'seance_not_found' => false, 'no_match_device_to_device_tontine' => false, 'montant_depasse_cout_part' => false,
            'typecontribution_not_exist' => false, 'montant_restant_a_contribuer_grand' => false, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer,
            'aucune_penalite_a_payer' => false, 'penalite_restante_a_payer_grand' => false, 'penalite_restante_a_payer' => $penalite_restante_a_payer], 400);*/
    }




    //permet de renvoyer le montant restant à contribuer pour une part d'un membre dans une séance donnée de la tontine
    public function montantRestantAContribuerPourUnePart($seance_id,$numero_part,$token){

        $typecontribution_id = 2;       //pour cotisation

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        //je récupère la device de la tontine
        $tontine = \DB::table('seances')
            ->where('id','=',$seance_id)
            ->where('archived','=',0)
            ->first();

        if(!empty($tontine)){
            $tontine_id = $tontine->tontine_id;

            //je cherche la monnaie de la tontine
            $monnaie = \DB::table('tontines')
                ->where('id','=',$tontine_id)
                ->first();

            if(!empty($monnaie)){
                $device_tontine = $monnaie->monnaie;

                $device = \DB::table('devices')
                    ->where('name','=',$device_tontine)
                    ->first();
                $device_id = $device->id;

                $montant_restant_a_contribuer = $monnaie->coutshare;
            }
            else{
                return response()->json(['message' => 'error', 'user_not_found' => false, 'tontine_not_found' => false, 'device_tontine_not_found' => true], 400);
            }

            if(!empty($user)){
                $user_id = $user->id;

                //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
                $calculs = \DB::table('contributions')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('device_id','=',$device_id)
                    ->where('typecontribution_id','=',$typecontribution_id)
                    ->where('numero_part','=',$numero_part)
                    ->get();

                if(!empty($calculs)){
                    $somme = 0;
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $montant_restant_a_contribuer = $monnaie->coutshare - $somme;

                }


                return response()->json(['device' => $device_tontine, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer]);

            }
            else{
                return response()->json(['message' => 'error', 'user_not_found' => true, 'tontine_not_found' => false, 'device_tontine_not_found' => false], 400);
            }

        }
        else{
            return response()->json(['message' => 'error', 'user_not_found' => false, 'tontine_not_found' => true, 'device_tontine_not_found' => false], 400);
        }

    }


    //permet de renvoyer le montant restant à contribuer pour une part d'un membre dans une séance donnée de la tontine avec le user_id
    public function montantRestantAContribuerPourUnePartAvecUserId($seance_id,$numero_part,$user_id){

        $typecontribution_id = 2;       //pour cotisation

        $user = \DB::table('users')
            ->where('id','=',$user_id)
            ->first();

        //je récupère la device de la tontine
        $tontine = \DB::table('seances')
            ->where('id','=',$seance_id)
            //->where('archived','=',0)
            ->first();

        if(!empty($tontine)){
            $tontine_id = $tontine->tontine_id;

            //je cherche la monnaie de la tontine
            $monnaie = \DB::table('tontines')
                ->where('id','=',$tontine_id)
                ->first();

            if(!empty($monnaie)){
                $device_tontine = $monnaie->monnaie;

                $device = \DB::table('devices')
                    ->where('name','=',$device_tontine)
                    ->first();
                $device_id = $device->id;

                $montant_restant_a_contribuer = $monnaie->coutshare;
            }
            else{
                return response()->json(['message' => 'error', 'user_not_found' => false, 'tontine_not_found' => false, 'device_tontine_not_found' => true], 400);
            }

            if(!empty($user)){
                $user_id = $user->id;

                //je dois calculer la somme des contributions du user(ds la table contributions) et contrôler que ça ne dépasse pas le coût d'une part (coutshare)
                $calculs = \DB::table('contributions')
                    ->where('user_id','=',$user_id)
                    ->where('seance_id','=',$seance_id)
                    ->where('device_id','=',$device_id)
                    ->where('typecontribution_id','=',$typecontribution_id)
                    ->where('numero_part','=',$numero_part)
                    ->get();



                if(!empty($calculs)){
                    $somme = 0;
                    foreach ($calculs as $calcul){
                        $somme += $calcul->montant;
                    }
                    $montant_restant_a_contribuer = $monnaie->coutshare - $somme;

                }


                return response()->json(['device' => $device_tontine, 'valeur_montant_restant_a_contribuer' => $montant_restant_a_contribuer]);

            }
            else{
                return response()->json(['message' => 'error', 'user_not_found' => true, 'tontine_not_found' => false, 'device_tontine_not_found' => false], 400);
            }

        }
        else{
            return response()->json(['message' => 'error', 'user_not_found' => false, 'tontine_not_found' => true, 'device_tontine_not_found' => false], 400);
        }

    }






    /******************************** START fonctions réutilisatbles Christopher **********************************************************************/
    //permet de savoir si tous les membres ont défà bouffé pour clôturer un cycle d'une tontine
    public function statutCycle($tontine_id, $cycle_id, $nombre_lot){
        //je compte tous les membres qui ont bouffé dans la table bouffes
        $nombre_membres_bouffes = \DB::table('bouffes')
            ->where('tontine_id', '=', $tontine_id)
            ->where('cycle_id','=',$cycle_id)
            ->count();

        //je compte tous les membres de la tontine
        $membre_tontines = \DB::table('membrestontines')
            ->where('tontine_id', '=', $tontine_id)
            ->count();

        $membre_tontines = $membre_tontines * $nombre_lot;

        if($nombre_membres_bouffes == 0){ 		//pour dire aucun membre n'a bouffé
            return false;
        }

        if($membre_tontines == $nombre_membres_bouffes){
            return true;	//pour dire que tous les membres ont bouffés
        }
        /*else{
            return false;
        }*/

    }

    //fonction pour convertir le temps courant en secondes
    public function ConvertCurrentTimeInSecond(){
        //Partie pour gérer le temps
        $carbon = Carbon::now()->format('H:i:s');
        /*$carbon_heure = $carbon->hour;
        $carbon_minute = $carbon->minute;
        $carbon_seconde = $carbon->second;*/

        //$carbon_converti_en_secondes = $carbon->second + ($carbon->minute * 60) + ($carbon->hour * 3600);

        return Carbon::now()->second + (Carbon::now()->minute * 60) + (Carbon::now()->hour * 3600);
    }

    //fonction pour convertir le temps en secondes
    public function ConvertTimeInSecond($time){
        //Partie pour gérer le temps

        $time_debut =  \Carbon\Carbon::parse($time);
        $time_debut_heure = $time_debut->hour;
        $time_debut_minute = $time_debut->minute;
        $time_debut_seconde = $time_debut->second;

        $time_debut_converti_en_secondes = $time_debut_seconde + ($time_debut_minute * 60) + ($time_debut_heure * 3600);

        return $time_debut_converti_en_secondes;
    }


    //fonction de paiement avec MTN MOBILE MONEY
    public function MTNMobileMoney($token,$montant,$numero){
        /*$request = Request::instance();
        $data = json_decode($request->getContent());*/

        //$user_id = $data->user_id;
        $cout = $montant;
        $confirm = 0;
        //$tel = $numero;        //précédé de 237
        //$phone_number = '237'.$numero;
        //$type = "MTNMobileMoney";

        $transaction_id = str_random(5);

        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        $liste = array("message"=> "error", "user_not_found" => true);
        if(empty($user)){
            return $liste;/*response::json(["message"=> "error", "user_not_found" => true]);*/
        }

        $user_id = $user->id;

        DB::table('achat')->insert(
            [   'user_id' => $user_id,
                'transaction_id' => $transaction_id,
                'processingNumber' => 0,
                'operateur' => 'mtn',
                'cout' => $cout,
                //'type' => $type,
                'confirm' => $confirm,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'phone_number' => $numero
            ]
        );

        $ch = curl_init('http://mobilemoney.sdkgames.com/mooeventRequestPayment');
        $encoded = urlencode("refID") ."=".urldecode($transaction_id);
        $encoded .= "&".urlencode("msidn") ."=".urldecode($numero);
        $encoded .= "&".urlencode("amount") ."=".urldecode((int)($cout));
        $encoded .= "&".urlencode("moneyCode") ."=".urldecode('XAF');
        $encoded .= "&".urlencode("product") ."=".urldecode('MissCam2017');
        //dd($encoded);
        curl_setopt($ch, CURLOPT_POSTFIELDS,  $encoded);
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        $resultat = curl_exec($ch);
        //$info = curl_getinfo($ch);
        curl_close($ch);


        if(isset($resultat["soapenv:Fault"])){
            $liste = array("reponse"=> $resultat["soapenv:Fault"]["faultstring"],
                "message" => "error",
                "user_not_found" => false);
            return $liste;
        }

        if(!isset($resultat["soapenv:Fault"])) {

            //    var_dump($resultat);

            //   $resultat ="'".$resultat."'";

            //var_dump($resultat);


            $re1='.*?'; # Non-greedy match on filler
            $re2='\\d+';    # Uninteresting: int
            $re3='.*?'; # Non-greedy match on filler
            $re4='(\\d+)';  # Integer Number 1
            $re5='.*?'; # Non-greedy match on filler
            $re6='(\\d+)';  # Integer Number 2
            $re7='.*?'; # Non-greedy match on filler
            $re8='(?:[a-z][a-z]+)'; # Uninteresting: word
            $re9='.*?'; # Non-greedy match on filler
            $re10='((?:[a-z][a-z]+))';  # Word 1

            preg_match_all ("/".$re1.$re2.$re3.$re4.$re5.$re6.$re7.$re8.$re9.$re10."/is", $resultat, $matches);

            $ProcessingNumber=104;//(int)$matches[1][0]/* - 10400*/;
            //$ProcessingNumber=(int)$matches[1][0];
            $statusCode='02';//$matches[2][0];

            if (/*$resultat->statusCode*/ $statusCode == "01") //si c'est différent de "01" alors Errors Will differenciate reasons ( Insuffisant credit, bad number, ...)
            {
                //    var_dump($resultat);


                //      $resultat ="'".$resultat."'";

                // var_dump($resultat);

                $re1='.*?'; # Non-greedy match on filler
                $re2='\\d+';    # Uninteresting: int
                $re3='.*?'; # Non-greedy match on filler
                $re4='(\\d+)';  # Integer Number 1
                $re5='.*?'; # Non-greedy match on filler
                $re6='(\\d+)';  # Integer Number 2
                $re7='.*?'; # Non-greedy match on filler
                $re8='(?:[a-z][a-z]+)'; # Uninteresting: word
                $re9='.*?'; # Non-greedy match on filler
                $re10='((?:[a-z][a-z]+))';  # Word 1

                preg_match_all ("/".$re1.$re2.$re3.$re4.$re5.$re6.$re7.$re8.$re9.$re10."/is", $resultat, $matches);

                $ProcessingNumber=104;//(int)$matches[1][0]/* - 10400*/;
                //$ProcessingNumber=(int)$matches[1][0];
                $statusCode='02';//$matches[2][0];
                //$word1= $matches[3][0];

                //print " $int1 $int2 $word1 \n";

                //  print_r($matches);


                // var_dump($statusCode);

                $updated_at = Carbon::now();
                \DB::table('achat')
                    //->where('user_id', /*$resultat->ProcessingNumber*/ $ProcessingNumber)
                    ->where('transaction_id','=',$transaction_id)
                    ->update([
                        'confirm' => 1,
                        'processingNumber' => $ProcessingNumber,
                        'updated_at' =>$updated_at
                    ]);
                $liste = array("message"=> "success", "user_not_found" => false);
                return $liste/*response::json(["message"=> "success", "user_not_found" => false])*/;

            }

            else{

                $updated_at = Carbon::now();
                \DB::table('achat')
                    ->where('transaction_id','=',$transaction_id)
                    ->update([
                        'confirm' => 2,
                        'processingNumber' => $ProcessingNumber,
                        'updated_at' => $updated_at
                    ]);
                $liste = array("message"=> "error", "user_not_found" => false);
                return $liste/*response::json(["message"=> "error", "user_not_found" => false])*/;
            }

        }
        else{
            $liste = array("reponse"=> $resultat["soapenv:Fault"]["faultstring"],
                "message" => $resultat["soapenv:Fault"]["faultstring"],
                "user_not_found" => false);
            return $liste/*Response::json([
				"reponse"=> $resultat["soapenv:Fault"]["faultstring"],
				"message" => $resultat["soapenv:Fault"]["faultstring"],
				"user_not_found" => false
			])*/;
        }

    }



    //permet à un utilisateur de charger son portemonnaie
    public function chargerPorteMonnaieSpecial($user_id,$montant,$device_id){

        //on cherche d'abord si la device_id du user existe déjà ds la table portemonnaies
        $recherche = \DB::table('portemonnaies')
            ->where('user_id','=',$user_id)
            ->where('device_id','=',$device_id)
            ->first();

        if(empty($recherche)){
            //on enregistre l'argent ds le portemonnaie du user
            \DB::table('portemonnaies')
                ->insert([
                    [
                        'user_id' => $user_id,
                        'device_id' => $device_id,
                        'solde_device' => $montant,
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]
                ]);
        }
        else{
            $solde = $recherche->solde_device + $montant;
            //on fait un update du solde du user
            \DB::table('portemonnaies')
                ->where('user_id','=',$user_id)
                ->where('device_id','=',$device_id)
                ->update([
                    'solde_device' => $solde,
                    'updated_at' => Carbon::now()
                ]);
        }

        /*
            $portemonnaies = \DB::table('portemonnaies')
                ->join('devices','devices.id','=','portemonnaies.device_id')
                ->where('user_id','=',$user_id)
                ->where('device_id','=',$device_id)
                ->select('portemonnaies.id','portemonnaies.user_id','portemonnaies.solde_device','portemonnaies.device_id','devices.name')
                ->get();

            $liste = array();

            if(!empty($portemonnaies)){
                foreach ( $portemonnaies  as $portemonnaie ){

                    $id = $portemonnaie->id;
                    $user_id = $portemonnaie->user_id;
                    $solde_device = $portemonnaie->solde_device;
                    $device_id = $portemonnaie->device_id;
                    $device_name = $portemonnaie->name;

                    $tmp ["id"] = $id;
                    $tmp ["user_id"] = $user_id;
                    $tmp ["solde_device"] = $solde_device;
                    $tmp ["device_id"] = $device_id;
                    $tmp ["device_name"] = $device_name;

                    array_push($liste,$tmp ) ;
                }
            }

        */

        //return response()->json(['message' => 'success'/*, 'confirm_payment' => true, 'portemonnaie' => $liste*/]);
    }



    //permet de soustraire le montant d'une device dans le portemonnaie d'un user
    public function soustraireDevicePorteMonnaie($user_id,$montant,$device_id){

        //on cherche d'abord si la device_id du user existe déjà ds la table portemonnaies
        $recherche = \DB::table('portemonnaies')
            ->where('user_id','=',$user_id)
            ->where('device_id','=',$device_id)
            ->first();

        if(!empty($recherche)){
            if($montant == $recherche->solde_device){
                $solde = $recherche->solde_device - $montant;
                //on fait un update du solde du user
                \DB::table('portemonnaies')
                    ->where('user_id','=',$user_id)
                    ->where('device_id','=',$device_id)
                    ->update([
                        'solde_device' => $solde,
                        'updated_at' => Carbon::now()
                    ]);

                $liste = array("message" => "success");
                return $liste;
            }elseif($montant < $recherche->solde_device){
                $solde = $recherche->solde_device - $montant;
                //on fait un update du solde du user
                \DB::table('portemonnaies')
                    ->where('user_id','=',$user_id)
                    ->where('device_id','=',$device_id)
                    ->update([
                        'solde_device' => $solde,
                        'updated_at' => Carbon::now()
                    ]);

                $liste = array("message" => "success");
                return $liste;
            }else/*($montant > $recherche->solde_device)*/{
                $liste = array("message" => "solde_insuffisant");
                return $liste;
            }



        }
        $liste = array("message" => "device_not_exist");
        return $liste;
    }


    //permet de renvoyer toutes les tontines d'un user
    public function getTontineUserConfirmed($token){
        $user = \DB::table('users')
            ->where('remember_token','=',$token)
            ->first();

        $liste_tontines = NULL;

        if(!empty($user)){
            $liste_tontines = \DB::table('membrestontines')
                ->join('tontines','tontines.id','=','membrestontines.tontine_id')
                ->where('membrestontines.user_id','=',$user->id)
                ->select('tontines.id as tontine_id','membrestontines.id as membrestontine_id','tontines.name','tontines.slogan','tontines.cercle','tontines.quality_id','tontines.country',
                    'tontines.confidentiality','tontines.drawingtype_id','tontines.periodicite','tontines.frequence','tontines.monnaie','tontines.statutinfogenerale','tontines.nombre_part_max_membre',
                    'tontines.nombre_part_max_tontine','tontines.coutshare','tontines.numberlot','tontines.miseaprixcaisse1','tontines.miseaprixcaisse2','tontines.typemiseaprixcaisse1','tontines.typemiseaprixcaisse2',
                    'tontines.statutparametrecotisation','tontines.delairemboursementcaisse2','tontines.penalitesurleremboursement','tontines.penaliteretardsurlacontributionayantbouffe','tontines.penaliteretardsurlacontributionnayantpasbouffe',
                    'tontines.penaliteabsencesurlacontributionayantbouffe','tontines.penaliteabsencesurlacontributionnayantpasbouffe','tontines.dureesurleretard','tontines.typedelairemboursementcaisse2',
                    'tontines.typepenalitesurleremboursement','tontines.typepenaliteretardsurlacontributionayantbouffe','tontines.typepenaliteretardsurlacontributionnayantpasbouffe',
                    'tontines.typepenaliteabsencesurlacontributionayantbouffe','tontines.typepenaliteabsencesurlacontributionnayantpasbouffe','tontines.typedureesurleretard','tontines.statutpenalite',
                    'tontines.circle','tontines.date_debut','tontines.date_fin','tontines.time_debut','tontines.statutcycleetcotisation','tontines.upload','tontines.statutdocumentation','membrestontines.administrator','tontines.solde_en_caisse',
                    'tontines.created_at','tontines.updated_at')
                ->get();
        }


        $liste = array();

        if($liste_tontines != NULL){

            foreach ($liste_tontines as $listTontine){
                $tontine_id = $listTontine->tontine_id;
                $membrestontine_id = $listTontine->membrestontine_id;
                $name = $listTontine->name;
                $slogan = $listTontine->slogan;
                $cercle = $listTontine->cercle;
                $quality_id = $listTontine->quality_id;
                $country = $listTontine->country;
                $confidentiality = $listTontine->confidentiality;
                $drawingtype_id = $listTontine->drawingtype_id;
                $periodicite = $listTontine->periodicite;
                $frequence = $listTontine->frequence;
                $monnaie = $listTontine->monnaie;
                $statutinfogenerale = $listTontine->statutinfogenerale;
                $nombre_part_max_membre = $listTontine->nombre_part_max_membre;
                $nombre_part_max_tontine = $listTontine->nombre_part_max_tontine;
                $coutshare = $listTontine->coutshare;
                $numberlot = $listTontine->numberlot;
                $miseaprixcaisse1 = $listTontine->miseaprixcaisse1;
                $miseaprixcaisse2 = $listTontine->miseaprixcaisse2;
                $typemiseaprixcaisse1 = $listTontine->typemiseaprixcaisse1;
                $typemiseaprixcaisse2 = $listTontine->typemiseaprixcaisse2;
                $statutparametrecotisation = $listTontine->statutparametrecotisation;
                $delairemboursementcaisse2 = $listTontine->delairemboursementcaisse2 ;
                $penalitesurleremboursement = $listTontine->penalitesurleremboursement;
                $penaliteretardsurlacontributionayantbouffe = $listTontine->penaliteretardsurlacontributionayantbouffe;
                $penaliteretardsurlacontributionnayantpasbouffe = $listTontine->penaliteretardsurlacontributionnayantpasbouffe;
                $penaliteabsencesurlacontributionayantbouffe = $listTontine->penaliteabsencesurlacontributionayantbouffe;
                $penaliteabsencesurlacontributionnayantpasbouffe = $listTontine->penaliteabsencesurlacontributionnayantpasbouffe;
                $dureesurleretard = $listTontine->dureesurleretard;
                $typedelairemboursementcaisse2 = $listTontine->typedelairemboursementcaisse2;
                $typepenalitesurleremboursement = $listTontine->typepenalitesurleremboursement;
                $typepenaliteretardsurlacontributionayantbouffe = $listTontine->typepenaliteretardsurlacontributionayantbouffe;
                $typepenaliteretardsurlacontributionnayantpasbouffe = $listTontine->typepenaliteretardsurlacontributionnayantpasbouffe;
                $typepenaliteabsencesurlacontributionayantbouffe = $listTontine->typepenaliteabsencesurlacontributionayantbouffe;
                $typepenaliteabsencesurlacontributionnayantpasbouffe = $listTontine->typepenaliteabsencesurlacontributionnayantpasbouffe;
                $typedureesurleretard = $listTontine->typedureesurleretard;
                $statutpenalite = $listTontine->statutpenalite;
                $circle = $listTontine->circle;
                $date_debut = $listTontine->date_debut;
                $date_fin = $listTontine->date_fin;
                $time_debut = $listTontine->time_debut;
                $statutcycleetcotisation = $listTontine->statutcycleetcotisation;
                $upload = $listTontine->upload;
                $statutdocumentation = $listTontine->statutdocumentation;
                $solde_en_caisse = $listTontine->solde_en_caisse;
                $administrator = $listTontine->administrator;
                $created_at = $listTontine->created_at;
                $updated_at = $listTontine->updated_at;

                $quality = \DB::table('qualities')
                    ->where('id','=',$quality_id)
                    ->first();

                $drawingtype = \DB::table('drawingtypes')
                    ->where('id','=',$drawingtype_id)
                    ->first();

                $tmp ["tontine_id"] = $tontine_id;
                $tmp ["membrestontine_id"] = $membrestontine_id;
                $tmp ["administrator"] = $administrator;
                $tmp ["name"] = $name;
                $tmp ["slogan"] = $slogan;
                $tmp ["cercle"] = $cercle;
                $tmp ["quality_id"] = $quality_id;
                $tmp ["quality_name"] = $quality->name;
                $tmp ["country"] = $country;
                $tmp ["confidentiality"] = $confidentiality;
                $tmp ["drawingtype_id"] = $drawingtype_id;
                $tmp ["drawingtype_name"] = $drawingtype->name;
                $tmp ["periodicite"] = $periodicite;
                $tmp ["frequence"] = $frequence;
                $tmp ["monnaie"] = $monnaie;
                $tmp ["statutinfogenerale"] = $statutinfogenerale;
                $tmp ["nombre_part_max_membre"] = $nombre_part_max_membre;
                $tmp ["nombre_part_max_tontine"] = $nombre_part_max_tontine;
                $tmp ["coutshare"] = $coutshare;
                $tmp ["numberlot"] = $numberlot;
                $tmp ["miseaprixcaisse1"] = $miseaprixcaisse1;
                $tmp ["miseaprixcaisse2"] = $miseaprixcaisse2;
                $tmp ["typemiseaprixcaisse1"] = $typemiseaprixcaisse1;
                $tmp ["typemiseaprixcaisse2"] = $typemiseaprixcaisse2;
                $tmp ["statutparametrecotisation"] = $statutparametrecotisation;
                $tmp ["delairemboursementcaisse2"] = $delairemboursementcaisse2;
                $tmp ["penalitesurleremboursement"] = $penalitesurleremboursement;
                $tmp ["penaliteretardsurlacontributionayantbouffe"] = $penaliteretardsurlacontributionayantbouffe;
                $tmp ["penaliteretardsurlacontributionnayantpasbouffe"] = $penaliteretardsurlacontributionnayantpasbouffe;
                $tmp ["penaliteabsencesurlacontributionayantbouffe"] = $penaliteabsencesurlacontributionayantbouffe;
                $tmp ["penaliteabsencesurlacontributionnayantpasbouffe"] = $penaliteabsencesurlacontributionnayantpasbouffe;
                $tmp ["dureesurleretard"] = $dureesurleretard;
                $tmp ["typedelairemboursementcaisse2"] = $typedelairemboursementcaisse2;
                $tmp ["typedelairemboursementcaisse2"] = $typedelairemboursementcaisse2;
                $tmp ["typepenalitesurleremboursement"] = $typepenalitesurleremboursement;
                $tmp ["typepenaliteretardsurlacontributionayantbouffe"] = $typepenaliteretardsurlacontributionayantbouffe;
                $tmp ["typepenaliteretardsurlacontributionnayantpasbouffe"] = $typepenaliteretardsurlacontributionnayantpasbouffe;
                $tmp ["typepenaliteabsencesurlacontributionayantbouffe"] = $typepenaliteabsencesurlacontributionayantbouffe;
                $tmp ["typepenaliteabsencesurlacontributionnayantpasbouffe"] = $typepenaliteabsencesurlacontributionnayantpasbouffe;
                $tmp ["typedureesurleretard"] = $typedureesurleretard;
                $tmp ["statutpenalite"] = $statutpenalite;
                $tmp ["circle"] = $circle;
                $tmp ["date_debut"] = $date_debut;
                $tmp ["date_fin"] = $date_fin;
                $tmp ["time_debut"] = $time_debut;
                $tmp ["statutcycleetcotisation"] = $statutcycleetcotisation;
                $tmp ["upload"] = $upload;
                $tmp ["statutdocumentation"] = $statutdocumentation;
                $tmp ["solde_en_caisse"] = $solde_en_caisse;
                $tmp ["created_at"] = $created_at;
                $tmp ["updated_at"] = $updated_at;

                array_push($liste,$tmp ) ;
            }

        }
        //$listes = array("liste_tontines" => $liste);

        return $liste;

    }



    //permet de renvoyer la séance courante d'une tontinte
    public function getSeanceCouranteId($tontine_id){

        $seance = \DB::table('seances')
            ->where('tontine_id','=',$tontine_id)
            ->where('archived','=',0)
            ->first();

        if(!empty($seance)){
            return $seance->id;
        }
        else{
            return 0;
        }
    }

    //permet de renvoyer le cycle courant d'une tontinte
    public function getCycleCourantId($tontine_id){

        $cycle = \DB::table('cycles')
            ->where('tontine_id','=',$tontine_id)
            ->where('archived','=',0)
            ->first();

        if(!empty($cycle)){
            return $cycle->id;
        }
        else{
            return 0;
        }
    }


    //permet de remplir la table transaction_portemonnaie
    public function remplir_transaction_portemonnaie($user_id, $tontine_name, $device_id, $somme, $status, $motif, $method_payment){

        $reference_transaction = str_random(6);

        if($user_id != NULL AND $device_id != NULL AND $somme != 0 AND $status != NULL){
            \DB::table('transaction_portemonnaie')
                ->insert([
                    [
                        'user_id' => $user_id,
                        'reference_transaction' => $reference_transaction,
                        'tontine_name' => $tontine_name,
                        'device_id' => $device_id,
                        'somme' => $somme,
                        'status' => $status,
                        'motif' => $motif,
                        'method_payment' => $method_payment,
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                    ]
                ]);

        }
    }


    /******************************** END fonctions réutilisables Christopher *******************************************************************/


    // public function login(){
    //     return view('login');
    // }


    public function paymentMobileMoney(){
        $request = Request::instance();

        $montant = $request->input('montant');
        $numero = $request->input('numero');

        /*********************       Partie à remettre                       *********************************/


        $response = $this->MTNMobileMoneyChristian($montant,$numero);
        $message = $response['message'];

        $user_not_found = $response['user_not_found'];

        if($message == "error" AND $user_not_found == true){
            return view('payment')->with(['message' => 1]);
        }

        if($message == "error" AND $user_not_found == false){
            return view('payment')->with(['message' => 1]);
        }

        if($message == "success" AND $user_not_found == false ){
            return view('payment')->with(['message' => 2]);
        }




        /********************              End Partie à remettre                *****************************/
    }





    //fonction de paiement avec MTN MOBILE MONEY
    public function MTNMobileMoneyChristian($montant,$numero){
        /*$request = Request::instance();
        $data = json_decode($request->getContent());*/

        //$user_id = $data->user_id;
        $cout = $montant;
        $confirm = 0;
        //$tel = $numero;        //précédé de 237
        //$phone_number = '237'.$numero;
        //$type = "MTNMobileMoney";

        $transaction_id = str_random(5);

//        $user = \DB::table('users')
//            ->where('remember_token','=',$token)
//            ->first();

        $liste = array("message"=> "error", "user_not_found" => true);
//        if(empty($user)){
//            return $liste;/*response::json(["message"=> "error", "user_not_found" => true]);*/
//        }

//        $user_id = $user->id;

        DB::table('achat')->insert(
            [   'user_id' => 1,
                'transaction_id' => $transaction_id,
                'processingNumber' => 0,
                'operateur' => 'mtn',
                'cout' => $cout,
                //'type' => $type,
                'confirm' => $confirm,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'phone_number' => $numero,
                'numero_reference' => 'NULL'
            ]
        );

        $ch = curl_init('http://mobilemoney.sdkgames.com/mooeventRequestPayment');
        $encoded = urlencode("refID") ."=".urldecode($transaction_id);
        $encoded .= "&".urlencode("msidn") ."=".urldecode($numero);
        $encoded .= "&".urlencode("amount") ."=".urldecode((int)($cout));
        $encoded .= "&".urlencode("moneyCode") ."=".urldecode('XAF');
        $encoded .= "&".urlencode("product") ."=".urldecode('MissCam2017');
        //dd($encoded);
        curl_setopt($ch, CURLOPT_POSTFIELDS,  $encoded);
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        $resultat = curl_exec($ch);
        //$info = curl_getinfo($ch);
        curl_close($ch);

        //dd(!isset($resultat["soapenv:Fault"]));

        if(isset($resultat["soapenv:Fault"])){
            $liste = array("reponse"=> $resultat["soapenv:Fault"]["faultstring"],
                "message" => "error",
                "user_not_found" => false);
            return $liste;
        }

        if(!isset($resultat["soapenv:Fault"])) {

            //    var_dump($resultat);

            //   $resultat ="'".$resultat."'";

            //var_dump($resultat);


            $re1='.*?'; # Non-greedy match on filler
            $re2='\\d+';    # Uninteresting: int
            $re3='.*?'; # Non-greedy match on filler
            $re4='(\\d+)';  # Integer Number 1
            $re5='.*?'; # Non-greedy match on filler
            $re6='(\\d+)';  # Integer Number 2
            $re7='.*?'; # Non-greedy match on filler
            $re8='(?:[a-z][a-z]+)'; # Uninteresting: word
            $re9='.*?'; # Non-greedy match on filler
            $re10='((?:[a-z][a-z]+))';  # Word 1

            preg_match_all ("/".$re1.$re2.$re3.$re4.$re5.$re6.$re7.$re8.$re9.$re10."/is", $resultat, $matches);

            $ProcessingNumber=104;//(int)$matches[1][0]/* - 10400*/;
            //$ProcessingNumber=(int)$matches[1][0];
            $statusCode='02';//$matches[2][0];

            if (/*$resultat->statusCode*/ $statusCode == "01") //si c'est différent de "01" alors Errors Will differenciate reasons ( Insuffisant credit, bad number, ...)
            {
                //    var_dump($resultat);


                //      $resultat ="'".$resultat."'";

                // var_dump($resultat);

                $re1='.*?'; # Non-greedy match on filler
                $re2='\\d+';    # Uninteresting: int
                $re3='.*?'; # Non-greedy match on filler
                $re4='(\\d+)';  # Integer Number 1
                $re5='.*?'; # Non-greedy match on filler
                $re6='(\\d+)';  # Integer Number 2
                $re7='.*?'; # Non-greedy match on filler
                $re8='(?:[a-z][a-z]+)'; # Uninteresting: word
                $re9='.*?'; # Non-greedy match on filler
                $re10='((?:[a-z][a-z]+))';  # Word 1

                preg_match_all ("/".$re1.$re2.$re3.$re4.$re5.$re6.$re7.$re8.$re9.$re10."/is", $resultat, $matches);

                $ProcessingNumber=104;//(int)$matches[1][0]/* - 10400*/;
                //$ProcessingNumber=(int)$matches[1][0];
                $statusCode='02';//$matches[2][0];
                //$word1= $matches[3][0];

                //print " $int1 $int2 $word1 \n";

                //  print_r($matches);


                // var_dump($statusCode);

                $updated_at = Carbon::now();
                \DB::table('achat')
                    //->where('user_id', /*$resultat->ProcessingNumber*/ $ProcessingNumber)
                    ->where('transaction_id','=',$transaction_id)
                    ->update([
                        'confirm' => 1,
                        'processingNumber' => $ProcessingNumber,
                        'updated_at' =>$updated_at
                    ]);
                $liste = array("message"=> "success", "user_not_found" => false);
                return $liste/*response::json(["message"=> "success", "user_not_found" => false])*/;

            }

            else{

                $updated_at = Carbon::now();
                \DB::table('achat')
                    ->where('transaction_id','=',$transaction_id)
                    ->update([
                        'confirm' => 2,
                        'processingNumber' => $ProcessingNumber,
                        'updated_at' => $updated_at
                    ]);
                $liste = array("message"=> "error", "user_not_found" => false);
                return $liste/*response::json(["message"=> "error", "user_not_found" => false])*/;
            }

        }
        else{
            $liste = array("reponse"=> $resultat["soapenv:Fault"]["faultstring"],
                "message" => $resultat["soapenv:Fault"]["faultstring"],
                "user_not_found" => false);
            return $liste/*Response::json([
				"reponse"=> $resultat["soapenv:Fault"]["faultstring"],
				"message" => $resultat["soapenv:Fault"]["faultstring"],
				"user_not_found" => false
			])*/;
        }

    }











}